var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-BE1E433F-890A-4B81-BF25-123AA04AE2BD\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Position_Wire : PositionController</h1></div><p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Class instances not creatable by MAXScript </code></pre><p><strong>Aliases</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Position_Wire WirePosition </code></pre><p><strong>Position_Wire interfaces:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: wireController </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.numWires: integer : Read </code></pre><p>This property returns the number of wires out of this controller (i.e. the number of dependent params).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.isDriver: boolean : Read </code></pre><p>This property will return <code>True</code> if the wire is a driver predicate, otherwise it will return <code>False</code> .</p>\n\
\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>Note:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> Prior to <em>3ds Max 2022</em> this property was called <code>isMaster</code>.</p>\n\
\n\
</div></div>\n\
\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.isDriven : boolean : Read </code></pre><p>This property will return <code>True</code> if the wire is a driven predicate, otherwise it will return <code>False</code> .</p>\n\
\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>Note:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> Prior to <em>3ds Max 2022</em> this property was called <code>isSlave</code>.</p>\n\
\n\
</div></div>\n\
\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.isTwoWay : boolean : Read </code></pre><p>This property will return <code>True</code> if the wire is a two-way predicate, otherwise it will return <code>False</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.drivenAnimation : control : Read|Write </code></pre><p>This property returns a pointer to the driven animation controller and allows you to set the driven animation controller.</p>\n\
\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>Note:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> Prior to <em>3ds Max 2022</em> this property was called <code>slaveAnimation</code>.</p>\n\
\n\
</div></div>\n\
\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;maxObject&gt;getWireParent &lt;index&gt;index </code></pre><p>This method returns a pointer to the i-th dependent parameter parent.</p>\n\
<p><code>&lt;index&gt;index</code> : The index you wish to retrieve.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;getWireSubnum &lt;index&gt;index </code></pre><p>This method returns the i-th dependent parameter subanim num in the animatable.</p>\n\
<p><code>&lt;index&gt;index</code> : The index of the subanim.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;control&gt;getCoController &lt;index&gt;index </code></pre><p>This method returns a pointer to the i-th <code>CoController</code> .</p>\n\
<p><code>&lt;index&gt;index</code> : The index of the controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;getExprText &lt;index&gt;index </code></pre><p>This method returns the expression string of the i-th wire parameter.</p>\n\
<p><code>&lt;index&gt;index</code> : The index of the parameter.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setExprText &lt;index&gt;index &lt;string&gt;text </code></pre><p>This method allows you to set the expression string of the i-th wire parameter.</p>\n\
<p><code>&lt;index&gt;index</code> : The index of the parameter</p>\n\
<p><code>&lt;string&gt;text</code> : The expression you wish to set.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Position-Controllers.html\">Position Controllers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Float-Controllers/Float_Wire-FloatController.html\">Float_Wire : FloatController</a></li>\n\
          <li><a class=\"link\" href=\"../Point3-Controllers/Point3_Wire-Point3Controller.html\">Point3_Wire : Point3Controller</a></li>\n\
          <li><a class=\"link\" href=\"../Rotation-Controllers/Rotation_Wire-RotationController.html\">Rotation_Wire : RotationController</a></li>\n\
          <li><a class=\"link\" href=\"../Scale-Controllers/Scale_Wire-ScaleController.html\">Scale_Wire : ScaleController</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Parameter-Wiring/Parameter-Wiring-1.html\">Parameter Wiring</a></li>\n\
          <li><a class=\"link\" href=\"../../../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/P-Q/Interface-paramWire.html\">Interface: paramWire</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";