var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-032C5561-8DB5-4D0B-B8DE-9807BBC099F4\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>XYZ Controllers</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Color_RGB:Point3Controller\n\
Euler_XYZ:RotationController\n\
Local_Euler_XYZ:RotationController\n\
Point3_XYZ:Point3Controller\n\
Position_XYZ:PositionController\n\
ScaleXYZ:ScaleController</code></pre><p><strong>Constructors</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Color_RGB ... Euler_XYZ ... Local_Euler_XYZ ... Point3_XYZ ... Position_XYZ ... ScaleXYZ ... </code></pre><p><strong>Properties</strong></p>\n\
<p>The property names for the XYZ controllers vary between the specific controllers.</p>\n\
<p><strong>Color_RGB:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Color_RGB&gt;.r Float default: 0.0 -- animatable \n\
&lt;Color_RGB&gt;.g Float default: 0.0 -- animatable \n\
&lt;Color_RGB&gt;.b Float default: 0.0 -- animatable      </code></pre><p><strong>Euler_XYZ:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Euler_XYZ&gt;.x_rotation Float default: 0.0 -- animatable \n\
&lt;Euler_XYZ&gt;.y_rotation Float default: 0.0 -- animatable \n\
&lt;Euler_XYZ&gt;.z_rotation Float default: 0.0 -- animatable \n\
&lt;Euler_XYZ&gt;.axisOrder Integer default: 1 </code></pre><p>Get/set the order of application of the axis angles. Its value can be any of the following:</p>\n\
<p>1 - XYZ</p>\n\
<p>2 - XZY</p>\n\
<p>3 - YZX</p>\n\
<p>4 - YXZ</p>\n\
<p>5 - ZXY</p>\n\
<p>6 - ZYX</p>\n\
<p>7 - XYX</p>\n\
<p>8 - YZY</p>\n\
<p>9 - ZXZ Local_Euler_XYZ:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Local_Euler_XYZ&gt;.local_x_rotation Float default: 0.0 -- animatable \n\
&lt;Local_Euler_XYZ&gt;.local_y_rotation Float default: 0.0 -- animatable\n\
&lt;Local_Euler_XYZ&gt;.local_z_rotation Float default: 0.0 -- animatable \n\
&lt;Local_Euler_XYZ&gt;.axisOrder Integer default: 1 </code></pre><p>Get/set the order of application of the axis angles. Its value can be any of the following:</p>\n\
<p>1 - XYZ</p>\n\
<p>2 - XZY</p>\n\
<p>3 - YZX</p>\n\
<p>4 - YXZ</p>\n\
<p>5 - ZXY</p>\n\
<p>6 - ZYX</p>\n\
<p>7 - XYX</p>\n\
<p>8 - YZY</p>\n\
<p>9 - ZXZ</p>\n\
<p><strong>Point3_XYZ:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Point3_XYZ&gt;.x Float default: 0.0 -- animatable \n\
&lt;Point3_XYZ&gt;.y Float default: 0.0 -- animatable \n\
&lt;Point3_XYZ&gt;.z Float default: 0.0 -- animatable </code></pre><p><strong>Position_XYZ:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Position_XYZ&gt;.x_position Float default: 0.0 -- animatable \n\
&lt;Position_XYZ&gt;.y_position Float default: 0.0 -- animatable \n\
&lt;Position_XYZ&gt;.z_position Float default: 0.0 -- animatable </code></pre><p><strong>ScaleXYZ:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ScaleXYZ&gt;.x_scale Float default: 0.0 -- animatable \n\
&lt;ScaleXYZ&gt;.y_scale Float default: 0.0 -- animatable \n\
&lt;ScaleXYZ&gt;.z_scale Float default: 0.0 -- animatable </code></pre><p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getXYZControllers &lt;controller&gt; </code></pre><p>Returns an array of the X, Y, and Z sub-controllers of the specified controller</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Controller-Types.html\">Controller Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Controller-Common-Properties/Controller-Common-Properties-1.html\">Controller Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";