var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-6BADF6A1-D670-48C2-9139-F8000E1AC537\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Targa interfaces:</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Targa - superclass: BitmapIO; super-superclass:MAXWrapper - classID: #(6, 0) </code></pre><p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Class instances not creatable by MAXScript </code></pre><p><strong>Aliases:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Targa tgaio </code></pre><p><strong>Targa interfaces</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: itgaio </code></pre><p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Targa.getColorDepth () </code></pre><p>This method returns the color depth, which would be 16, 24, or 32.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Targa.setColorDepth &lt;integer&gt;colorDepth </code></pre><p>This method allows you to set the color depth.</p>\n\
<p><code>colorDepth:</code> The color depth, being either 16, 24, or 32.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Targa.getCompressed () </code></pre><p>This method returns <code>True</code> if the compression flag is set, otherwise <code>False</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Targa.setCompressed &lt;boolean&gt;compression </code></pre><p>This method allows you to set the compression flag.</p>\n\
<p><code>compression:</code> <code>True</code> to set the compression flag, otherwise <code>False</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Targa.getAlphaSplit () </code></pre><p>This method returns <code>True</code> if the alpha split flag is set, otherwise <code>False</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Targa.setAlphaSplit &lt;boolean&gt;alphaSplit </code></pre><p>This method allows you to set the alpha split flag.</p>\n\
<p><code>alphaSplit:</code> <code>True</code> to set the alpha split flag, otherwise <code>False</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Targa.getPreMultAlpha () </code></pre><p>This method returns <code>True</code> if the premultiplied alpha flag is set, otherwise <code>False</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Targa.setPreMultAlpha &lt;boolean&gt;preMultAlpha </code></pre><p>This method allows you to set the premultiplied alpha flag.</p>\n\
<p><code>preMultAlpha:</code> <code>True</code> to set the premultiplied alpha flag, otherwise <code>False</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;Targa.getAuthor () \n\
&lt;void&gt;Targa.setAuthor &lt;string&gt;author </code></pre><p>The author name will be clamped to 40 characters</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;Targa.getJobName () \n\
&lt;void&gt;Targa.setJobName &lt;string&gt;jobname </code></pre><p>The Job name will be clamped to 40 characters</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;Targa.getComment1 () \n\
&lt;void&gt;Targa.setComment1 &lt;string&gt;comment \n\
&lt;string&gt;Targa.getComment2 () \n\
&lt;void&gt;Targa.setComment2 &lt;string&gt;comment \n\
&lt;string&gt;Targa.getComment3 () \n\
&lt;void&gt;Targa.setComment3 &lt;string&gt;comment \n\
&lt;string&gt;Targa.getComment4 () \n\
&lt;void&gt;Targa.setComment4 &lt;string&gt;comment </code></pre><p>The Comments will be clamped to 80 characters</p>\n\
<p>The methods in this interface can be accessed by specifying the class, interface, and method. For example: <code>targa.itgaio.getType()</code> .</p>\n\
<p>MAXScript will automatically search through a class&#x2019; interfaces for a property or method name if the name isn&#x2019;t found as a class method or property. This allows you to say: <code>targa.getType()</code> .</p>\n\
<p>Providing the fully qualified name of the method results in faster script execution. Providing the fully qualified name is also safer, as at some point in time another interface can be could be specified for the class, and a method or property with the same name could be defined in that interface. Which method or property is used would then be dependent on the order in which the the interfaces were searched for the method or property name.</p>\n\
<p>See Also Class IBitmapIO_Tga, in the SDK Help file accompanying this product.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../BitmapIO-MAXWrapper.html\">BitmapIO : MAXWrapper</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"BitmapIO-Classes.html\">BitmapIO Classes</a></li>\n\
          <li><a class=\"link\" href=\"BMP-interfaces-.html\">BMP interfaces:</a></li>\n\
          <li><a class=\"link\" href=\"JPEG-interfaces-.html\">JPEG interfaces:</a></li>\n\
          <li><a class=\"link\" href=\"Portable_Network_Graphics.html\">Portable_Network_Graphics interfaces:</a></li>\n\
          <li><a class=\"link\" href=\"TIF-interfaces-.html\">TIF interfaces:</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";