var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-0D398B67-6B55-4AD6-94DB-5B4D5C787FFE\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>LightMap : ReferenceTarget</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">LightMap - superclass: ReferenceTarget; super-superclass:MAXWrapper - classID: #(1920807870, 844480512) </code></pre><p>This is a viewport shader used to display light mapping on DirectX-enabled hardware.</p>\n\
<p><strong>Constructors</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">LightMap... </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;LightMap&gt;.diffuse_on Boolean default: true -- boolean; DiffuseOn </code></pre><p>Enable/Disable diffuse mapping.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;LightMap&gt;.diffuse_filename String default: undefined -- string </code></pre><p>Get/Set the diffuse map filename.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;LightMap&gt;.diffuse_mapping Integer default: 3 -- integer </code></pre><p>Get/Set the diffuse map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;LightMap&gt;.diffuse_texture Bitmap default: undefined -- bitmap </code></pre><p>Get/Set the diffuse map texture</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;LightMap&gt;.lightmap_filename String default: undefined -- string </code></pre><p>Get/Set the light map filename.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;LightMap&gt;.lightmap_mapping Integer default: 3 -- integer </code></pre><p>Get/Set the light map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;LightMap&gt;.lightmap_on Boolean default: true -- boolean; LightmapOn </code></pre><p>Enable/Disable light mapping.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;LightMap&gt;.lightmap_texture Bitmap default: undefined -- bitmap </code></pre><p>Get/Set the lightmap map texture</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../DirectX-Shaders.html\">DirectX Shaders</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-dxshadermanager.html\">Interface: dxshadermanager</a></li>\n\
          <li><a class=\"link\" href=\"../TextureMap-Material/Hardware-Shaders/CubeMap-ReferenceTarget.html\">CubeMap : ReferenceTarget</a></li>\n\
          <li><a class=\"link\" href=\"../TextureMap-Material/Hardware-Shaders/Metal_Bump-ReferenceTarget.html\">Metal_Bump : ReferenceTarget</a></li>\n\
          <li><a class=\"link\" href=\"../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-dxshadermanager.html\">Interface: dxshadermanager</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";