var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-B40F84EA-5F19-45B6-AA7C-0ADC77708BBE\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Editable_Poly Methods</h1></div><p>The following topic lists the <strong>polyOp</strong> methods which are applicable to objects collapsed to the Editable_Poly base object.</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>Topics Navigation:</th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><a href=\"Editable_Poly-Methods/Editable-Poly-Get-Set-Selection.html\">Get/Set Selection</a><br><a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">Get By Flag</a><br><a href=\"Editable_Poly-Methods/Editable_Poly-Get-Count-Methods.html\">Get Count</a><br><a href=\"Editable_Poly-Methods/Editable_Poly-Get-Set-Hidden.html\">Get/Set Hidden</a><br><a href=\"Editable_Poly-Methods/Editable_Poly-Edge-Visibility.html\">Edge Visibility</a><br><a href=\"Editable_Poly-Methods/Editable_Poly-Open-Edges-Methods.html\">Open Edges</a><br><a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Face.html\">Get By Face</a><br><a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Edge.html\">Get By Edge</a><br><a href=\"Editable_Poly-Methods/Editable_Poly-Dead-Elements.html\">Dead Elements</a><br><a href=\"Editable_Poly-Methods/Editable_Poly-Face-Material-ID.html\">Face Material IDs</a><br><a href=\"Editable_Poly-Methods/Editable_Poly-Manipulate-Vertex.html\">Manipulate Vertex</a><br><a href=\"Editable_Poly-Methods/Editable_Poly-Fill-In-Mesh.html\">Fill In Mesh</a><br><a href=\"Editable_Poly-Methods/Editable_Poly-Get-A-Using-B.html\">Get A Using B</a><br><a href=\"Editable_Poly-Methods/Editable_Poly-Get-Face-Center.html\">Get Face, Center, Normal and Area</a><br><a href=\"Editable_Poly-Methods/Editable_Poly-Attach-Method.html\">Attach</a><br><a href=\"Editable_Poly-Methods/Editable_Poly-Delete-Methods.html\">Delete</a><br><a href=\"Editable_Poly-Methods/Editable_Poly-Weld-Methods.html\">Weld</a></td>\n\
<td><a href=\"Editable_Poly-Methods/Editable_Poly-Create-Methods.html\">Create</a><br><a href=\"Editable_Poly-Methods/Editable_Poly-Auto-Smooth-Method.html\">Auto-Smooth</a><br><a href=\"Editable_Poly-Methods/Editable_Poly-Triangulation.html\">Triangulation</a><br><a href=\"Editable_Poly-Methods/Editable_Poly-Subdivision.html\">Subdivisions</a><br><a href=\"Editable_Poly-Methods/Editable_Poly-Face-Smoothing.html\">Face_Smoothing_Groups</a><br><a href=\"Editable_Poly-Methods/Editable_Poly-Break-Divide-and.html\">Break, Divide, Split</a><br><a href=\"Editable_Poly-Methods/Editable_Poly-Collapse-Methods.html\">Collapse</a><br><a href=\"Editable_Poly-Methods/Editable_Poly-Propogate-Flags.html\">Propagate_Flags</a><br><a href=\"Editable_Poly-Methods/Editable_Poly-Tesselate-Methods.html\">Tessellate</a><br><a href=\"Editable_Poly-Methods/Editable_Poly-Detach-Methods.html\">Detach</a><br><a href=\"Editable_Poly-Methods/Editable_Poly-Slice-Plane.html\">Slice Plane</a><br><a href=\"Editable_Poly-Methods/Editable_Poly-Cut-Methods.html\">Cut</a><br><a href=\"Editable_Poly-Methods/Editable_Poly-Cap-Holes-Methods.html\">Cap Holes</a><br><a href=\"Editable_Poly-Methods/Editable_Poly-Make-Planar.html\">Make Planar</a><br><a href=\"Editable_Poly-Methods/Editable_Poly-Extrude-Bevel-and.html\">Extrude, Bevel, Chamfer</a></td>\n\
</tr>\n\
</tbody></table>\n\
<h2 id=\"about-polyop-methods-first-argument-\">About polyOp Methods First Argument:</h2><p>All <strong>polyOp</strong> methods take as an argument <code>&lt;poly&gt;</code>, the poly to operate on. This argument can be either a node value where the base object of the node is an Editable_Poly, or the Editable_Poly base object.</p>\n\
<p><strong>About polyOp Methods Sub-Object Arguments:</strong></p>\n\
<p>Many of the polyOp methods take as an argument <vertlist>, <facelist>, or <edgelist>.</p>\n\
<p>These arguments specify the Sub-Object elements to operate on.</p>\n\
<p>These arguments can be specified as:</p>\n\
<p><code>#all</code> - all Sub-Object elements of that type.</p>\n\
<p><code>#selection</code> - the current Sub-Object selection of that type.</p>\n\
<p><code>#none</code> - none of the Sub-Object elements of that type.</p>\n\
<p>An array of integers, where each integer value specifies a Sub-Object element index.</p>\n\
<p>A bitarray, where each bit specifies a Sub-Object element index.</p>\n\
<p>A value convertible to an integer that specifies a Sub-Object element index.</p>\n\
<p>A VertexSelection, EdgeSelection, or FaceSelection value. The value type must match the specified Sub-Object type.</p>\n\
<h2 id=\"about-editable_poly-dead-sub-object-elements-\">About Editable_Poly Dead Sub-Object Elements:</h2><p>Editable polys can have &quot;dead&quot; vertices, edges, and faces.</p>\n\
<p>These are Sub-Object elements that are deleted from the poly, but are not removed from the corresponding lists of Sub-Object elements.</p>\n\
<p>Sub-Object elements might be marked as dead in the process of performing certain operations on the poly, but the Sub-Object element lists are normally collapsed (all the dead Sub-Object elements removed) at the end of the operation or at file I/O operations. Thus, normally there must not be any dead Sub-Object elements present in the poly.</p>\n\
<p>If you flag a Sub-Object element as dead using one of the <strong>polyOp</strong> methods, you must also call <strong><code>polyOp.collapseDeadStructs()</code></strong> to collapse the Sub-Object element lists.</p>\n\
<p>Other than the methods that get/set Sub-Object element flags, the dead Sub-Object elements are normally ignored by the polyOp methods. If a method returns a value other than OK, takes a single Sub-Object element index, and that SO element is dead, a value of <strong><code>undefined</code></strong> is normally returned.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Editable_Poly-Methods/Editable-Poly-Get-Set-Selection.html\">Editable Poly Get/Set Selection Methods</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">Editable_Poly Get By Flag Methods</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Editable_Poly-Methods/Editable_Poly-Get-Count-Methods.html\">Editable_Poly Get Count Methods</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Editable_Poly-Methods/Editable_Poly-Get-Set-Hidden.html\">Editable_Poly Get/Set Hidden Methods</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Editable_Poly-Methods/Editable_Poly-Edge-Visibility.html\">Editable_Poly Edge Visibility Methods</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Editable_Poly-Methods/Editable_Poly-Open-Edges-Methods.html\">Editable_Poly Open Edges Methods</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Face.html\">Editable_Poly Get By Face Methods</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Edge.html\">Editable_Poly Get By Edge Methods</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Editable_Poly-Methods/Editable_Poly-Dead-Elements.html\">Editable_Poly Dead Elements Methods</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Editable_Poly-Methods/Editable_Poly-Face-Material-ID.html\">Editable_Poly Face Material ID Methods</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Editable_Poly-Methods/Editable_Poly-Manipulate-Vertex.html\">Editable_Poly Manipulate Vertex Methods</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Editable_Poly-Methods/Editable_Poly-Fill-In-Mesh.html\">Editable_Poly Fill In Mesh Methods</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Editable_Poly-Methods/Editable_Poly-Get-A-Using-B.html\">Editable_Poly Get A Using B Methods</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Editable_Poly-Methods/Editable_Poly-Get-Face-Center.html\">Editable_Poly Get Face Center, Normal and Area Methods</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Editable_Poly-Methods/Editable_Poly-Attach-Method.html\">Editable_Poly Attach Method</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Editable_Poly-Methods/Editable_Poly-Delete-Methods.html\">Editable_Poly Delete Methods</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Editable_Poly-Methods/Editable_Poly-Weld-Methods.html\">Editable_Poly Weld Methods</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Editable_Poly-Methods/Editable_Poly-Create-Methods.html\">Editable_Poly Create Methods</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Editable_Poly-Methods/Editable_Poly-Auto-Smooth-Method.html\">Editable_Poly Auto-Smooth Method</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Editable_Poly-Methods/Editable_Poly-Triangulation.html\">Editable_Poly Triangulation Methods</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Editable_Poly-Methods/Editable_Poly-Subdivision.html\">Editable_Poly Subdivision Methods</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Editable_Poly-Methods/Editable_Poly-Face-Smoothing.html\">Editable_Poly Face Smoothing Groups Methods</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Editable_Poly-Methods/Editable_Poly-Break-Divide-and.html\">Editable_Poly Break, Divide and Split Methods</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Editable_Poly-Methods/Editable_Poly-Collapse-Methods.html\">Editable_Poly Collapse Methods</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Editable_Poly-Methods/Editable_Poly-Propogate-Flags.html\">Editable_Poly Propogate Flags Method</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Editable_Poly-Methods/Editable_Poly-Tesselate-Methods.html\">Editable_Poly Tesselate Methods</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Editable_Poly-Methods/Editable_Poly-Detach-Methods.html\">Editable_Poly Detach Methods</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Editable_Poly-Methods/Editable_Poly-Slice-Plane.html\">Editable_Poly Slice Plane Methods</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Editable_Poly-Methods/Editable_Poly-Cut-Methods.html\">Editable_Poly Cut Methods</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Editable_Poly-Methods/Editable_Poly-Cap-Holes-Methods.html\">Editable_Poly Cap Holes Methods</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Editable_Poly-Methods/Editable_Poly-Make-Planar.html\">Editable_Poly Make Planar Methods</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Editable_Poly-Methods/Editable_Poly-Extrude-Bevel-and.html\">Editable_Poly Extrude, Bevel and Chamfer Methods</a></strong></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Editable_Poly.html\">Editable_Poly</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Editable_Poly-GeometryClass.html\">Editable_Poly: GeometryClass</a></li>\n\
          <li><a class=\"link\" href=\"Editable_Poly-Properties.html\">Editable_Poly Properties</a></li>\n\
          <li><a class=\"link\" href=\"Editable_Poly-Mapping-Methods.html\">Editable_Poly Mapping Methods</a></li>\n\
          <li><a class=\"link\" href=\"Interface-EditablePoly.html\">Interface: EditablePoly</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";