var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-3CE2A2EB-1E72-4C8D-AE70-F1EBE23E0616\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Editable_Poly Make Planar Methods</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.makeVertsPlana &lt;Poly poly&gt; &lt;vertlist&gt;</code></pre><p>Moves the specified vertices so that they are planar.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.moveVertsToPlane &lt;Poly poly&gt; &lt;vertlist&gt; &lt;Point3 planeNormal&gt; &lt;float planeOffset&gt; \\\n\
node:&lt;node&gt;</code></pre><p>Moves the specified vertices into the specified plane.</p>\n\
<p>The target plane is defined as all points that return offset when DotProducted with N.</p>\n\
<p>All vertices are moved along the normal vector N.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.makeEdgesPlanar &lt;Poly poly&gt; &lt;edgelist&gt;</code></pre><p>Moves the vertices associated with the specified edges so that they are planar.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.moveEdgesToPlane &lt;Poly poly&gt; &lt;edgelist&gt; &lt;Point3 planeNormal&gt; &lt;float planeOffset&gt; \\\n\
node:&lt;node=unsupplied&gt;</code></pre><p>Moves the vertices associated with the specified edges into the specified plane.</p>\n\
<p>The target plane is defined as all points that return offset when DotProducted with N.</p>\n\
<p>All vertices are moved along the normal vector N.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.makeFacesPlanar &lt;Poly poly&gt; &lt;facelist&gt;</code></pre><p>Moves the vertices associated with the specified faces so that they are planar.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.moveFacesToPlane &lt;Poly poly&gt; &lt;facelist&gt; &lt;Point3 planeNormal&gt; &lt;float planeOffset&gt; \\\n\
node:&lt;node=unsupplied&gt;\n\
</code></pre><p>Moves the vertices associated with the specified faces into the specified plane.</p>\n\
<p>The target plane is defined as all points that return offset when DotProducted with N.</p>\n\
<p>All vertices are moved along the normal vector N.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Editable_Poly-Methods.html\">Editable_Poly Methods</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";