var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-7522ED79-639D-4524-AA01-B7A9D5A20FB0\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>PolyToolsShift : GlobalUtilityPlugin</h1></div><p>The <strong>PolyToolsShift</strong> Global Utility Plugin introduced in <strong>3ds Max 2011</strong> exposes an interface that provides MAXScript access to the Graphite Shift tools.</p>\n\
<p>The functionality was first implemented in <strong>3ds Max 2010</strong> using different functions that were not officially supported as MAXScript tools. This interface consolidates all relevant properties and methods in one place and let MAXScript users apply them in their own tools.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Class instances not creatable by MAXScript </code></pre><p><strong>PolyToolsShift interfaces:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: PolyToolsShift </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">PolyToolsShift.  FullStrength: integer : Read|Write </code></pre><p>Get/set the Shift Full Strength value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">PolyToolsShift.Falloff: integer : Read|Write </code></pre><p>Get/Set the Shift Falloff value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">PolyToolsShift.UseMirror: boolean : Read|Write </code></pre><p>Get/set the state of the Use Mirror option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">PolyToolsShift.Strength: integer : Read|Write </code></pre><p>Get/set the Strength % Value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">PolyToolsShift.UseSelectedVerts: boolean : Read|Write </code></pre><p>Get/set the state of the Use Selected Vertices option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">PolyToolsShift.IgnoreBackfacing: boolean : Read|Write </code></pre><p>Get/set the state of the Ignore Backfacing option.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;PolyToolsShift.StartTool() </code></pre><p>Enters Shift mode.</p>\n\
<p>Returns true on success, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;PolyToolsShiftEndTool.() </code></pre><p>Exits Shift mode.</p>\n\
<p>Returns true on success, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;PolyToolsShift.GetAxisFrozen &lt;value&gt;axis </code></pre><p>Returns the state of the Freeze Axis specified by the argument.</p>\n\
<p>Possible argument values are:</p>\n\
<ul>\n\
<li><code>#x</code> - X axis</li>\n\
<li><code>#y</code> - Y axis</li>\n\
<li><code>#z</code> - Z axis</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;PolyToolsShift.SetAxisFrozen &lt;value&gt;axis &lt;boolean&gt;onOff </code></pre><p>Sets the state of the Freeze Axis specified by the first argument to the Boolean value specified by the second argument.</p>\n\
<p>Possible first argument values are:</p>\n\
<ul>\n\
<li><code>#x</code> - X axis</li>\n\
<li><code>#y</code> - Y axis</li>\n\
<li><code>#z</code> - Z axis</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;PolyToolsShift.GetAxisFrozenEdges &lt;value&gt;axis </code></pre><p>Returns the state of the Freeze Selected Edges axis specified by the argument.</p>\n\
<p>Possible argument values are:</p>\n\
<ul>\n\
<li><code>#x</code> - X axis</li>\n\
<li><code>#y</code> - Y axis</li>\n\
<li><code>#z</code> - Z axis</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;PolyToolsShift.SetAxisFrozenEdges &lt;value&gt;axis &lt;boolean&gt;onOff </code></pre><p>Sets the state of the Freeze Selected Edges axis specified by the first argument to the Boolean value specified by the second argument.</p>\n\
<p>Possible first argument values are:</p>\n\
<ul>\n\
<li><code>#x</code> - X axis</li>\n\
<li><code>#y</code> - Y axis</li>\n\
<li><code>#z</code> - Z axis</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;value&gt;PolyToolsShift.GetMirrorAxis () </code></pre><p>Returns the Mirror axis as a name value.</p>\n\
<p>Possible values are:</p>\n\
<ul>\n\
<li><code>#x</code> - X axis</li>\n\
<li><code>#y</code> - Y axis</li>\n\
<li><code>#z</code> - Z axis</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;PolyToolsShift.SetMirrorAxis &lt;value&gt;axis </code></pre><p>Sets the Mirror axis to the name value provided by the argument.</p>\n\
<p>Possible values are:</p>\n\
<ul>\n\
<li><code>#x</code> - X axis</li>\n\
<li><code>#y</code> - Y axis</li>\n\
<li><code>#z</code> - Z axis</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../PolyTools-Interfaces.html\">PolyTools Interfaces</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"PolyTools-Interfaces-Graphite.html\">PolyTools Interfaces - Graphite Modeling Tools</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";