var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-45E36B83-1819-4A37-9B44-4CBCE22DF48B\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: qat</h1></div><p>The <strong>qat Core Interface</strong> available in <strong>3ds Max 2010 and higher</strong> provides access to the Quick Access Toolbar customization options.</p>\n\
<p>The Quick Access Toolbar is located to the left of the Application Icon and can be extended to host any action item registered with the Customize User Interface system, including MacroScripts.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;qat.add &lt;string&gt;group &lt;string&gt;action      </code></pre><p>Adds the action item from the group specified by the first argument with name specified by the second argument to the Quack Access Toolbar. Returns the zero-based index of the item&apos;s position in the toolbar.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;qat.swap &lt;integer&gt;index1 &lt;integer&gt;index2   </code></pre><p>Swaps the actions in the toolbar.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;qat.delete &lt;integer&gt;index </code></pre><p>Deletes the zero-based indexed action item from the toolbar.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Add the Action Item &quot;Export File&quot; from the &quot;Main UI&quot; group:\n\
   qat.add &quot;Main UI&quot; &quot;Export File&quot;\n\
   --&gt; 6\n\
   --move the &quot;Export File&quot; item before &quot;SetProject Folder&quot;:\n\
   qat.swap 6 5\n\
   --&gt; OK\n\
   --delete the new &quot;Export File&quot; item which was moved up:\n\
   qat.delete 5\n\
   --&gt; OK\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../P-Q.html\">P,Q</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";