var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-6604715B-0B5F-4672-9412-04ECD81B40D9\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: RadiosityPreferences</h1></div><p>This Core Interface exposes the Renderer Radiosity Preferences. The properties of this interface correspond to UI controls located in the Preferences &gt; Adv.Lighting tab and in Render Scene Dialog of <strong>3ds Max</strong>.</p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">RadiosityPreferences.autoProcessObjectRefine : boolean : Read|Write      </code></pre><p>Corresponds to the &quot;<strong>Automatically Process Refine Iterations Stored in Geometry Objects</strong>&quot; checkbox in the &quot;Radiosity Processing &quot; group of the Radiosity tab under Customize&gt;Preferences</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">RadiosityPreferences.displayReflectanceInMEditor : boolean : Read|Write   </code></pre><p>Corresponds to the &quot;<strong>Display Reflectance &amp; Transmittance Information</strong>&quot; checkbox in the &quot;Material Editor&quot; group of the Radiosity tab under Customize&gt;Preferences</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">RadiosityPreferences.displayInViewport : boolean : Read|Write </code></pre><p>Corresponds to the &quot;<strong>Display Radiosity in Viewports</strong>&quot; checkbox in the &quot;Interactive Display&quot; group of the Radiosity tab under Customize&gt;Preferences</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">RadiosityPreferences.displayResetWarning : boolean : Read|Write </code></pre><p>Corresponds to the &quot;<strong>Display Reset Warning</strong>&quot; checkbox in the &quot;Start/Reset Behavior&quot; group of the Radiosity tab under Customize&gt;Preferences</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">RadiosityPreferences.displayWarningOnGIPropsChange : boolean : Read|Write </code></pre><p>Corresponds to the &quot;<strong>Display Undo Warning on Properties Change</strong>&quot; checkbox in the &quot;Warnings&quot; group of the Radiosity tab under Customize&gt;Preferences in <strong>3ds Max</strong>.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> This property has been removed from <strong>3ds Max 6</strong>.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">RadiosityPreferences.updateDataWhenRequiredOnStart : boolean : Read|Write </code></pre><p>Corresponds to the &quot;<strong>Update Data When Required On Start</strong>&quot; checkbox in the &quot;Start/Reset Behavior&quot; group of the Radiosity tab under Customize&gt;Preferences and in the &quot;Process&quot; group of the Advanced Lighting &gt; Radiosity dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">RadiosityPreferences.saveScene : boolean : Read|Write </code></pre><p>Corresponds to the &quot;<strong>Save Scene Information in MAX File (Decrease Load Time)</strong>&quot; checkbox in the &quot;File Save&quot; group of the Radiosity tab under Customize&gt;Preferences</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">RadiosityPreferences.useRadiosity : boolean : Read|Write </code></pre><p>Corresponds to the &quot;<strong>Use Advanced Lighting</strong>&quot; checkbox in the &quot;<strong>Advanced Lighting&quot;</strong> group in <strong>3ds Max</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">RadiosityPreferences.computeRadiosity : boolean : Read|Write </code></pre><p>Corresponds to the &quot;<strong>Compute Advanced Lighting when Required</strong>&quot; checkbox in the &quot;Advanced Lighting&quot; group in <strong>3ds Max</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">RadiosityPreferences.useAdvancedLighting : boolean : Read|Write </code></pre><p>Corresponds to &quot;<strong>Use Advanced Lighting</strong>&quot; checkbox in the &quot;Advanced Lighting&quot; group of the Render Scene dialog in <strong>3ds Max</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">RadiosityPreferences.computeAdvancedLighting : boolean : Read|Write </code></pre><p>Corresponds to &quot;<strong>Compute Advanced Lighting when Required</strong>&quot; checkbox in the &quot;Advanced Lighting&quot; group of the Render Scene dialog in <strong>3ds Max</strong>.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   RadiosityPreferences.useAdvancedLighting = true\n\
   RadiosityPreferences.computeAdvancedLighting = true\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../R.html\">R</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../S/Interface-SceneRadiosity.html\">Interface: SceneRadiosity</a></li>\n\
          <li><a class=\"link\" href=\"../../../../RadiosityEffect-MAXWrapper/Light_Tracer-RadiosityEffect.html\">Light_Tracer : RadiosityEffect</a></li>\n\
          <li><a class=\"link\" href=\"../../../../RadiosityEffect-MAXWrapper/Radiosity-RadiosityEffect.html\">Radiosity : RadiosityEffect</a></li>\n\
          <li><a class=\"link\" href=\"../../../Node-Interfaces/Node-Interfaces-Documentation/Interface-INodeGIProperties.html\">Interface: INodeGIProperties</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-Scene-Dialog/Render-Setup-Dialog.html\">Render Setup Dialog</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";