var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-8E5EC5CD-D6FF-4F20-BEDC-9B7B8BEA7EA4\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: SceneRadiosity</h1></div><p>This is a Core Interface providing access to the Advanced Lighting panel in <strong>3ds Max 5 and higher</strong>. It lets the user assign a new radiosity plug-in and open/close/minimize the panel.</p>\n\
<p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">SceneRadiosity.radiosity : maxObject : Read|Write|Validated by Validator function      </code></pre><p>Get/Set the radiosity plug-in. Returns undefined if there is no plug-in registered.</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SceneRadiosity.showPanel()   </code></pre><p>Opens the radiosity panel.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The radiosity panel is disabled from MAXScript when there are no radiosity plug-ins registered. In this case the SceneRadiosity. <code>showPanel()</code> function published method doesn&apos;t do anything.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SceneRadiosity.closePanel() </code></pre><p>Close the radiosity panel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SceneRadiosity.minimizePanel() </code></pre><p>Minimize the radiosity panel.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../S.html\">S</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../RadiosityEffect-MAXWrapper/Light_Tracer-RadiosityEffect.html\">Light_Tracer : RadiosityEffect</a></li>\n\
          <li><a class=\"link\" href=\"../../../../RadiosityEffect-MAXWrapper/Radiosity-RadiosityEffect.html\">Radiosity : RadiosityEffect</a></li>\n\
          <li><a class=\"link\" href=\"../../../Node-Interfaces/Node-Interfaces-Documentation/Interface-INodeGIProperties.html\">Interface: INodeGIProperties</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";