var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-AEF738FF-131B-4731-A00D-B943DD7E4B94\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>GetInterfaces Interface Inspector</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getInterfaces {&lt;MAXWrapper&gt; | &lt;MAXClass&gt;}</code></pre><p>The <code>getInterfaces()</code> function returns an array containing the interfaces exposed by the argument. </p>\n\
<p>If the argument is a node, the node level interfaces for that node are returned. If you want the interfaces for the node&apos;s base object, you need to specify <code>&lt;node&gt;.baseobject</code> as the argument.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   s=sphere()\n\
   --&gt; $Sphere:Sphere01 @ [0.000000,0.000000,0.000000]\n\
   converttopoly s\n\
   --&gt; $Editable_Poly:Sphere01 @ [0.000000,0.000000,0.000000]\n\
   getInterfaces s\n\
   --&gt; #(&lt;MixinInterface:IAssembly&gt;, &lt;MixinInterface:INodeGIProperties&gt;, &lt;MixinInterface:INode&gt;, &lt;MixinInterface:INodeLayerProperties&gt;, &lt;MixinInterface:INodeBakeProperties&gt;, &lt;MixinInterface:SkinPose&gt;, &lt;MixinInterface:INodeBakeProjProperties&gt;, &lt;MixinInterface:INodeMentalRayProperties&gt;, &lt;MixinInterface:INodeDisplayProperties&gt;, &lt;MixinInterface:INodeShadingProperties&gt;)\n\
   getInterfaces s.baseobject\n\
   --&gt; #(&lt;MixinInterface:EditablePoly&gt;)\n\
</code></pre></blockquote>\n\
<p>If the argument is a MAXClass, only static interfaces for that class are returned. Typically, only utility plugin classes define static interfaces.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   getInterfaces Plug_in_Manager\n\
   #(&lt;Interface:PluginMgrAction&gt;)\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Interfaces.html\">Interfaces</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"getInterface-Function.html\">getInterface Function</a></li>\n\
          <li><a class=\"link\" href=\"../Identifying-and-Accessing/Class-and-Object-Inspector.html\">Class and Object Inspector Functions</a></li>\n\
          <li><a class=\"link\" href=\"Other-Interfaces/Other-Interfaces-1.html\">Other Interfaces</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";