var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-F4FD2C64-9216-4DA0-BE77-B60928EF6638\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>CATKneeAngle : FloatController</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">CATKneeAngle : FloatController {40534bdc,3ae34b58} </code></pre><p>This is a CATMotion controller used in the animation of Limbs in <strong>3ds Max CAT</strong>.</p>\n\
<p>Other controllers used for CATMotion Limb Animation include <a href=\"CATLiftPlantMod-FloatController.html\">CATLiftPlantMod : FloatController</a> and <a href=\"CATLegWeight-FloatController.html\">CATLegWeight : FloatController</a>.</p>\n\
<p><img src=\"./images/GUID-53CE3EC9-7D37-47B6-8FBF-F7AADCB60318-low.gif\" alt></p>\n\
<p><strong>Constructors:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Class instances not creatable by MAXScript </code></pre><p><strong>Aliases:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">CATKneeAngle KneeAngle </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATKneeAngle&gt;.CATBranch : maxObject</code></pre><p>Contains the <a href=\"CATHierarchyBranch.html\">Branch</a> controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATKneeAngle&gt;.LimbData (CATLimbData) : maxObject</code></pre><p>Contains the <a href=\"./../CAT-Data-Controllers/CATLimbData2-ReferenceTarget.html\">LimbData</a> controller object.</p>\n\
<h2 id=\"lift-knee-angle\">Lift Knee Angle</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATKneeAngle&gt;.LiftValue : float</code></pre><p>Get/set the Lift Knee Angle value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATKneeAngle&gt;.LiftTangent : float</code></pre><p>Get/set the Lift Tangent value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATKneeAngle&gt;.LiftInTanLength (LiftInTanLen) : float</code></pre><p>Get/set the Lift In Tangent Length value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATKneeAngle&gt;.LiftOutTanLength (LiftOutTanLen) : float</code></pre><p>Get/set the Lift Out Tangent Length value.</p>\n\
<h2 id=\"mid-lift-knee-angle\">Mid-Lift Knee Angle</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATKneeAngle&gt;.MidLiftValue : float</code></pre><p>Get/set the Mid-Lift Knee Angle value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATKneeAngle&gt;.MidLiftTime : float</code></pre><p>Get/set the Mid-Lift Knee Angle time.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATKneeAngle&gt;.MidLiftTangent : float</code></pre><p>Get/set the Mid-Lift Knee Angle Tangent value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATKneeAngle&gt;.MidLiftInTanLength (MidLiftInTanLen) : float</code></pre><p>Get/set the Mid-Lift Knee Angle In Tangent Length value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATKneeAngle&gt;.MidLiftOutTanLength (MidLiftOutTanLen) : float</code></pre><p>Get/set the Mid-Lift Knee Angle Out Tangent Length value.</p>\n\
<h2 id=\"plant-knee-angle\">Plant Knee Angle</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATKneeAngle&gt;.PlantValue : float</code></pre><p>Get/set the Plant Knee Angle value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATKneeAngle&gt;.PlantTangent : float</code></pre><p>Get/set the Plant Knee Angle Tangent value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATKneeAngle&gt;.PlantInTanLength (PlantInTanLen) : float</code></pre><p>Get/set the Plant Knee Angle In Tangent Length value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATKneeAngle&gt;.PlantOutTanLength (PlantOutTanLen) : float</code></pre><p>Get/set the Plant Knee Angle Out Tangent Length value.</p>\n\
<h2 id=\"mid-plant-knee-angle\">Mid-Plant Knee Angle</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATKneeAngle&gt;.MidPlantValue : float</code></pre><p>Get/set the Mid-Plant Knee Angle value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATKneeAngle&gt;.MidPlantTime : float</code></pre><p>Get/set the Mid-Plant Knee Angle time.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATKneeAngle&gt;.MidPlantTangent : float</code></pre><p>Get/set the Mid-Plant Knee Angle Tangent value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATKneeAngle&gt;.MidPlantInTanLength (MidPlantInTanLen) : float</code></pre><p>Get/set the Mid-Plant Knee Angle In Tangent Length value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATKneeAngle&gt;.MidPlantOutTanLength (MidPlantOutTanLen) : float</code></pre><p>Get/set the Mid-Plant Knee Angle Out Tangent Length value.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../CAT-Motion-Controllers.html\">CAT Motion Controllers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"CATLiftPlantMod-FloatController.html\">CATLiftPlantMod : FloatController</a></li>\n\
          <li><a class=\"link\" href=\"CATLegWeight-FloatController.html\">CATLegWeight : FloatController</a></li>\n\
          <li><a class=\"link\" href=\"../../3ds-Max-CAT-and-MAXScript.html\">3ds Max CAT and MAXScript</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";