var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-EA2A24ED-2305-4575-B7BF-F29AA02084B3\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>CATLegWeight : FloatController</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">CATLegWeight : FloatController {7c125bf5,3a880ece} </code></pre><p>This is a CATMotion controller used in the animation of Legs in <strong>3ds Max CAT</strong>.</p>\n\
<p>Other controllers used for CATMotion Limb Animation include <a href=\"CATKneeAngle-FloatController.html\">CATKneeAngle : FloatController</a> and <a href=\"CATLiftPlantMod-FloatController.html\">CATLiftPlantMod : FloatController</a></p>\n\
<p><img src=\"./images/GUID-17F1825E-4C41-4E51-9B0B-79F0CD74838F-low.gif\" alt></p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Class instances not creatable by MAXScript</code></pre><p><strong>Aliases:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">CATLegWeight LegWeight </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATLegWeight&gt;.CATBranch : maxObject</code></pre><p>Get/set the <a href=\"CATHierarchyBranch.html\">Branch</a> controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATLegWeight&gt;.LimbData (CATLimbData) : maxObject</code></pre><p>Contains the <a href=\"./../CAT-Data-Controllers/CATLimbData2-ReferenceTarget.html\">LimbData</a> controller object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATLegWeight&gt;.LiftStartTime : float</code></pre><p>Get/set the Lift Start Time value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATLegWeight&gt;.LiftEndTime : float</code></pre><p>Get/set the Lift End Time value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATLegWeight&gt;.PlantStartTime : float</code></pre><p>Get/set the Plant Start Time value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATLegWeight&gt;.TroughTanLength (PlantEndTime) : float</code></pre><p>Get/set the Through Tangent Length value.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../CAT-Motion-Controllers.html\">CAT Motion Controllers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"CATKneeAngle-FloatController.html\">CATKneeAngle : FloatController</a></li>\n\
          <li><a class=\"link\" href=\"CATLiftPlantMod-FloatController.html\">CATLiftPlantMod : FloatController</a></li>\n\
          <li><a class=\"link\" href=\"../../3ds-Max-CAT-and-MAXScript.html\">3ds Max CAT and MAXScript</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";