var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-86B884A7-71B5-4EB9-B827-8908C4F363B7\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: CATGroupManagerFPInterface</h1></div><p>Exposed by various components of <strong>3ds Max CAT</strong>.</p>\n\
<p>Provides access to the number of bones and individual bones in the CAT Group.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<h2 id=\"interface-catgroupmanagerfpinterface\">Interface: CATGroupManagerFPInterface</h2><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.NumBones : integer : Read|Write</code></pre><p>Get/set the number of bones in the CAT Group.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;GetBone &lt;index&gt;index</code></pre><p>Returns the Interface to the indexed bone in the CAT Group.</p>\n\
<p><strong>Exposed by</strong></p>\n\
<p><a href=\"./../CAT-Controllers/CAT-Data-Controllers/CATBoneDataMatrix3Controller.html\">CATBoneDataMatrix3Controller : Matrix3Controller</a></p>\n\
<p><a href=\"./../CAT-Controllers/CAT-Data-Controllers/CATLimbData2-ReferenceTarget.html\">CATLimbData2ReferenceTarget : ReferenceTarget</a></p>\n\
<p><a href=\"./../CAT-Controllers/CAT-Data-Controllers/CATSpineData2-ReferenceTarget.html\">CATSpineData2ReferenceTarget ReferenceTarget</a></p>\n\
<p><a href=\"./../CAT-Controllers/CAT-Data-Controllers/DigitData-ReferenceTarget.html\">DigitDataReferenceTarget : ReferenceTarget</a></p>\n\
<p><a href=\"./../CAT-Objects/TailData2-ReferenceTarget.html\">TailData2 : ReferenceTarget</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../CAT-Interfaces.html\">CAT Interfaces</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../3ds-Max-CAT-and-MAXScript.html\">3ds Max CAT and MAXScript</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";