var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-FAA89BE5-3E7C-4CA0-A44A-2B089B133E98\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: ILayerControlFPInterface</h1></div><p>This Function Publishing Interface is exposed by <a href=\"./../CAT-Controllers/CAT-Layer-Controllers/LayerFloat-FloatController.html\">LayerFloat : FloatController</a> and <a href=\"./../CAT-Controllers/CAT-Layer-Controllers/LayerMatrix3-Matrix3Controller.html\">LayerMatrix3 : Matrix3Controller</a> which are components of <strong>3ds Max CAT</strong>.</p>\n\
<h2 id=\"interface-ilayercontrolfpinterface\">Interface: ILayerControlFPInterface</h2><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.LayerRoot: control : Read      </code></pre><p>Contains the Layer Root Controller.</p>\n\
<p>Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> .Weights : control : Read   </code></pre><p>Contains the Weights Controller.</p>\n\
<p>Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> .CATControl : control : Read </code></pre><p>Contains the CAT Controller.</p>\n\
<p>Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> .UseSetupController : boolean : Read|Write </code></pre><p>Get/set whether to use the Setup controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> .SetupController : control : Read </code></pre><p>Contains the Setup Controller.</p>\n\
<p>Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> .AdditiveToSetupValue : boolean : Read|Write </code></pre><p>Get/set whether to apply the layer data additively to the value of the Setup controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> .SelectedLayerCtrl : control : Read </code></pre><p>Contains the Selected Layer Controller.</p>\n\
<p>Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> .NumLayers : integer : Read </code></pre><p>Contains the number of layers.</p>\n\
<p>Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> .LayerControllers : control by value array : Read </code></pre><p>Contains the array of Layer Controllers.</p>\n\
<p>Read-only.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;void&gt;BakeCurrentLayerSettings() </code></pre><p>Bakes the current layer settings.</p>\n\
<p>Read-only.</p>\n\
<p>Exposed by</p>\n\
<p><a href=\"./../CAT-Controllers/CAT-Layer-Controllers/LayerFloat-FloatController.html\">LayerFloat : FloatController</a></p>\n\
<p><a href=\"./../CAT-Controllers/CAT-Layer-Controllers/LayerMatrix3-Matrix3Controller.html\">LayerMatrix3 : Matrix3Controller</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../CAT-Interfaces.html\">CAT Interfaces</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../3ds-Max-CAT-and-MAXScript.html\">3ds Max CAT and MAXScript</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";