var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-D3BB444C-2424-4D5B-9825-61729C16CC15\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: LayerInfoFPInterface</h1></div><p>This interface is exposed by the <a href=\"./../CAT-Controllers/CAT-Layer-Controllers/LayerInfo-FloatController.html\">LayerInfo : FloatController</a> , <a href=\"./../CAT-Controllers/CAT-Motion-Controllers/CATMotionLayer-FloatController.html\">CATMotionLayer : FloatController</a> and <a href=\"./../CAT-Controllers/CAT-Layer-Controllers/MocapLayer-FloatController.html\">MocapLayer : FloatController</a> which are part of <strong>3ds Max CAT</strong>.</p>\n\
<h2 id=\"interface-layerinfofpinterface\">Interface: LayerInfoFPInterface</h2><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.LayerName:Stringby value : Read|Write      </code></pre><p>The name of the layer as it appears in the LayerManager rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.LayerColour: color by value : Read|Write   </code></pre><p>The color of the layer. This is the valueused to colorizethe CATRig when &quot;Colour Modes&quot; is set to &apos;Layer Colours&apos;</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.LayerType:Stringby value : Read </code></pre><p>Use this to find out what type of layer this LayerInfo controller is maintaining.</p>\n\
<p>Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.LayerEnabled: boolean : Read|Write </code></pre><p>Enable/disable the layer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.TransformNodeOn: boolean : Read|Write </code></pre><p>This property lets you to turn the transform node on and of, or to check the current state of the transformnode button.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.RemoveDisplacement: boolean : Read|Write </code></pre><p>Get/set the state of the Remove Displacement option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.LayerIndex: index : Read </code></pre><p>The index of this layer in the Layer stack. An index of 1 means the very top of the layer stack.</p>\n\
<p>Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.CATParent: node : Read </code></pre><p>Contains the <a href=\"./../CAT-Objects/CATParent-Helper.html\">CATParent node</a>.</p>\n\
<p>Read-only.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;node&gt;GetTransformNode() </code></pre><p>Returns the INode for the transform node if it is currently created.</p>\n\
<p><strong>Exposed by</strong></p>\n\
<p><a href=\"./../CAT-Controllers/CAT-Layer-Controllers/LayerInfo-FloatController.html\">LayerInfo : FloatController</a></p>\n\
<p><a href=\"./../CAT-Controllers/CAT-Motion-Controllers/CATMotionLayer-FloatController.html\">CATMotionLayer : FloatController</a></p>\n\
<p><a href=\"./../CAT-Controllers/CAT-Layer-Controllers/MocapLayer-FloatController.html\">MocapLayer : FloatController</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../CAT-Interfaces.html\">CAT Interfaces</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../3ds-Max-CAT-and-MAXScript.html\">3ds Max CAT and MAXScript</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";