var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-BBB9DEDD-ECFC-4F12-B7BB-13E590D78169\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Cloth : Modifier</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Cloth - superclass: modifier; super-superclass:MAXWrapper - classID:#(1740754247, 2005071992) </code></pre><p>The <strong>Cloth modifier</strong> implements the main element of the Cloth system introduced in <strong>3ds Max 8</strong>. It provides access to all simulation parameters and controls the actual simulation process.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Cloth...      \n\
Clothfx...   </code></pre><p><strong>Properties:</strong></p>\n\
<h2 id=\"object\">Object</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.showCurrentState BooleanClass default: false -- boolean; Show_Current_State   </code></pre><p>Gets/sets the state of the <strong>Show Current State</strong> checkbox in the Object rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.showTargetState BooleanClass default: false -- boolean; Show_Target_State </code></pre><p>Gets/sets the state of the <strong>Show Target State</strong> checkbox in the Object rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.showEnabledSolidCollision BooleanClass default: false -- boolean; Show_Enabled_Solid_Collision </code></pre><p>Gets/sets the state of the <strong>Show enabled solid collision</strong> checkbox in the Object rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.showEnabledClothCollision BooleanClass default: false -- boolean; Show_Enabled_Cloth_Collision </code></pre><p>Gets/sets the state of the <strong>Show enabled self collision</strong> checkbox in the Object rollout.</p>\n\
<h2 id=\"simulation-parameters-rollout\">Simulation Parameters Rollout</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.scaleFloat default: 2.54 -- float; cm_per_unit </code></pre><p>Gets/sets the <strong>Scale</strong> value in cm/unit.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.useGravit yBooleanClass default: true -- boolean; Use_Gravity </code></pre><p>Controls the state of the <strong>Gravity</strong> checkbutton.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.gravity Float default: -980.0 -- animatable; float </code></pre><p>Gets/sets the <strong>Gravity</strong> value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.timestep Float default: 0.02 -- animatable; float; time_step </code></pre><p>Gets/sets the <strong>Step</strong> value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.subsample Integer default: 1 -- animatable; integer </code></pre><p>Gets/sets the <strong>Sub sample</strong> value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.startFrame Integer default: 0 -- integer; start_frame </code></pre><p>Gets/sets the <strong>Start Frame</strong> value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.enableEndFrame BooleanClass default: false -- boolean </code></pre><p>Controls the state of the <strong>End Frame</strong> checkbox. When set to true, the end frame will be used.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.endFrame Integer default: 100 -- integer; End_Frame </code></pre><p>Gets/sets the <strong>End Frame</strong> value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.selfCollision BooleanClass default: false -- animatable; boolean; self_collision </code></pre><p>Controls the state of the <strong>Self Collision</strong> checkbox. When set to true, the cloth will calculate self-collisions. Animatable.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.clothclothMethod Integer default: 0 -- animatable; integer; Cloth_Cloth_Method </code></pre><p>Gets/sets the Self-Collision value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.checkIntersections BooleanClass default: false -- boolean; Check_Intersections </code></pre><p>Controls the state of the <strong>Check Intersections</strong> checkbox. When set to true, the cloth will check for self-intersections.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.solidCollision BooleanClass default: true -- animatable; boolean; solid_collision </code></pre><p>Controls the state of the <strong>Solid Collision</strong> checkbox. When set to true, the collision will be calculated as solid.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.useSewingSpring sBooleanClass default: true -- boolean; Use_sewing_springs </code></pre><p>Controls the state of the <strong>Use Sewing Springs</strong> checkbox. When set to true, the sewing springs will be used.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.showSewingSprings BooleanClass default: true -- boolean; Show_sewing_springs </code></pre><p>Controls the state of the <strong>Show Sewing Springs</strong> checkbox. When set to true, the sewing springs will be shown.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.simOnRender BooleanClass default: false -- boolean; Simulate_on_Render </code></pre><p>Controls the state of the <strong>Sim On Render</strong> checkbox. When set to true, the simulation will be performed before rendering.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.simPriorityInteger default: 1 -- integer; Sim_Priority </code></pre><p>Gets/sets the Simulation Priority value. When Sim On Render is enabled, this value defines the priority of the Cloth simulation to determine the order in which the simulations will be performed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.advancedPinching BooleanClass default: false -- animatable; boolean; Advanced_Pinching </code></pre><p>Controls the state of the <strong>Advanced Pinching</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.showTension BooleanClass default: false -- boolean; Show_Tension </code></pre><p>Controls the state of the <strong>Tension</strong> checkbox. When set to true, shows the tension of the cloth using colors.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.tensionScale Float default: 1.0 -- float; Tension_Scale </code></pre><p>Gets/sets the Tension Scale value used when<strong>. showTension</strong> is set to true. Corresponds to the <strong>Tension</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.relativeVelocity Float default: 0.0 -- animatable; float; Relative_Velocity_Adjustment </code></pre><p>Gets/sets the relative velocity adjustment value. Not exposed to the UI. Animatable.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.timeScale Float default: 1.0 -- animatable; float; Time_Scale </code></pre><p>Gets/sets the time scale value. Not exposed to the UI. Animatable.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.weldMethod Integer default: 1 -- integer; Weld_Method </code></pre><p>Gets/sets the index of the welding method radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Verts</strong></p>\n\
<p>1 - <strong>Normals</strong> (default)</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.ignoreBackfacing BooleanClass default: false -- boolean; Ignore_Backfacing </code></pre><p>Gets/sets the state of the Ignore Backfacing option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.simOnMouseDown BooleanClass default: true -- boolean; Sim_on_Mouse_Down </code></pre><p>Gets/sets the state of the Simulate On Mouse Down option.</p>\n\
<h3 id=\"paramblock2parameters-\">ParamBlock2Parameters:</h3><p>The following properties are accessible as properties of the Cloth Object ParamBlock2 accessed using the method<strong>. getObjectParamBlock()</strong> exposed by the <a href=\"Cloth-Modifier.html\"\">ClothOps Mixin Interface</a>. This Parameter Block is associated with a scene object that has a Cloth Modifier applied to it. There is one ReferenceTarget:ParamBlock2 for each object the Cloth Modifier is applied to.</p>\n\
<p>The same ParamBlock2 can be accessed as a property of the Cloth Modifier. The name of the property consists of the name of the scene node followed by &quot;_properties&quot;.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   mySphere = sphere()\n\
   myCloth = cloth()\n\
   addmodifier mySphere myCloth\n\
\n\
   thePB2 = mySphere.cloth.getObjectParamBlock $Sphere001\n\
   thePB2.Use_Bend_Map\n\
\n\
   --which is equivalent to\n\
\n\
   $Sphere001.cloth.Sphere001_properties.useBendMap\n\
</code></pre></blockquote>\n\
<h4 id=\"selected-object-rollout-cache\">Selected Object Rollout - Cache</h4><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;&lt;ParamBlock2&gt;.cacheFile (Cache_File) : string </code></pre><p>Gets/sets the name of the cache file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;&lt;ParamBlock2&gt;.forceUnc (Force_UNC_path) : boolean </code></pre><p>Gets/sets the state of the Force UNC Path checkbox. When set to true, a UNC path will be used for the cache file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;&lt;ParamBlock2&gt;.exportCacheAs (Extra_Cache) : boolean </code></pre><p>Gets/sets whether to export the cache.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;&lt;ParamBlock2&gt;.overWriteCache (Overwrite_Cache_File) : boolean </code></pre><p>Gets/sets whether to overwrite the cache file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;&lt;ParamBlock2&gt;.extraCacheFile (Extra_Cache_File) : string </code></pre><p>Gets/sets the extra cache file name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;&lt;ParamBlock2&gt;.overWriteExtraCache: boolean </code></pre><p>Gets/sets whether to overwrite the extra cache file.</p>\n\
<h4 id=\"selected-object-rollout-property-assignment\">Selected Object Rollout - Property Assignment</h4><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;&lt;ParamBlock2&gt;.method (Properties_Application_Method) : integer </code></pre><p>Gets/sets the material properties application method.</p>\n\
<p>Corresponds to the radio buttons in the Property Assignment Group of controls.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Interpolate</strong>(default)</p>\n\
<p>1 - <strong>Texture Map</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;&lt;ParamBlock2&gt;.bias (Property_Bias) : float </code></pre><p>Gets/sets the material interpolation bias. Corresponds to the spinner/slider in the Property Assignment Group of controls.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;&lt;ParamBlock2&gt;.objectMap (Object_Map) :texturemap </code></pre><p>Gets/sets the Texture Map.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;&lt;ParamBlock2&gt;.objectMapChannel (Object_Map_Channel) :integer </code></pre><p>Gets/sets the Mapping Channel.</p>\n\
<h4 id=\"selected-object-rollout-bend-map\">Selected Object Rollout - Bend Map</h4><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;&lt;ParamBlock2&gt;.useBendMap (Use_Bend_Map) : boolean </code></pre><p>Enables/disables the use of the Bend map. Corresponds to the checkbox in front of the Bend Map value in the Bend Map group of controls in the Selected Object Rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;&lt;ParamBlock2&gt;.bendMapStrength (Bend_Map_Strength) : float </code></pre><p>Gets/sets the Bend map strength. Corresponds to the Bend Map value spinner in the Bend Map group of controls in the Selected Object Rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;&lt;ParamBlock2&gt;.bendMapSource (Bend_Map_Source) : integer </code></pre><p>Gets/sets the Bend map source. Corresponds to the radio buttons in the Bend Map group of controls in the Selected Object Rollout.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Vertex color</strong>(default)</p>\n\
<p>1 - <strong>Map Channel</strong></p>\n\
<p>2 - <strong>Texture Map</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;&lt;ParamBlock2&gt;.bendMapChannel (Bend_Map_Source_Vertex_Color_Channel) : integer </code></pre><p>Gets/sets the texture map channel when bendMapSource is set to 1. Corresponds to the Map Channel value in the Bend Map group of controls in the Selected Object Rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;&lt;ParamBlock2&gt;.bendMap (Bend_Map) : texturemap </code></pre><p>Gets/sets the texture map to use as Bend Map. Corresponds to the map button in the Bend Map group of controls in the Selected Object Rollout.</p>\n\
<h3 id=\"groupparameters-\">GroupParameters:</h3><p>The following properties are accessible in Vertex Groups. By default, no Vertex Groups exist, resulting in an error message</p>\n\
<blockquote>\n\
<p>   -- Runtime error: Couldn&apos;t find a previously defined paramblock in Cloth</p>\n\
</blockquote>\n\
<p>Be sure to create a vertex group before accessing vertex group parameters.</p>\n\
<p>You can either use the . <strong>getGroupParamBlock()</strong> method exposed by the <a href=\"Cloth-Modifier.html\"\">ClothOps Mixin Interface</a> documented later in this topic or access the properties by specifying the ReferenceTarget:ParamBlock2 as a property of the Cloth modifier. In this case, you might have to use the aliases given in brackets.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   theGroupRT = mySphere.cloth.getGroupParamBlock()\n\
   theGroupRT.Active\n\
\n\
   --which is equivalent to\n\
\n\
   mySphere.cloth.group01.Active\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.&lt;Group&gt;.groupName(Group_Name) : string </code></pre><p>Gets/sets the group name.</p>\n\
<h4 id=\"group-constraint-parameters-\">Group -Constraint Parameters:</h4><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.&lt;Group&gt;.ConstraintIsActive (Active): boolean </code></pre><p>Gets/sets whether the constraint is active or not. Corresponds to the <strong>On</strong> checkbox in the Group Parameters rollout &gt; Constraint Parameters group of controls.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.&lt;Group&gt;.ConstraintIsSoft (Is_Soft): boolean </code></pre><p>Gets/sets whether the constraint is soft. Corresponds to the <strong>Soft</strong> checkbox in the Group Parameters rollout &gt; Constraint Parameters group of controls.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.&lt;Group&gt;.ConstraintOffset (Offset): float </code></pre><p>Gets/sets the constraint offset. Corresponds to the <strong>Offset</strong> spinner in the Group Parameters rollout &gt; Constraint Parameters group of controls.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.&lt;Group&gt;.OffsetRelative (Offset_is_Relative): boolean </code></pre><p>Gets/sets whether the constraint is relative (true) or absolute (false).Corresponds to the <strong>rel</strong> checkbox in the Group Parameters rollout &gt; Constraint Parameters group of controls.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.&lt;Group&gt;.constraintStrength (Strength): float </code></pre><p>Gets/sets the constraint strength. Corresponds to the <strong>Strength</strong> spinner in the Group Parameters rollout &gt; Constraint Parameters group of controls.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.&lt;Group&gt;.useVertexColors (Use_Vertex_Colors): boolean </code></pre><p>Gets/sets whether the constraint strength uses the vertex colors. Corresponds to the <strong>vc</strong> checkbox in the Group Parameters rollout &gt; Constraint Parameters group of controls.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.&lt;Group&gt;.constraintDamping (Damping): float </code></pre><p>Gets/sets the constraint damping. Corresponds to the <strong>Damping</strong> spinner in the Group Parameters rollout &gt; Constraint Parameters group of controls.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.&lt;Group&gt;.assigner_type (AssignerType) : integer </code></pre><p>Gets/sets the assigner type.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>1-to-1</strong></p>\n\
<p>1 - <strong>Blob</strong></p>\n\
<p>Corresponds to the radio buttons in the Group Parameters rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.&lt;Group&gt;.useRadius (Use_Radius) : boolean </code></pre><p>Gets/sets whether to use the radius value. Corresponds to the <strong>Radius</strong> checkbox in the Group Parameters rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.&lt;Group&gt;.radius: float </code></pre><p>Gets/sets the radius value. Corresponds to the <strong>Radius</strong> spinner in the Group Parameters rollout.</p>\n\
<h4 id=\"group-behavior-properties\">Group - Behavior Properties</h4><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.&lt;Group&gt;.useGroupBehavior (Use_Group_Behavior) : boolean </code></pre><p>Gets/sets the <strong>BehaviorSettings</strong> checkbox in the behavior group of controls.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.&lt;Group&gt;.groupsolidCollision (Grp_Solid_Collision): boolean </code></pre><p>Gets/sets whether the to process solid collisions in the group.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.&lt;Group&gt;.groupselfCollision (Grp_Self_Collision): boolean </code></pre><p>Gets/sets whether the to process self collisions in the group.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.&lt;Group&gt;.Layer: integer </code></pre><p>Gets/sets the <strong>Layer</strong> value in the behavior group of controls.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.&lt;Group&gt;.keepShape (Keep_Shape) : boolean </code></pre><p>Gets/sets whether to try to keep the shape. Corresponds to the <strong>Keep Shape</strong> checkbox in the Group Parameters rollout, behavior group of controls.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.&lt;Group&gt;.keepShapeFactor (Keep_Shape_Factor) : float </code></pre><p>Gets/sets the <strong>Bend %</strong> value in the behavior group of controls.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.&lt;Group&gt;.keepShapeEdgeLengthsFactor (Keep_Shape_Edge_Lenghts_Factor) : float </code></pre><p>Gets/sets the <strong>Stretch %</strong> value in the behavior group of controls.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.&lt;Group&gt;.useGroupProperties (Use_Group_Properties) : boolean </code></pre><p>Gets/sets whether to use the group properties. Corresponds to the <strong>Use These Properties</strong>checkbox in the Group Parameters rollout.</p>\n\
<h4 id=\"group-simulation-parameters\">Group - Simulation Parameters</h4><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.&lt;Group&gt;.UbendResistance (U_Bend_Resistance) : float </code></pre><p>Gets/sets the bend resistance along U. Corresponds to the <strong>UBend</strong> spinner in the Group Parameters rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.&lt;Group&gt;.VbendResistance (V_Bend_Resistance) : float </code></pre><p>Gets/sets the bend resistance along V. Corresponds to the <strong>Bend</strong> spinner in the Group Parameters rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.&lt;Group&gt;.uBendCurve (U_Bend_Curve) : float </code></pre><p>Gets/sets the bend curve along U. Corresponds to the <strong>UB-Curve</strong> spinner in the Group Parameters rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.&lt;Group&gt;.vBendCurve (V_Bend_Curve) : float </code></pre><p>Gets/sets the bend curve along V. Corresponds to the <strong>VB-Curve</strong> spinner in the Group Parameters rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.&lt;Group&gt;.UstretchResistance (U_Strech_Resistance) : float </code></pre><p>Gets/sets the stretch resistance along U. Corresponds to the <strong>U Stretch</strong> spinner in the Group Parameters rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.&lt;Group&gt;.VstretchResistance (V_Stretch_Resistance) : float </code></pre><p>Gets/sets the stretch resistance along V. Corresponds to the <strong>V Stretch</strong> spinner in the Group Parameters rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.&lt;Group&gt;.UCompressionResistance (U_Compression_Resistance) : float </code></pre><p>Gets/sets the compression resistance along U.</p>\n\
<p>Corresponds to the <strong>UCompress</strong> spinner in the Group Parameters rollout.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.&lt;Group&gt;.UCompressionResistance (U_Compression_Resistance) : float </code></pre><p>Gets/sets the compression resistance along V.</p>\n\
<p>Corresponds to the <strong>VCompress</strong> spinner in the Group Parameters rollout.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.&lt;Group&gt;.shearResistance (Shear_Resistance) : float </code></pre><p>Gets/sets the Shear resistance. Corresponds to the <strong>Shear</strong> spinner in the Group Parameters rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.&lt;Group&gt;.density: float </code></pre><p>Gets/sets the cloth Density. Corresponds to the <strong>Density</strong> spinner in the Group Parameters rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.&lt;Group&gt;.thickness: float </code></pre><p>Gets/sets the cloth thickness. Corresponds to the <strong>Thickness</strong> spinner in the Group Parameters rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.&lt;Group&gt;.clothClothForce (Cloth_cloth_force) : float </code></pre><p>Gets/sets the cloth-cloth force. Corresponds to the <strong>Repulsion</strong> spinner in the Group Parameters rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.&lt;Group&gt;.stretchDamping (Stretch_Damping) : float </code></pre><p>Gets/sets the stretch damping. Corresponds to the <strong>Damping</strong> spinner in the Group Parameters rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.&lt;Group&gt;.airDamping (Air_Resistance) : float </code></pre><p>Gets/sets the air resistance value. Corresponds to the <strong>Air Res.</strong> spinner in the Group Parameters rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.&lt;Group&gt;.dynamicFriction (Dynamic_Friction) : float </code></pre><p>Gets/sets the dynamic friction. Corresponds to the <strong>Dyn Fric.</strong> spinner in the Group Parameters rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.&lt;Group&gt;.staticFriction (Static_Friction) : float </code></pre><p>Gets/sets the static friction. Corresponds to the <strong>Static Fric.</strong> spinner in the Group Parameters rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.&lt;Group&gt;.clothClothFriction (Cloth_cloth_Friction) : float </code></pre><p>Gets/sets the cloth-cloth friction. Corresponds to the <strong>Self Fric.</strong> spinner in the Group Parameters rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.&lt;Group&gt;.uScale (U_Scale) : float </code></pre><p>Gets/sets the scale along U. Corresponds to the <strong>U Scale</strong> spinner in the Group Parameters rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.&lt;Group&gt;.vScale (V_Scale) : float </code></pre><p>Gets/sets the scale along V. Corresponds to the <strong>V Scale</strong> spinner in the Group Parameters rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.&lt;Group&gt;.seamForce (Seam_Force) : float </code></pre><p>Gets/sets the seam force. Corresponds to the <strong>Seam Force</strong> spinner in the Group Parameters rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.&lt;Group&gt;.collisionDepth (Collision_Depth) : float </code></pre><p>Gets/sets the collision offset. Corresponds to the <strong>Depth</strong> spinner in the Group Parameters rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.&lt;Group&gt;.collisionOffset (Collision_Offset) : float </code></pre><p>Gets/sets the collision offset. Corresponds to the <strong>Offset</strong> spinner in the Group Parameters rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.&lt;Group&gt;.Plasticity: float </code></pre><p>Gets/sets the Plasticity value. Corresponds to the <strong>Plasticity</strong> spinner in the Group Parameters rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.&lt;Group&gt;.Stickiness: float </code></pre><p>Gets/sets the Plasticity value.</p>\n\
<p>Corresponds to the <strong>Cling</strong> spinner in the Group Parameters rollout.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.&lt;Group&gt;.Pressure (Pressure) : float </code></pre><p>Gets/sets the Pressure value.</p>\n\
<p>Corresponds to the <strong>Pressure</strong> spinner in the Group Parameters rollout.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.&lt;Group&gt;.PressureDamping (Pressure_Damping) : float </code></pre><p>Gets/sets the Pressure Damping value.</p>\n\
<p>Corresponds to the <strong>Press. Damp</strong> spinner in the Group Parameters rollout.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.&lt;Group&gt;.anisotropic: boolean </code></pre><p>Gets/sets whether to simulate the cloth as anisotropic. Corresponds to the <strong>Anisotropic</strong> checkbox in the Group Parameters rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.&lt;Group&gt;.useEdgeSprings (Use_Edge_Springs) : boolean </code></pre><p>Gets/sets whether to use Edge Springs. Corresponds to the <strong>UseEdge Springs</strong> checkbox in the Group Parameters rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.&lt;Group&gt;.useSolidDepthOffset (Use_Solid_Depth_Offset) : boolean </code></pre><p>Gets/sets the state of the Use Cloth Depth/Offset checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.&lt;Group&gt;.useSolidFricion (Use_Solid_Friction) : boolean </code></pre><p>Gets/sets whether to use solid friction or not. Not exposed to the UI.</p>\n\
<h4 id=\"group-soft-selectionproperties\">Group- Soft SelectionProperties</h4><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.&lt;Group&gt;.useSoftSelection (Use_Soft_Selection) : boolean </code></pre><p>Enables/disables Soft Selection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.&lt;Group&gt;.softselUseEdgeDistance (Use_Edge_Distance) : boolean </code></pre><p>Enables/disables the use of Soft Selection distance.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.&lt;Group&gt;.softselEdgeDist (Edge_Distance) : integer </code></pre><p>Gets/sets the Soft Selection Edge Distance value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.&lt;Group&gt;.softselAffectBackfacing (Affect_Backfacing) : boolean </code></pre><p>When set to true, soft-selection affects vertices if back-facing faces.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.&lt;Group&gt;.softselFalloff (Falloff) : world units </code></pre><p>Gets/sets the Soft Selection Falloff value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.&lt;Group&gt;.softselPinch (Pinch) : float </code></pre><p>Gets/sets the Soft Selection Pinch value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.&lt;Group&gt;.softselBubble (Bubble) : float </code></pre><p>Gets/sets the Soft Selection Bubble value.</p>\n\
<h4 id=\"group-texture-map-properties\">Group -Texture Map Properties</h4><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.&lt;Group&gt;.useTextureMap (Use_Texture_Map) : boolean </code></pre><p>Gets/sets whether to use the Texture map or not. Corresponds to the <strong>Use TextureMap</strong> checkbox in the Group Parameters rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.&lt;Group&gt;.texture (TextureMap) : texmap </code></pre><p>Gets/sets the Texture map to use. Corresponds to the <strong>TextureMap</strong> button in the Group Parameters rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.&lt;Group&gt;.mapChannel (Map_Channel) : integer </code></pre><p>Gets/sets the map channel to use. Corresponds to the <strong>MapChannel</strong> spinner in the Group Parameters rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.&lt;Group&gt;.map (Map_Channel_Type) : integer </code></pre><p>Gets/sets whether to use the specified Map channel or the Vertex Color channel. Corresponds to the <strong>Mapping Channel</strong> radio buttons in the Group Parameters rollout.</p>\n\
<h4 id=\"group-other-properties\">Group - Other Properties</h4><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.&lt;Group&gt;.frictionVelocityCutoff (Friction_Velocity_Cutoff) : float </code></pre><p>Gets/sets the friction velocity cutoff. Default is 30.0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Cloth&gt;.&lt;Group&gt;.matID (Constraint_MatID) : integer </code></pre><p>Gets/sets the Constraint Material ID.</p>\n\
<p><strong>Cloth Interfaces:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:clothOps </code></pre><div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>The <strong>clothOps Interface</strong> is a Mixin Interface exposed by the <strong>Cloth Modifier</strong> and <strong>is NOT</strong> a global interface.</p>\n\
<p>The methods listed below can be accessed as methods of the Cloth Modifier itself without specifying the <strong>clothOps</strong> prefix.</p>\n\
<p>Sometimes the methods require the node to be passed as argument because the modifier can be instanced across multiple nodes and MAXScript needs to know which node to use. See the example below:</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   mySphere.modifiers[#Cloth].numberVertices mySphere\n\
   --or\n\
   mySphere.Cloth.numberVertices mySphere\n\
   --which is equivalent to\n\
   mySphere.Cloth.clothOps.numberVertices mySphere\n\
</code></pre></blockquote>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;paramBlock2&gt;getObjectParamBlock &lt;node&gt;node </code></pre><p>Returns the parameter block Reference Target of the specified node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;paramBlock2&gt;getGroupParamBlock &lt;string&gt;groupname </code></pre><p>Returns the parameter block Reference Target of the specified named group. This can be used to access the Group parameters.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;numberVertices &lt;node&gt;node </code></pre><p>Returns the number of vertices in the cloth.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;selectVertices &lt;bitArray&gt; sel &lt;node&gt; node </code></pre><p>Selects the vertices specified by the bitArray in the supplied node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bitArray&gt;getSelectedVertices &lt;node&gt; node </code></pre><p>Returns the selected vertices in the supplied node as bitArray.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;makeConstraint &lt;string&gt;groupname &lt;string&gt; type &lt;node&gt; target_node </code></pre><p>Makes a constraint from the given group using the specified type and target node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;makePointGroup &lt;bitArray&gt; vertex_sel &lt;node&gt;node &lt;string&gt; name </code></pre><p>Creates a Point Group with the supplied name from the vertices specified by the bitArray in the supplied node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;deletePointgroup &lt;string&gt; groupname </code></pre><p>Deletes the Point Group with the supplied name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;initPointgroup &lt;string&gt; groupname </code></pre><p>Initializes the Point Group with the supplied name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;detachPointgroup &lt;string&gt; groupname </code></pre><p>Detaches the Point Group with the supplied name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;makeGroupConstraint &lt;string&gt; groupname &lt;string&gt; target_group </code></pre><p>Constrains the Point Group with the supplied name to the target group with the supplied name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;simulate &lt;boolean&gt; show_dialog </code></pre><p>Starts the simulation. If the parameter is true, shows the simulation dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;simulateLocal &lt;integer&gt; stop_condition &lt;float&gt; param &lt;boolean&gt; damped </code></pre><p>Starts a local simulation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;stopLocalSimulation() </code></pre><p>Stops the local simulation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;eraseSimulation() </code></pre><p>Erases the current simulation. Corresponds to pressing the &quot;Erase Simulation&quot; button in the Cloth modifier&apos;s UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;truncateSimulation() </code></pre><p>Truncates the current simulation. Corresponds to pressing the &quot;Truncate Simulation&quot; button in the Cloth modifier&apos;s UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setInitialState &lt;node&gt;node </code></pre><p>Sets the current cloth state as the initial state. Corresponds to pressing the &quot;Set Initial State&quot; button in the Cloth modifier&apos;s UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;resetState &lt;node&gt;node </code></pre><p>Resets the cloth state. Corresponds to pressing the &quot;Reset State&quot; button in the Cloth modifier&apos;s UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;delObjectCache &lt;node&gt;node </code></pre><p>Deletes the Object Cache. Corresponds to pressing the &quot;Delete Object Cache&quot; button in the Cloth modifier&apos;s UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setObjectType &lt;node&gt; node &lt;integer&gt; type &lt;boolean&gt;updateSim </code></pre><p>Sets the object type of the specified node to the type specified by the integer parameter. If updateSim is true, updates the simulation.</p>\n\
<p>Possible type integer values are:</p>\n\
<p>0 - <strong>Inactive</strong></p>\n\
<p>1 - <strong>Collision Object</strong></p>\n\
<p>2 - <strong>Cloth</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;getObjectType &lt;node&gt;node </code></pre><p>Returns the object type of the specified node as integer.</p>\n\
<p>Possible return values are:</p>\n\
<p>0 - <strong>Inactive</strong></p>\n\
<p>1 - <strong>Collision Object</strong></p>\n\
<p>2 - <strong>Cloth</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setObjectProperty &lt;node&gt; node &lt;string&gt; property &lt;value&gt; value </code></pre><p>Sets the object property specified by the string name to the supplied value in the specified node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;stringarray&gt;showObjectProperties() </code></pre><p>Returns an array of strings containing all supported object property names.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;grabState &lt;node&gt; node </code></pre><p>Grabs the state of the cloth. Corresponds to pressing the &quot;Grab State&quot; button in the Cloth modifier&apos;s UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;addForceField &lt;node&gt;node </code></pre><p>Adds the specified Space Warp force to the list of Cloth Forces.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;removeForceField &lt;node&gt;node </code></pre><p>Removes the specified Space Warp force from the list of Cloth Forces.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;flagParticles &lt;bitArray&gt;sel </code></pre><p>For <strong>internal</strong> use only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;exportCache &lt;node&gt; node &lt;string&gt; filename </code></pre><p>Exports a cache file for the specified node to the given file name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;importCache &lt;node&gt; node &lt;string&gt; filename </code></pre><p>Imports a cache file for the specified node from the given file name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;loadCache &lt;node&gt; node </code></pre><p>Loads the cache for the specified node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;loadAllCaches() </code></pre><p>Loads all caches.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;saveCache &lt;node&gt;node </code></pre><p>Saves the cache for the specified node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;saveExtraCache &lt;node&gt;node </code></pre><p>Saves an extra cache for the specified node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;saveAllCaches() </code></pre><p>Saves all caches.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;saveAllExtraCaches() </code></pre><p>Saves all extra caches.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;makeTear &lt;bitArray&gt; vertex_sel &lt;node&gt; node &lt;string&gt; name </code></pre><p>Creates a tear in the node specified as second argument defined by the vertex selection specified by the bitArray passed as first argument and named as the string passed as third argument.</p>\n\
<p>Returns the index of the tear.</p>\n\
<p>Available in <strong>3ds Max 2010 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;clearTears &lt;node&gt; node </code></pre><p>Clears all tears in the specified node.</p>\n\
<p>Available in <strong>3ds Max 2010 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;value&gt; getObjectProperty &lt;node&gt; node &lt;string&gt; property </code></pre><p>Returns the value of the node&apos;s property.</p>\n\
<p>The first argument specifies the node to get the property from.</p>\n\
<p>The second argument specifies the name of the property as a string.</p>\n\
<p>The return value depends on the property&apos;s type.</p>\n\
<p>Available in <strong>3ds Max 2011 and higher</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../MAXScript-Extensions-for-Cloth.html\">MAXScript Extensions for Cloth</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Garment_Maker-Modifier.html\">Garment_Maker : Modifier</a></li>\n\
          <li><a class=\"link\" href=\"../MAXScript-Extensions-for-Cloth.html\">MAXScript Extensions for Cloth</a></li>\n\
          <li><a class=\"link\" href=\"../../Modifier-MAXWrapper-and/Modifier-Common-Properties/Modifier-Common-Properties-1.html\">Modifier Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";