var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-827E172D-4771-4DD3-AD14-B5EC2FE75E07\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>PhysXPanel : ReferenceTarget</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> PhysXPanel - superclass:ReferenceTarget; super-superclass:MAXWrapper - 35:0 - classID:#(721879680, 1682575996)</code></pre><p><a name=\"toc\"></a></p>\n\
<!-- toc -->\n\
\n\
<ul>\n\
<li><a href=\"#-scene-settings-rollout\">&quot;Scene Settings&quot; rollout</a><ul>\n\
<li><a href=\"#ground-plane-controls\">Ground Plane controls</a></li>\n\
<li><a href=\"#-gravity-group-of-controls\">&quot;Gravity&quot; group of controls</a></li>\n\
<li><a href=\"#-rigid-bodies-group-of-controls\">&quot;Rigid Bodies&quot; group of controls</a></li>\n\
</ul>\n\
</li>\n\
<li><a href=\"#-advanced-settings-rollout\">&quot;Advanced Settings&quot; rollout</a><ul>\n\
<li><a href=\"#-sleep-settings-group-of-controls\">&quot;Sleep Settings&quot; group of controls</a></li>\n\
<li><a href=\"#-high-velocity-collisions-group-of-controls\">&quot;High Velocity Collisions&quot; group of controls</a></li>\n\
<li><a href=\"#-bounce-settings-group-of-controls\">&quot;Bounce Settings&quot; group of controls</a></li>\n\
</ul>\n\
</li>\n\
<li><a href=\"#-engine-rollout\">&quot;Engine&quot; rollout</a><ul>\n\
<li><a href=\"#-options-group-of-controls\">&quot;Options&quot; group of controls</a></li>\n\
</ul>\n\
</li>\n\
<li><a href=\"#-simulation-settings-rollout\">&quot;Simulation Settings&quot; rollout</a><ul>\n\
<li><a href=\"#-playback-group-of-controls\">&quot;Playback&quot; group of controls</a></li>\n\
</ul>\n\
</li>\n\
<li><a href=\"#-rigid-bodies-rollout\">&quot;Rigid Bodies&quot; rollout</a><ul>\n\
<li><a href=\"#-physical-meshes-group-of-controls\">&quot;Physical Meshes&quot; group of controls</a></li>\n\
</ul>\n\
</li>\n\
<li><a href=\"#-massfx-visualizer-rollout\">&quot;MassFX Visualizer&quot; rollout</a><ul>\n\
<li><a href=\"#-options-group-of-controls\">&quot;Options&quot; group of controls</a></li>\n\
<li><a href=\"#-object-properties-group-of-controls\">&quot;Object Properties&quot; group of controls</a></li>\n\
<li><a href=\"#-joint-properties-group-of-controls\">&quot;Joint Properties&quot; group of controls</a></li>\n\
<li><a href=\"#-contact-markers-group-of-controls\">&quot;Contact Markers&quot; group of controls</a></li>\n\
<li><a href=\"#-collision-markers-group-of-controls\">&quot;Collision Markers&quot; group of controls</a></li>\n\
</ul>\n\
</li>\n\
<li><a href=\"#other-properties\">Other properties</a></li>\n\
</ul>\n\
<!-- tocstop -->\n\
\n\
<p>This class implements the &quot;MassFX Tools&quot; floating dialog.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">PhysXPanel ...</code></pre><p>While it is possible to create an instance of this class, it makes no sense to do so since the MassFX system creates its own instance for the actual MassFX Tools dialog.</p>\n\
<p>Instead, use the <a href=\"./../../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/P-Q/Interface-PhysXPanelInterface.html\">PhysXPanelInterface interface</a> to access the existing instance of the MassFX Tools dialog:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">PhysXPanelInterface.instance</code></pre><p><strong>Properties:</strong></p>\n\
<h2 id=\"-quot-scene-settings-quot-rollout\">&quot;Scene Settings&quot; rollout</h2><p><img src=\"./images/GUID-E2B6DB00-B411-4276-9C9E-C3569A26E41C-low.png\" alt></p>\n\
<h3 id=\"ground-plane-controls\">Ground Plane controls</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PhysXPanel&gt;.useGroundPlane BooleanClass default: true -- boolean</code></pre><p>Get/set the state of the &quot;Use Ground Plane&quot; option.</p>\n\
<p>When set to true, the XY ground plane will be used as a virtual collision object.</p>\n\
<p>When set to false, no ground plane will be simulated.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PhysXPanel&gt;.groundHeight     Float    default: 0.0   --  float</code></pre><p>Get/set the height of the Ground Plane in world Z units. Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<h3 id=\"-quot-gravity-quot-group-of-controls\">&quot;Gravity&quot; group of controls</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PhysXPanel&gt;.gravityMode     Integer    default: 2   --  integer</code></pre><p>Get/set the state of the Gravity Mode radio buttons. Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<p>Possible values are:</p>\n\
<p>1 - <strong>No Gravity</strong></p>\n\
<p>2 - <strong>Directional Gravity</strong> (default)</p>\n\
<p>3 - <strong>Gravity By Force Object</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PhysXPanel&gt;.enableGravity BooleanClass default: true -- boolean</code></pre><p>Get/set the state of the &quot;Gravity Enabled&quot; checkbox.</p>\n\
<p>When set to true, the gravity force defined by the <code>.gravityDirection</code> and <code>.gravity</code> properties will be applied to the simulation.</p>\n\
<p>When set to false, no gravity will be simulated.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PhysXPanel&gt;.gravityDirection Integer default: 3 -- integer</code></pre><p>Get/set the state of the &quot;Direction&quot; radio button.</p>\n\
<p>Possible values are:</p>\n\
<p>1 - <strong>X</strong></p>\n\
<p>2 - <strong>Y</strong></p>\n\
<p>3 - <strong>Z</strong> (default)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PhysXPanel&gt;.gravity Float default: -386.221 -- float</code></pre><p>Get/Set the Acceleration value in units/second&#xB2;. When 1 Generic Unit = 1 inch, the default value is -386.221 inches/second&#xB2; which is equivalent to 9.81 m/s&#xB2;.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PhysXPanel&gt;.gravityObject     UndefinedClass    default: undefined   --  node</code></pre><p>Get/set the Gravity Force object used when .gavityMode is set to 3 - Gravity By Force Object. Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<h3 id=\"-quot-rigid-bodies-quot-group-of-controls\">&quot;Rigid Bodies&quot; group of controls</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PhysXPanel&gt;.subStepsInteger default: 3 -- integer</code></pre><p>Get/set the number of sub-steps per frame.</p>\n\
<p>The number of simulation steps performed between each graphical update is determined by the formula: (Substeps + 1) * Frame Rate. A frame rate of 30fps with 0 substeps results in 30 simulation steps per second, 1 substep results in 60 steps per second, 2 substeps results in 180 simulation steps per second, and so on. The maximum value of Substeps is 159, which results in 4,800 simulation steps per second of animation at 30fps. Using a higher Substeps value produces greater precision in collision and constraint results, at a cost to performance.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PhysXPanel&gt;.solverIteration Integer default: 30 -- integer</code></pre><p>Get/set the number of solver iterations per step.</p>\n\
<p>This is a global setting for the number of iterations the constraint solver performs when enforcing collisions and constraints. Higher values might be necessary when the simulation uses many constraints, or the tolerance for joint errors is very low. Values higher than 30 are generally unnecessary.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PhysXPanel&gt;.enableCCD BooleanClass default: false -- boolean</code></pre><p>Get/set the state of the &quot;Enable High Velocity Collisions&quot; checkbox. &quot;CCD&quot; stands for &quot;Continuous Collision Detection&quot;, a method which uses a simplified geometry hull covering the trajectory of a fast moving rigid body object between two sample steps to ensure it collides correctly with other rigid bodies in its way.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PhysXPanel&gt;.shapePerElement     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the state of the &quot;Generate Shape Per Element&quot; checkbox. Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<h2 id=\"-quot-advanced-settings-quot-rollout\">&quot;Advanced Settings&quot; rollout</h2><p><img src=\"./images/GUID-732F435D-1190-46A9-85A2-A2A696A0E0D9-low.png\" alt></p>\n\
<h3 id=\"-quot-sleep-settings-quot-group-of-controls\">&quot;Sleep Settings&quot; group of controls</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PhysXPanel&gt;.sleepThresholdsAutomatic Integer default: 1 -- integer</code></pre><p>Get/set the state of the Sleep Mode radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>1 - <strong>Automatic</strong> - MassFX automatically calculates reasonable sleep threshold values for both linear and angular velocities above which sleep will be applied. To do so it uses a heuristic, or experience-based, method.</p>\n\
<p>2 - <strong>Manual</strong> - use the <strong><code>.sleepSpeed</code> and <code>.sleepSpin</code></strong> properties to define the linear and agular speed thresholds for an object to go into &quot;sleep&quot; mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PhysXPanel&gt;.sleepEnergy     Float    default: 1.9685   --  float</code></pre><p>Get/set the value of the &quot;Speed Energy&quot; property. It is used when the <strong><code>.sleepThresholdsAutomatic</code></strong> property is set to 1 to determine the energy threshold below which the Rigid Body will go to &quot;sleep&quot; mode and will not be calculated anymore. Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<p>Other than the <strong><code>.sleepSpeed</code> and <code>.sleepSpin</code></strong> values used in <strong>3ds Max 2012</strong>, the sleepEnergy threshold also takes into account the mass of the object in additiona to its linear and angular speed to determine whether it should be calculated.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PhysXPanel&gt;.sleepSpeed Float default: 1.9685 -- worldUnits</code></pre><p>Get/set the value of the &quot;Min. Speed&quot; property exposed to the UI in <strong>3ds Max 2012</strong>. It is used when the <strong><code>.sleepThresholdsAutomatic</code></strong> property is set to 1 to determine the linear speed threshold below which the Rigid Body will go to &quot;sleep&quot; mode and will not be calculated anymore. The value is in units/second.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PhysXPanel&gt;.sleepSpin Float default: 5.0 -- float</code></pre><p>Get/set the value of the &quot;Min. Spin&quot; property exposed to the UI in <strong>3ds Max 2012</strong>. It is used when the <strong><code>.sleepThresholdsAutomatic</code></strong> property is set to 1 to determine the angular speed threshold below which the Rigid Body will go to &quot;sleep&quot; mode and will not be calculated anymore. The value is in degrees/second.</p>\n\
<h3 id=\"-quot-high-velocity-collisions-quot-group-of-controls\">&quot;High Velocity Collisions&quot; group of controls</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PhysXPanel&gt;.ccdMinSpeedAutomatic Integer default: 1 -- integer</code></pre><p>Get/set the state of the &quot;High Velocity Collisions&quot; automatic/manual modes radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>1 - <strong>Automatic</strong></p>\n\
<p>2 - <strong>Manual</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PhysXPanel&gt;.ccdMinSpeedThreshold Float default: 5.0 -- float</code></pre><p>Get/set the &quot;Min Speed&quot; threshold value.</p>\n\
<p>This property is used when <code>.ccdMinSpeedAutomatic</code> is set to 2 and <strong><code>.enableCCD</code></strong> is set to true.</p>\n\
<h3 id=\"-quot-bounce-settings-quot-group-of-controls\">&quot;Bounce Settings&quot; group of controls</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PhysXPanel&gt;.bounceMinSpeedAutomatic Integer default: 1 -- integer</code></pre><p>Get/set the state of the Bounce Min. Speed Method which determines when rigid bodies bounce off each other.</p>\n\
<p>Possible values are:</p>\n\
<p>1 - <strong>Automatic</strong> - MassFX uses a heuristic algorithm to calculate a reasonable minimum speed threshold above which to apply bounce.</p>\n\
<p>2 - <strong>Manual</strong> - To override the heuristic value for speed, choose Manual and set the desired Min Speed value:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PhysXPanel&gt;.bounceMinSpeedThreshold Float default: 5.0 -- float</code></pre><p>Get/set the Bounce Min Speed threshold.</p>\n\
<p>Rigid bodies in the simulation moving faster than this speed (specified in units/second) will bounce off one another as part of a collision. Setting this value too high will cause fast-moving objects not to bounce upon colliding with another object. Setting this value too low will cause more slow-moving objects to bounce around the scene, reducing simulation performance and possibly causing jittering. Setting this value to 0.0 enables bouncing for all moving objects.</p>\n\
<h2 id=\"-quot-engine-quot-rollout\">&quot;Engine&quot; rollout</h2><p><img src=\"./images/GUID-52214667-C1A4-41B0-8EA5-CC7AEA19BD69-low.png\" alt></p>\n\
<h3 id=\"-quot-options-quot-group-of-controls\">&quot;Options&quot; group of controls</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PhysXPanel&gt;.useMultiThread BooleanClass default: false -- boolean</code></pre><p>Get/set the state of the &quot;Use Multithreading&quot; option.</p>\n\
<p>When set to true, the simulation will be multi-threaded to increase performance.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PhysXPanel&gt;.useHardwareScene BooleanClass default: false -- boolean</code></pre><p>Get/set the state of the &quot;Hardware Acceleration&quot; option which is available when supported hardware has been detected.</p>\n\
<p>When set to true, the simulation will use hardware acceleration to increase performance.</p>\n\
<h2 id=\"-quot-simulation-settings-quot-rollout\">&quot;Simulation Settings&quot; rollout</h2><p><img src=\"./images/GUID-376699B0-D097-4255-8274-4D895DE8C92F-low.png\" alt></p>\n\
<h3 id=\"-quot-playback-quot-group-of-controls\">&quot;Playback&quot; group of controls</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PhysXPanel&gt;.onLastFrame Integer default: 1 -- integer</code></pre><p>Get/set the state of the &quot;Playback&gt;On Last Frame&quot; radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>1 - <strong>Continue Simulation</strong> - The simulation continues to run even after the time slider reaches the last frame.</p>\n\
<p>2 - <strong>Stop Simulation</strong> - The simulation stops when the time slider reaches the last frame.</p>\n\
<p>3 - <strong>Loop Animation and...</strong> - Repeats the animation when the time slider reaches the last frame and then acts according to the <code>.loopAnimation</code> property (see below).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PhysXPanel&gt;.loopAnimation Integer default: 1 -- integer</code></pre><p>Get/set the state of the &quot;Loop Animation and...&quot; radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>1 - <strong>Reset Simulation</strong> - The simulation resets and the animation loops back to the first frame when the time slider reaches the last frame. This is useful for watching the same simulation multiple times in a row to analyze the results.</p>\n\
<p>2 - <strong>Continue Simulation</strong> - The simulation continues running while the animation loops back to the first frame when the time slider reaches the last frame. This is useful for short looping animations (such as a character&apos;s walk cycle) when you want the simulation to continue across the boundary of the looping</p>\n\
<h2 id=\"-quot-rigid-bodies-quot-rollout\">&quot;Rigid Bodies&quot; rollout</h2><p><img src=\"./images/GUID-9AA15BB3-559A-45DC-83DE-1B2A9E1FD310-low.bmp\" alt></p>\n\
<h3 id=\"-quot-physical-meshes-quot-group-of-controls\">&quot;Physical Meshes&quot; group of controls</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PhysXPanel&gt;.physicalMeshes Integer default: 1 -- integer</code></pre><p>Get/set the state of the &quot;Physical Meshes&quot; drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>1 - <strong>Show Only For Selected</strong> - physical meshes will be displayed only for selected rigid body objects.</p>\n\
<p>2 - <strong>Show All Physical Meshes</strong> - all physical meshes will be shown regardless of selection.</p>\n\
<p>3 - <strong>Hide All Physical Meshes</strong> - no physical meshes will be shown.</p>\n\
<h2 id=\"-quot-massfx-visualizer-quot-rollout\">&quot;MassFX Visualizer&quot; rollout</h2><h3 id=\"-quot-options-quot-group-of-controls\">&quot;Options&quot; group of controls</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PhysXPanel&gt;.visualizerEnable     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the &quot;Enable Visualizer&quot; checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PhysXPanel&gt;.visualizerScale     Float    default: 1.0   --  worldUnits</code></pre><p>Get/set the value of the &quot;Scale&quot; spinner. This controls the relative size of the viewport-based indicators, such as axes.</p>\n\
<h3 id=\"-quot-object-properties-quot-group-of-controls\">&quot;Object Properties&quot; group of controls</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PhysXPanel&gt;.bodyAxis     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the state of the &quot;Local Axis&quot; checkbox. When set to true (default), the local axes of the Rigid Body objects will be visualized in the viewports during simulation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PhysXPanel&gt;.bodyLinearVel     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the &quot;Object Linear Velocity&quot; checkbox. When set to true, the linear velocity of the Rigid Body objects will be visualized in the viewports during simulation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PhysXPanel&gt;.bodyAngularVel     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the &quot;Object Angular Velocity&quot; checkbox. When set to true, the angular velocity of the Rigid Body objects will be visualized in the viewports during simulation.</p>\n\
<h3 id=\"-quot-joint-properties-quot-group-of-controls\">&quot;Joint Properties&quot; group of controls</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PhysXPanel&gt;.jointLocalAxis     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the &quot;Local Axis&quot; checkbox. When set to true, the local axes of the Joints will be visualized in the viewports during simulation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PhysXPanel&gt;.jointWorldAxis     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the &quot;World Axis&quot; checkbox. When set to true, the world axes of the Joints will be visualized in the viewports during simulation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PhysXPanel&gt;.jointLimits     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the &quot;Joint Limits&quot; checkbox. When set to true, the limits of the Joints will be visualized in the viewports during simulation.</p>\n\
<h3 id=\"-quot-contact-markers-quot-group-of-controls\">&quot;Contact Markers&quot; group of controls</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PhysXPanel&gt;.contactPoints     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the &quot;Contact Points&quot; checkbox. When set to true, the positions of Rigid Body collisions will be visualized in the viewports during simulation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PhysXPanel&gt;.contactNormal     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the &quot;Contact Normals&quot; checkbox. When set to true, the normals of Rigid Body collisions will be visualized in the viewports during simulation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PhysXPanel&gt;.contactForce     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the &quot;Contact Force&quot; checkbox. When set to true, the magnitude of Rigid Body collision forces will be visualized in the viewports during simulation.</p>\n\
<h3 id=\"-quot-collision-markers-quot-group-of-controls\">&quot;Collision Markers&quot; group of controls</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PhysXPanel&gt;.collisionShapes     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the state of the &quot;Collision Meshes&quot; checkbox. When checked (default), the Rigid Body Meshes of all simulated objects will be displayed in the viewports.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PhysXPanel&gt;.collisionCompounds     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the &quot;Collision Groups&quot; checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PhysXPanel&gt;.collisionSpheres     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the &quot;Collision Spheres&quot; checkbox. When checked, the bounding spheres of the Rigid Body objects will be displayed. The bounding spheres can be used to determine whether two Rigid Bodies should be checked for collision at Rigid Body Mesh level. If the two spheres don&apos;t intersect, no precise and time consuming collision detection needs to be performed.</p>\n\
<h2 id=\"other-properties\">Other properties</h2><p>The following properties are not exposed to the UI:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PhysXPanel&gt;.skinWidth Float default: 0.0393701 -- worldUnits</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PhysXPanel&gt;.useFirst BooleanClass default: true -- boolean</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PhysXPanel&gt;.exporterMode     Integer    default: 0   --  integer</code></pre><p>Get/set the Exporter mode. Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PhysXPanel&gt;.pluginBuild     String    default:&quot;2.80.1129.0299&quot;   </code></pre><p>Get/set the PhysX Plugin version string. Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PhysXPanel&gt;.useAdaptiveForce BooleanClass default: true -- boolean</code></pre><p>Get/set the Use Adaptive Force mode. Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PhysXPanel&gt;.destructionRadius Float default: 1.0 -- float</code></pre><p>Get/set the Destruction Radius value. Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PhysXPanel&gt;.destructionDamage Float default: 1.0 -- float</code></pre><p>Get/set the Destruction Damage value. Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PhysXPanel&gt;.destructionMomentum Float default: 1.0 -- float</code></pre><p>Get/set the Destruction Momentum value. Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../MAXScript-Extensions-for-MassFX.html\">MAXScript Extensions for MassFX</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"MassFX-and-MAXScript.html\">MassFX and MAXScript</a></li>\n\
          <li><a class=\"link\" href=\"../../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-nvpx.html\">Interface: nvpx</a></li>\n\
          <li><a class=\"link\" href=\"../../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/P-Q/Interface-PhysXPanelInterface.html\">Interface: PhysXPanelInterface</a></li>\n\
          <li><a class=\"link\" href=\"../../Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-MassFX/UConstraint-Helper.html\">UConstraint : Helper</a></li>\n\
          <li><a class=\"link\" href=\"../../Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-MassFX/Skeleton-helper.html\">Skeleton : helper</a></li>\n\
          <li><a class=\"link\" href=\"../../Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-MassFX/pxJoint-helper.html\">pxJoint : helper</a></li>\n\
          <li><a class=\"link\" href=\"../../Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-MassFX/nvBox-GeometryClass.html\">nvBox : GeometryClass</a></li>\n\
          <li><a class=\"link\" href=\"../../Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-MassFX/nvCapsule-GeometryClass.html\">nvCapsule : GeometryClass</a></li>\n\
          <li><a class=\"link\" href=\"../../Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-MassFX/nvSphere-GeometryClass.html\">nvSphere : GeometryClass</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";