var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-D0431C6C-3714-43B6-96DB-4DFDE505D845\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>OutputTest : ReferenceTarget</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">OutputTest - superclass: ReferenceTarget; super-superclass:MAXWrapper - 9:0 - classID: #(1137313543, 554188032)</code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>OutputTest</strong> Particle Data View sub-operator transfers calculated data to Data Test for particle exit decision.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">OutputTest...</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;OutputTest&gt;.Type     Integer    default: 0   --  radiobtnIndex</code></pre><p>Get/set the state of the Output Test Type radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>True To Satisfy Test</strong> (default)</p>\n\
<p>1 - <strong>False To Satisfy Test</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;OutputTest&gt;.Use_T2     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;T2 As Event Exit Time&quot;</strong> checkbox.</p>\n\
<h2 id=\"priority-and-execution-order-group-of-controls\">Priority And Execution Order group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;OutputTest&gt;.Proceed_Type     Integer    default: 1   --  radiobtnIndex</code></pre><p>Get/set the state of the proceed radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Pre</strong></p>\n\
<p>1 - <strong>Normal</strong> (default)</p>\n\
<p>2 - <strong>Post</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;OutputTest&gt;.History_Dependent     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;History-Dependent&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;OutputTest&gt;.Execution_Order     Integer    default: 1   --  integer</code></pre><p>Get/set the value of the <strong>&quot;Execution Order&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;OutputTest&gt;.Priority_Order     Integer    default: 1   --  integer</code></pre><p>Get/set the value of the <strong>&quot;Priority Order&quot;</strong> spinner.</p>\n\
<h2 id=\"input-and-filter-sockets\">Input and Filter Sockets</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;OutputTest&gt;.Input_1     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the Input 1 connection to a sub-operator with Boolean output.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;OutputTest&gt;.Input_2     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the Input 2 connection. Used only if <code>.Use_T2</code> is set to True.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;OutputTest&gt;.Filter     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the Filter connection to a sub-operator with Boolean output.</p>\n\
<h2 id=\"outputtest-interfaces-\">OutputTest interfaces:</h2><p><strong>The following common interface is exposed by the OutputTest Particle Data View sub-operator:</strong></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-DataViewItem.html\">Interface: DataViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Data-Sub-Operators.html\">Data Sub-Operators</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";