var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-EB58C698-A0B0-47D7-8B6B-580B7B87C047\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Output_mParticles : ReferenceTarget</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Output_mParticles - superclass: ReferenceTarget; super-superclass:MAXWrapper - 9:0 - classID: #(1137313794, 554188032)</code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>Output_mParticles</strong> Particle Data View sub-operator transfers calculated data into simulation related particle properties.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Output_mParticles...\n\
OutputPhysX...</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Output_mParticles&gt;.Data_Type     Integer    default: 3   --  radiobtnIndex; IDC_DATATYPE</code></pre><p>Get/set the state of the Data Type radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Apply Anti-Gravity</strong></p>\n\
<p>1 - <strong>Mass</strong></p>\n\
<p>2 - <strong>Match</strong></p>\n\
<p>3 - <strong>Turn Off Simulation</strong> (default)</p>\n\
<p>4 - <strong>Interpenetration Tolerance</strong></p>\n\
<p>5 - <strong>Normal</strong></p>\n\
<p>6 - <strong>Threshold Type Is Energy</strong></p>\n\
<p>7 - <strong>Threshold</strong></p>\n\
<p>8 - <strong>Test Immunity</strong></p>\n\
<p>9 - <strong>Force</strong></p>\n\
<p>10 - <strong>Force Influence</strong></p>\n\
<p>11 - <strong>Torque</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Output_mParticles&gt;.Match_Type     Integer    default: 2   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Match&quot;</strong> drop-down list used when <code>.Data_Type</code> is set to 2 - <strong>Match</strong>.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Position</strong></p>\n\
<p>1 - <strong>Rotation</strong></p>\n\
<p>2 - <strong>Speed</strong> (default)</p>\n\
<p>3 - <strong>Spin</strong></p>\n\
<p>4 - <strong>Speed Limit</strong></p>\n\
<p>5 - <strong>Spin Limit</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Output_mParticles&gt;.Threshold_Type     Integer    default: 0   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Threshold&quot;</strong> drop-down list used when <code>.Data_Type</code> is set to 7 - <strong>Threshold</strong>.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Energy</strong> (default)</p>\n\
<p>1 - <strong>Speed</strong></p>\n\
<p>2 - <strong>Spin Rate</strong></p>\n\
<h2 id=\"priority-and-execution-order-group-of-controls\">Priority And Execution Order group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Output_mParticles&gt;.Proceed_Type     Integer    default: 1   --  radiobtnIndex</code></pre><p>Get/set the state of the proceed radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Pre</strong></p>\n\
<p>1 - <strong>Normal</strong> (default)</p>\n\
<p>2 - <strong>Post</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Output_mParticles&gt;.History_Dependent     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;History-Dependent&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Output_mParticles&gt;.Execution_Order     Integer    default: 1   --  integer</code></pre><p>Get/set the value of the <strong>&quot;Execution Order&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Output_mParticles&gt;.Priority_Order     Integer    default: 1   --  integer</code></pre><p>Get/set the value of the <strong>&quot;Priority Order&quot;</strong> spinner.</p>\n\
<h2 id=\"input-and-filter-sockets\">Input and Filter Sockets</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Output_mParticles&gt;.Input     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the Input connection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Output_mParticles&gt;.Filter     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the Filter connection.</p>\n\
<h2 id=\"output_mparticles-interfaces-\">Output_mParticles interfaces:</h2><p><strong>The following common interface is exposed by the Output_mParticles Particle Data View sub-operator:</strong></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-DataViewItem.html\">Interface: DataViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Data-Sub-Operators.html\">Data Sub-Operators</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";