var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-1753E59A-780D-43FE-811B-2497AD1B755C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>icon : ReferenceTarget</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">icon - superclass: ReferenceTarget; super-superclass:MAXWrapper - 14:0 - classID: #(1137313553, 554188032)</code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>icon</strong> Particle Data View sub-operator acquires properties from Data operator or test icon.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">icon...</code></pre><p><strong>Properties:</strong></p>\n\
<h2 id=\"icon-property-group-of-controls\">Icon Property group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;icon&gt;.Type     Integer    default: 6   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Icon Property&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Closest Point</strong></p>\n\
<p>1 - <strong>Collision Point</strong></p>\n\
<p>2 - <strong>Distance To Icon</strong></p>\n\
<p>3 - <strong>Inside Icon</strong></p>\n\
<p>4 - <strong>Icon Local Coordinates</strong></p>\n\
<p>5 - <strong>Icon Rotation</strong></p>\n\
<p>6 - <strong>Icon Pivot</strong> (default)</p>\n\
<p>7 - <strong>Icon Scale</strong></p>\n\
<p>8 - <strong>Icon Size</strong></p>\n\
<p>9 - <strong>Icon Speed</strong></p>\n\
<p>10 - <strong>Icon Spin</strong></p>\n\
<p>11 - <strong>Icon TM</strong></p>\n\
<p>12 - <strong>Point Normal</strong></p>\n\
<p>13 - <strong>Point Position</strong></p>\n\
<p>14 - <strong>Point Speed</strong></p>\n\
<p>15 - <strong>Random Surface Point</strong></p>\n\
<p>16 - <strong>Random Volume Point</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;icon&gt;.Static_Icon     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Static Icon&quot;</strong> checkbox.</p>\n\
<h2 id=\"subframe-sampling-group-of-controls\">Subframe Sampling group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;icon&gt;.Subframe_Placement     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Placement&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;icon&gt;.Subframe_Geometry     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Geometry&quot;</strong> checkbox.</p>\n\
<h2 id=\"data-wiring-group-of-controls\">Data Wiring group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;icon&gt;.Use_T1     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;T1 As Icon Timing&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;icon&gt;.Use_V3     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;V2 As Particle Speed&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;icon&gt;.Use_V4     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;V3 As Particle Speed&quot;</strong> checkbox.</p>\n\
<h2 id=\"uniqueness-group-of-controls\">Uniqueness group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;icon&gt;.Random_Seed     Integer    default: 82655   --  animatable; integer</code></pre><p>Get/set the value of the <strong>&quot;Seed&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;icon&gt;.Use_E4     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;E4&quot;</strong> checkbox.</p>\n\
<h2 id=\"input-and-filter-sockets\">Input and Filter sockets</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;icon&gt;.Input_1     UndefinedClass    default: undefined   --  maxObject</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;icon&gt;.Input_2     UndefinedClass    default: undefined   --  maxObject</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;icon&gt;.Input_3     UndefinedClass    default: undefined   --  maxObject</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;icon&gt;.Input_4     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the sub-object connected to the corresponding Input socket of the Icon sub-operator.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;icon&gt;.Filter     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the sub-operator connected to the Filter socket of the Icon sub-operator.</p>\n\
<h2 id=\"icon-interfaces-\">icon interfaces:</h2><p><strong>The following common interface is exposed by the icon Particle Data View sub-operator:</strong></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-DataViewItem.html\">Interface: DataViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Data-Sub-Operators.html\">Data Sub-Operators</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";