var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-EF4BFB73-7F03-432F-9058-E249D7AFC15D\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>objectReferenceTarget : ReferenceTarget</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">objectReferenceTarget - superclass: ReferenceTarget; super-superclass:MAXWrapper - 13:0 - classID: #(1137313549, 554188032)</code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>objectReferenceTarget</strong> Particle Data View sub-operator acquires properties from reference objects.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">objectReferenceTarget...</code></pre><p><strong>Properties:</strong></p>\n\
<h2 id=\"object-property-group-of-controls\">Object Property group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;objectReferenceTarget&gt;.Type     Integer    default: 0   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Object Property&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Closest Object By Pivot</strong> (default)</p>\n\
<p>1 - <strong>Object Local Coordinates</strong></p>\n\
<p>2 - <strong>Object Rotation</strong></p>\n\
<p>3 - <strong>Object Pivot</strong></p>\n\
<p>4 - <strong>Object Scale</strong></p>\n\
<p>5 - <strong>Object Speed</strong></p>\n\
<p>6 - <strong>Object Spin</strong></p>\n\
<p>7 - <strong>Object TM</strong></p>\n\
<p>8 - <strong>Point Position</strong></p>\n\
<p>9 - <strong>Point Speed</strong></p>\n\
<p>10 - <strong>Number Of Objects</strong></p>\n\
<p>11 - <strong>Object Node Handle</strong></p>\n\
<h2 id=\"objects\">Objects</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;objectReferenceTarget&gt;.Static_Objects     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Static Objects&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;objectReferenceTarget&gt;.Subframe_Placement     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Subframe Sampling&quot;</strong> checkbox.</p>\n\
<h2 id=\"separate-indexing-for-group-of-controls\">Separate Indexing For group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;objectReferenceTarget&gt;.Separate_Group_Members     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Group Members&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;objectReferenceTarget&gt;.Separate_Children     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Children&quot;</strong> checkbox.</p>\n\
<h2 id=\"data-wiring-group-of-controls\">Data Wiring group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;objectReferenceTarget&gt;.Use_T2     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;T2 As Objects Timing&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;objectReferenceTarget&gt;.Use_I3     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;I3 Designates Objects&quot;</strong> checkbox.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The <strong>&quot;P4 As Local Coordinates&quot;</strong> checkbox is not exposed and is always checked when <code>.Type</code> is set to 8 - <strong>Point Position</strong> or 9 - <strong>Point Speed</strong></div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;objectReferenceTarget&gt;.Use_V4     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;V4 As Particle Position&quot;</strong> checkbox.</p>\n\
<h2 id=\"input-and-filter-sockets\">Input and Filter Sockets</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;objectReferenceTarget&gt;.Input_1     UndefinedClass    default: undefined   --  maxObject</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;objectReferenceTarget&gt;.Input_2     UndefinedClass    default: undefined   --  maxObject</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;objectReferenceTarget&gt;.Input_3     UndefinedClass    default: undefined   --  maxObject</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;objectReferenceTarget&gt;.Input_4     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the sub-operators connected to the corresponding Input sockets of the objectReferenceTarget sub-operator.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;objectReferenceTarget&gt;.Filter     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the sub-operator connected to the Filter socket of the objectReferenceTarget sub-operator.</p>\n\
<h2 id=\"objectreferencetarget-interfaces-\">objectReferenceTarget interfaces:</h2><p><strong>The following common interface is exposed by the objectReferenceTarget Particle Data View sub-operator:</strong></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-DataViewItem.html\">Interface: DataViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Data-Sub-Operators.html\">Data Sub-Operators</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";