var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-2A26BC25-A247-4D36-813E-41C7DA3B890F\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Data_Operator : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Data_Operator - superclass: helper; super-superclass:node - 33:1 - classID: #(1935830017, 515064320) </code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>Data_Operator</strong> operator directly modifies particle channel data by using sub-operators wired in a Particle Data View. Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Data_Operator...\n\
DataOperator...</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Data_Operator&gt;.Auto_Update     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the Auto Update checkbox.</p>\n\
<h2 id=\"operator-activity-group-of-controls\">Operator Activity group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Data_Operator&gt;.Activity_Type     Integer    default: 0   --  radiobtnIndex</code></pre><p>Get/set the state of the <strong>&quot;Operator Activity&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Active Always</strong> (default)</p>\n\
<p>1 - <strong>Active In Interval</strong></p>\n\
<p>2 - <strong>Animatable</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Data_Operator&gt;.Time_On     Integer    default: 0   --  integer</code></pre><p>Get/set the value of the <strong>&quot;Time On&quot;</strong> spinner available when <code>.Activity_Type</code> is set to 1.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Data_Operator&gt;.Time_Off     Integer    default: 4800   --  integer</code></pre><p>Get/set the value of the <strong>&quot;Time Off&quot;</strong> spinner available when <code>.Activity_Type</code> is set to 1.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Data_Operator&gt;.Animatable_Active     BooleanClass    default: true   --  animatable; boolean</code></pre><p>Get/set the state of the Active checkbutton available when <code>.Activity_Type</code> is set to 1.</p>\n\
<h2 id=\"operator-icon-group-of-controls\">Operator Icon group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Data_Operator&gt;.Visible_Icon     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the viewport icons&apos;s visibility.</p>\n\
<p>This property is not exposed to the User Interface.</p>\n\
<p>The Data Operator&apos;s Icon is set to False by default. Setting it to True will create a Data_Icon object in the viewport, but the icon controls will not be shown in the Particle View, only in the <strong>3ds Max</strong> Command Panel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Data_Operator&gt;.Icon_Type     Integer    default: 10   --  animatable; integer</code></pre><p>Get/set the icon type used when <code>.Visible_Icon</code> is set to True.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Arrow</strong></p>\n\
<p>1 - <strong>Box</strong></p>\n\
<p>2 - <strong>Circle</strong></p>\n\
<p>3 - <strong>Cone</strong></p>\n\
<p>4 - <strong>Cylinder</strong></p>\n\
<p>5 - <strong>Half Cylinder</strong></p>\n\
<p>6 - <strong>Open Cone</strong></p>\n\
<p>7 - <strong>Open Cylinder</strong></p>\n\
<p>8 - <strong>Plane</strong></p>\n\
<p>9 - <strong>Point</strong></p>\n\
<p>10 - <strong>Rectangle</strong> (default)</p>\n\
<p>11 - <strong>Sphere</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Data_Operator&gt;.Icon_Parameter_1     Float    default: 10.0   --  animatable; worldUnits</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Data_Operator&gt;.Icon_Parameter_2     Float    default: 10.0   --  animatable; worldUnits</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Data_Operator&gt;.Icon_Parameter_3     Float    default: 20.0   --  animatable; worldUnits</code></pre><p>Get/set the first, second and third icon parameters. Depending on the <code>.Icon_Type</code> value, these parameters can have different meanings.</p>\n\
<p>See the table below for details:</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>Icon_Type Value</th>\n\
<th>Icon Type NameH</th>\n\
<th>Icon_Parameter_1</th>\n\
<th>Icon_Parameter_2</th>\n\
<th>Icon_Parameter_3</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>0</td>\n\
<td>Arrow</td>\n\
<td>Diameter</td>\n\
<td>--</td>\n\
<td>Height</td>\n\
</tr>\n\
<tr>\n\
<td>1</td>\n\
<td>Box</td>\n\
<td>Width</td>\n\
<td>Length</td>\n\
<td>Height</td>\n\
</tr>\n\
<tr>\n\
<td>2</td>\n\
<td>Circle</td>\n\
<td>Diameter</td>\n\
<td>--</td>\n\
<td>--</td>\n\
</tr>\n\
<tr>\n\
<td>3</td>\n\
<td>Cone</td>\n\
<td>Diameter</td>\n\
<td>--</td>\n\
<td>Height</td>\n\
</tr>\n\
<tr>\n\
<td>4</td>\n\
<td>Cylinder</td>\n\
<td>Diameter</td>\n\
<td>--</td>\n\
<td>Height</td>\n\
</tr>\n\
<tr>\n\
<td>5</td>\n\
<td>Half Cylinder</td>\n\
<td>Diameter</td>\n\
<td>--</td>\n\
<td>Height</td>\n\
</tr>\n\
<tr>\n\
<td>6</td>\n\
<td>Open Cone</td>\n\
<td>Diameter</td>\n\
<td>--</td>\n\
<td>Height</td>\n\
</tr>\n\
<tr>\n\
<td>7</td>\n\
<td>Open Cylinder</td>\n\
<td>Diameter</td>\n\
<td>--</td>\n\
<td>Height</td>\n\
</tr>\n\
<tr>\n\
<td>8</td>\n\
<td>Plane</td>\n\
<td>Size</td>\n\
<td>--</td>\n\
<td>--</td>\n\
</tr>\n\
<tr>\n\
<td>9</td>\n\
<td>Point</td>\n\
<td>Size</td>\n\
<td>--</td>\n\
<td>--</td>\n\
</tr>\n\
<tr>\n\
<td>10</td>\n\
<td>Rectangle</td>\n\
<td>Width</td>\n\
<td>Length</td>\n\
<td>--</td>\n\
</tr>\n\
<tr>\n\
<td>11</td>\n\
<td>Sphere</td>\n\
<td>Diameter</td>\n\
<td>--</td>\n\
<td>--</td>\n\
</tr>\n\
</tbody></table>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Data_Operator&gt;.Color_Coordinated     BooleanClass    default: false   --  boolean; Auto_Update</code></pre><p>Get/set the state of the <strong>&quot;Color Coordinated&quot;</strong> checkbox.</p>\n\
<h2 id=\"particle-data-view-39-s-menu\">Particle Data View&apos;s Menu</h2><h3 id=\"display-menu\">Display menu</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Data_Operator&gt;.PDView_Show_Parameters     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Parameters&quot;</strong> option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Data_Operator&gt;.PDView_Show_Depot     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Depot&quot;</strong> option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Data_Operator&gt;.PDView_Description_Type     Integer    default: 1   --  integer</code></pre><p>Get/set the mode of the Description panel in the Particle Data View&apos;s bottom right corner.</p>\n\
<p>These modes are represented by the last 3 menu items in the Options menu, as well as the last 3 icons in the bottom right corner of the Particle Data View.</p>\n\
<p>Possible values are:</p>\n\
<p>1 - <strong>Description</strong> (default)</p>\n\
<p>2 - <strong>Output Order</strong></p>\n\
<p>3 - <strong>Navigation</strong></p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The Description panel will only be displayed if either the Parameters, the Depot, or both panels are visible.</div>\n\
<h3 id=\"options-menu\">Options menu</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Data_Operator&gt;.Auto_Update_On_Data_View_Close     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Auto Update On Data View Close&quot;</strong> option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Data_Operator&gt;.Use_Dynamic_Names_For_New     BooleanClass    default: true   --  boolean; Use_Dynamic_Name_For_New</code></pre><p>Get/set the state of the <strong>&quot;Use Dynamic Names From New&quot;</strong> option.</p>\n\
<h2 id=\"particle-data-view-39-s-layout-properties\">Particle Data View&apos;s Layout Properties</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Data_Operator&gt;.PDView_Divider     Integer    default: 110   --  integer</code></pre><p>Get/set the height of the horizontal divider controlling the height of the Depot and Description panels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Data_Operator&gt;.PDView_Width     Integer    default: 751   --  integer</code></pre><p>Get/set the Width of the Particle Data View editor window.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The Particle Data View editor must be closed before setting this property.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Data_Operator&gt;.PDView_Height     Integer    default: 620   --  integer</code></pre><p>Get/set the Height of the Particle Data View editor window.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The Particle Data View editor must be closed before setting this property.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Data_Operator&gt;.PDView_Origin_X     Integer    default: 0   --  integer</code></pre><p>Get/set the X coordinate of the upper left corner of the Particle Data View editor window.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The Particle Data View editor must be closed before setting this property.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Data_Operator&gt;.PDView_Origin_Y     Integer    default: 0   --  integer</code></pre><p>Get/set the Y coordinate of the upper left corner of the Particle Data View editor window.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The Particle Data View editor must be closed before setting this property.</div>\n\
<h2 id=\"default-values\">Default Values</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Data_Operator&gt;.Default_Width     Integer    default: 50   --  integer</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Data_Operator&gt;.Default_Height     Integer    default: 0   --  integer</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Data_Operator&gt;.Default_Range_Max     Float    default: 100.0   --  float; Default_Range_Maximum</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Data_Operator&gt;.Default_Range_Min     Float    default: 0.0   --  float; Default_Range_Minimum</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Data_Operator&gt;.Default_Offset     Integer    default: 0   --  integer</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Data_Operator&gt;.Default_Range_Type     Integer    default: 1   --  integer</code></pre><h2 id=\"sub-operators-maxscript-access\">Sub-Operators MAXScript Access</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Data_Operator&gt;.SubOperators     ArrayParameter    default: #()   --  maxObject array; SubAnim</code></pre><p>Contains an array of all sub-operators in the Data_Icon Operator.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Data_Operator&gt;.Selected_SubOperators     ArrayParameter    default: #()   --  maxObject array; SubAnim</code></pre><p>Contains an array of the selected sub-operators in the Data_Icon Operator.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Data_Operator&gt;.Groups     ArrayParameter    default: #()   --  maxObject array; SubAnim</code></pre><p>Contains an array of the Group objects in the Data_Icon Operator.</p>\n\
<h2 id=\"other-properties\">Other Properties</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Data_Operator&gt;.Disable_By_Dependency     BooleanClass    default: false   --  boolean</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Data_Operator&gt;.Repeats     Integer    default: 1   --  integer</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Data_Operator&gt;.useProfileTools     BooleanClass    default: false   --  bool</code></pre><p>This property is exposed by the <a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-profileTools.html\">Interface: profileTools</a>.</p>\n\
<h2 id=\"data_operator-interfaces-\">Data_Operator interfaces:</h2><p><strong>The following common Particle Flow Interfaces are exposed by the Data_Operator Class:</strong></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\">Interface: action</a></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\">Interface: operator</a></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\">Interface: PViewItem</a></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-groupSelection.html\">Interface: groupSelection</a></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-profileTools.html\">Interface: profileTools</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Data-Operators.html\">Data Operators</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";