var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-721B61DD-AF9A-4B95-B57A-296E30C486BD\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Birth_File : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Birth_File - superclass: helper; super-superclass:node - 24:0 - classID: #(1962490665, 515064320)</code></pre><p><strong>Description:</strong></p>\n\
<p>The Birth_File operator implements the loading of XML particle files in the Autodesk Maya nCache format used to transfer data from Autodesk Softimage&apos;s ICE.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Birth_File ...</code></pre><p><strong>Properties:</strong></p>\n\
<h2 id=\"-quot-particle-file-quot-group-of-controls\">&quot;Particle File&quot; group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;Birth_File&gt;.Particle_File String default: &quot;&quot; -- filename; Name_of_Particle_File</code></pre><p>Get/set the particle file name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;Birth_File&gt;.Particle_File_Valid BooleanClass default: false -- boolean</code></pre><p>This property will be true if the particle file is valid and false of it is not valid or not specified.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;Birth_File&gt;.File_Nb_Frames Integer default: 0 -- integer; Number_of_Frames_in_File</code></pre><p>Contains the number of frames in the particle file specified by the <code>.Particle_File</code> property.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;Birth_File&gt;.File_Start Integer default: 0 -- integer; File_Start_Frame</code></pre><p>Contains the start frame of the particle file specified by the <code>.Particle_File</code> property.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;Birth_File&gt;.File_End Integer default: 0 -- integer; File_End_Frame</code></pre><p>Contains the end frame of the particle file specified by the <code>.Particle_File</code> property.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;Birth_File&gt;.File_Rate Float default: 0.0 -- float; Frame_Rate</code></pre><p>Contains the frame rate of the particle file specified by the <code>.Particle_File</code> property.</p>\n\
<h2 id=\"-quot-current-frame-quot-group-of-controls\">&quot;Current Frame&quot; group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;Birth_File&gt;.Nb_Particles_ThisFrame Integer default: 0 -- integer; Number_of_Particles_for_This_Frame</code></pre><p>Contains the number of particles in the current frame of the particle file specified by the <code>.Particle_File</code> property.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;Birth_File&gt;.FileTime Integer default: 0 -- integer; File_Time</code></pre><p>Contains the file time of the current frame.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;Birth_File&gt;.DataFile_ThisFrame UndefinedClass default: undefined -- string; Data_File_Name_for_This_Frame; </code></pre><p>Contains the current frame&apos;s file name.</p>\n\
<p>Read-only.</p>\n\
<h2 id=\"-quot-time-quot-group-of-controls\">&quot;Time&quot; group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;Birth_File&gt;.Range_Type Integer default: 0 -- integer</code></pre><p>Get/set the range type.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Use File</strong> (default)</p>\n\
<p>1 - <strong>Custom</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;Birth_File&gt;.Range_Start Integer default: 0 -- integer</code></pre><p>Get/set the Custom Range Start frame.</p>\n\
<p>Used when <code>.RangeType</code> is set to 1.</p>\n\
<p>Corresponds to the &quot;From&quot; spinner in the UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;Birth_File&gt;.Range_End Integer default: 100 -- integer</code></pre><p>Get/set the Custom Range End frame.</p>\n\
<p>Used when <code>.RangeType</code> is set to 1.</p>\n\
<p>Corresponds to the &quot;To&quot; spinner in the UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;Birth_File&gt;.Emit_Start Integer default: 0 -- integer</code></pre><p>Get/set the frame on which to start the emission.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;Birth_File&gt;.Speed_Factor Float default: 100.0 -- float</code></pre><p>Get/set the Speed Factor percentage value.</p>\n\
<p>Corresponds to the &quot;Speed (%)&quot; spinner in the UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;Birth_File&gt;.Extrapolation_Type Integer default: 1 -- integer</code></pre><p>Get/set the extrapolation method.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Off</strong></p>\n\
<p>1 - <strong>Constant</strong> (default)</p>\n\
<h2 id=\"-quot-channels-quot-group-of-controls\">&quot;Channels&quot; group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;Birth_File&gt;.Use_Position_Channel BooleanClass default: true -- boolean; Position</code></pre><p>Get/set the state of the &quot;Position&quot; checkbox.</p>\n\
<p>When set to true (default), the Position channel will be loaded from the file.</p>\n\
<p>When set to false, the Position channel will not be loaded.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;Birth_File&gt;.Use_Orientation_Channel BooleanClass default: true -- boolean; Orientation</code></pre><p>Get/set the state of the &quot;Orientation&quot; checkbox.</p>\n\
<p>When set to true (default), the Orientation channel will be loaded from the file.</p>\n\
<p>When set to false, the Orientation channel will not be loaded.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;Birth_File&gt;.Orientation_Up_Vector Integer default: 0  --  integer; Extrapolation_Type</code></pre><p>Get/set the state of the &quot;Up Vector&quot; drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Y</strong> (default)</p>\n\
<p>1 - <strong>Z</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;Birth_File&gt;.Use_Scale_Channel BooleanClass default: true -- boolean; Scale</code></pre><p>Get/set the state of the &quot;Scale&quot; checkbox.</p>\n\
<p>When set to true (default), the Scale channel will be loaded from the file.</p>\n\
<p>When set to false, the Scale channel will not be loaded.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;Birth_File&gt;.Use_Speed_Channel BooleanClass default: true -- boolean; Speed</code></pre><p>Get/set the state of the &quot;Speed&quot; checkbox.</p>\n\
<p>When set to true (default), the Speed channel will be loaded from the file.</p>\n\
<p>When set to false, the Speed channel will not be loaded.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;Birth_File&gt;.Use_Color_Channel BooleanClass default: true -- boolean; Color</code></pre><p>Get/set the state of the &quot;Color&quot; checkbox.</p>\n\
<p>When set to true (default), the Color channel will be loaded from the file.</p>\n\
<p>When set to false, the Color channel will not be loaded.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;Birth_File&gt;.Color_Map_Channel Integer default: 0 -- integer</code></pre><p>Get/set the value of the Color Map Channel spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;Birth_File&gt;.Use_Opacity_Channel BooleanClass default: true -- boolean; Opacity</code></pre><p>Get/set the state of the &quot;Opacity&quot; checkbox.</p>\n\
<p>When set to true (default), the Opacity channel will be loaded from the file.</p>\n\
<p>When set to false, the Opacity channel will not be loaded.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;Birth_File&gt;.Opacity_Map_Channel Integer default: 1 -- integer</code></pre><p>Get/set the value of the Opacity Map Channel spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;Birth_File&gt;.File_Channel_Mask Integer default: 0 -- integer</code></pre><p>Contains an integer value where a set bit stands for an existing particle data channel and false bits represent missing channels.</p>\n\
<h2 id=\"birth_file-interfaces-\">Birth_File Interfaces:</h2><p><strong>The following Interfaces are exposed by the Birth_Paint Class:</strong></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\">Interface: action</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\">Interface: operator</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\">Interface: PViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Birth-and-Death.html\">Birth and Death</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Birth-Helper.html\">Birth : Helper</a></li>\n\
          <li><a class=\"link\" href=\"Birth_Script-Helper.html\">Birth_Script : Helper</a></li>\n\
          <li><a class=\"link\" href=\"Initial_State-Helper.html\">Initial_State : Helper</a></li>\n\
          <li><a class=\"link\" href=\"Initial_State-Helper.html\">Initial_State : Helper</a></li>\n\
          <li><a class=\"link\" href=\"Initial_State-Helper.html\">Initial_State : Helper</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";