var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-BE416E6B-2900-44D7-A5E7-6DC6F2A6BC6C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>mapping : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mapping - superclass: helper super-superclass:node - classID: #(1962490637, 515064320) </code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>Mapping</strong> operator lets you assign a constant UVW mapping to the entire surface of the particles. It works in conjunction with a map specified in a material operator in the current event. By animating the mapping coordinates, you can vary the location on the material map from which the particle color is taken, thus changing the particle color in a predictable way over time.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Mapping... </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Mapping&gt;.U_Map Float default:0.0 alias: U_Map_Coordinate \n\
&lt;Mapping&gt;.V_Map Float default:0.0 alias: V_Map_Coordinate \n\
&lt;Mapping&gt;.W_Map Float default:0.0 alias: W_Map_Coordinate </code></pre><p>Set the coordinates on the map from which the particle color is taken. One pixel from this location is used to color the entire particle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Mapping&gt;.Sync_Type Integer default:0 </code></pre><p>Controls the state of the Synch By drop-down list in the UI. Specifies the time frame for applying animated parameters. Possible values are:</p>\n\
<p>0: <strong>Absolute Time</strong> - Any keys set for parameters are applied at the actual frames for which they&apos;re set.</p>\n\
<p>1: <strong>Particle Age</strong> - Any keys set for parameters are applied at the corresponding frames of each particle&apos;s existence.</p>\n\
<p>2: <strong>Event Duration</strong> - Any keys set for parameters are applied to each particle starting when it first enters the event.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Mapping&gt;.Channel_Type Integer default:0 </code></pre><p>Controls the state of the Channel radio buttons in the UI. Possible values are:</p>\n\
<p>0: <strong>Map Channel</strong> - Use the Map Channel specified by the <code>.Map_Channel</code> value</p>\n\
<p>1: <strong>Vertex Color Channel</strong> - Use the Vertex Color channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Mapping&gt;.Map_Channel Integer default:1 </code></pre><p>The mapping is applied to the specified map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Mapping&gt;.Show_In_Viewport Boolean default:false </code></pre><p>The mapping is visible in the viewports.</p>\n\
<h2 id=\"mapping-interfaces-\">mapping Interfaces:</h2><p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\">Interface: action</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\">Interface: operator</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\">Interface: PViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Material-and-Mapping.html\">Material and Mapping</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Particle-Flow-Classes.html\">Particle Flow Classes</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";