var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-3AA94F93-1628-41D6-AF6A-03F7037D15EB\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>mP_Switch : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mP_Switch - superclass: helper; super-superclass:node - 30:0 - classID: #(1935830276, 515064320)</code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>mP_Switch</strong> operator controls adjustments in a physics simulation.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mP_Switch...\n\
PhysXSwitch... </code></pre><p><strong>Properties:</strong></p>\n\
<h2 id=\"match-position-or-speed-group-of-controls\">Match Position or Speed group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Switch&gt;.Match_Position     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Position&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Switch&gt;.Match_Speed     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Speed&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Switch&gt;.Position_Speed_Match_Type     Integer    default: 1   --  radiobtnIndex</code></pre><p>Get/set the state of the <strong>&quot;Match Position or Speed&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>In Interval</strong></p>\n\
<p>1 - <strong>Event</strong> (default)</p>\n\
<p>2 - <strong>Animatable</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Switch&gt;.Position_Speed_Start     Integer    default: 0   --  integer</code></pre><p>Get/set the value of the Position/Speed Start spinner.</p>\n\
<p>Used when <code>.Position_Speed_Match_Type</code> is set to 0 - <strong>In Interval</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Switch&gt;.Position_Speed_Stop     Integer    default: 4800   --  integer</code></pre><p>Get/set the value of the Position/Speed Stop spinner.</p>\n\
<p>Used when <code>.Position_Speed_Match_Type</code> is set to 0 - <strong>In Interval</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Switch&gt;.Position_Speed_Active     BooleanClass    default: false   --  animatable; boolean</code></pre><p>Get/set the state of the <strong>Match Position or Speed &gt; Animatable &gt; &quot;Active&quot;</strong> checkbutton.</p>\n\
<p>Used when <code>.Position_Speed_Match_Type</code> is set to 2- <strong>Animatable</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Switch&gt;.Position_Speed_Sync_Type     Integer    default: 0   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Sync By&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Absolute Time</strong> (default)</p>\n\
<p>1 - <strong>Event Duration</strong></p>\n\
<p>2 - <strong>Particle Age</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Switch&gt;.Use_Speed_Limit     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Speed Limit&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Switch&gt;.Speed_Limit     Float    default: 1000.0   --  animatable; worldUnits</code></pre><p>Get/set the value of the <strong>&quot;Speed Limit&quot;</strong> spinner.</p>\n\
<h2 id=\"match-rotation-or-spin-group-of-controls\">Match Rotation or Spin group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Switch&gt;.Match_Rotation     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Rotation&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Switch&gt;.Match_Spin     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Spin&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Switch&gt;.Rotation_Spin_Match_Type     Integer    default: 1   --  radiobtnIndex</code></pre><p>Get/set the state of the <strong>&quot;Match Rotation or Spin&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>In Interval</strong></p>\n\
<p>1 - <strong>Event</strong> (default)</p>\n\
<p>2 - <strong>Animatable</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Switch&gt;.Rotation_Spin_Start     Integer    default: 0   --  integer</code></pre><p>Get/set the value of the Rotation/Spin Start spinner.</p>\n\
<p>Used when <code>.Rotation_Spin_Match_Type</code> is set to 0 - <strong>In Interval</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Switch&gt;.Rotation_Spin_Stop     Integer    default: 4800   --  integer</code></pre><p>Get/set the value of the Rotation/Spin Stop spinner.</p>\n\
<p>Used when <code>.Rotation_Spin_Match_Type</code> is set to 0 - <strong>In Interval</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Switch&gt;.Rotation_Spin_Active     BooleanClass    default: false   --  animatable; boolean</code></pre><p>Get/set the state of the <strong>Match Rotation or Spin &gt; Animatable &gt; &quot;Active&quot;</strong> checkbutton.</p>\n\
<p>Used when <code>.Rotation_Spin_Match_Type</code> is set to 2- <strong>Animatable</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Switch&gt;.Rotation_Spin_Sync_Type     Integer    default: 0   --  integer</code></pre><p>Get/set the selection of the <strong>Match Rotation or Spin &gt; &quot;Sync By&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Absolute Time</strong> (default)</p>\n\
<p>1 - <strong>Event Duration</strong></p>\n\
<p>2 - <strong>Particle Age</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Switch&gt;.Use_Spin_Limit     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Spin Limit&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Switch&gt;.Spin_Limit     Float    default: 360.0   --  animatable; angle; Controller Scaling: (1 : 57.2958)</code></pre><p>Get/set the value of the <strong>&quot;Spin Limit&quot;</strong> spinner.</p>\n\
<h2 id=\"apply-anti-gravity-controls\">Apply Anti-Gravity controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Switch&gt;.Apply_Anti_Gravity     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Apply Anti-Gravity&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Switch&gt;.AntiGravity_Type     Integer    default: 1   --  radiobtnIndex</code></pre><p>Get/set the state of the Anti-Gravity Type radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>In Interval</strong></p>\n\
<p>1 - <strong>Event</strong> (default)</p>\n\
<p>2 - <strong>Animatable</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Switch&gt;.AntiGravity_Start     Integer    default: 0   --  integer</code></pre><p>Get/set the value of the Anti-Gravity Start spinner.</p>\n\
<p>Used when <code>.AntiGravity_Type</code> is set to 0 - <strong>In Interval</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Switch&gt;.AntiGravity_Stop     Integer    default: 4800   --  integer</code></pre><p>Get/set the value of the Anti-Gravity Stop spinner.</p>\n\
<p>Used when <code>.AntiGravity_Type</code> is set to 0 - <strong>In Interval</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Switch&gt;.AntiGravity_Active     BooleanClass    default: false   --  animatable; boolean</code></pre><p>Get/set the state of the <strong>Apply Anti-Gravity &gt; Animatable &gt; &quot;Active&quot;</strong> checkbutton.</p>\n\
<p>Used when <code>.AntiGravity_Type</code> is set to 2- <strong>Animatable</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Switch&gt;.Anti_Gravity_Sync_Type     Integer    default: 0   --  integer</code></pre><p>Get/set the selection of the <strong>Apply Anti-Gravity &gt; &quot;Sync By&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Absolute Time</strong> (default)</p>\n\
<p>1 - <strong>Event Duration</strong></p>\n\
<p>2 - <strong>Particle Age</strong></p>\n\
<h2 id=\"turn-off-simulation-controls\">Turn Off Simulation controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Switch&gt;.Turn_Off_Simulation     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Turn Off Simulation&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Switch&gt;.Turn_Off_Simulation_Type     Integer    default: 1   --  radiobtnIndex</code></pre><p>Get/set the state of the Turn Off Simulation Type radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>In Interval</strong></p>\n\
<p>1 - <strong>Event</strong> (default)</p>\n\
<p>2 - <strong>Animatable</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Switch&gt;.Turn_Off_Start     Integer    default: 0   --  integer</code></pre><p>Get/set the value of the Turn Off Simulation Start spinner.</p>\n\
<p>Used when <code>.Turn_Off_Simulation_Type</code> is set to 0 - <strong>In Interval</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Switch&gt;.Turn_Off_Stop     Integer    default: 4800   --  integer</code></pre><p>Get/set the value of the Turn Off Simulation Stop spinner.</p>\n\
<p>Used when <code>.Turn_Off_Simulation_Type</code> is set to 0 - <strong>In Interval</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Switch&gt;.Turn_Off_Active     BooleanClass    default: false   --  animatable; boolean</code></pre><p>Get/set the state of the <strong>Turn Off Simulation &gt; Animatable &gt; &quot;Active&quot;</strong> checkbutton.</p>\n\
<p>Used when <code>.Turn_Off_Simulation_Type</code> is set to 2- <strong>Animatable</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Switch&gt;.Turn_Off_Sync_Type     Integer    default: 0   --  integer</code></pre><p>Get/set the selection of the <strong>Turn Off Simulation &gt; &quot;Sync By&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Absolute Time</strong> (default)</p>\n\
<p>1 - <strong>Event Duration</strong></p>\n\
<p>2 - <strong>Particle Age</strong></p>\n\
<h2 id=\"mp_switch-interfaces-\">mP_Switch interfaces:</h2><p><strong>The following common Particle Flow Interfaces are exposed by the mP_Switch Class:</strong></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\">Interface: action</a></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\">Interface: operator</a></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\">Interface: PViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../mParticles-Operators.html\">mParticles Operators</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";