var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-BC1807B0-0D9F-4E9A-A297-B5CE5B2A9048\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>mP_Worldhelper : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mP_Worldhelper - superclass: helper; super-superclass:node - 35:1 - classID: #(1587580784, 1121946490)</code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>mP_Worldhelper</strong> Helper holds the settings accessed by the <a href=\"mP_World-Helper.html\">mP_World</a> Particle Flow operator. It defines the physical simulation parameters.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mP_Worldhelper...\n\
PhysXWorld...</code></pre><p><strong>Properties:</strong></p>\n\
<h2 id=\"parameters-rollout\">Parameters rollout</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Worldhelper&gt;.Apply_Gravity     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Apply Gravity&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Worldhelper&gt;.Gravity_Acceleration     Float    default: 386.088   --  worldUnits</code></pre><p>Get/set the value (in world units per second squared) of the <strong>&quot;Acceleration&quot;</strong> spinner .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Worldhelper&gt;.Ground_Collision_Plane     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Ground Collision Plane&quot;</strong> checkbox.</p>\n\
<h3 id=\"ground-bounce-and-friction-group-of-controls\">Ground Bounce And Friction group of controls</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Worldhelper&gt;.Default_Restitution     Float    default: 0.0   --  float</code></pre><p>Get/set the value of the <strong>&quot;Restitution&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Worldhelper&gt;.Default_Static_Friction     Float    default: 0.5   --  float</code></pre><p>Get/set the value of the <strong>&quot;Static Friction&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Worldhelper&gt;.Default_Dynamic_Friction     Float    default: 0.5   --  float</code></pre><p>Get/set the value of the <strong>&quot;Dynamic Friction&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Worldhelper&gt;.Set_World_Limits     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Set World Limits&quot;</strong> checkbox.</p>\n\
<h3 id=\"icon-size-group-of-controls\">Icon Size group of controls</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Worldhelper&gt;.Icon_Length     Float    default: 10.0   --  worldUnits</code></pre><p>Get/set the value of the <strong>&quot;Length&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Worldhelper&gt;.Icon_Width     Float    default: 10.0   --  worldUnits</code></pre><p>Get/set the value of the <strong>&quot;Width&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Worldhelper&gt;.Icon_Height     Float    default: 10.0   --  worldUnits</code></pre><p>Get/set the value of the <strong>&quot;Height&quot;</strong> spinner.</p>\n\
<h3 id=\"collision-exclusion-group-of-controls\">Collision Exclusion group of controls</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Worldhelper&gt;.Collision_Group     Integer    default: 0   --  integer</code></pre><p>Get/set the value of the <strong>&quot;Collision Group&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Worldhelper&gt;.Run_Baked_Simulation     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Run Baked Simulation&quot;</strong> checkbox.</p>\n\
<h3 id=\"cache-bake-simulation-group-of-controls\">Cache/Bake Simulation group of controls</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Worldhelper&gt;.Range_Type     Integer    default: 0   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Range&quot;</strong> drop-down list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Worldhelper&gt;.Range_Start     Integer    default: 0   --  integer</code></pre><p>Get/set the value of the Range Start spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Worldhelper&gt;.Range_Finish     Integer    default: 16000   --  integer</code></pre><p>Get/set the value of the Range End (<strong>&quot;To&quot;</strong>) spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Worldhelper&gt;.Update_Viewports     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Update Viewports&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Worldhelper&gt;.Show_Bake_Dialog     Integer    default: 2   --  integer</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Worldhelper&gt;.Use_Time_Scale     BooleanClass    default: false   --  boolean</code></pre><h3 id=\"hide-visual-representation-group-of-controls\">Hide Visual Representation group of controls</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Worldhelper&gt;.Hide_Icon     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Icon&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Worldhelper&gt;.Hide_Particle_Bindings     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Particle Binding&quot;</strong> checkbox.</p>\n\
<h2 id=\"advanced-parameters-rollout\">Advanced Parameters rollout</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Worldhelper&gt;.Subframe_Type     Integer    default: 1   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Subframe Type&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Variable</strong></p>\n\
<p>1 - <strong>Fixed</strong> (default)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Worldhelper&gt;.Subframe_Factor     Integer    default: 2   --  integer</code></pre><p>Get/set the value of the <strong>&quot;Subframe Factor&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Worldhelper&gt;.Use_Time_Scale     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Time Scale %&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Worldhelper&gt;.Time_Scale     Float    default: 100.0   --  animatable; percent; Controller Scaling: (1 : 100.0)</code></pre><p>Get/set the value of the <strong>&quot;Time Scale %&quot;</strong> spinner.</p>\n\
<h3 id=\"sleep-threshold\">Sleep Threshold</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Worldhelper&gt;.Sleep_Threshold_Type     Integer    default: 0   --  radiobtnIndex</code></pre><p>Get/set the state of the <strong>&quot;Sleep Threshold&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Energy</strong> (default)</p>\n\
<p>1 - <strong>Speed/Spin</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Worldhelper&gt;.Energy_Threshold     Float    default: 1.9685   --  float</code></pre><p>Get/set the value of the <strong>&quot;Energy&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Worldhelper&gt;.Speed_Threshold     Float    default: 0.1   --  worldUnits</code></pre><p>Get/set the value of the <strong>&quot;Speed&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Worldhelper&gt;.Spin_Rate_Threshold     Float    default: 5.72958   --  angle</code></pre><p>Get/set the value of the <strong>&quot;Spin Rate&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Worldhelper&gt;.Bounce_Threshold     Float    default: 2.0   --  worldUnits</code></pre><p>Get/set the value of the <strong>&quot;Bounce&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Worldhelper&gt;.Enable_Multi_Threading     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Enable Multi Threading&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Worldhelper&gt;.Thread_Count     Integer    default: 2   --  integer</code></pre><p>Get/set the value of the <strong>&quot;Thread Count&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Worldhelper&gt;.Use_Hardware_PPU     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Use Hardware PPU&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Worldhelper&gt;.Restricted_Broadphase     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Restricted Broadphase&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Worldhelper&gt;.Safe_Mode_Simulation     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Safe Mode Simulation&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Worldhelper&gt;.Calculation_Limit     Integer    default: 10   --  integer</code></pre><p>Get/set the value of the <strong>&quot;Calculation Limit&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Worldhelper&gt;.useProfileTools     BooleanClass    default: false   --  bool</code></pre><p>Exposed by the <a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-profileTools.html\">profileTools interface</a>.</p>\n\
<h2 id=\"mp_worldhelper-interfaces-\">mP_Worldhelper interfaces:</h2><p><strong>The following common Particle Flow Interfaces are exposed by the mP_Worldhelper Class:</strong></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-PhysXWorld.html\">Interface: PhysXWorld</a></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-profileTools.html\">Interface: profileTools</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../mParticles-Operators.html\">mParticles Operators</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";