var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-7BEB6476-9AE7-4475-BF09-B5C395008362\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MoFlowTransition : MaxWrapper</h1></div><p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">addTransition &lt;from_MoFlowSnippet &gt; &lt;to_MoFlowSnippet &gt; &lt;bool_optimize&gt;      </code></pre><p>Adds a new MoFlowTransition from the <strong>from_MoFlowSnippet</strong> to the <strong>to_MoFlowSnippet</strong> if one doesn&#x2019;t already exist.The optimize parameter acts as the &quot;Optimize Selected Transition&quot; in the Motion Flow Editor.</p>\n\
<p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MoFlowTransition&gt;.fromSnippet MoFlowSnippet Default: Varies   </code></pre><p>Specifies the MoFlowSnippet transitioning from.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MoFlowTransition&gt;.toSnippet MoFlowSnippet Default: Varies </code></pre><p>Specifies the MoFlowSnippet transitioning to.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MoFlowTransition&gt;.active Boolean Default: True -- Read-only </code></pre><p>Specifies whether the MoFlowTransition is active.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MoFlowTransition&gt;.selected Boolean Default: False </code></pre><p>Specifies whether the MoFlowTransition line is selected in the Motion Flow Graph.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MoFlowTransition&gt;.tranInfos ArrayDefault: #(MoFlowTranInfo : [X,X]) -- Read-only</code></pre><p>Array of motion flow transition info blocks (MoFlowTranInfo values). The element of this array used is determined by the <code>&lt;mfscriptItem&gt;.tranIndex</code> property.</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">addTranInfo &lt;MoFlowTransition&gt; </code></pre><p>Adds a new MoFlowTranInfo to the MoFlowTransition and returns the newly created MoFlowTranInfo.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">deleteTranInfo &lt; MoFlowTransition &gt; &lt;index_integer&gt; </code></pre><p>Deletes the indexed MoFlowTranInfo from MoFlowTransition. If the MoFlowTranInfo is the only MoFlowTranInfo in MoFlowTransition, it is not deleted.</p>\n\
<p><strong>Related Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">deleteTransition &lt; MoFlowSnippet &gt; &lt;index_integer&gt; </code></pre><p>Deletes the indexed MoFlowTransition emanating from the MoFlowSnippet.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">deleteTransitionsTo &lt;from_MoFlowSnippet &gt; &lt;to_MoFlowSnippet &gt; </code></pre><p>Deletes all transitions that emanate to the specified snippet.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">computeAnimation &lt;moflow&gt; [redraw:&lt;true&gt;] [incGlobals:&lt;false&gt;] </code></pre><p>Computes the global flow network. This function has to be called to update any changes made to the motion flow network. redraw:true will redraw the viewports. <code>incGlobals:true</code> will also include the global motion flow network</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Changes to the MoFlowSnippet property values do not cause an immediate update of the biped. ComputeAnimation must be called on the MoFlow value to recomputed the biped motion.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Biped-Motion-Flow.html\">Biped Motion Flow</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Extensions-in.html\">MAXScript Extensions in character studio</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";