var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-FBCA17FA-9249-49C6-A349-20125ED05C4D\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>CrowdState:ReferenceTarget</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">CrowdState - superclass: ReferenceTarget; super-superclass:MAXWrapper - 4:0 - classID: #(633734037, 2042692069) </code></pre><p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">CrowdState ... </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;crowdstate&gt;.name String Default: &quot;State&quot; </code></pre><p>The name of the state.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;crowdstate&gt;.behaviors ArrayParameter Default: #() -- array of behaviors </code></pre><p>The names of all behaviors associated with the state.</p>\n\
<p>See Notes below.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;crowdstate&gt;.weights ArrayParameter Default: #() -- array of floats </code></pre><p>Specifies the selected behavior&apos;s weight. The higher the weight in relation to other behaviors&apos; weights, the more evident the results of the behavior in the state. Default=1.0. Range=0.0 to 1.0.</p>\n\
<p>See Notes below.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;crowdstate&gt;.transitions ArrayParameter Default: #() -- array of CrowdTransition objects </code></pre><p>See Notes below.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>You can perform the following MAXScript operations:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">deleteitem &lt;array&gt; &lt;itemnumber&gt;&lt;array&gt; = #(item,item...)&lt;array&gt; = append &lt;array&gt; &lt;item&gt;</code></pre><p>on all of the properties containing an ArrayParamater of objects listed below. You can also undo/redo these operations:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;CrowdState&gt;.behaviors-- array of behaviors \n\
&lt;CrowdState&gt;.weights-- array of floats \n\
&lt;CrowdState&gt;.transitions-- array of CrowdTransition objects </code></pre><p>If you add or delete elements to the Behaviors ArrayParameter, the corresponding element in the Weights ArrayParameter <strong>must</strong> be added or deleted.</p>\n\
<blockquote>\n\
<p>   <strong>The following MAXScript operations will cause Crowd to fail, either right away or later:</strong></p>\n\
<p>   <strong>NEVER</strong> set Behavior ArrayParameter element to undefined.</p>\n\
<p>   <strong>NEVER</strong> set a Behavior ArrayParameter element to anything other than an object of the appropriate type.</p>\n\
</blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Crowds.html\">Crowds</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Crowd-Behaviors.html\">Crowd Behaviors</a></li>\n\
          <li><a class=\"link\" href=\"CrowdTransition-MAXObject.html\">CrowdTransition : MAXObject</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Extensions-in.html\">MAXScript Extensions in character studio</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";