var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-3837A255-6C1A-40A9-8B5F-8500D333DEAF\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Crowds - Methods</h1></div><p>The Crowds structure provides the following methods affecting the <strong>character studio</strong>Crowd feature:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">crowds.        solve &lt;crowd_node&gt;      </code></pre><p>Equivalent to clicking Solve in the crowd&#x2019;s Solve rollout<strong>..solve</strong> starts the solving, based on all other current crowd parameter settings.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">crowds.     genclones &lt;crowd_node&gt;   </code></pre><p>Equivalent to clicking Generate Clones in the Scatter Objects dialog, Clone tab, displayed by clicking the Scatter Objects icon. Generates clones based on all other current crowd parameter settings.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">crowds.  genlocations &lt;crowd_node&gt; </code></pre><p>Equivalent to clicking Generate Locations in the Scatter Objects dialog, Position tab, displayed by clicking the Scatter Objects icon. Generates locations based on all other current crowd parameter settings.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">crowds.genrotations &lt;crowd_node&gt; </code></pre><p>Equivalent to clicking Generate Orientations in the Scatter Objects dialog, Rotation tab, displayed by clicking the Scatter Objects icon. Generates rotations based on all other current crowd parameter settings.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">crowds.genscales &lt;crowd_node&gt; </code></pre><p>Equivalent to clicking Generate Scales in the Scatter Objects dialog, Scale tab, displayed by clicking the Scatter Objects icon. Generates scales based on all other current crowd parameter settings.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">crowds.scatterall &lt;crowd_node&gt; </code></pre><p>Equivalent to clicking Scatter button in the Scatter Objects dialog, All Ops tab. Scatters objects based on all other current crowd parameter settings.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">crowds.alignObjects &lt;crowd_node&gt; </code></pre><p>Equivalent to clicking Align Objects with Delegates in the Object / Delegates dialog displayed by clicking the Associate Objects with Delegates icon. Aligns objects based on all other current crowd parameter settings.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">crowds.linkObjects&lt;crowd_node&gt; </code></pre><p>Equivalent to clicking Link Objects to Delegates in the Object / Delegates dialog displayed by clicking the Associate Objects with Delegates icon. Links objects based on all other current crowd parameter settings.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">crowds.assignControllers &lt;crowd_node&gt; </code></pre><p>Equivalent to clicking Assign Delegate Controllers to Objects in the Object / Delegates dialog displayed by clicking the Associate Objects with Delegates icon. Assigns controllers based on all other current crowd parameter settings.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">crowds.smooth&lt;crowd_node&gt; </code></pre><p>Equivalent to clicking OK in the Smoothing dialog displayed by clicking the Smooth Paths button in the Solve rollout. Smooths objects motions based on all other current crowd parameter settings.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">crowds.assignGridProximityPriorities &lt;crowd_node&gt; </code></pre><p>Equivalent to clicking Proximity to a Grid / Assign in the Priority rollout. Assigns priorities to the delegates specified in &lt;Crowd.priority&gt;.delegates based on their distance from the grid specified in &lt;Crowd.priority&gt;.grid.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">crowds.assignObjectProximityPriorities &lt;crowd_node&gt; </code></pre><p>Equivalent to clicking Proximity to an Object / Assign in the Priority rollout. Assigns priorities to the delegates specified in &lt;Crowd.priority&gt;.delegates based on their distance from the object specified in &lt;Crowd.priority&gt;.object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">crowds.assignRandomPriorities &lt;crowd_node&gt; </code></pre><p>Equivalent to clicking Assign Random Priorities in the Priority rollout. Assigns random priorities to the delegates specified in &lt;Crowd.priority&gt;.delegates.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">crowds.assignUniquePriorities &lt;crowd_node&gt; </code></pre><p>Equivalent to clicking Make Priorities Unique in the Priority rollout. Ensures that the priorities of the delegates specified in &lt;Crowd.priority&gt;.delegates are unique. If two delegates share the same priority, one of them will be given a new priority.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">crowds.incrementPriorities &lt;crowd_node&gt; </code></pre><p>Equivalent to clicking Increment Priorities in the Priority rollout. Increments the priorities of the delegates specified in &lt;Crowd.priority&gt;.delegates by the value in &lt;Crowd.priority&gt;.increment.</p>\n\
<blockquote>\n\
<p>   <strong>NOTES - MAXSCRIPT GROUP:</strong></p>\n\
<p>   The MAXScript group of the Solve Rollout has a feature to control the execution of a MAXScript script at each frame.</p>\n\
<p>   <strong>Use MAXScript:</strong> When on, a user-specified script is executed at each frame during the solution. Default=off.</p>\n\
<p>   <strong>Function Name:</strong> The name of the function to be executed. This name must be identical to the one specified in the script.</p>\n\
<p>   <strong>Edit MAXScript:</strong> Click this button to open a MAXScript window for displaying and modifying the script.</p>\n\
</blockquote>\n\
<p>The crowd function needs two parameters defined. The 1st parameter passed in is the current crowd and the 2nd parameter passed in is the solve frame.</p>\n\
<blockquote>\n\
<p>   <strong>HERE IS A SIMPLE EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fn g_PerFrameFn current_crowd the_frame_time =\n\
   (\n\
   if the_frame_time == 1f then\n\
   (_g_mydebugwindow = newScript()\n\
   format &quot;% %\\n&quot; current_crowd the_frame_timeto:_g_mydebugwindow\n\
   )\n\
   )\n\
</code></pre></blockquote>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>You can perform the following MAXScript operations:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">deleteitem &lt;array&gt; &lt;itemnumber&gt;&lt;array&gt; = #(item,item...)&lt;array&gt; = append &lt;array&gt; &lt;item&gt;</code></pre><p>on all of the properties containing an ArrayParamater of objects listed below. You can also undo/redo these operations.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Crowd&gt;.behaviors-- array of Behavior objects \n\
&lt;Crowd&gt;.teams-- array of CrowdTeam objects \n\
&lt;Crowd&gt;.assignments-- array of Assignment objects \n\
&lt;Crowd&gt;.cogcontrols-- array of CognotiveController objects \n\
&lt;Crowd.scatter&gt;.ObjectsToScatter-- node array \n\
&lt;Crowd.objAssoc&gt;.objects-- node array \n\
&lt;Crowd.objAssoc&gt;.delegates-- node array \n\
&lt;Crowd.smooth&gt;.objects-- node array </code></pre><p>If you delete a team or a cognitive controller via MAXScript<strong>deleteitem$crowd01.teams</strong>[1] 1 or <strong>deleteitem$crowd01.cogcontrols</strong>[1] 1, it may still be referenced by some assignments. Nothing will go wrong, but it&apos;s a strange thing to do and one probably should not do it.</p>\n\
<blockquote>\n\
<p>   <strong>The following MAXScript operations will cause Crowd to fail, either right away or later:</strong></p>\n\
<p>   <strong>NEVER</strong> set a Crowd ArrayParameter element to undefined.</p>\n\
<p>   <strong>NEVER</strong> set a Crowd ArrayParameter element to to anything other than an object of the appropriate type.</p>\n\
</blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Crowds.html\">Crowds</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Extensions-in.html\">MAXScript Extensions in character studio</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";