var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-4CFED5CE-DA5B-456A-A9FA-B4ADC91B6E4A\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>TopBottom : Material</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">TopBottom - superclass: material; super-superclass:MAXWrapper - classID: #(256, 0) </code></pre><p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">topBottom ...      \n\
topBottomMat ...   </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TopBottom&gt;.topMaterial Material default: Standard -- alias: Top______Standard </code></pre><p>The top material.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TopBottom&gt;.bottomMaterial Material default: Standard -- alias: Bottom______Standard </code></pre><p>The bottom material.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TopBottom&gt;.map1Enabled Boolean default: true -- alias: Map_1_Enable </code></pre><p>Turns on/off the use of the top material in the topbottom material.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TopBottom&gt;.map2Enabled Boolean default: true -- alias: Map_2_Enable </code></pre><p>Turns on/off the use of the bottom material in the topbottom material.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TopBottom&gt;.blend Float default: 0.0 -- animatable </code></pre><p>Blends the edge between the top and bottom sub-materials.</p>\n\
<p>This is a percentage that can range from 0 to 100.</p>\n\
<p>At 0, there is a sharp line between the top and bottom sub-materials.</p>\n\
<p>At 100, the top and bottom sub-materials tint each other.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TopBottom&gt;.position Float default: 50.0 -- animatable </code></pre><p>Determines where the division between the two materials lies on an object.</p>\n\
<p>This is a percentage that can range from 0 to 100.</p>\n\
<p>0 is at the bottom of the object, and displays only the top material.</p>\n\
<p>100 is at the top of the object, and displays only the bottom material.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TopBottom&gt;.coordinates Integer default: 0 </code></pre><p>Choose how the software determines the boundary between top and bottom:</p>\n\
<p>0 - <strong>World</strong> (Faces point up or down according to the scene&#x2019;s world coordinates. When you rotate the object, the boundary between top and bottom faces remains in place.)</p>\n\
<p>1 - <strong>Local</strong> (Faces point up or down according to the object&#x2019;s local coordinates. When you rotate the object, the material rotates with it.)</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Material-Types.html\">Material Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Material-Common-Properties.html\">Material Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";