var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-C4BD1C23-6731-42A2-88D6-F74A5ADF00D0\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Preset_Maker : modifier</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Preset_Maker : modifier {d4e56ab,0} </code></pre><p>This modifier is applied by the Animation Presets / Offset Controller system originally introduced with 3ds Max 2016 Extension 1. Available in <strong>3ds Max 2017 and higher</strong>.</p>\n\
<p>Constructor:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Class instances not directly creatable by MAXScript</code></pre><p>See <a href=\"./../../../../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-OffsetManager.html\">Interface:OffsetManager</a> for indirect creation methods.</p>\n\
<p><strong>Aliases:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Preset_Maker\n\
Publish\n\
</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Preset_Maker&gt;.showPublishUI : Boolean</code></pre><p>Ges/sets the visibility of the &quot;Preset Maker&quot; rollout.</p>\n\
<p>The default is False for modifiers created from a template, and True for template modifiers.</p>\n\
<p>When set to True, an additional &quot;Preset Maker&quot; rollout will be displayed.</p>\n\
<p>When set to False, the additional rollout will be hidden.</p>\n\
<h2 id=\"-quot-preset-maker-quot-rollout\">&quot;Preset Maker&quot; rollout</h2><p>This rollout is only displayed when the <strong>.showPublishUI</strong> property is set to True.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Preset_Maker&gt;.publishFile : string</code></pre><p>Gets/sets the name of the Preset.</p>\n\
<p>The default name of newly created presets is &quot;effect&quot;.</p>\n\
<p>This property must be set to a unique name string before saving the Preset to disk &#x2013; see Interface:OffsetManager for details.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Preset_Maker&gt;.publishFileOriginal : string</code></pre><p>Gets the original Preset name used to create the modifier instance.</p>\n\
<p>Editing the &quot;Name Your Preset&quot; text field will only modify the <strong>.publishFile</strong> property, while the <strong>.publishFileOriginal</strong> will retain the original creation-time name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Preset_Maker&gt;.InstanceModifierControls : Boolean</code></pre><p>Gets/sets the state of the &quot;Instance Modifier Controls&quot; checkbox.</p>\n\
<p>When set to True (default), the modifier controls will be instanced across the objects the Preset is applied to.</p>\n\
<h2 id=\"not-exposed-to-the-ui\">Not Exposed To The UI</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Preset_Maker&gt;.modifierIDList : int array</code></pre><p>Gets the Preset_Maker Modifier&#x2019;s ID list, which is a unique identifier assigned to the Preset at creation time.</p>\n\
<p>All modifier instances created from the same Preset will contain the same ID values.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Preset_Maker&gt;.transform : Boolean</code></pre><p>Gets whether the Preset Modifier will apply transform animations.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Preset_Maker&gt;.modifier : Boolean</code></pre><p>Gets whether the Preset Modifier will apply modifier animations.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Preset_Maker&gt;.material : Boolean</code></pre><p>For future use.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Preset_Maker&gt;.InstanceTMControls : Boolean</code></pre><p>For future use.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Preset_Maker&gt;.InstanceMaterialControls : Boolean</code></pre><p>For future use.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Preset_Maker&gt;.originalTM : maxObject</code></pre><p>Gets the original Transform controller of the object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Preset_Maker&gt;.originalVis : maxObject</code></pre><p>For future use.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Preset_Maker&gt;.originalMat : material</code></pre><p>For future use.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Preset_Maker&gt;.timingUI : maxObject</code></pre><p>Gets the instance of the offset : floatController which is exposes the Timing User Interface &#x2013; see below for its properties.</p>\n\
<h2 id=\"offset-floatcontroller\">offset: floatController</h2><p>The offset floatController is the control object which implements the offsetting of animation timing across multiple objects.</p>\n\
<p>Its properties are exposed as UI controls in the Preset_Maker Modifier.</p>\n\
<p>Class instances of this controller cannot be created by MAXScript, but existing instances referenced by the Preset_Maker modifier can be accessed via the modifier&#x2019;s .timingUI property (see above).</p>\n\
<p><strong>Aliases:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">offset\n\
offsetTimer</code></pre><h2 id=\"-quot-offset-motion-controls-quot-rollout\">&quot;Offset Motion Controls&quot; rollout</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;offset&gt;.X : Boolean</code></pre><p>Gets/sets the state of the &quot;Use Axis&quot; &gt; &quot;X&quot; checkbox.</p>\n\
<p>When set to True (default), the X local axis of the picked center object will be used to measure the distance to the other objects with the same Preset_Maker modifier.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;offset&gt;.Y : Boolean</code></pre><p>Gets/sets the state of the &quot;Use Axis&quot; &gt; &quot;Y&quot; checkbox.</p>\n\
<p>When set to True (default), the X local axis of the picked center object will be used to measure the distance to the other objects with the same Preset_Maker modifier.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;offset&gt;.Z : Boolean</code></pre><p>Gets/sets the state of the &quot;Use Axis&quot; &gt; &quot;Z&quot; checkbox.</p>\n\
<p>When set to True (default), the X local axis of the picked center object will be used to measure the distance to the other objects with the same Preset_Maker modifier.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;offset&gt;.ID : float</code></pre><p>Gets/sets the Order ID value.</p>\n\
<p>The ID is used to sort the objects with the same preset in order to offset them differently - objects with the same ID will have the same offset, and lower IDs are offset less than higher IDs.</p>\n\
<h2 id=\"-quot-offset-configuration-quot-rollout\">&quot;Offset Configuration&quot; rollout</h2><p><strong>&quot;Animation Settings&quot; group of controls</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;offset&gt;.animcationLength : time</code></pre><p>Gets/sets the value shown by the &quot;Original Animation Length&quot; label.</p>\n\
<p>This value is normally initialized to the Preset animation&#x2019;s length, but it can be modified via MAXScript.</p>\n\
<p>Since the &quot;Original Animation Length&quot; is used to determine the animation speed by dividing it by the .lengthOffset value, changing either of them will affect the playback speed of the offset animation.</p>\n\
<p>However, it is recommended to always modify the .lengthOffset value which is exposed as a value spinner in the UI for that purpose.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;offset&gt;.startOffset : time</code></pre><p>Gets/sets the value of the &quot;Start Offset&quot; value spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;offset&gt;.lengthOffset : time</code></pre><p>Gets/sets the value of the &quot;Set Length&quot; value spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;offset&gt;.useGraph : Boolean</code></pre><p>Gets/sets the state of the &quot;Animation Ease Graph&quot; checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;offset&gt;.graph : maxObject</code></pre><p>Gets the object containing the Ease Graph CurveControl object.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The Before and After Out Of Range types of the offset:floatController are exposed as drop-down lists in the UI.</div>\n\
<p>To get and set these values, use the functions described in the topic &quot;Controller Out-Of-Range Functions&quot;</p>\n\
<p><strong>&quot;Offset Settings&quot; group of controls</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;offset&gt;.Direction : integer</code></pre><p>Gets/sets the selection of the &quot;Playback Type&quot; drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<ul>\n\
<li>0 &#x2013; Forward (default)</li>\n\
<li>1 &#x2013; Reverse</li>\n\
<li>2 &#x2013; Ping Pong</li>\n\
<li>3 &#x2013; From Center</li>\n\
<li>4 &#x2013; Random</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;offset&gt;.perNodeOffset : time</code></pre><p>Gets/sets the value of the &quot;Per Node Delay&quot; value spinner.</p>\n\
<p>This value controls the actual time offset between the animations of two objects with the same Preset which are sorted one after the other based on their IDs.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;offset&gt;.useRandomPerNode : boolean</code></pre><p>Gets/sets the state of the &quot;Random Delay&quot; checkbox.</p>\n\
<p>Default is False.</p>\n\
<p>When set to True, the .randomPerNodeOffset property will be used to vary the .perNodeOffset value between objects for a more natural look.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;offset&gt;.randomPerNodeOffset : time</code></pre><p>Get/set the value of the &quot;Random Delay&quot; value spinner.</p>\n\
<p>It is used only when the .useRandomPerNode property is set to True.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;offset&gt;.usePerNodeGraph : Boolean</code></pre><p>Get/set the state of the &quot;Per Node Ease Graph&quot; checkbox.</p>\n\
<p>Default is False.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;offset&gt;.perNodeGraph : maxObject</code></pre><p>Get the &quot;Per Node Ease Graph&quot; CurveControl object.</p>\n\
<h2 id=\"not-exposed-in-the-ui\">Not Exposed In The UI</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;offset&gt;.numNodes : integer</code></pre><p>Gets the number of objects the Preset_Maker modifier is applied to.</p>\n\
<p>While setting the value is possible, it serves no practical purpose as the value is for reference purposes only and modifying it does not affect the actual offset animation.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;offset&gt;.randomList : int array</code></pre><p>Gets the random order to use when .Direction is set to 4 &#x2013; Random.</p>\n\
<p>The array will contain the same amount of integers as the number of objects with the Preset applied.</p>\n\
<p>The list items from 1 to N represent the sorted list of objects.</p>\n\
<p>The values of the items represent the order from 0 to N-1 in which the animation offset will be applied.</p>\n\
<p>For example, #(2, 19, 5, 17, 7, 0, 12, 11, 15, 4, 3, 13, 1, 6, 10, 9, 14, 20, 8, 16, 18) means that the 6th object will play back first (value of 0), then the 13th object will play second (value of 1), then the first (value of 2), and so on.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;offset&gt;.startTime : time</code></pre><p>Not exposed in the UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;offset&gt;.random : float</code></pre><p>Not exposed in the UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;offset&gt;.Control : float</code></pre><p>Not exposed in the UI.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Animation-Modifiers.html\">Animation Modifiers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";