var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-0820AA26-920F-434D-A6BC-E8B6B57F54AC\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Skin : Modifier</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Skin - superclass: modifier; super-superclass:MAXWrapper - 91:0 - classID: #(9815843, 87654) </code></pre><p><img src=\"./images/GUID-2FD79103-0BDA-4E7B-AA4C-DE04896E9078-low.gif\" alt></p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Skin ... </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.enableDQ     BooleanClass    default: true   --  boolean</code></pre><p>Get/Set the state of the <strong>&quot;Dual Quaternion&quot;</strong> &gt; <strong>&quot;DQ Skinning Toggle&quot;</strong> checkbox.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.Effect Float default: 0.0 </code></pre><p>Absolute weight of selected vertices.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.filter_vertices Boolean default: false </code></pre><p>Turn vertex selection on/off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.filter_cross_sections Boolean default: true </code></pre><p>Turn cross-section selection on/off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.filter_envelopes Boolean default: true </code></pre><p>Turn envelope selection on/off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.draw_all_envelopes Boolean default: false </code></pre><p>When turned on, displays all envelopes. When off, only the selected envelopes are displayed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.draw_vertices Boolean default: true </code></pre><p>Turn on/off the display of weighted vertices.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.ref_frame Integer default: 0 </code></pre><p>Sets the frame where the bones and the mesh are in a reference position.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.paint_radius Float default: 24.0 </code></pre><p>Sets the brush radius.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.paint_feather Float default: 0.7 </code></pre><p>Sets the brush falloff.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.cross_radius Float default: 10.0 </code></pre><p>Scales the selected envelope cross-section.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.always_deform Boolean default: true </code></pre><p>Always deforms the skin when the bones are moved. The Animate button does not have to be turned on to move bones and deform the skin.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.paint_str Float default: 0.1 </code></pre><p>Sets the brush strength.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.localSquash Array default: #() -- float array </code></pre><p>Amount of squash applied to each bone.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.initialSquash Array default: #() -- float array </code></pre><p>Array containing initial squash values for a bone.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.initialStaticEnvelope Boolean default: false </code></pre><p>When turned on, an initial static envelope size is used when a bone is added. When off, the initial envelope size is determined by the object bounding box.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.initialInnerEnvelopePercent Float default: 0.75 </code></pre><p>The multiplier used to find the inner cross-section size when <code>initialStaticEnvelope</code> is <code>false</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.initialOuterEnvelopePercent Float default: 3.5 </code></pre><p>The multiplier used to find the outer cross-section size when <code>initialStaticEnvelope</code> is <code>false</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.initialEnvelopeInner Float default: 10.0 </code></pre><p>The inner cross-section size when <code>initialStaticEnvelope</code> is <code>true</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.initialEnvelopeOuter Float default: 50.0 </code></pre><p>The outer cross-section size when <code>initialStaticEnvelope</code> is <code>true</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.draw_all_gizmos Boolean default: true </code></pre><p>Turn on/off the display off all gizmos.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.draw_all_vertices Boolean default: false </code></pre><p>Turns on/off the display of all vertices as small dots.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.shadeweights Boolean default: true </code></pre><p>Turn on/off display of weighted vertices using vertex colors.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.envelopesAlwaysOnTop Boolean default: true </code></pre><p>Turn on/off display of envelopes on top of the mesh.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.crossSectionsAlwaysOnTop Boolean default: true </code></pre><p>Turn on/off display of cross-sections on top of the mesh.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.rigid_vertices Boolean default: false </code></pre><p>When turned on, a single vertex can only be affected by one bone.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.rigid_handles Boolean default: false </code></pre><p>When turned on, all handles have the same weights as the knot that owns them.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.fast_update Boolean default: false </code></pre><p>When turned on, the system uses only rigid vertices for the viewport display.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.gizmos Array default: #() -- max object array </code></pre><p>Array containing all gizmos assigned to skin.</p>\n\
<p><strong>The following properties have been added to the skin modifier in 3ds Max 5</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.backTransform Boolean default: true -- boolean; Back_Transform_Verts </code></pre><p>Get/Set the state of the &quot;Back Transform Vertices&quot; checkbox in the Advanced Parameters rollout</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.bone_Limit Integer default: 20 -- integer </code></pre><p>Get/Set the value of the &quot;Bone Affect Limit&quot; control in the Advanced Parameters rollout</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.debugMode Boolean default: true -- boolean </code></pre><p>Get/Set the Debug mode for the modifier.</p>\n\
<p>Not exposed to the UI, for internal use only.</p>\n\
<p>When enabled, data will be output to the Listener window which may be useful for tracking bugs.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.shortenBoneNames Boolean default: true -- boolean; Shorten_Bone_Names </code></pre><p>Get/Set the Shorten Bone Names mode state.</p>\n\
<p>When set to true, bone names longer than the width of the bone list will be shortened by adding &quot;...&quot; in the middle of the name and displaying only the start and end characters.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.showNoEnvelopes Boolean default: false -- boolean; Shade_Weights </code></pre><p>Get/Set the state of the &quot;Show No Envelopes&quot; checkbox in the Display rollout</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.updateOnMouseUp Boolean default: false -- boolean; Update_On_Mouse_Up </code></pre><p>Get/Set the state of the &quot;Update on mouse up&quot; checkbox in the Advanced Parameters rollout</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.wt_activeVertexSet Integer default: 0 -- integer; Active_Vertex_Set </code></pre><p>Get/Set the index of the Active Vertex Set drop-down list in the Weight Table dialog.</p>\n\
<p>0 - All Vertices</p>\n\
<p>1 - Selected Vertices</p>\n\
<p>2 - Selected Bone</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.wt_affectSelected Boolean default: false -- boolean; Affect_Selected </code></pre><p>Get/Set the Weight Table Affect Selected mode.</p>\n\
<p>When set to true, the &quot;Affect Selected&quot; option will be selected in the drop-down list in the Weight Table dialog.</p>\n\
<p>When false, &quot;Affect All Verts&quot; will be selected instead.</p>\n\
<p>To see the drop-down list, Options&gt;Show Global should be checked.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.wt_attribLabelHeight Integer default: 1 -- integer; Attrib_Label_Height </code></pre><p>Get/Set the Weight Table Height of the attribute labels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.wt_dragLeftRightMode Boolean default: true -- boolean; Drag_Left_Right_Mode </code></pre><p>Get/Set the Weight Table Drag direction mode.</p>\n\
<p>When set to true, dragging the mouse left-right will increase/decrease the value.</p>\n\
<p>When false, dragging up/down will change the value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.wt_flipUI Boolean default: false -- boolean; Flip_UI </code></pre><p>Get/Set the Weight Table UI Flip mode.</p>\n\
<p>When set to true, the bone names will be displayed at the left side.</p>\n\
<p>When false, the bone names will be displayed on top.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.wt_fontSize Integer default: 14 -- integer; FontSize </code></pre><p>Get/Set the Weight Table font size.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.wt_markerColor Color default: (color 255 0 255) -- Marker_Color </code></pre><p>Get/Set the Weight Table marker color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.wt_markerType Integer default: 6 -- integer; Marker_Type </code></pre><p>Get/Set the Weight Table marker type.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.wt_precision Float default: 0.01 -- float; Precision </code></pre><p>Get/Set the Weight Table precision when dragging a field.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.wt_shortenLabels Boolean default: true -- boolean; Shortern_Labels </code></pre><p>When set to true, the Weight Table labels will be shortened.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.wt_showAffectedBones Boolean default: false -- boolean; Show_Affected_Bones </code></pre><p>Get/Set the Show Affected Bones mode state.</p>\n\
<p>When enabled, it will filter out any bones that do not have any influence on the currently displayed vertices.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.wt_showAttributes Boolean default: true -- boolean; Show_Attributes </code></pre><p>Get/Set the Show Attributes mode state.</p>\n\
<p>Corresponds to the item in the Weight Table&#x2019;s Options menu.</p>\n\
<p>When set to true will show the vertex attribute in the window, when set to false will remove the vertex attribute from the window.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.wt_showCopyPasteUI Boolean default: true -- boolean; Show_Copy_and_Paste_UI </code></pre><p>Controls the visibility of the Copy and Paste buttons in the Weight Table UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.wt_showExclusions Boolean default: false -- boolean; Show_Exclusions </code></pre><p>Gets/Sets the visibility of the exclusion toggle boxes.</p>\n\
<p>Corresponds to the item in the Weight Table&#x2019;s Options menu.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.wt_showGlobal Boolean default: false -- boolean; Show_Global </code></pre><p>Get/Set the Show Global mode state.</p>\n\
<p>Corresponds to the item in the Weight Table&#x2019;s Options menu.</p>\n\
<p>When set to true the global fields will be shown.</p>\n\
<p>When set to false, the global fields will be hidden.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.wt_showLocks Boolean default: false -- boolean; Show_Locks </code></pre><p>Gets/Sets the visibility of the Locks toggle boxes.</p>\n\
<p>Corresponds to the item in the Weight Table&#x2019;s Options menu.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.wt_showMarker Boolean default: true -- boolean; Show_Weight_Table_Marker </code></pre><p>Controls the marker visibility in the viewport for the selected vertices in the Weight Table.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.wt_showMenu Boolean default: true -- boolean; Show_Menu </code></pre><p>Controls the menu visibility. Takes effect after re-opening the Weight Table.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.wt_showOptionsUI Boolean default: false -- boolean; Show_Options_UI </code></pre><p>Controls the Options panel visibility of the Weight Table dialog.</p>\n\
<p>This is not exposed to the standard UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.wt_showSetUI Boolean default: false -- boolean; Show_Set_Sets_UI </code></pre><p>Controls the Vertex Selection sets panel visibility of the Weight Table dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.wt_tableY Integer default: 10 -- integer; Top_Border </code></pre><p>Controls the Y position of the top of the Weight Table.</p>\n\
<p>In other words it defines the height of the additional options panel on top of the Weight Table dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.wt_updateOnMouseUp Boolean default: false -- boolean; Update_On_Mouse_Up </code></pre><p>Controls the state of the &quot;Update On Mouse Up&quot; item the Weight Table&#x2019;s Options menu.</p>\n\
<p>When set to true, the viewport and stack will be updated only when the mouse is released.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.wt_winHeight Integer default: 500 -- integer; Height </code></pre><p>Get/set the Weight Table&#x2019;s window height.</p>\n\
<p>Setting takes effect after re-opening the Weight Table.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.wt_winWidth Integer default: 800 -- integer; Width </code></pre><p>Get/set the Weight Table&#x2019;s window width. Setting takes effect after re-opening the Weight Table.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.wt_winXPos Integer default: 0 -- integer; Xpos </code></pre><p>Get/set the Weight Table&#x2019;s window horizontal position in pixels relatively to the upper left corner of the Windows desktop. Setting takes effect after re-opening the Weight Table.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.wt_winYPos Integer default: 0 -- integer; YPos </code></pre><p>Get/set the Weight Table&#x2019;s window vertical position in pixels relatively to the upper left corner of the Windows desktop. Setting takes effect after re-opening the Weight Table.</p>\n\
<p><strong>The following properties have been added to the Skin modifier in 3ds Max 6</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.mirrorPlane Integer default: 0 -- integer; Mirror_Plane </code></pre><p>Get/Set the mirror plane axis. Possible values are:</p>\n\
<p>0 - X (default)</p>\n\
<p>1 - Y</p>\n\
<p>2 - Z</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.mirrorOffset Float default: 0.0 -- float; Mirror_Offset </code></pre><p>Get/Set the mirror offset value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.mirrorUseInitialTM BooleanClass default: true -- boolean; Use_Initial_TM </code></pre><p>When set to <code>true</code> , the mirror will use the initial transformation matrix.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.mirrorEnabled BooleanClass default: false -- boolean; Mirror_Enabled </code></pre><p>When set to <code>true</code> , mirror mode will be enabled. Corresponds to the &quot;Mirror Mode&quot; checkbutton in the Skin Modifier&apos;s UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.mirrorThreshold Float default: 0.5 -- float; Mirror_Threshold </code></pre><p>Get/Set the mirror treshold value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.mirrorProjection Integer default: 0 -- integer; Mirror_Projection </code></pre><p>Get/Set the mirror projection mode. Possible values are:</p>\n\
<p>0 - Default Display</p>\n\
<p>1 - Positive Direction</p>\n\
<p>2 - Negative Direction</p>\n\
<p>3 - None</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.manualUpdate BooleanClass default: false -- boolean; Manual_Update </code></pre><p>Controls the state of the &quot;Manual Update&quot; checkbox in the Skin Modifier&apos;s UI, &quot;Mirror Parameters&quot; rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.mirrorFast BooleanClass default: true -- boolean; Fast_Engine </code></pre><p>When set to <code>false</code> , disables the fast mirror mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.ignoreBoneScale BooleanClass default: false -- boolean; Ignore_Bone_Scale </code></pre><p>Controls the state of the &quot;Ignore Bone Scale&quot; checkbox in the &quot;Advanced Parameters&quot; rollout of the Skin Modifier&apos;s UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.rightJustifyBoneText BooleanClass default: true -- boolean; Right_Justify_Bone_Names </code></pre><p>When set to <code>true</code> (default), bone text in the Weight Table dialog will be right-justified.</p>\n\
<p><strong>The following property has been added to 3ds Max 6 but is not officially supported</strong>.</p>\n\
<blockquote>\n\
<p>   <strong>Use at your own risk:</strong></p>\n\
</blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.paintBlendMode BooleanClass default:false </code></pre><p>Lets you paint Skinweights in Blend mode when set to true.</p>\n\
<p><strong>The following properties have been added to the Skin modifier in 3ds Max 8</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.selectElement BooleanClass default: false -- boolean; Select_Element </code></pre><p>Get/Set the state of the Select Element checkbox in the <strong>Select</strong> group of controls in the <strong>Parameters</strong> rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.backFaceCull BooleanClass default: true -- boolean; Backface_Cull </code></pre><p>Get/Set the state of the Backface Cull Vertices checkbox in the <strong>Select</strong> group of controls in the <strong>Parameters</strong> rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.colorAllWeights BooleanClass default: false -- boolean; Shade_Weights </code></pre><p>Get/Set the state of the Color All Weights checkbox in the <strong>Display</strong> rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.showHiddenVertices BooleanClass default: false -- boolean; Show_Hidden_Vertices </code></pre><p>Get/Set the state of the Show Hidden vertices checkbox in the <strong>Display</strong> rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.animatableEnvelopes BooleanClass default: false -- boolean; Animatable_Envelopes </code></pre><p>Get/Set the state of the Animatable Envelopes checkbox in the <strong>Advanced Parameters</strong> rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.weightAllVertices BooleanClass default: true -- boolean; Weight_All_Vertices </code></pre><p>Get/Set the state of the Weight All vertices checkbox in the <strong>Advanced Parameters</strong> rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.clearZeroLimit Float default: 0.0 -- float; Clear_Zero_Weights_Limit </code></pre><p>Get/Set the Remove Zero Limit value in the <strong>Advanced Parameters</strong> rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.weightColors ArrayParameter default: #([0.9,0,0], [0,0.9,0], [0,0,0.9], [0.9,0.9,0], [0,0.9,0.9], [0.9,0,0.9], [0.49,0,0], [0,0.49,0], [0,0,0.49], [0.49,0.49,0], [0,0.49,0.49], [0.9,0.49,0], [0,0.49,0.9], [0.49,0.9,0], [0,0.9,0.49], [0.49,0,0.49], [0.9,0,0.49], [0.49,0,0.9], [0.49,0.49,0.9], [0.9,0.49,0.49], [0.9,0.49,0.9], ...) -- point3 array; Weight_Colors </code></pre><p>Get/Set the colors to be used to display the weights.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.weightTool_scale Float default: 0.95 -- float; Scale </code></pre><p>Get/Set theWeight Tool&apos;sscale value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.weightTool_tolerance Float default: 0.1 -- float; Tolerance </code></pre><p>Get/Set theWeight Tool&apos;stolerance value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin&gt;.weightTool_weight Float default: 0.5 -- float; Weight </code></pre><p>Get/Set theWeight Tool&apos;sweight value.</p>\n\
<p><strong>Methods</strong></p>\n\
<p>In previous versions, some of these methods required the target object be selected, and that the Skin modifier be active in the Modify panel. Available in <strong>3ds Max 2019.2 Update and higher</strong>. These methods now take an optional <code>node:&lt;node&gt;</code> or <code>name:&lt;string&gt;</code> argument, and are applied to that node or named node. These arguments may be a single node or name, or an array of nodes or names. If no node is specified, the methods require that the Skin modifier be the displayed modifier in the Modify panel, and that the Modify panel is active.</p>\n\
<p>In previous versions these methods always required that the target object is selected, the Skin modifier be the displayed modifier in the Modify panel, and that the Modify panel is active.</p>\n\
<h3 id=\"add-\">Add...</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.addbone &lt;Skin&gt; &lt;Bone_node&gt; &lt;Update_integer&gt;  [(node:&lt;node&gt; | name:&lt;string&gt;)]</code></pre><p>Adds a bone to the current system.</p>\n\
<p>For <code>Update_integer</code> , - 1 forces a complete update and redraw, 0 does not update the system.</p>\n\
<p>This allows you to add a bunch of bones to a system and then update once at the end.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.addBoneFromViewEnd &lt;Skin&gt; </code></pre><p>Ends the <code>addBoneFromViewStart</code> command mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.addBoneFromViewStart &lt;Skin&gt; </code></pre><p>Puts you in a command mode where you can select bones from the viewport by clicking on them.</p>\n\
<p>You can exit this mode by right clicking or calling <code>addBoneFromViewEnd</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.addCrossSection &lt;Skin&gt; &lt;BoneID_integer&gt; &lt;U_float&gt; &lt;InnerRadius_float&gt; &lt;OuterRadius_float&gt; \\\n\
    [node:&lt;node&gt;] </code></pre><p>Adds a cross section to the bone whose index matches <code>BoneID_integer.U_float</code> , which ranges from 0.0-1.0, defines where along the bone to add the cross-section.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.addCrossSection &lt;Skin&gt; &lt;U_float&gt; </code></pre><p>Adds a cross section to the current selected bone.</p>\n\
<p>The inner and outer radii are computed based on the neighboring cross sections <code>.U_float</code> , which ranges from 0.0-1.0, defines where along the bone to add the cross-section.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.addCrossSection &lt;Skin&gt; &lt;U_float&gt; &lt;InnerRadius_float&gt; &lt;OuterRadius_float&gt; </code></pre><p>Adds a cross section to the current selected bone<code>.U_float</code> , which ranges from 0.0-1.0, defines where along the bone to add the cross-section.</p>\n\
<h3 id=\"vertex-selection\">Vertex Selection</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.growSelection &lt;Skin&gt; </code></pre><p>Grows the current vertex selection of the specified Skin modifier.</p>\n\
<p>Equivalent to pressing the Grow button in the Parameters rollout &gt; Select group of controls in the modifier&apos;s UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.shrinkSelection &lt;Skin&gt; </code></pre><p>Shrinks the current vertex selection of the specified Skin modifier.</p>\n\
<p>Equivalent to pressing the Shrink button in the Parameters rollout &gt; Select group of controls in the modifier&apos;s UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.loopSelection &lt;Skin&gt; </code></pre><p>Performs Loop Selection using the current vertex selection of the specified Skin modifier as base.</p>\n\
<p>Equivalent to pressing the Loop button in the Parameters rollout &gt; Select group of controls in the modifier&apos;s UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.ringSelection &lt;Skin&gt; </code></pre><p>Performs Ring Selection using the current vertex selection of the specified Skin modifier as base.</p>\n\
<p>Equivalent to pressing the Ring button in the Parameters rollout &gt; Select group of controls in the modifier&apos;s UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.bakeSelectedVerts &lt;Skin&gt; </code></pre><p>Bake the selected vertices.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.blendSelected &lt;Skin&gt; </code></pre><p>Blends the selected vertices.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.getSelectedVertices &lt;Skin&gt; [(node:&lt;node&gt; | name:&lt;string&gt;)]</code></pre><p>Gets an array of selected vertices.</p>\n\
<h3 id=\"button-commands\">Button Commands</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.buttonAdd &lt;Skin&gt; </code></pre><p>Presses the add bone button.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.buttonAddCrossSection &lt;Skin&gt; </code></pre><p>Presses the add cross section button.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.buttonAddGizmo &lt;Skin&gt; </code></pre><p>Presses the add gizmo button in the gizmo rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.buttonCopyGizmo &lt;Skin&gt; </code></pre><p>Presses the copy gizmo button in the gizmo rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.buttonExclude &lt;Skin&gt; </code></pre><p>Presses the exclude vertices button.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.buttonInclude &lt;Skin&gt; </code></pre><p>Presses the include vertices button.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.buttonPaint &lt;Skin&gt; </code></pre><p>Presses the paint button.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.buttonPasteGizmo &lt;Skin&gt; </code></pre><p>Presses the paste gizmo button in the gizmo rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.buttonRemove &lt;Skin&gt; </code></pre><p>Presses the remove bone button.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.buttonRemoveGizmo &lt;Skin&gt; </code></pre><p>Presses the remove gizmo button in the gizmo rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.buttonSelectExcluded &lt;Skin&gt; </code></pre><p>Presses the select excluded vertices button.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.paintOptionsButton &lt;Skin&gt; </code></pre><p>Presses the Paint Options button and opens the Paint Options dialog.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   skinOps.paintOptionsButton $.skin</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.paintWeightsButton &lt;Skin&gt; </code></pre><p>Presses the Weights button and enters the Paint Weights mode.</p>\n\
<h3 id=\"weight-table-amp-tool\">Weight Table &amp; Tool</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.buttonWeightTable &lt;Skin&gt; </code></pre><p>Brings up the Skin Weight Table for the specified modifier.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.isWeightTableOpen &lt;Skin&gt; </code></pre><p>Returns 1 if the Skin Weight Table is open for the specified modifier, 0 if it is closed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.closeWeightTable &lt;Skin&gt; </code></pre><p>Closes the Skin Weight Table of the specified modifier.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.WeightTool &lt;Skin&gt; </code></pre><p>Opens the Weight Tool of the specified Skin modifier.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.isWeightToolOpen &lt;Skin&gt; </code></pre><p>Returns 1 if the Weight Tool of the specified Skin modifier is open, 0 if it is closed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.closeWeightTool &lt;Skin&gt; </code></pre><p>Closes the Weight Tool of the specified Skin modifier if it is already open.</p>\n\
<h3 id=\"remove-bone\">Remove Bone</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.removebone &lt;Skin&gt; </code></pre><p>Removes the current selected bone from the bones system.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.removebone &lt;Skin&gt; &lt;BoneID_integer&gt; [(node:&lt;node&gt; | name:&lt;string&gt;)]</code></pre><p>Removes the BoneID from the bones system.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.multiRemove &lt;Skin&gt; </code></pre><p>Brings up a list box where the user can delete multiple bones instead of one at a time.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.replaceBone &lt;Skin&gt; &lt;BoneID_integer&gt; [(node:&lt;node&gt; | name:&lt;string&gt;)] vertices:&lt;list&gt;</code></pre><p>Replaces the specified bone with a bone defined by the vertices list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.removeUnusedBones &lt;Skin&gt; threshold:&lt;float&gt; [(node:&lt;node&gt; | name:&lt;string&gt;)]</code></pre><p>Removes bones with weights below the specified threshold.</p>\n\
<h3 id=\"copy-and-paste\">Copy and Paste</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.copySelectedBone &lt;Skin &lt;Skin&gt; </code></pre><p>Copies current selected bone properties to the copy buffer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.pasteAllBones &lt;SkinModifier&gt; &lt;boolean&gt; </code></pre><p>This method will paste all bones across the mirror plane going in the direction defined by the Bool parameter - if <code>true</code> , it pastes from blue to green, otherwise from green to blue.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.pasteToAllBones &lt;Skin&gt; </code></pre><p>Pastes the copy buffer to all the bones.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.pasteToBone &lt;Skin&gt; &lt;BoneID_int&gt; </code></pre><p>Pastes the copy buffer to bone id supplied.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.pasteToSelectedBone &lt;Skin&gt; </code></pre><p>Pastes the copy buffer to the current selected bone.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.copyWeights &lt;Skin&gt; </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.pasteWeights &lt;Skin&gt; </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.pasteWeightsByPos &lt;Skin&gt; </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.pasteAllVerts &lt;SkinModifier&gt; &lt;boolean&gt; </code></pre><p>This method will paste all vertices across the mirror plane going in the direction defined by the Bool parameter - if <code>true</code> , it pastes from blue to green, otherwise from green to blue.</p>\n\
<h3 id=\"dual-quaternions\">Dual Quaternions</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.enableDQOverrideWeighting</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.getVertexDQWeight</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.setVertexDQWeight</code></pre><h3 id=\"bone-properties\">Bone Properties</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.GetSelectedBone &lt;Skin&gt; </code></pre><p>Returns the index of the current selected bone in the Bone list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.GetNumberBones &lt;Skin&gt; </code></pre><p>Returns the number of bones in the system.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.GetBoneName &lt;Skin&gt; &lt;bone_index&gt; &lt;nameflag_index&gt; </code></pre><p>Returns the bone name or node name of a bone specified by ID.</p>\n\
<p><code>bone_index</code> is the bone system ID for the bone.</p>\n\
<p><code>nameflag_index</code> can be 0 or 1:</p>\n\
<ul>\n\
<li>0 - returns the name of the node that holds the transform for the bone.</li>\n\
<li>1 - returns the name of the bone in the UI list box.</li>\n\
</ul>\n\
<p>If a Bones system is used for the Skin bones, the transform for a bone is held by its parent.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.GetBoneIDByListID &lt;Skin&gt; &lt;ListID_integer&gt;</code></pre><p>Returns the BoneID index given the ListID index value.</p>\n\
<p>The ListID index is the index into the name-sorted bone listbox.</p>\n\
<p>The BoneID index is the non-sorted index, and is the index used by other methods that require a bone index.</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.GetListIDByBoneID &lt;Skin&gt; &lt;BoneID_integer&gt;</code></pre><p>Returns the ListID index given the BoneID index value.</p>\n\
<p>The ListID index is the index into the name-sorted bone listbox.</p>\n\
<p>The BoneID index is the non-sorted index, and is the index used by other methods that require a bone index.</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.GetBoneNodes &lt;Skin&gt;</code></pre><p>Returns an array of bone nodes in the same order they exist in the skin modifier.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.GetBoneNode &lt;Skin&gt; &lt;BoneIndex_integer&gt;</code></pre><p>Returns the bone node specified by index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.getBonePropFalloff &lt;Skin&gt; &lt;BoneID_integer&gt; </code></pre><p>Returns the falloff parameter of the bone.</p>\n\
<p>1 - linear</p>\n\
<p>2 - sinual</p>\n\
<p>3 - fast out</p>\n\
<p>4 - slow out</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.setBonePropFalloff &lt;Skin&gt; &lt;BoneID_integer&gt; &lt;Falloff_integer&gt; </code></pre><p>Sets the falloff parameter of the bone.</p>\n\
<p>For <code>Faloff_integer</code> , the fall off of the bone is:</p>\n\
<p>1 - linear</p>\n\
<p>2 - sinual</p>\n\
<p>3 - fast out</p>\n\
<p>4 - slow out</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.getBonePropRelative &lt;Skin&gt; &lt;BoneID_integer&gt; </code></pre><p>Gets the relative property of the bone. It returns 1 if relative, or 0 if absolute.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.setBonePropRelative &lt;Skin&gt; &lt;BoneID_integer&gt; &lt;Relative_integer&gt; </code></pre><p>Sets the relative property of the bone whose index matches <code>BoneID_integer</code> .</p>\n\
<p>For Relative_integer, 0 is absolute and 1 is relative.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.getBonePropEnvelopeVisible &lt;Skin&gt; &lt;BoneID_integer&gt; </code></pre><p>Returns the bone visibility parameter of the bone. 0 is invisible, 1 is visible.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.setBonePropEnvelopeVisible &lt;Skin&gt; &lt;BoneID_integer&gt; &lt;Visible_integer&gt; </code></pre><p>Sets the bone visibility parameter of the bone whose index matches <code>BoneID_integer</code> .</p>\n\
<p>For <code>Visible_integer</code> , 0 is visible, 1 is invisible when not selected.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.getSelectedBonePropEnvelopeVisible &lt;Skin&gt; </code></pre><p>Returns the bone visibility parameter of the current selected bone. 0 is invisible, 1 is visible.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.setSelectedBonePropEnvelopeVisible &lt;Skin&gt; &lt;Visible_integer&gt; </code></pre><p>Sets the bone visibility parameter of the current selected bone.</p>\n\
<p>For <code>Visible_integer</code> , 0 = visible, 1 = invisible when not selected</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.GetStartPoint &lt;Skin&gt; &lt;BoneID_integer&gt; </code></pre><p>Returns a point3 which is the start point of the bone.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.SetStartPoint &lt;Skin&gt; &lt;BoneID_integer&gt; &lt;EndPointPos_point3&gt; </code></pre><p>Sets the start point of the specified bone</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.GetEndPoint &lt;Skin&gt; &lt;BoneID_integer&gt; </code></pre><p>Returns a point3 which is the end point of the bone.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.SetEndPoint &lt;Skin&gt; &lt;BoneID_integer&gt; &lt;EndPointPos_point3&gt; </code></pre><p>Sets the end point of the specified bone.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.GetInnerRadius &lt;Skin&gt; &lt;bone_integer&gt; &lt;CrossSectionID_integer&gt; </code></pre><p>Returns the inner cross section radius for the specified bone and cross section.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.SetInnerRadius &lt;Skin&gt; \\ &lt;bone_integer&gt; &lt;CrossSectionID_integer&gt; &lt;Radius_float&gt; </code></pre><p>Sets the inner cross section radius for the specified bone and cross section.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.GetOuterRadius &lt;Skin&gt; &lt;bone_integer&gt; &lt;CrossSectionID_integer&gt; </code></pre><p>Returns the outer cross section radius for the specified bone and cross section.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.SetOuterRadius &lt;Skin&gt; \\ &lt;bone_integer&gt; &lt;CrossSectionID_integer&gt; &lt;Radius_float&gt; </code></pre><p>Sets the outer cross section radius for the specified bone and cross section.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.GetCrossSectionU &lt;Skin&gt; &lt;BoneID_integer&gt; &lt;CrossSectionID_integer&gt; </code></pre><p>Gets the U value from the specified bone and cross section</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.SetCrossSectionU &lt;Skin&gt; &lt;BoneID_integer&gt; &lt;CrossSectionID_integer&gt; &lt;U_float&gt; </code></pre><p>Sets the U value from the specified bone and cross section.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.enableGizmo &lt;Skin&gt; &lt;GizmoID_integer&gt; &lt;Enable_bool&gt; </code></pre><p>Enables/disables the gizmo type whose index equals <code>GizmoID_integer</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.getNumberOfGizmos &lt;Skin&gt; </code></pre><p>Returns the number of gizmos.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.getNumberOfGizmoTypes &lt;Skin&gt; </code></pre><p>Returns the number of gizmo types.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.getSelectedBonePropFalloff &lt;Skin&gt; </code></pre><p>Returns the falloff parameter of the current selected bone:</p>\n\
<p>1 - linear</p>\n\
<p>2 - sinual</p>\n\
<p>3 - fast out</p>\n\
<p>4 - slow out</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.setSelectedBonePropFalloff &lt;Skin&gt; &lt;Falloff_integer&gt; </code></pre><p>Sets the falloff parameter of the current selected bone.</p>\n\
<p>The <code>falloff_integer</code> sets the fall off of the bone:</p>\n\
<p>1 - linear</p>\n\
<p>2 - sinual</p>\n\
<p>3 - fast out</p>\n\
<p>4 - slow out</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.getSelectedBonePropRelative &lt;Skin&gt; </code></pre><p>Gets the relative property of the current selected bone. It returns 1 if relative or 0 is absolute.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.getNumberCrossSections &lt;Skin&gt; &lt;bone_integer&gt; </code></pre><p>Returns the number of cross sections for the specified bone.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.getSelectedCrossSectionIndex &lt;Skin&gt; </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.getSelectedCrossSectionIsInner &lt;Skin&gt; </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.getSelectedGizmo &lt;Skin&gt; </code></pre><p>Returns the current selected gizmo.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.getSelectedGizmoType &lt;Skin&gt; </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.GetNumberVertices &lt;Skin&gt; </code></pre><p>Returns the number of vertices for the object the Skin modifier is applied to.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.RemoveCrossSection$ &lt;Skin&gt; </code></pre><p>Removes the current selected cross section from the current selected bone.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.RemoveCrossSection &lt;Skin&gt; &lt;BoneID_integer&gt; &lt;CrossSectionID_integer&gt; </code></pre><p>Removes a particular cross-section from a particular bone.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.setSelectedBonePropRelative &lt;Skin&gt; &lt;Relative_integer&gt; </code></pre><p>Sets the relative property of the current selected bone.</p>\n\
<p>For <code>relative_integer</code> , 0 is relative mode, 1 is absolute mode.</p>\n\
<h3 id=\"weighting\">Weighting</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.addWeight </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.SetWeight &lt;Skin&gt; &lt;weight_float&gt; </code></pre><p>Sets the weight of the selected vertices in the specified Skin modifier to the given floating point weight value.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>If deferred plug-in loading is enabled, an instance of the Skin modifier must be created before these methods will be visible.</p>\n\
<p>This is because these methods are defined in the Skin modifier plug-in.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.scaleWeight</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.GetVertexWeight &lt;Skin&gt; &lt;vertex_integer&gt; &lt;vertex_bone_integer&gt; </code></pre><p>Returns the influence of the Nth bone affecting the specified vertex.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.SetVertexWeights &lt;Skin&gt; &lt;vertex_integer&gt; \\ ( &lt;vertex_bone_integer&gt; | &lt;vertex_bone_array&gt; ) \\\n\
 ( &lt;weight_float&gt; | &lt;weight_array&gt; )  [(node:&lt;node&gt; | name:&lt;string&gt;)]</code></pre><p>Sets the influence of the specified bone(s) to the specified vertex.</p>\n\
<p>Any influence weights for the bone(s) that are not specified are retained.</p>\n\
<p>If the bones and weights are specified as arrays, the arrays must be of the same size.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.GetVertexWeightBoneID &lt;Skin&gt; &lt;vertex_integer&gt; &lt;vertex_bone_integer&gt; </code></pre><p>Returns the system bone index of the Nth bone affecting the specified vertex.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.GetVertexWeightCount &lt;Skin&gt; &lt;vertex_integer&gt; </code></pre><p>Returns the number of bones influencing the specified vertex.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.ReplaceVertexWeights &lt;Skin&gt; &lt;vertex_integer&gt; \\ ( &lt;vertex_bone_integer&gt; | &lt;vertex_bone_array&gt; ) \\\n\
 ( &lt;weight_float&gt; | &lt;weight_array&gt; )  [(node:&lt;node&gt; | name:&lt;string&gt;)]</code></pre><p>Sets the influence of the specified bone(s) to the specified vertex.</p>\n\
<p>Any influence weights for the bone(s) that are not specified are erased.</p>\n\
<p>If the bones and weights are specified as arrays, the arrays must be of the same size.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.RemoveZeroWeights &lt;Skin&gt;</code></pre><p>Available <strong>in 3ds Max 2017 and higher</strong>: Removes the influence of bones that have a weight on a vertex that is less than the threshold value specified by the <code>.clearZeroLimit</code>. property of the modifier.</p>\n\
<p>Equivalent to pressing the &quot;Remove Zero Weights&quot; button in the &quot;Advanced Parameters&quot; rollout of the modifier&apos;s UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.voxelWeighting &lt;Skin&gt; &lt;mode_integer&gt; &lt;falloff_float&gt; &lt;max_influence_integer&gt; \\\n\
  &lt;max_res_integer&gt; &lt;winding_bool&gt; &lt;envelope_off_bool&gt;  [(node:&lt;node&gt; | name:&lt;string&gt;)]</code></pre><p>Available <strong>in 3ds Max 2017 and higher</strong>: Performs voxel weighting of the specified Skin modifier.</p>\n\
<p>The <code>&lt;mode_integer&gt;</code> argument defines the Weight Solver to use, where 0 = Voxel, 1 = Heat Map</p>\n\
<p>The <code>&lt;falloff_float&gt;</code> argument defines the Falloff, UI default is 0.2.</p>\n\
<p>The <code>&lt;max_influence_integer&gt;</code> argument defines the maximum number of bones that can influence a vertex. UI default is 0 which means no limit.</p>\n\
<p>The <code>&lt;max_res_integer&gt;</code> argument defines the Maximum resolution of the voxel grid. The UI default is 256. Only used by the Voxel mode, but must be specified even when performing Heat Map Weighting.</p>\n\
<p>The <code>&lt;winding_bool&gt;</code> argument corresponds to the &quot;Use Winding Numbers&quot; checkbox in the UI which is unchecked by default. Only used by the Voxel mode, but must be specified even when performing Heat Map Weighting.</p>\n\
<p>The <code>&lt;envelope_off_bool&gt;</code> argument corresponds to the &quot;Turn Off Envelope Gizmos&quot; checkbox in the UI which is checked by default.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.SetBoneWeights &lt;Skin&gt; &lt;boneIds&gt; &lt;weights&gt; [(node:&lt;node&gt; | name:&lt;string&gt;)]</code></pre><p>Sets all vertex influence weights for a specified bone, erasing all previous weights for the bone. Available in <strong>3ds Max 2019.2 Update and higher</strong>.</p>\n\
<p>The <code>&lt;boneIds&gt;</code> argument can be a bone ID, or an array of bone IDs.</p>\n\
<p>The <code>&lt;weights&gt;</code> argument can be an array of floats, in the case of a single bone ID, or an array of arrays of floats, when the <boneid> argument is an array. There needs to be one float weight for each vertex.</boneid></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.Hammer &lt;Skin&gt; &lt;vertices&gt; [(node:&lt;node&gt; | name:&lt;string&gt;)]</code></pre><p>Performs a vertex weight &quot;hammer&quot; operation on the specified vertices. Available in <strong>3ds Max 2019.2 Update and higher</strong>. This resets the bone vertex weights to an average of all adjacent vertices.</p>\n\
<p>The <code>&lt;vertices&gt;</code> argument can be a single vertex number, an array of vertices, or a bitarray.</p>\n\
<h3 id=\"is-tests\">Is... Tests</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.isBoneSelected &lt;Skin&gt; &lt;BoneID_integer&gt;  [(node:&lt;node&gt; | name:&lt;string&gt;)]</code></pre><p>Returns 1 if the bone is selected, otherwise 0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.isRigidHandle &lt;Skin&gt; &lt;handle_integer&gt;  [(node:&lt;node&gt; | name:&lt;string&gt;)]</code></pre><p>Returns <code>true</code> if the handle is rigid, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.isRigidVertex &lt;Skin&gt; &lt;vertex_integer&gt;  [(node:&lt;node&gt; | name:&lt;string&gt;)]</code></pre><p>Returns <code>true</code> if the vertex is rigid, false otherwise.</p>\n\
<p>A rigid vertex will only be weighted to one bone.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.IsVertexModified &lt;Skin&gt; &lt;vertex_integer&gt; </code></pre><p>Returns 1 if the vertex has been modified, 0 if it has not been modified.</p>\n\
<p>A modified vertex is vertex that has been weighted by hand or painting, an unmodified vertex weight depends solely on the envelopes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.IsVertexSelected &lt;Skin&gt; &lt;vertex_integer&gt; [(node:&lt;node&gt; | name:&lt;string&gt;)]</code></pre><p>Returns 1 if the vertex is selected, 0 if it is not selected.</p>\n\
<h3 id=\"vertex-normalization\">Vertex Normalization</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.isUnNormalizeVertex &lt;Skin&gt; &lt;vertex_integer&gt;  [(node:&lt;node&gt; | name:&lt;string&gt;)]</code></pre><p>Returns <code>true</code> if the vertex is unnormalized, <code>false</code> if it is normalized.</p>\n\
<p>A normalized vertex&#x2019; weights will sum up to 1.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.unNormalizeVertex &lt;Skin&gt; &lt;vertex_integer&gt; &lt;boolean&gt;  [(node:&lt;node&gt; | name:&lt;string&gt;)]</code></pre><p>Unnormalizes the specified vertex. A normalized vertex&#x2019; weights will sum up to 1.</p>\n\
<h3 id=\"load-and-save-envelopes\">Load and Save Envelopes</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.loadEnvelope &lt;Skin&gt; [&lt;filename_string&gt;] </code></pre><p>If the optional filename_string is supplied, loads the envelopes from the file supplied.</p>\n\
<p>If not, opens the load envelopes dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.saveEnvelope &lt;Skin&gt; [&lt;filename_string&gt;] </code></pre><p>If the optional filename_string is not supplied, opens the save envelopes dialog. If the optional filename_string is supplied, saves the envelopes to the file supplied.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.loadEnvelopeAsASCII &lt;Skin&gt; </code></pre><p>Loads the envelopes to the file supplied</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.saveEnvelopeAsASCII &lt;Skin&gt; [&lt;filename_string&gt;] </code></pre><p>If the optional filename_string is not supplied, opens the save envelopes dialog.</p>\n\
<p>If the optional filename_string is supplied, saves the envelopes to the file supplied as ASCII text file.</p>\n\
<h3 id=\"cross-section\">Cross Section</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.SetSelectedCrossSection </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.buttonRemoveCrossSection &lt;Skin&gt; </code></pre><p>Presses the remove cross section button.</p>\n\
<h3 id=\"reset\">Reset</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.resetAllBones &lt;Skin&gt; </code></pre><p>Resets all bones.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.resetSelectedBone &lt;Skin&gt; </code></pre><p>Resets the current selected bone.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.resetSelectedVerts &lt;Skin&gt; </code></pre><p>Resets the current selected vertices.</p>\n\
<h3 id=\"rigid\">Rigid</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.rigidHandle &lt;Skin&gt; &lt;handle_integer&gt;  [(node:&lt;node&gt; | name:&lt;string&gt;)]</code></pre><p>Sets the specified handle as rigid. A rigid handle vertex will have the same weight as the knot that owns it.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.rigidVertex &lt;Skin&gt; &lt;vertex_integer&gt;  [(node:&lt;node&gt; | name:&lt;string&gt;)]</code></pre><p>Sets the specified vertex as rigid. A rigid vertex will only be weighted to one bone.</p>\n\
<h3 id=\"select\">Select</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.SelectBone &lt;Skin&gt; &lt;bone_integer&gt; [(node:&lt;node&gt; | name:&lt;string&gt;)]</code></pre><p>Selects the specified bone in the Bone list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.selectBoneByNode </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.selectNextBone &lt;Skin&gt; </code></pre><p>Selects the next bone in the bone list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.selectPreviousBone &lt;Skin&gt; </code></pre><p>Selects the next bone in the bone list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.selectParent </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.selectChild </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.selectPreviousSibling </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.selectNextSibling </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.selectMirrorBones </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.selectCrossSection &lt;Skin&gt; &lt;CrossSectionID_integer&gt; &lt;Inner_Outer_integer&gt; </code></pre><p>Selects a cross section on the current selected bone.</p>\n\
<p>For <code>Inner_Outer_integer</code> , 0 is the inner envelope 1 is the outer envelope.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.selectStartPoint &lt;Skin&gt; </code></pre><p>Selects the end point of the envelope of the current selected bone.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.selectEndPoint &lt;Skin&gt; </code></pre><p>Selects the start point of the envelope the current selected bone.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.selectGizmo &lt;Skin&gt; &lt;gizmoID_int&gt; </code></pre><p>Desc - this function selects the gizmo who index equals <code>gizmoID</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.selectGizmoType &lt;Skin&gt; &lt;gizmoTypeID_int&gt; </code></pre><p>Selects the gizmo type whose index equals <code>gizmoTypeID</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.SelectVertices &lt;Skin&gt; \\ ( &lt;vertex_integer&gt; | &lt;vertex_array &gt; | &lt;&lt;vertex_bitarray&gt; ) </code></pre><p>Selects the specified vertices.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.selectVerticesByBone </code></pre><h3 id=\"mirror\">Mirror</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.setMirrorTM </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.updateMirror </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.mirrorPaste </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.mirrorPasteBone </code></pre><h3 id=\"zoom-to\">Zoom To</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.ZoomToBone &lt;Skin&gt; &lt;All_boolean&gt; </code></pre><p>Zooms the active or all views to the selected bone. If <code>All_boolean</code> is <code>true</code> , then all views are zoomed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.ZoomToGizmo &lt;Skin&gt; &lt;All_boolean&gt; </code></pre><p>Zooms the active or all views to the selected gizmo. If <code>All_boolean</code> is <code>true</code> , then all views are zoomed.</p>\n\
<h3 id=\"other-methods\">Other Methods</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.gizmoResetRotationPlane </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">skinOps.Invalidate &lt;Skin&gt; &lt;integer&gt; </code></pre><p>Invalidates the Skin&#x2019;s internal cache, forcing it to recompute all the data.</p>\n\
<p>The integer parameter is not used, but should be passed when calling the method.</p>\n\
<p><strong>Related Interfaces</strong></p>\n\
<p><a href=\"./../../../../Interfaces/Node-Interfaces/Node-Interfaces-Documentation/Interface-SkinPose.html\">Interface: SkinPose</a></p>\n\
<p><a href=\"./../../../../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SkinUtils.html\">Interface: SkinUtils</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Animation-Modifiers.html\">Animation Modifiers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../Angle-Deformers/Bulge_Angle_Deformer.html\">Bulge_Angle_Deformer : ReferenceTarget</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Angle-Deformers/Joint_Angle_Deformer.html\">Joint_Angle_Deformer : ReferenceTarget</a></li>\n\
          <li><a class=\"link\" href=\"../../../../Angle-Deformers/Morph_Angle_Deformer.html\">Morph_Angle_Deformer : ReferenceTarget</a></li>\n\
          <li><a class=\"link\" href=\"../../../Modifier-Common-Properties/Modifier-Common-Properties-1.html\">Modifier Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";