var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-41A8ED7D-5A17-4F69-BDA2-C82A18681DA9\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Spline_IK_Control : Modifier</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Spline_IK_Control - superclass: modifier; super-superclass:MAXWrapper - classID: #(99892132, 1442747141) </code></pre><p>The Spline_IK_Control modifier provides a way for controlling spline knots using Point helpers. It is used mainly in conjunction with the Spline IK Solver.</p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Spline_IK_Control...   </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spline_IK_Control&gt;.box Boolean default: true -- animatable; boolean </code></pre><p>Controls the display of Box Helpers.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spline_IK_Control&gt;.helper_size Float default: 20.0 -- animatable; float </code></pre><p>Gets/sets the size of the Helpers.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spline_IK_Control&gt;.constantscreensize Boolean default: false -- animatable; boolean; Const_Screen_Size </code></pre><p>Controls the constant screen size display of Helpers.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spline_IK_Control&gt;.drawontopBoolean default: true -- animatable; boolean; Draw_On_Top </code></pre><p>Controls the drawing of Helpers on top of the scene.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spline_IK_Control&gt;.helper_axistripodBoolean default: false -- animatable; boolean; Axis_Tripod </code></pre><p>Controls the display of the Helpers&#x2019; Axis Tripod.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spline_IK_Control&gt;.helper_centermarker Boolean default: false -- animatable; boolean; Center_Marker </code></pre><p>Controls the display of Helpers&#x2019; Center Markers .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spline_IK_Control&gt;.helper_cross Boolean default: false -- animatable; boolean; Cross </code></pre><p>Controls the display of the Helpers&#x2019; Crosses.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spline_IK_Control&gt;.helper_list ArrayParameter default: #() -- node array; ; SubAnim </code></pre><p>Gets/sets the list of Helpers used by the modifier to control the spline&#x2019;s knots.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spline_IK_Control&gt;.linkTypes Integer default: 0 -- integer; Link_Types </code></pre><p>Gets/sets the linking mode:</p>\n\
<p>0 - Link All In Hierarchy</p>\n\
<p>1 - Link All to Root</p>\n\
<p>2 - No Linking</p>\n\
<p><strong>Spline_IK_Control interfaces:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: modifiers </code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;getHelperCount() </code></pre><p>Returns the number of helpers in the Spline_IK_Control Modifier.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;getKnotCount() </code></pre><p>Returns the number of knots in the control Spline.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;linkToRoot() </code></pre><p>Sets the &quot;Link All To Root&quot; mode in the Modifier. Returns true on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;linkInHierarchy() </code></pre><p>Sets the &quot;Link All In Hierarchy&quot; mode in the Modifier. Returns true on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;noLinking() </code></pre><p>Sets the &quot;No Linking&quot; mode in the Modifier. Returns true on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;createHelper &lt;integer&gt;knotCount </code></pre><p>Creates helpers for the specified number of knots. Returns true on success.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Animation-Modifiers.html\">Animation Modifiers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Standard/Point-Helper.html\">Point : Helper</a></li>\n\
          <li><a class=\"link\" href=\"../../../Modifier-Common-Properties/Modifier-Common-Properties-1.html\">Modifier Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";