var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-75B9B6F2-DBAC-403E-8BEE-C0D4B406E640\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>CamPerspCorrect : Modifier</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">CamPerspCorrect - superclass: modifier; super-superclass:MAXWrapper - 3:1 - classID: #(-439128320, 1577154749) </code></pre><p>Camera perspective correction modifier used to obtain 2-point perspective effect. Based on the <a href=\"Parametric-Modifiers/Skew-Modifier.html\">Skew</a> modifier.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">CamPerspCorrect... </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;CamPerspCorrect&gt;.paramPerspectCorrectAmount Float default: 0.0 -- animatable; float </code></pre><p>Get/Set the correction amount.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;CamPerspCorrect&gt;.paramPerspectCorrectDir Float default: 90.0 -- animatable; float </code></pre><p>Get/Set the correction direction</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;CamPerspCorrect&gt;.skew Skew default: Skew:Skew -- SubAnim </code></pre><p>The Skew modifier used to perform the effect - see below:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">CamPerspCorrect.skew - superclass: modifier; super-superclass:MAXWrapper - 8:2 - classID: #(1866252970, 0) </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;CamPerspCorrect.skew&gt;.axis Integer default: 3 -- radio button number </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;CamPerspCorrect.skew&gt;.direction Float default: 1.0 -- animatable; float </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;CamPerspCorrect.skew&gt;.limit BooleanClass default: false -- Boolean </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;CamPerspCorrect.skew&gt;.upperlimitFloat default: 0.0 -- animatable; float </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;CamPerspCorrect.skew&gt;.lowerlimit Float default: 0.0 -- animatable; float </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;CamPerspCorrect.skew&gt;.amount Float default: 1.0 -- animatable; float </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;CamPerspCorrect.skew&gt;.center Point3 default: [0,0,0] -- animatable; point3 </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;CamPerspCorrect.skew&gt;.gizmo SubAnim default: SubAnim:Gizmo -- transform; SubAnim </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">CamPerspCorrect.skew.gizmo - superclass: MAXObject; super-superclass:Value - 3:3 - classID: #(8197, 0) </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;CamPerspCorrect.skew.gizmo&gt;.position Point3 default: [0,0,0] -- animatable; point3 </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;CamPerspCorrect.skew.gizmo&gt;.rotation Quat default: (quat 0 0 0 1) -- animatable; quat </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;CamPerspCorrect.skew.gizmo&gt;.scale Point3 default: [1,1,1] -- animatable; point3 </code></pre><p><strong>Interfaces</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: IMtlRender_Compability_MtlBase </code></pre><p><strong>Properties:</strong></p>\n\
<p><strong>Methods:</strong></p>\n\
<p><strong>Actions:</strong></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Modifiers.html\">Modifiers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Parametric-Modifiers/Skew-Modifier.html\">Skew : Modifier</a></li>\n\
          <li><a class=\"link\" href=\"../../Modifier-Common-Properties/Modifier-Sub-Object-Transform.html\">Modifier Sub-Object Transform Properties</a></li>\n\
          <li><a class=\"link\" href=\"../../Modifier-Common-Properties/Modifier-Common-Properties-1.html\">Modifier Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";