var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-5D425EB1-F780-4EC2-B160-F6CC03CB7E2F\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Turn_to_Poly : Modifier</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Turn_to_Poly - superclass: modifier; super-superclass:MAXWrapper - 9:0 - classID: #(793333328, 1547135298)</code></pre><p><img src=\"./images/GUID-281F2427-B902-4162-914C-AAE1EC69D174-low.gif\" alt></p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Turn_to_Poly ...</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Turn_to_Poly&gt;.keepConvex Boolean default: false -- animatable; boolean; Keep_Convex</code></pre><p>Does not join across edges if the resulting polygon would not be convex. &quot;Convex&quot; means that you can connect any two points in the polygon with a line that doesn&apos;t go outside the polygon. A polygon is not convex if you can draw a line between vertices and that line lays outside of the polygon.</p>\n\
<p>Problems that can occur with non-convex polygons include the fact that changes in the geometry of the input object can result in a different topology for the Turn To Poly result. For instance, in a box, if you drag one of the top corners across the middle of the top face, the box becomes non-convex. Turn To Poly would then see this as two triangles instead of one quad, and the number of points in the result would change.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Turn_to_Poly&gt;.limitPolySize Boolean default: false -- animatable; boolean; Limit_Polygon_Size</code></pre><p>Limits the number of sides to a polygon so that the surface is better defined. For example, you might want to produce a polymesh of triangles and quads, or one composed of all triangles, rather than joining together more than two triangles into pentagons, hexagons, and so on.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Turn_to_Poly&gt;.maxPolySize Integer default: 4 -- animatable; integer; Max_Polygon_Size</code></pre><p>The maximum number of sides to a polygon.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Turn_to_Poly&gt;.requirePlanar Boolean default: false -- animatable; boolean; Require_Planar_Polygons</code></pre><p>Creates polygons composed of flat planes. Does not join faces together across an edge if the edge has a sharper angle than the threshold listed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Turn_to_Poly&gt;.planarThresh Float default: 15.0 -- animatable; angle; Planar_Threshold</code></pre><p>Controls the threshold of the angle between polygonal planes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Turn_to_Poly&gt;.removeMidEdgeVertices Boolean default: true -- boolean; Remove_Mid_Edge_Vertices</code></pre><p>When set to true (default), vertices in the middle of an edge will be removed automatically.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Turn_to_Poly&gt;.selectionConversion Integer default: 0 -- integer; Selection_Conversion</code></pre><p>Controls the sub-object selection conversion when turning the incoming geometry to poly. Possible values are:</p>\n\
<p><code>0 - Preserve</code> (default) - the selection is preserved</p>\n\
<p><code>1 - Clear</code> - the selection is removed.</p>\n\
<p><code>2 - Invert</code> - the selection will be inverted. Thus, this mode can be used for proceduralinversion of sub-object selections.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Turn_to_Poly&gt;.useSoftSelection Boolean default: true -- boolean; Use_Soft_Selection</code></pre><p>Affects the action of sub-object Move, Rotate, and Scale functions. When these are on, <strong>3ds Max</strong> applies a spline curve deformation to unselected vertices surrounding the transformed selected sub-object. This provides a magnet-like effect, with a sphere of influence around the transformation. Use this when you want to preserve the soft selection from beneath. For example, if Use Soft Selection is on when you select vertices on an editable mesh, and you apply Turn To Poly with Include Soft Selection on, then the same soft selection will apply to the polymesh vertices. Default=on.</p>\n\
<p>For more information, see Soft Selection Rollout</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Turn_to_Poly&gt;.selectionLevel Integer default: 0 -- integer; Selection_Level</code></pre><p>These options set the sub-object selection level for passing up the rest of the stack.</p>\n\
<p><code>0: From Pipeline.</code> Uses the equivalent of whatever the input object uses. (Patch level becomes face level, and so on.). For example, if you create a box, convert it to an editable mesh in face mode and apply a Turn To Poly modifier to it, <strong>3ds Max</strong> passes a sub-object selection in face mode up the stack. The Turn To Poly modifier takes the sub-object face selection into account and selects the polygons that derive from the face selection.</p>\n\
<p><code>1: Object.</code> Uses object as the selection level for passing up the rest of the stack.</p>\n\
<p><code>2: Edge.</code> Uses edge as the sub-object selection level for passing up the rest of the stack.</p>\n\
<p><code>3: Vertex.</code> Uses vertex as the sub-object selection level for passing up the rest of the stack.</p>\n\
<p><code>4: Face.</code> Uses face as the sub-object selection level for passing up the rest of the stack.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Conversion-Modifiers.html\">Conversion Modifiers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Modifier-Common-Properties/Modifier-Common-Properties-1.html\">Modifier Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";