var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-F33E997F-2194-49BC-80D8-83C068B639C9\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Project_Mapping : ReferenceTarget</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Project_Mapping : ReferenceTarget {56bb7872,2d4c74ef} </code></pre><p>The <strong>Project_MappingReferenceTarger</strong> is used as a &quot;plug-in&quot; for the <a href=\"Projection-Modifier.html\">Projection : Modifier</a>. It implements the basic projection of mapping coordinates between geometry objects with dissimilar topology.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> Class instances <strong>not creatable</strong> by MAXScript</div>\n\
<p><img src=\"./images/GUID-6981EBB4-B9A1-445A-B9C6-CD72275744E0-low.gif\" alt></p>\n\
<p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Project_Mapping&gt;.name: string</code></pre><p>Get/Set the name of the Projection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Project_Mapping&gt;.holderName (Projection_Holder_Name) : string</code></pre><p>Get/Set the name of the corresponding Project_Mapping_Holder.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Project_Mapping&gt;.createNewHolder (Create_New_Holder) : boolean</code></pre><p>Get/Set the state of the &quot;Create New Holder&quot; checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Project_Mapping&gt;.sameTopology (Same_Topology) : boolean</code></pre><p>Get/Set the state of the &quot;Same Topology&quot; checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Project_Mapping&gt;.alwaysUpdate (Always_Update_Holder) : boolean</code></pre><p>Get/Set the state of the &quot;Always Update &quot; checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Project_Mapping&gt;.sourceMapChannel (Source_Map_Channel) : integer</code></pre><p>Get/Set the source map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Project_Mapping&gt;.sameAsSource (Same_as_Source) : boolean</code></pre><p>Get/Set the state of the &quot;Same as Source&quot; checkbox.</p>\n\
<p>When <code>true</code> , the <code>.sourceMapChannel</code> value will be used for both Source and Target.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Project_Mapping&gt;.targetMapChannel (Target_Map_Channel) : integer</code></pre><p>Get/Set the target map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Project_Mapping&gt;.projectMaterialIDs (Project_Material_IDs) : boolean</code></pre><p>Get/Set the state of the &quot;Project Material IDs&quot; checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Project_Mapping&gt;.ignoreBackfacing (Ignore_Backfacing) : boolean</code></pre><p>When set to <code>true</code> , backfaces will be ignored.</p>\n\
<p>Corresponds to the &quot;Ignore Backfacing&quot; checkbox in the &quot;Projection Quality&quot; group of controls.</p>\n\
<p>Default is false.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Project_Mapping&gt;.testSeams (Test_Seams) : boolean</code></pre><p>When set to<strong>true</strong>, seams will be checked.</p>\n\
<p>Corresponds to the &quot;Test Seams&quot; checkbox in the &quot;Projection Quality&quot; group of controls.</p>\n\
<p>Default is true.</p>\n\
<p>Available in<strong>3ds Max 2008 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Project_Mapping&gt;.checkEdgeRatios (Check_Edge_Ratios) : boolean</code></pre><p>When set to<strong>true</strong>, edge ratios will be checked.</p>\n\
<p>Corresponds to the &quot;Check Edge Ratios&quot; checkbox in the &quot;Projection Quality&quot; group of controls.</p>\n\
<p>Default is false.</p>\n\
<p>Available in<strong>3ds Max 2008 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Project_Mapping&gt;.edgeRatioThreshold (Edge_Ratio_Threshold) : float</code></pre><p>Get/set the Edge Ratio Threshold.</p>\n\
<p>Corresponds to the &quot;Check Edge Ratios&gt;Threshold&quot; spinner in the &quot;Projection Quality&quot; group of controls.</p>\n\
<p>Default is 0.1.</p>\n\
<p>Available in<strong>3ds Max 2008 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Project_Mapping&gt;.weldUVs (Weld_UVs) : boolean</code></pre><p>When set to <code>true</code> , UVs will be welded based on the threshold defined by <code>.weldUVsThreshold</code> .</p>\n\
<p>Corresponds to the &quot;Weld UVs&quot; checkbox in the &quot;Projection Quality&quot; group of controls.</p>\n\
<p>Default is <code>true</code> .</p>\n\
<p>Available in<strong>3ds Max 2008 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Project_Mapping&gt;.weldUVsThreshold (Weld_UVs_Threshold) : float</code></pre><p>Get/set the UV Welding Threshold.</p>\n\
<p>Corresponds to the &quot;Weld UVs&gt;Threshold&quot; spinner in the &quot;Projection Quality&quot; group of controls.</p>\n\
<p>Default is 5.0.</p>\n\
<p>Available in<strong>3ds Max 2008 and higher</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Projection-Mapping-Modifiers.html\">Projection Mapping Modifiers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Projection-Modifier.html\">Projection : Modifier</a></li>\n\
          <li><a class=\"link\" href=\"Project_Mapping_Holder-Modifier.html\">Project_Mapping_Holder : Modifier</a></li>\n\
          <li><a class=\"link\" href=\"../../../../BakeElement/NormalsMap-BakeElement.html\">NormalsMap : BakeElement</a></li>\n\
          <li><a class=\"link\" href=\"../../../Modifier-Common-Properties/Modifier-Common-Properties-1.html\">Modifier Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";