var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-05FAC300-EED9-4999-8B9F-4EE4E87E19A4\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>TurboSmooth : Modifier</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">TurboSmooth - superclass: modifier; super-superclass:MAXWrapper - 9:0 - classID: #(225606462, 1226647975) </code></pre><p><img src=\"./images/GUID-71A669E4-727C-4692-B334-38908C68373F-low.gif\" alt></p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">TurboSmooth ... </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TurboSmooth&gt;.explicitNormals BooleanClass default: false-- boolean; Explicit_Normals </code></pre><p>When set to true, the modifier will generate explicit normals and pass them up the stack.</p>\n\
<p>When set to false, the normals will be calculated on top of the modifier stack based on the face edges.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TurboSmooth&gt;.isolineDisplay BooleanClass default: false -- boolean; Isoline_Display </code></pre><p>When set to true, only the edges corresponding to the source mesh&apos;s edges will be displayed.</p>\n\
<p>When set to false, all edges will be displayed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TurboSmooth&gt;.iterations Integer default: 1 -- animatable; integer </code></pre><p>Get/Set the viewport iterations.</p>\n\
<p>When useRenderIterations is set to false, this value will be used by the production renderer, too.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TurboSmooth&gt;.renderIterations Integer default: 0 -- animatable; integer; Render_Iterations </code></pre><p>Get/Set the render iterations.</p>\n\
<p>When useRenderIterations is set to true, this value will be used by the production renderer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TurboSmooth&gt;.sepByMats BooleanClass default: false --boolean; Separate_By_Materials </code></pre><p>When set to true, material borders will be taken into account and will be left unsmoothed (as edge creases).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TurboSmooth&gt;.sepBySmGroups BooleanClass default: false -- boolean; Separate_By_Smoothing_Group </code></pre><p>When set to true, smoothing group borders will be taken into account and will be left unsmoothed (as edge creases).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TurboSmooth&gt;.smoothResult BooleanClass default: true -- boolean; Smooth_Output </code></pre><p>When set to true, the newly created faces will be smoothed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TurboSmooth&gt;.update Integer default: 0 -- integer; Update_Options </code></pre><p>Get/Set the update type.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Always</strong></p>\n\
<p>1 - <strong>When Rendering</strong></p>\n\
<p>2 - <strong>Manually</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TurboSmooth&gt;.useRenderIterations BooleanClass default: false -- boolean; Use_Render_Iterations </code></pre><p>When set to true, the <code>renderIterations</code> value will be used by the production renderer.</p>\n\
<p>When false, the <code>iterations</code> value will be used for both viewports and production renderer.</p>\n\
<p><strong>TurboSmoothInterfaces:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:TurboSmooth </code></pre><p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ForceUpdate() </code></pre><p>Forces an update of the modifier.</p>\n\
<p>Corresponds to pressing the Update button in the modifier&apos;s User Interface.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Subdivision-Surfaces.html\">Subdivision Surfaces</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"MeshSmooth-Modifier.html\">MeshSmooth : Modifier</a></li>\n\
          <li><a class=\"link\" href=\"Quadify_Mesh-Modifier.html\">Quadify_Mesh : Modifier</a></li>\n\
          <li><a class=\"link\" href=\"Subdivide-Modifier.html\">Subdivide : Modifier</a></li>\n\
          <li><a class=\"link\" href=\"../Mesh-Editing/Tessellate-Modifier.html\">Tessellate : Modifier</a></li>\n\
          <li><a class=\"link\" href=\"HSDS_Modifier-superclass.html\">HSDS_Modifier - superclass: modifier</a></li>\n\
          <li><a class=\"link\" href=\"../../../Modifier-Common-Properties/Modifier-Sub-Object-Transform.html\">Modifier Sub-Object Transform Properties</a></li>\n\
          <li><a class=\"link\" href=\"../../../Modifier-Common-Properties/Modifier-Common-Properties-1.html\">Modifier Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";