var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-A182EFF2-5FE1-4B2D-AC4E-DB3DB48136E9\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Unwrap_UVW Modifier - Edit UVWs Floater</h1></div><p>The following methods expose the Edit UVWs Floater and its various controls, tools and settings to MAXScript.</p>\n\
<h2 id=\"pan-and-zoom\">Pan and Zoom</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.pan() </code></pre><p>Presses the Pan button in the edit floater.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.zoom() </code></pre><p>Presses the Zoom button in the edit floater.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.zoomRegion() </code></pre><p>Presses the Zoom Region button in the edit floater.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.fit() </code></pre><p>Presses the Fit button in the edit floater.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.fitSelected() </code></pre><p>Presses the Fit Selected button in the edit floater.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.ZoomToGizmo &lt;boolean&gt;all </code></pre><p>This zooms the selected or all the viewports to zoom to the current planar map gizmo.</p>\n\
<p><code>&lt;boolean&gt; all</code> - Determines whether the active or all the viewports get zoomed.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.UpdateView() </code></pre><p>This forces the viewport and dialog to update.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<h2 id=\"load-save-default-settings\">Load/Save Default Settings</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.saveCurrentSettingsAsDefault() </code></pre><p>Saves the current settings as the defaults.</p>\n\
<p>The method takes the current state of Unwrap UVW and save it to the plugcfg directory into a file called unwrapUVW.ini. The next time the user creates an Unwrap UVW modifier this ini file will be used to set the defaults.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.loadDefault() </code></pre><p>Loads the unwrapUVW.ini defaults into the current Unwrap UVW modifier.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<h2 id=\"always-edit-mode\">Always Edit Mode</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getAlwaysEdit() </code></pre><p>Returns the state of the &quot;Always Bring Up the Edit Window&quot; option found in the Options menu item. When true, the Editor will auto-open each time the object is selected.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setAlwaysEdit &lt;boolean&gt;always </code></pre><p>Sets the state of the &quot;Always Bring Up the Edit Window&quot; option found in the Options menu item. When set to true, the Editor will auto-open each time the object is selected.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<h2 id=\"editor-update-methods\">Editor Update Methods</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.updateMenuBar() </code></pre><p>Forces an update of the menu bar.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<h2 id=\"editor-lock-aspect\">Editor Lock Aspect</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Unwrap_UVW&gt;.GetLockAspect() </code></pre><p>Returns whether the edit window aspect ratio is locked or not. If the aspect ratio is not locked the image will try stretch to fit the aspect ratio of the window.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.SetLockAspect &lt;boolean&gt;aspect </code></pre><p>This sets the Lock Aspect Ratio value.</p>\n\
<h2 id=\"editor-window-size\">Editor Window Size</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;Unwrap_UVW&gt;.getWindowX() </code></pre><p>Returns the Editor&#x2019;s upper left corner&#x2019;s X coordinate relatively to the upper left corner of the Windows desktop.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;Unwrap_UVW&gt;.getWindowY() </code></pre><p>Returns the Editor&#x2019;s upper left corner&#x2019;s Y coordinate relatively to the upper left corner of the Windows desktop.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;Unwrap_UVW&gt;.getWindowW() </code></pre><p>Returns the Editor&#x2019;s window width in pixels.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;Unwrap_UVW&gt;.getWindowH() </code></pre><p>Returns the Editor&#x2019;s window height in pixels.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setWindowXOffset &lt;integer&gt;offset </code></pre><p>Sets the horizontal window offset.</p>\n\
<p>Exposed via <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setWindowYOffset &lt;integer&gt;offset </code></pre><p>Sets the vertical window offset.</p>\n\
<p>Exposed via <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<h2 id=\"other-editor-window-methods\">Other Editor Window Methods</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.fitSelectedElement() </code></pre><p>Fits the selected element to the window.</p>\n\
<p>Exposed via <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;getShowSubObjectCounter() </code></pre><p>Returns the state of the show sub-object counter option. When set to true, the count of the current sub-object selection will be displayed in the upper left corner of the Edit UVWs window.</p>\n\
<p>Exposed via <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setShowSubObjectCounter &lt;boolean&gt;show </code></pre><p>Sets the state of the show sub-object counter option. When set to true, the count of the current sub-object selection will be displayed in the upper left corner of the Edit UVWs window.</p>\n\
<p>Exposed via <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<h2 id=\"copy-and-paste-selection\">Copy and Paste Selection</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.()copy </code></pre><p>Copy the current selection to the clipboard.</p>\n\
<p>Copy/Paste allows you to copy a texture face/faces from one part or mesh to another or to a new mesh. These functions are extremely topology dependant so if you copy faces onto faces that have a different topology or face order, you will get unpredictable results.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.paste &lt;boolean&gt;rotate </code></pre><p>Paste the copied values. Paste take one parameter which determines every time you paste to the same face whether the texture vertices are reoriented. For instance, if you paste a quad onto a another quad there are actually 4 possible ways you can paste it onto it. If rotate is on, every time you paste it will go onto the next variation.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.pasteInstance() </code></pre><p>Paste Instance forces the faces that are being pasted to use the vertices that the copy buffer use (NOTE you cannot paste instance across objects). This is similar to doing a regular paste and then selecting all the overlapping vertices and doing a weld. There is no rotate option with this method. As noted above Pasting faces that have a different topology or face order will result in unpredictable results.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<h2 id=\"lock-hide-freeze\">Lock/Hide/Freeze</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.lock() </code></pre><p>Toggles the Lock Selected Vertices button in the edit floater.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.hide() </code></pre><p>Presses the Hide button in the edit floater.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.unhide() </code></pre><p>Presses the Unhide button in the edit floater.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.freeze() </code></pre><p>Presses the Freeze button in the edit floater.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.unfreeze() </code></pre><p>Presses the Unfreeze button in the edit floater.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max4 and higher</strong>.</p>\n\
<h2 id=\"filter-selected\">Filter Selected</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getFilterSelected() </code></pre><p>Returns the state of the &quot;Filter Selected Faces&quot; checkbutton in the Editor&#x2019;s status bar.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setFilterSelected &lt;boolean&gt;filter </code></pre><p>Sets the state of the &quot;Filter Selected Faces&quot; checkbutton in the Editor&#x2019;s status bar.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.filterSelected() </code></pre><p>Toggles the Filter Selected Faces button in the edit floater.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<h2 id=\"hidden-edges-display\">Hidden Edges Display</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getDisplayHiddenEdges() </code></pre><p>Returns the state of the Display Hidden Edges option.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setDisplayHiddenEdges &lt;boolean&gt;displayHiddenEdges </code></pre><p>Sets the state of the Display Hidden Edges option.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<h2 id=\"show-edge-distortion\">Show Edge Distortion</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getShowEdgeDistortion() </code></pre><p>Returns the state of the Show Edge Distortion option in the Display menu of the Edit UVWs dialog.</p>\n\
<p>Exposed via <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setShowEdgeDistortion &lt;boolean&gt;show </code></pre><p>Sets the state of the Show Edge Distortion option in the Display menu of the Edit UVWs dialog.</p>\n\
<p>Exposed via <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;&lt;Unwrap_UVW&gt;.getEdgeDistortionScale() </code></pre><p>Returns the Edge Distortion Scale value.</p>\n\
<p>Exposed via <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setEdgeDistortionScale &lt;float&gt;scale </code></pre><p>Sets the Edge Distortion Scale value.</p>\n\
<p>Exposed via <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<h2 id=\"show-vertex-connections\">Show Vertex Connections</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getShowVertexConnections() </code></pre><p>Returns the state of the &quot;Show Vertex Connections&quot; option found in the Options menu item. Vertex Connections are TV vertices that share the same geometric vertices.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setShowVertexConnections &lt;boolean&gt;show </code></pre><p>Sets the state of the &quot;Show Vertex Connections&quot; option found in the Options menu item. Vertex Connections are TV vertices that share the same geometric vertices.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.toggleVertexConnection() </code></pre><p>Toggles the Vertex Connections display.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<h2 id=\"relative-type-in\">Relative Type-In</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getRelativeTypeIn() </code></pre><p>Returns true when the UVW coordinates Type-In spinners are set to Relative mode, false when in Absolute mode.</p>\n\
<p>Exposed via <code>unwrap4</code> interface in <strong>3ds Max 7 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setRelativeTypeIn &lt;boolean&gt;relative </code></pre><p>When the parameter is true, sets the UVW coordinates Type-In spinners to Relative mode. When the supplied parameter is false, sets the Type-In to Absolute mode.</p>\n\
<p>Exposed via <code>unwrap4</code> interface in <strong>3ds Max 7 and higher</strong>.</p>\n\
<h2 id=\"material-id\">Material ID</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;Unwrap_UVW&gt;.getMatID() </code></pre><p>Returns the current material id index filter.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setMatID &lt;integer&gt;matid </code></pre><p>Sets the material drop list to the index supplied.</p>\n\
<p>Exposed via <strong><code>unwrap</code></strong> interface in <code>3ds Max 4 and higher</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;Unwrap_UVW&gt;.numberMatIDs() </code></pre><p>Returns the number of material ids in the material id filter drop down.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<h2 id=\"snap\">Snap</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getSnap() </code></pre><p>Returns the state of the &quot;Pixel Snap&quot; checkbutton in the Editor&#x2019;s status bar when the flyout is set to Pixel Snap. Always returns false when Grid Snap is set in the flyout.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setSnap &lt;boolean&gt;snap </code></pre><p>Sets the state of the &quot;Pixel Snap&quot; checkbutton in the Editor&#x2019;s status bar. Sets the flyout to Pixel Snap if necessary.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getMidPixelSnap() </code></pre><p>Returns a boolean value which indicated whether the mid pixels snap is used, if it is false the snap is set to the bottom right corner of the pixel, else it snaps to the center of the pixel.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setMidPixelSnape &lt;boolean&gt;snap </code></pre><p>Sets whether mid pixels snap is used. When false, the snap is set to the bottom right corner of the pixel. When true, it snaps to the center of the pixel.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.snap() </code></pre><p>Presses the Snap button in the edit floater.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<h2 id=\"bitmap-options\">Bitmap Options</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;Unwrap_UVW&gt;.getRenderWidth() </code></pre><p>Returns the width of the bitmap used to render 2d/3d textures to.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setRenderWidth &lt;integer&gt;width </code></pre><p>Sets the width in pixels of the bitmap used to render to for display.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;Unwrap_UVW&gt;.getRenderHeight() </code></pre><p>Returns the height of the bitmap used to render 2d/3d textures to.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setRenderHeight &lt;integer&gt;height </code></pre><p>Sets the height in pixels of the bitmap used to render to the display.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getUseBitmapRes() </code></pre><p>Returns the state of the Use Bitmap Resolution as a boolean value. If false, the bitmaps are rendered using the RenderWidth/Height values.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setUseBitmapRes &lt;boolean&gt;useRes </code></pre><p>Set to true to use the bitmap resolution, false to use the render width and height.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<h2 id=\"custom-toolbars-and-floaters\">Custom Toolbars and Floaters</h2><p>The custom toolbars and floaters are stored in a file called *&quot;UnwrapToolBar.ini&quot;* found in the current <em>\\plugcfg</em> folder accessible through <strong><code>getDir #plugcfg</code></strong> . Note that you have to close the current <strong>3ds Max</strong> session in order to make manual changes to this .ini file.</p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;Unwrap_UVW&gt;.buttonpanel_height1 Integer default: 360 -- integer</code></pre><p>Available <strong>in 3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;Unwrap_UVW&gt;.buttonpanel_height2 Integer default: 700 -- integer</code></pre><p>Available <strong>in 3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;Unwrap_UVW&gt;.buttonpanel_visible BooleanClass default: false -- boolean</code></pre><p>Available <strong>in 3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;Unwrap_UVW&gt;.buttonpanel_width Integer default: 360 -- integer</code></pre><p>Available <strong>in 3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Unwrap_UVW&gt;.toolBarVisible BooleanClass default: false -- boolean</code></pre><p>Get/set the visible state of the custom toolbars. Available <strong>in 3ds Max 2012 and higher</strong>.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.AddToolBar &lt;integer&gt;owner &lt;string&gt;name &lt;integer&gt;pos &lt;integer&gt;x &lt;integer&gt;y &lt;integer&gt;width &lt;boolean&gt;popup</code></pre><p>Adds a new toolbar to the Edit UVWs Floater&apos;s UI.</p>\n\
<p>Exposed via <code>unwrap6</code> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.ShowToolBar &lt;boolean&gt;visible</code></pre><p>Exposed via <code>unwrap6</code> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Unwrap_UVW-Modifier.html\">Unwrap_UVW : Modifier</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";