var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-496CE46A-EBD3-40C2-9637-3F21E0F0B0FB\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Unwrap_UVW Modifier - Select and Transform</h1></div><p>The following methods provide access to the sub-object selection in the Edit UVWs Floater and allow the transformation of mapping sub-object elements through MAXScript:</p>\n\
<h2 id=\"selection-lock-state\">Selection Lock State</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getLock() </code></pre><p>Returns the state of the selection Lock.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setLock &lt;boolean&gt;lock </code></pre><p>Sets the state of the selection Lock.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<h2 id=\"vertex-weight-soft-selection-\">Vertex Weight (Soft Selection)</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;&lt;Unwrap_UVW&gt;.getVertexWeight &lt;integer&gt;index </code></pre><p>Returns the Vertex Weight of the specified vertex.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setVertexWeight &lt;integer&gt;index &lt;float&gt;weight </code></pre><p>Sets the Vertex Weight of the specified vertex to the supplied value.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Unwrap_UVW&gt;.isWeightModified &lt;integer&gt;index </code></pre><p>Returns true if the specified vertex has been affected by soft selection, false otherwise.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.modifyWeight &lt;integer&gt;index &lt;boolean&gt;modify </code></pre><p>Sets whether the specified vertex should be modified by soft selection.</p>\n\
<p>If a vertex is modified it ignores regular UI soft selection and the vertex soft selection weight is locked to it current state and can only be changed by the<strong>setVertexWeight</strong>method.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<h2 id=\"convert-selection\">Convert Selection</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.vertToEdgeSelect() </code></pre><p>Convert the Vertex Selection to Edge Selection.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.vertToFaceSelect() </code></pre><p>Convert the Vertex Selection to Face Selection.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.edgeToVertSelect() </code></pre><p>Convert the Edge Selection to Vertex Selection.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.edgeToFaceSelect() </code></pre><p>Convert the Edge Selection to Face Selection.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.faceToVertSelect() </code></pre><p>Convert the Face Selection to Vertex Selection.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.faceToEdgeSelect() </code></pre><p>Convert the Face Selection to Edge Selection.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<h2 id=\"select-inverted-and-overlapped-faces\">Select Inverted and Overlapped Faces</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.selectInvertedFaces() </code></pre><p>Selects the inverted faces.</p>\n\
<p>Exposed via <code>unwrap4</code> interface in <strong>3ds Max 7 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.selectOverlappedFaces() </code></pre><p>Selects overlapped faces.</p>\n\
<p>Corresponds to the <strong>Select&gt;Select Overlapped Faces</strong> option in the Edit UVWs dialog menu bar.</p>\n\
<p>Exposed via <code>unwrap5</code> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<h2 id=\"selection-modes\">Selection Modes</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.expandSelection() </code></pre><p>Presses the &quot;Grow Texture Selection&quot; button.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.contractSelection() </code></pre><p>Presses the &quot;Shrink Texture Selection&quot; button.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getTVElementMode() </code></pre><p>Returns the state of the <strong>Select Element</strong> checkbox in the Selection Modes group of the Editor&#x2019;s panel.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setTVElementMode &lt;boolean&gt;mode </code></pre><p>Sets the state of the <strong>Select Element</strong> checkbox in the Selection Modes group of the Editor&#x2019;s panel.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.options() </code></pre><p>Presses the <strong>Options...</strong> button in the edit floater.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<h2 id=\"paint-selection\">Paint Selection</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getPaintSelectMode() </code></pre><p>Returns the PaintSelect Mode.</p>\n\
<p>When set to <code>true</code> , the tiled images are blended to the background color or black</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setPaintSelectMode &lt;boolean&gt;paint </code></pre><p>Sets the PaintSelect Mode.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;Unwrap_UVW&gt;.getPaintSelectSize() </code></pre><p>Returns the size of the paint select brush. Will be clamped between 1 and 15.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setPaintSelectSize &lt;integer&gt;size </code></pre><p>Sets the size of the PaintSelect brush. Will be clamped between 1 and 15.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.paintSelectIncSize() </code></pre><p>Increments the PaintSelect brush size by 1.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.paintSelectDecSize() </code></pre><p>Decrements the PaintSelect brush size by 1.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<h2 id=\"vertex-selection\">Vertex Selection</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bitArray&gt;&lt;Unwrap_UVW&gt;.getSelectedVertices() </code></pre><p>Returns the current selected texture vertices in the edit floater as a bitarray.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.selectVertices &lt;bitArray&gt;selection </code></pre><p>Selects texture vertices in the edit floater dialog.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Unwrap_UVW&gt;.isVertexSelected &lt;integer&gt;index </code></pre><p>Returns a boolean value which indicates whether a texture vertex is selected.</p>\n\
<p><code>index</code> (integer) - The index of the vertex to check.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.GetSelectionFromFace() </code></pre><p>Takes the current polygon selection and uses it to select the texture vertices that are associated with it.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<h2 id=\"selected-edges\">Selected Edges</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bitArray&gt;&lt;Unwrap_UVW&gt;.getSelectedEdges() </code></pre><p>Returns the edge selection from the Editor as bitarray.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.selectEdges &lt;bitArray&gt;selection </code></pre><p>Set the edge selection in the Editor using the supplied bitarray.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Unwrap_UVW&gt;.isEdgeSelected &lt;integer&gt;index </code></pre><p>Returns true if the indexed edge is selected, false otherwise.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<h2 id=\"selected-faces\">Selected Faces</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bitArray&gt;&lt;Unwrap_UVW&gt;.getSelectedFaces() </code></pre><p>Returns the face selection from the Editor as bitarray.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.selectFaces &lt;bitArray&gt;selection </code></pre><p>Sets the face selection in the Editor using the supplied bitArray.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Unwrap_UVW&gt;.isFaceSelected &lt;integer&gt;index </code></pre><p>Returns true if the specified indexed face is selected, false otherwise.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<h2 id=\"polygon-mode\">Polygon Mode</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getPolygonMode() </code></pre><p>Returns the state of the Polygon mode.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setPolygonMode &lt;boolean&gt;mode </code></pre><p>Sets the state of the Polygon mode.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.polygonSelect() </code></pre><p>Performs Polygon Selection.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<h2 id=\"uv-edge-mode\">UV Edge Mode</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getUVEdgeMode() </code></pre><p>Returns the UV Edge Mode.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setUVEdgeMode &lt;boolean&gt;uvEdgeMode </code></pre><p>Sets the UV Edge Mode.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.uvEdgeSelect() </code></pre><p>Selects UV Edge Loops. Select any number of edges and call this method to select all edges that build an edge loop with the original selection.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<h2 id=\"old-selection-method\">Old Selection Method</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getOldSelMethod() </code></pre><p>Returns false when the new selection method is used, false when the old selection method is used. In the old selection mode, drag selection always uses back faces and single pick mode ignore back faces.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setOldSelMethod &lt;boolean&gt;oldSelMethod </code></pre><p>Sets the selection method. False means use the new selection method, true means use the old selection method.</p>\n\
<p>This method lets you set the system back to the old selection method where drag selection always uses back faces and single pick mode ignore back faces. This will override the Ignore Back Faces mode.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<h2 id=\"transform-selected\">Transform Selected</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.moveSelected &lt;point3&gt;offset </code></pre><p>Moves the selected sub-objects at the specified offset.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.rotateSelectedCenter &lt;float&gt;angle </code></pre><p>Rotates the selected sub-objects at the specified angle using the selection center.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.rotateSelected &lt;float&gt;angle &lt;point3&gt;axis </code></pre><p>Moves the selected sub-objects at the specified offset about the specified axis.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.scaleSelectedCenter &lt;float&gt;scale &lt;integer&gt;dir </code></pre><p>Scales the selected sub-objects by the specified amount using the selection center.</p>\n\
<p>The <code>dir</code> integer defines the direction of scaling as follows:</p>\n\
<p>0 - scale both X and Y</p>\n\
<p>1 - scale X only</p>\n\
<p>2 - scale Y only</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.ScaleSelected &lt;float&gt;scale &lt;integer&gt;dir &lt;point3&gt;axis </code></pre><p>Scales the selected sub-objects by the specified amount using the specified axis.</p>\n\
<p>The <code>dir</code> integer defines the scaling mode as follows:</p>\n\
<p>0 - scale both X and Y</p>\n\
<p>1 - scale X only</p>\n\
<p>2 - scale Y only</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<h2 id=\"scale-selected-xy\">Scale Selected XY</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.scaleSelectedXY &lt;float&gt;scaleX &lt;float&gt;scaleY &lt;point3&gt;axis </code></pre><p>Scales the current selection non-uniformly using the separate X and Y scale values. Uses the axis Point3 value as center.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<h2 id=\"transform-selected-vertices\">Transform Selected Vertices</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.moveSelectedVertices &lt;point3&gt;offset </code></pre><p>Moves the selected texture vertices by the specified offset.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.rotateSelectedVerticesCenter &lt;float&gt;angle </code></pre><p>Rotates the selected vertices around their center point.</p>\n\
<p><code>angle</code> (float) - The angle in radians that you want to rotate the selection by.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.RotateSelectedVertices &lt;float&gt;angle &lt;point3&gt;axis </code></pre><p>Rotates the selected vertices around a specific axis</p>\n\
<p>where</p>\n\
<p><code>angle</code> is the angle in radians that you want to rotate the selection by.</p>\n\
<p><code>axis</code> is the axis that you want to rotate the selected vertices about. This is in the space of the window.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.scaleSelectedVerticesCenter &lt;float&gt;scale &lt;integer&gt;dir </code></pre><p>Scales the selected points around their center,</p>\n\
<p>where</p>\n\
<p><code>scale</code> is the amount that you want to scale by.</p>\n\
<p><code>dir</code> is the direction you want to scale in:</p>\n\
<p>0 - Scales uniform</p>\n\
<p>1 - Scales in the x</p>\n\
<p>2 - Scales in the y</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.scaleSelectedVertices &lt;float&gt;scale &lt;integer&gt;dir &lt;point3&gt;axis </code></pre><p>Scales the selected points around their center around the axis</p>\n\
<p>where</p>\n\
<p><code>scale</code> is the amount that you want to scale by.</p>\n\
<p><code>dir</code> is the direction you want to scale in:</p>\n\
<p>0 - Scales uniform</p>\n\
<p>1 - Scales in the x</p>\n\
<p>2 - Scales in the y</p>\n\
<p><code>axis</code> (point3) - The axis that you want to scale the selected vertices along. This is in the space of the window.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.moveX &lt;float&gt;p </code></pre><p>This sets the selected vertices x values in absolute coordinates.</p>\n\
<p><float><code>p</code>- The absolute position along the x axis.</float></p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.moveY &lt;float&gt;p </code></pre><p>This sets the selected vertices y values in absolute coordinates.</p>\n\
<p><code>&lt;float&gt; p</code> - The absolute position along the y axis.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.moveZ &lt;float&gt;p </code></pre><p>This sets the selected vertices xzvalues in absolute coordinates.</p>\n\
<p><float><code>p</code>- The absolute position along the z axis.</float></p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3&gt;&lt;Unwrap_UVW&gt;.getVertexPosition &lt;time&gt;time &lt;integer&gt;index </code></pre><p>Returns the position of the vertex as a Point3 value.</p>\n\
<p><code>time</code> (timevalue) - The time at which you wan to check.</p>\n\
<p><code>index</code> (integer) - The index of the vertex.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.SetVertexPosition &lt;time&gt;time &lt;integer&gt;index &lt;point3&gt;pos </code></pre><p>This sets the position of a UVW vertex at a specific time.</p>\n\
<p><code>&lt;time&gt; time</code> - The time at what you want to set the pos.</p>\n\
<p><code>&lt;integer&gt; index</code> - The index of the vertex.</p>\n\
<p><code>&lt;point3&gt; pos</code> - The position of the vertex in UVW space.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setVertexPosition2 &lt;time&gt;time &lt;integer&gt;index &lt;point3&gt;pos &lt;boolean&gt;hold &lt;boolean&gt;update </code></pre><p>An extended version of the <code>.setVertexPosition()</code> method with additional arguments controlling Undo Buffer Holding and Updating.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getRotationsRespectAspect() </code></pre><p>Returns true if the rotations respect the aspect, false otherwise.</p>\n\
<p>Exposed via <code>unwrap4</code> interface in <strong>3ds Max 7 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setRotationsRespectAspect &lt;boolean&gt;respect </code></pre><p>Sets whether rotations will respect the aspect or not.</p>\n\
<p>Exposed via <code>unwrap4</code> interface in <strong>3ds Max 7 and higher</strong>.</p>\n\
<h2 id=\"selected-polygons\">Selected Polygons</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bitArray&gt;&lt;Unwrap_UVW&gt;.getSelectedPolygons() </code></pre><p>Returns the selected polygons in the view port as a bitarray.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.selectPolygons &lt;bitArray&gt;selection </code></pre><p>Selects the polygons in the view ports.</p>\n\
<p><code>&lt;bitArray&gt; sel</code> - The polygons to select.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Unwrap_UVW&gt;.isPolygonSelected &lt;integer&gt;index </code></pre><p>Returns whether a polygon is selected or not.</p>\n\
<p><code>&lt;integer&gt; index</code> - Index of the polygon to check.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.selectPolygonsUpdate &lt;bitArray&gt;selection &lt;boolean&gt;update </code></pre><p>Selects the faces supplied by the bitArray. When update is given as true, updates the selection display. This selection method gives you an option to not update the view if you are doing lots of face processing.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.selectFacesByNormal &lt;point3&gt;normal &lt;float&gt;threshold &lt;boolean&gt;update </code></pre><p>Selects the faces whose face normals are within the given threshold relatively to the supplied normal. When update is given as true, updates the selection display.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.selectClusterByNormal &lt;float&gt;threshold &lt;integer&gt;faceIndexSeed &lt;boolean&gt;relative &lt;boolean&gt;update </code></pre><p>Select a cluster based on the supplied threshold value starting with the faceIndexSeed face.</p>\n\
<p>When relative is supplied as true, the threshold will be measured relatively to the neighbor face (and thus be able to propagate across the whole mesh if needed). When false, the threshold will be measured absolutely to the seed face.</p>\n\
<p>When true is supplied for update, the selection will be updated in the viewports.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.getArea &lt;bitArray&gt;faceSelection &lt;&amp;float&gt;x &lt;&amp;float&gt;y &lt;&amp;float&gt;width &lt;&amp;float&gt;height &lt;&amp;float&gt;areaUVW &lt;&amp;float&gt;areaGeom \n\
\n\
x is Out parameter \n\
y is Out parameter \n\
width is Out parameter \n\
height is Out parameter \n\
areaUVW is Out parameter \n\
areaGeom is Out parameter </code></pre><p>Returns the geometry and uvw area, x, y, width and height of the supplied face selection.</p>\n\
<p>Exposed via <code>unwrap4</code> interface in <strong>3ds Max 7 and higher</strong>.</p>\n\
<h2 id=\"pivot\">Pivot</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.snapPivot &lt;integer&gt;pos </code></pre><p>This lets you quickly snap the free form gizmo pivot to the bounding rectangle.</p>\n\
<p>1 is the center</p>\n\
<p>2 is the lower left of the selection</p>\n\
<p>3 is the lower center of the selection</p>\n\
<p>4 is the lower right of the selection</p>\n\
<p>5 is the right center of the selection</p>\n\
<p>6 is the upper right of the selection</p>\n\
<p>7 is the upper center of the selection</p>\n\
<p>8 is the upper left of the selection</p>\n\
<p>9 is the left center of the selection</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3&gt;&lt;Unwrap_UVW&gt;.getPivotOffset() </code></pre><p>Returns the pivot offset of the free form gizmo. This is an offset from the center of the selection.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setPivotOffset &lt;point3&gt;offset </code></pre><p>Sets the free from gizmo&#x2019;s Pivot offset.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3&gt;&lt;Unwrap_UVW&gt;.getSelCenter() </code></pre><p>Returns the Selection Center so you can compute the pivot offset from a world uv position.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getResetPivotOnSelection() </code></pre><p>Returns the Reset Pivot on selection state. When true, the pivot will reset itself to the center of the selection.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setResetPivotOnSelection &lt;boolean&gt;reset </code></pre><p>Sets the Reset Pivot on selection option. When true, the pivot will reset itself to the center of the selection.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<h2 id=\"selection-inside-gizmo\">Selection Inside Gizmo</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getAllowSelectionInsideGizmo() </code></pre><p>Returns the state of the Allow Selecting Inside Gizmo option.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setAllowSelectionInsideGizmo &lt;boolean&gt;select </code></pre><p>Allow / Disallow selecting inside the gizmo.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<h2 id=\"soft-selection\">Soft-Selection</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getEnableSoftSelection() </code></pre><p>Returns the state of the Soft Selection <strong>On</strong> checkbox.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setEnableSoftSelection &lt;boolean&gt;enable </code></pre><p>Sets the state of the Soft Selection <strong>On</strong> checkbox.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getLimitSoftSel() </code></pre><p>Returns the state of the <strong>Edge Distance</strong> checkbox in the Soft Selection group.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setLimitSoftSel &lt;boolean&gt;limit </code></pre><p>When true is supplied as limit, the Edge Distance will be used.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;Unwrap_UVW&gt;.getLimitSoftSelRange() </code></pre><p>Returns the Edge Distance value set in the Soft Selection group.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setLimitSoftSelRange&lt;integer&gt;range </code></pre><p>Sets the Edge Distance value used to limit the Soft Selection.</p>\n\
<p>Exposed via <code>unwrap2</code> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;Unwrap_UVW&gt;.getFalloffType() </code></pre><p>Returns the falloff type in the edit floater:</p>\n\
<p>1 - Smooth falloff</p>\n\
<p>2 - Linear falloff</p>\n\
<p>3 - Slow Out falloff</p>\n\
<p>4 - Fast Out falloff</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setFalloffType&lt;integer&gt;falloff </code></pre><p>Sets the falloff type in the edit floater, where <code>falloff</code> defines the falloff type:</p>\n\
<p>1 - Smooth falloff</p>\n\
<p>2 - Linear falloff</p>\n\
<p>3 - Slow Out falloff</p>\n\
<p>4 - Fast Out falloff</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;Unwrap_UVW&gt;.getFalloffSpace() </code></pre><p>Returns the Falloff space.</p>\n\
<p>Possible values are:</p>\n\
<p>1 - <strong>XY</strong> (Local space of the object vertices.)</p>\n\
<p>2 - <strong>UV</strong> (UVW space of the map vertices.)</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setFalloffSpace&lt;integer&gt;space </code></pre><p>Sets the Falloff Space.</p>\n\
<p>Possible values are:</p>\n\
<p>1 - <strong>XY</strong> (Local space of the object vertices.)</p>\n\
<p>2 - <strong>UV</strong> (UVW space of the map vertices.)</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;&lt;Unwrap_UVW&gt;.getFalloffDist() </code></pre><p>Returns the Falloff distance value.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.setFalloffDist &lt;integer&gt;distance </code></pre><p>Sets the Falloff distance value.</p>\n\
<p>Exposed via <code>unwrap</code> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<h2 id=\"uv-loop-and-ring\">UV Loop And Ring</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;void&gt;&lt;Unwrap_UVW&gt;.uvLoop &lt;integer&gt;mode</code></pre><p>Performs a UV Loop operation based on the integer argument.</p>\n\
<p>Possible argument values are:</p>\n\
<p>-1 - Shrink the UV Loop</p>\n\
<p>0 - Select the UV Loop</p>\n\
<p>1 - Grow the UV Loop</p>\n\
<p>Exposed via <code>unwrap6</code> interface in <strong>3ds Max 2010 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;void&gt;&lt;Unwrap_UVW&gt;.uvRing &lt;integer&gt;mode</code></pre><p>Performs a UV Ring operation based on the integer argument.</p>\n\
<p>Possible argument values are:</p>\n\
<p>-1 - Shrink the UV Ring</p>\n\
<p>0 - Select the UV Ring</p>\n\
<p>1 - Grow the UV Ring</p>\n\
<p>Exposed via <code>unwrap6</code> interface in <strong>3ds Max 2010 and higher</strong>.</p>\n\
<h2 id=\"uv-align-and-space\">UV Align And Space</h2><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;void&gt;&lt;Unwrap_UVW&gt;.align &lt;boolean&gt;horizontal</code></pre><p>Performs an Align operation according to the boolean argument.</p>\n\
<p>Possible argument values are:</p>\n\
<p>true - Align U</p>\n\
<p>false - Align V</p>\n\
<p>Exposed via <code>unwrap6</code> interface in <strong>3ds Max 2010 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;void&gt;&lt;Unwrap_UVW&gt;.space &lt;boolean&gt;horizontal</code></pre><p>Performs an Space operation according to the boolean argument.</p>\n\
<p>Possible argument values are:</p>\n\
<p>true - Space in U</p>\n\
<p>false - Space in V</p>\n\
<p>Exposed via <code>unwrap6</code> interface in <strong>3ds Max 2010 and higher</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Unwrap_UVW-Modifier.html\">Unwrap_UVW : Modifier</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";