var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-097421A0-EA76-4C2C-BD7B-809E45D48D61\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>NURBSMultiCurveTrimSurface : NURBSSurface</h1></div><p>This class defines a dependent Multicurve Trim surface which is a surface that is trimmed by multiple curves forming a loop.</p>\n\
<p><strong>Constructors</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">NURBSMultiCurveTrimSurface [&lt;property&gt;:&lt;val&gt;]...      </code></pre><p>Any of the object&apos;s properties may be set via optional keyword arguments on the constructor.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getObject &lt;nurbsset&gt; &lt;index&gt;   </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbsmulticurvetrimsurface&gt;.surfaceParent : Integer </code></pre><p>The parent surface by NURBSet index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbsmulticurvetrimsurface&gt;.surfaceParentID : Integer </code></pre><p>The parent surface by NURBSId.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbsmulticurvetrimsurface&gt;.numCurves : Integer </code></pre><p>The number of curves used for the trim loop.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;nurbsmulticurvetrimsurface&gt;.flipTrim : Boolean </code></pre><p>The state of the trim flip toggle. This controls which portion of the surface is trimmed.</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getParent &lt;nurbsmulticurvetrimsurface&gt; &lt;index&gt; </code></pre><p>Gets the NURBSSet index of the indexed trim loop.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setParent &lt;nurbsmulticurvetrimsurface&gt; &lt;index&gt; &lt;curve&gt; </code></pre><p>Sets the indexed trim loop to the curve specified by the NURBSSet index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getParentID &lt;nurbsmulticurvetrimsurface&gt; &lt;index&gt; </code></pre><p>Gets the NURBSId of the indexed trim loop.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setParentID &lt;nurbsmulticurvetrimsurface&gt; &lt;index&gt; &lt;curveID&gt; </code></pre><p>Sets the indexed curve in the trim loop to the curve specified by the NURBSId.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">appendCurve &lt;nurbsmulticurvetrimsurface&gt; &lt;curve&gt; </code></pre><p>Adds a curve to the end of the list of curves comprising the trim loop by specifying the NURBSSet index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">appendCurveByID &lt;nurbsmulticurvetrimsurface&gt; &lt;curveID&gt; </code></pre><p>Adds a curve to the end of the list of curves comprising the trim loop by specifying the NURBSId.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../NURBSSurface-Classes.html\">NURBSSurface Classes</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"NURBSSurface-NURBSObject.html\">NURBSSurface : NURBSObject</a></li>\n\
          <li><a class=\"link\" href=\"../NURBSObject-Values.html\">NURBSObject Values</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";