var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-CE525795-1A44-4DB3-BA90-DACA69430115\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Align Pivot and Reset Transform Methods</h1></div><p>The following methods provide access to the Align Pivot and Reset Transform functionality available in the Hierarchy tab and to the ResetXForm Utility functionality.</p>\n\
<p>Available in <strong>3ds Max 6 and higher</strong>.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ResetXForm &lt;node&gt;-- mapped method      </code></pre><p>Same as the Reset XForm utility in the Utilities tab - applies XForm modifier to node, stores the current transformations in the gizmo and resets the object transformations.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">CenterPivot &lt;node&gt;-- mapped method   </code></pre><p>Same as Hierarchy/Pivot/Affect Pivot Only - Center to Object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">CenterObject &lt;node&gt;-- mapped method </code></pre><p>Same as Hierarchy/Pivot/Affect Object Only - Center to Pivot.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">WorldAlignPivot &lt;node&gt;-- mapped method </code></pre><p>Same as Hierarchy/Pivot/Affect Pivot Only - Align to World.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">WorldAlignObject &lt;node&gt;-- mapped method </code></pre><p>Same as Hierarchy/Pivot/Affect Object Only - Align to World.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">AlignPivot &lt;node&gt;-- mapped method </code></pre><p>Same as Hierarchy/Pivot/Affect Pivot Only - Align to Object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">AlignObject &lt;node&gt;-- mapped method </code></pre><p>Same as Hierarchy/Pivot/Affect Object Only - Align to Pivot.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">AlignToParent &lt;node&gt;-- mapped method </code></pre><p>Aligns the pivot to the node&apos;s parent&apos;s pivot, or to world if no parent.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ResetTransform &lt;node&gt;-- mapped method </code></pre><p>Same as Hierarchy/Pivot/Reset Transform.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ResetScale &lt;node&gt;-- mapped method </code></pre><p>Same as Hierarchy/Pivot/Reset Scale.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ResetPivot &lt;node&gt;-- mapped method </code></pre><p>Same as Hierarchy/Pivot/Reset Pivot.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Node-Common-Properties-Operators.html\">Node Common Properties, Operators, and Methods</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Node-Transform-Properties.html\">Node Transform Properties</a></li>\n\
          <li><a class=\"link\" href=\"../../../Frequently-Asked-Questions/MAXScript-Syntax-and-Terminology/What-Are-Mapped-Operations-in.html\">What Are Mapped Operations in MAXScript?</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";