var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-075BDB64-8D18-4E8A-A3F2-1536B3A0C7DC\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Node Viewport State Methods</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">hide &lt;node&gt; -- mapped </code></pre><p>Hides the specified node or node collection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">unhide &lt;node&gt; [doLayer:&lt;boolean&gt;] -- mapped </code></pre><p>Unhides the specified node or node collection.</p>\n\
<p>If the optional <code>doLayer</code> keyword is set to <code>true</code> and the node is in a layer that is hidden, the entire layer is unhidden. When <code>false</code> (the default), just the node is unhidden.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">freeze &lt;node&gt; -- mapped </code></pre><p>Freezes the specified node or node collection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">unfreeze &lt;node&gt; [doLayer:&lt;boolean&gt;] -- mapped </code></pre><p>Unfreezes the specified node or node collection.</p>\n\
<p>If the optional doLayer keyword is set to true and the node is in a layer that is frozen, the entire layer is unfrozen. When false (the default), just the node is unfrozen.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">flagForeground &lt;node&gt; &lt;boolean&gt; -- mapped </code></pre><p>Controls the disposition of scene nodes in the viewport foreground/background planes, so you can influence interactive performance on a node. Nodes placed in the foreground plane are redrawn individually, so interactive changes to them through spinners in scripted rollout panels are much faster.</p>\n\
<p>The boolean argument puts the scene node(s) into the foreground plane if <code>true</code> , or into the background plane if <code>false</code> . You must be judicious in putting nodes in the foreground plane because putting too many objects in the foreground plane reduces the foreground plane&apos;s effectiveness. Remember to unflag objects when you do not need to interactively control them any more.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getTrajectoryOn &lt;node&gt; </code></pre><p>Returns <code>true</code> if Trajectory is shown for the node, <code>false</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setTrajectoryOn &lt;node&gt; &lt;boolean&gt; </code></pre><p>Sets whether Trajectory is shown for the node. If <code>&lt;boolean&gt;</code> is <code>true</code> , Trajectory is shown. If <code>&lt;boolean&gt;</code> is <code>false</code> , Trajectory is not shown.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">isBoneOnly &lt;node&gt; </code></pre><p>Returns <code>true</code> if the node&apos;s <code>showLinksOnly</code> property is <code>true</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getCVertMode &lt;node&gt; </code></pre><p>Returns <code>true</code> if node is displayed using vertex colors in shaded viewports, <code>false</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setCVertMode &lt;node&gt; &lt;boolean&gt; </code></pre><p>Sets whether to display the effect of assigned vertex colors for the node in shaded viewports. If <code>&lt;boolean&gt;</code> is <code>true</code> , node is displayed using vertex colors. If <code>&lt;boolean&gt;</code> is <code>false</code> , node is displayed using the material or wireframe color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getShadeCVerts &lt;node&gt; </code></pre><p>Returns <code>true</code> if the vertex color display for the node is shaded in the viewports, <code>false</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setShadeCVerts &lt;node&gt; &lt;boolean&gt; </code></pre><p>Sets whether the vertex color display for the node is shaded in the viewports. When <code>true</code> , the colors are unshaded and appear in their pure RGB values. When <code>false</code> , the colors appear like any other assigned color in the viewports.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Node-Common-Methods.html\">Node Common Methods</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";