var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-289A6290-9F11-404C-A893-E2D791A7FEE6\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Loft : GeometryClass</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Loft - superclass: GeometryClass; super-superclass:node - classID:#(6553, 0) </code></pre><p><img src=\"./images/GUID-F41446C7-22E4-4CD6-BEB3-A5CCBAF02748-low.gif\" alt></p>\n\
<p><strong>Constructor</strong>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Loft compound objects are not creatable by MAXScript. </code></pre><p><strong>Properties</strong>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Loft&gt;.Def_Scale_X SubAnim default: SubAnim:Def_Scale_X \n\
&lt;Loft&gt;.Def_Scale_Y SubAnim default: SubAnim:Def_Scale_Y \n\
&lt;Loft&gt;.Def_Twist SubAnim default: SubAnim:Def_Twist \n\
&lt;Loft&gt;.Def_Teeter_X SubAnim default: SubAnim:Def_Teeter_X \n\
&lt;Loft&gt;.Def_Teeter_Y SubAnim default: SubAnim:Def_Teeter_Y \n\
&lt;Loft&gt;.Def_Bevel SubAnim default: SubAnim:Def_Bevel \n\
&lt;Loft&gt;.Def_Fit_X SubAnim default: SubAnim:Def_Fit_X \n\
&lt;Loft&gt;.Def_Fit_Y SubAnim default: SubAnim:Def_Fit_Y   </code></pre><p>These SubAnims contain the deformation curves of the loft object.</p>\n\
<p>You cannot create or access points in these curves unless the point is animated. In this case, you can access the animated point position as a SubAnim of the property.</p>\n\
<p>The following properties are available only after the loft object has been created.</p>\n\
<p>The values shown for the properties are those for a loft object created from an ellipse (the path) and a circle (the shape).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;loft&gt;.ellipse SubAnim default: SubAnim:Ellipse&lt;Loft&gt;.circle SubAnim default: SubAnim:Circle</code></pre><p>These SubAnims contain the parameters of the path and shape objects, respectively. If multiple shapes are used in a loft, each of these shape objects will have a corresponding SubAnim.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Geometry-Compound-Objects.html\">Geometry - Compound Objects</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../GeometryClass-Common-Properties.html\">GeometryClass Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../Node-Common-Properties-Operators.html\">Node Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";