var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-DCE9B9F8-A1FD-4CD2-964F-D71C65B8E0A5\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>SlidingWindow : GeometryClass</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">SlidingWindow - superclass: GeometryClass; super-superclass:node - 14:0 - classID: #(1945855340, 1755450066) </code></pre><p><img src=\"./images/GUID-273CCDA3-8FBE-442B-A56E-46D801A379EF-low.gif\" alt></p>\n\
<p>This class is available again in <strong>3ds Max 6 and higher</strong>. It was not available in <strong>3ds Max 4</strong> and <strong>5</strong>.</p>\n\
<p><strong>Constructor</strong>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">slidingWindow...   </code></pre><p><strong>Properties</strong>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SlidingWindow&gt;.height Float default: 0.0 -- animatable; float </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SlidingWindow&gt;.width Float default: 0.0 -- animatable; float </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SlidingWindow&gt;.depth Float default: 0.0 -- animatable; float </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SlidingWindow&gt;.Horizontal_Frame_Width Float default: 2.0 -- animatable; float </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SlidingWindow&gt;.Vertical_Frame_Width Float default: 2.0 -- animatable; float </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SlidingWindow&gt;.Frame_Thickness Float default: 0.5 -- animatable; float </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SlidingWindow&gt;.Glazing_Thickness Float default: 0.25 -- animatable; float </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SlidingWindow&gt;.Rail_Width Float default: 1.0 -- animatable; float </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SlidingWindow&gt;.Percent_Open Integer default: 0 -- animatable; integer </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SlidingWindow&gt;.Generate_Mapping_Coords BooleanClass default: false </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SlidingWindow&gt;.Number_of_Panels_Horizontally Integer default: 1 -- integer </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SlidingWindow&gt;.Number_of_Panels_Vertically Integer default: 1 -- integer </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SlidingWindow&gt;.Chamfered_Profile BooleanClass default: false </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SlidingWindow&gt;.Hung BooleanClass default: true </code></pre><p><strong>Interfaces:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:realWorldMapSizeInterface</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.realWorldMapSize : boolean : Read|Write </code></pre><p>Enables/disables the real-world map size option.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Geometry-Doors-and-Windows.html\">Geometry - Doors and Windows</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../GeometryClass-Common-Properties.html\">GeometryClass Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../Node-Common-Properties-Operators.html\">Node Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";