var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-FC25A3B5-1CC2-488C-950B-E761A2D5A4F9\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Spring : GeometryClass</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Spring - superclass: GeometryClass; super-superclass:node - classID: #(2074280090, 1991647118) </code></pre><p><img src=\"./images/GUID-73EE6397-C63D-4D50-8718-B5C27C1AA66F-low.gif\" alt></p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">spring...   </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spring&gt;.End_Placement_Method Integer default: 1 </code></pre><p>Set the end placement method:</p>\n\
<p>0 - <strong>Reference Objects</strong> (Choose this when binding the spring to two objects.)</p>\n\
<p>1 - <strong>Free Spring</strong> (Choose this when using the spring as a simple object that&apos;s not bound to other objects or used in a dynamics simulation.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spring&gt;.Free_Spring_Height Float default: 1.0 -- animatable </code></pre><p>The straight-line height or length of the spring when it is not bound. This is not the actual length of the spring&apos;s wire.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spring&gt;.Diameter Float default: 1.0 -- animatable </code></pre><p>The overall diameter of the spring, as measured at the center of the wire. (The diameter of the wire itself has no effect on this setting.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spring&gt;.Number_of_Turns Float default: 1.0 -- animatable </code></pre><p>The number of full 360-degree turns in the spring.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spring&gt;.Turn_Direction Integer default: 0</code></pre><p>Sets the direction of the turns in the spring:</p>\n\
<p>0 - <strong>counterclockwise</strong></p>\n\
<p>1 - <strong>clockwise</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spring&gt;.Segmentation_Method Integer default: 0 </code></pre><p>Sets the segmentation method of the springs:</p>\n\
<p>0 - <strong>Automatic Segments</strong> (Choose this option to force each turn of the spring to contains the same number of segments. Thus, if you increase the number of turns, the number of segments also increases.)</p>\n\
<p>1 - <strong>Manual Segments</strong> (When this option is chosen, length of the spring contains a fixed number of segments, no matter how many turns in the spring. Thus, as you increase the number of turns, you must manually increase the number of segments to maintain a smooth curve.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spring&gt;.Segments_Per_Turn Integer default: 16 -- animatable </code></pre><p>The number of segments in each 360-degree turn of the spring.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spring&gt;.Segments_Along_Turn Integer default: 16 -- animatable </code></pre><p>The total number of manual segments in the spring.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spring&gt;.Smooth_Spring Integer default: 0 </code></pre><p>Set smoothing method for spring:</p>\n\
<p>0 - <strong>All</strong> (All surfaces are smoothed.)</p>\n\
<p>1 - <strong>None</strong> (No smoothing is applied.)</p>\n\
<p>2 - <strong>Sides</strong> (Smoothing runs along the length of the wire, but not around its perimeter.)</p>\n\
<p>3 - <strong>Segments</strong> (Smoothing runs around the perimeter of the wire, but not along its length.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Damper&gt;.Renderable_Spring Integer default: 1 </code></pre><p>When on, the object appears in the rendering; when off, the object does not appear:</p>\n\
<p>0 - <strong>Not renderable</strong></p>\n\
<p>1 - <strong>Renderable</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spring&gt;.Wire Integer default: 0 -- animatable </code></pre><p>Set the shape of the wire:</p>\n\
<p>0 - <strong>Round</strong></p>\n\
<p>1 - <strong>Rectangular</strong></p>\n\
<p>2 - <strong>D-Section</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spring&gt;.Generate_Mapping_Coordinates Integer default: 0 </code></pre><p>Turn on/off generate texture coordinates</p>\n\
<p>0 - <strong>Off</strong></p>\n\
<p>1 - <strong>On</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spring&gt;.Round_Wire_Diameter Float default: 0.2 -- animatable </code></pre><p>The diameter of the wire.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spring&gt;.Round_Wire_Side_Count Integer default: 6 -- animatable </code></pre><p>The number of sides that make up the cross section of the round wire.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spring&gt;.Rectangular_Wire_Width Float default: 0.2 -- animatable </code></pre><p>Determines the width of the rectangular cross section.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spring&gt;.Rectangular_Wire_Depth Float default: 0.2 -- animatable </code></pre><p>Determines the depth of the rectangular cross section.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spring&gt;.Rectangular_Wire_Fillet_Size Float default: 0.0 -- animatable </code></pre><p>When combined with <code>.Rectangular_Fillet_Sides</code> , this lets you fillet (round) the corners of the cross section.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spring&gt;.Rectangular_Fillet_Sides Integer default: 0 -- animatable </code></pre><p>The number of segments in the fillet.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spring&gt;.Rectangular_Wire_Rotation_Angle Float default: 0.0 -- animatable, angle </code></pre><p>Rotates the angle of the cross section along the entire length of the spring.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spring&gt;.D_Section_Wire_Width Float default: 0.2 -- animatable</code></pre><p>Determines the width of the cross section.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spring&gt;.D_Section_Wire_Depth Float default: 0.2 -- animatable </code></pre><p>Determines the depth of the cross section.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spring&gt;.D_Section_Round_Sides Integer default: 4 -- animatable </code></pre><p>The number of segments that make up the rounded side of the D-shape.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spring&gt;.D_Section_Wire_Fillet_Size Float default: 0.0 -- animatable </code></pre><p>When combined with <code>.D_Section_Wire_Fillet_Sides</code> , this lets you fillet (round) the corners of the cross section.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spring&gt;.D_Section_Wire_Fillet_Sides Integer default: 0 -- animatable </code></pre><p>The number of segments in the fillet.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spring&gt;.D_Section_Wire_Rotation_Angle Float default: 0.0 -- animatable, angle </code></pre><p>Rotates the angle of the cross section along the entire length of the spring.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spring&gt;.Dynamics_Spring_Free_Height Float default: 1.0 -- animatable </code></pre><p>Specifies the height (or length) at which the spring is &quot;relaxed&quot; and therefore contributes no force&#x2014;either compression or extension.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spring&gt;.Dynamics_K_Constant_Value Float default: 1.0 -- animatable </code></pre><p>The amount of force exerted per unit change in length with respect to the Relaxed Hgt value. This could also be described as the measure of force-per-units-change in length as compared to the Relaxed Length.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spring&gt;.Dynamics_K_Constant_Units Integer default: 0 </code></pre><p>Sets the Units for the K constant:</p>\n\
<p>0 - <strong>Pounds per inch</strong></p>\n\
<p>1 - <strong>Newtons per meter</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spring&gt;.Dynamics_Spring_Direction Integer default: 0 </code></pre><p>Lets you specify the type of force you want the spring to exert. While most springs actually provide both compression and extension force, if your simulation requires only one, you can save calculation time by using one instead of both.</p>\n\
<p>0 - <strong>Compression Only</strong> (This type of spring provides only expansive force when its length is shorter than the specified Free Length.)</p>\n\
<p>1 - <strong>Extension Only</strong> (Provides contractive force when its length is greater than the specified Free Length.)</p>\n\
<p>2 - <strong>Both</strong> (Provides both expansive and contractive force, depending on the variation from Relaxed Hgt.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spring&gt;.Generate_Texture_Coordinates Integer default: 1 </code></pre><p>Turn on/off generate texture coordinates:</p>\n\
<p>0 - <strong>Off</strong></p>\n\
<p>1 - <strong>On</strong></p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The Reference End Point objects cannot be specified in MAXScript.</div>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Geometry-Dynamics-Objects.html\">Geometry - Dynamics Objects</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../GeometryClass-Common-Properties.html\">GeometryClass Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../Node-Common-Properties-Operators.html\">Node Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";