var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-4B2AB233-EB80-495C-AE9C-791BD9302FAC\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Gengon : GeometryClass</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Gengon - superclass: GeometryClass; super-superclass:node - classID: #(1237277087, 905528747) </code></pre><p><img src=\"./images/GUID-6627C068-3F4B-4657-B9DF-762A26371103-low.gif\" alt></p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">gengon...   </code></pre><p><strong>Properties</strong>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Gengon&gt;.sides Integer default: 5 -- animatable </code></pre><p>The number of sides around the gengon.</p>\n\
<p>Higher numbers shade and render as true circles with Smooth on.</p>\n\
<p>Lower numbers create regular polygonal objects with Smooth off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Gengon&gt;.radius Float default: 0.0 -- animatable </code></pre><p>The radius of the gengon.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Gengon&gt;.Fillet Float default: 0.0 -- animatable </code></pre><p>The width of the fillet area.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Gengon&gt;.height Float default: 0.0 -- animatable </code></pre><p>Height along the central axis.</p>\n\
<p>Negative values create the gengon below the construction plane.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Gengon&gt;.Side_Segments Integer default: 1 -- animatable </code></pre><p>The number of divisions around the gengon.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Gengon&gt;.Height_Segments Integer default: 1 -- animatable </code></pre><p>The number of divisions along the gengon&apos;s major axis.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Gengon&gt;.Fillet_Segments Integer default: 1 -- animatable </code></pre><p>The number of divisions for the edge filleting.</p>\n\
<p>The higher this setting, the rounder the fillet appears.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Gengon&gt;.mapCoords Integer default: 1 </code></pre><p>1- enable mapping coordinates,</p>\n\
<p>0 - disable mapping coordinates.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Gengon&gt;.smooth Integer default: 0 </code></pre><p>1- enable smoothing,</p>\n\
<p>0 - disable smoothing.</p>\n\
<p><strong>Interfaces:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:realWorldMapSizeInterface </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.realWorldMapSize: boolean : Read|Write </code></pre><p>Enables/disables the real-world map size option.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Geometry-Extended-Objects.html\">Geometry - Extended Objects</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../GeometryClass-Common-Properties.html\">GeometryClass Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../Node-Common-Properties-Operators.html\">Node Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";