var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-50973E09-1A39-45AB-829D-168C4C1396A2\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>L_Ext : GeometryClass</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">L_Ext - superclass: GeometryClass; super-superclass:node - classID: #(166148616, 141111399) </code></pre><p><img src=\"./images/GUID-6627C068-3F4B-4657-B9DF-762A26371103-low.gif\" alt></p>\n\
<p><strong>Constructor</strong>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">l_ext...   </code></pre><p><strong>Properties</strong>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;L_Ext&gt;.Side_Length Float default: 0.0 -- animatable; worldunits </code></pre><p>The length of the side edge.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;L_Ext&gt;.Front_Length Float default: 0.0 -- animatable; worldunits </code></pre><p>The length of the front edge.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;L_Ext&gt;.Side_Width Float default: 0.0 -- animatable; worldunits </code></pre><p>The width of the side edge.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;L_Ext&gt;.Front_Width Float default: 0.0 -- animatable; worldunits </code></pre><p>The width of the front edge.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;L_Ext&gt;.height Float default: 0.0 -- animatable; worldunits </code></pre><p>The height of the object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;L_Ext&gt;.Side_Segments Integer default: 1 -- animatable </code></pre><p>Number of segments along the side edge.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;L_Ext&gt;.Front_Segments Integer default: 1 -- animatable </code></pre><p>Number of segments along the front edge.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;L_Ext&gt;.Width_Segments Integer default: 1 -- animatable </code></pre><p>Number of segments along the width of the object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;L_Ext&gt;.Height_Segments Integer default: 1 -- animatable </code></pre><p>Number of segments along the height of the object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;L_Ext&gt;.mapCoords booleanclass default: true -- boolean </code></pre><p>Enable the mapping coordinates on the mesh.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;L_Ext&gt;.centercreate booleanclass default: false -- boolean </code></pre><p>Available in <strong>3ds Max 2018 and higher</strong>: These properties reflect the parameters on the Keyboard Entry rollout for each geometry object. These parameters can be set on any existing object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;L_Ext&gt;.typeinCreationMethod     Integer    default: 0   --  integer; Creation_Method</code></pre><p>Gets or sets the Creation Method. Possible values are:</p>\n\
<ul>\n\
<li>0 = Corners</li>\n\
<li>1 = Center</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;L_Ext&gt;.typeInHeight     Float    default: 0.01   --  float; Height</code></pre><p>Gets or sets the height Keyboard Entry value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;L_Ext&gt;.typeInFrontLength     Float    default: 0.0   --  float; Front_Length\n\
&lt;L_Ext&gt;.typeInFrontWidth     Float    default: 0.0   --  float; Front_Width\n\
&lt;L_Ext&gt;.typeInSideLength     Float    default: 0.0   --  float; Side_Length\n\
&lt;L_Ext&gt;.typeInSideWidth     Float    default: 0.0   --  float; Side_Width</code></pre><p>Gets or sets the Side Length, Front Length, Side Width, and Front Width Keyboard Entry values.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;L_Ext&gt;.typeInPos     Point3    default: [0,0,0]   --  point3; Type_in_Position</code></pre><p>Gets or sets the Keyboard Entry position values as a Point3.</p>\n\
<p><strong>Interfaces:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:realWorldMapSizeInterface </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.realWorldMapSize: boolean : Read|Write </code></pre><p>Enables/disables the real-world map size option.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Geometry-Extended-Objects.html\">Geometry - Extended Objects</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../GeometryClass-Common-Properties.html\">GeometryClass Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../Node-Common-Properties-Operators.html\">Node Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";