var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-549A87DB-28CD-4B06-B29C-9AFB6500F6DD\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Geosphere : GeometryClass</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">GeoSphere - superclass: GeometryClass; super-superclass:node - classID: #(0, 32670) </code></pre><p><img src=\"./images/GUID-4FCD01D4-766C-43AF-BB6B-5CA4E786DB48-low.gif\" alt></p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">geosphere...   </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;GeoSphere&gt;.creationMethod Integer default: 1 -- alias: Creation_Method </code></pre><p>Sets the creation method:</p>\n\
<p>0 - <strong>Diameter</strong> (Draws a geosphere from edge to edge.)</p>\n\
<p>1 - <strong>Center</strong> (Draws a geosphere from the center out.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;GeoSphere&gt;.typeInPos Point3 default: [0,0,0] </code></pre><p>The point3 position of the geosphere.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;GeoSphere&gt;.typeInRadius Float default: 25.0 </code></pre><p>The radius of the geosphere.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;GeoSphere&gt;.radius Float default: 25.0 -- animatable </code></pre><p>The radius of the geosphere.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;GeoSphere&gt;.segs Integer default: 4 -- animatable, alias: segments </code></pre><p>The total number of faces in the geosphere. The number of faces in a geosphere is equal to the sides of the base polyhedron times the segments squared.</p>\n\
<p>Lower segment values work best. Using the maximum segment value of 200 can generate up to 800,000 faces, impairing performance.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;GeoSphere&gt;.baseType Integer default: 2 -- alias: Base_Type </code></pre><p>Sets the type of basic geometry for the geosphere:</p>\n\
<p>0 - <strong>Tetra</strong> (Based on a four-sided tetrahedron. The triangular facets can vary in shape and size. The sphere can be divided into four equal segments.)</p>\n\
<p>1 - <strong>Octa</strong> (Based on an eight-sided octahedron. The triangular facets can vary in shape and size. The sphere can be divided into eight equal segments.)</p>\n\
<p>2 - <strong>Icosa</strong> (Based on a 20-sided icosahedron. The facets are all equally sized equilateral triangles. The sphere can be divided into any number of equal segments, based on multiples and divisions of 20 faces.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;GeoSphere&gt;.smooth Boolean default: true -- animatable </code></pre><p>When on, applies smoothing groups to the surface of the sphere.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;GeoSphere&gt;.hemisphere Boolean default: false -- animatable </code></pre><p>When on, creates a half-sphere.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;GeoSphere&gt;.baseToPivot Boolean default: false -- alias: Base_to_Pivot </code></pre><p>Sets the pivot point location. When on, the pivot is at the bottom of the sphere. When off, the pivot is at the center of the sphere. This option has no effect when Hemisphere is on.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;GeoSphere&gt;.mapCoords Boolean default: false -- alias: Generate_mapping_coords </code></pre><p>When on, applies default mapping coordinates to the geosphere.</p>\n\
<p><strong>Interfaces:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:realWorldMapSizeInterface </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.realWorldMapSize: boolean : Read|Write </code></pre><p>Enables/disables the real-world map size option.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Geometry-Standard-Objects.html\">Geometry - Standard Objects</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../GeometryClass-Common-Properties.html\">GeometryClass Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../Node-Common-Properties-Operators.html\">Node Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";