var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-8C84C6F1-82B6-4AEA-9C45-80E593724815\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>IES_Sun : Light</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">IES_Sun - superclass: light; super-superclass:node - classID:#(603881295, 114241513)  </code></pre><p>Instances of the <strong>IES_Sun</strong> class are used to simulate natural sunlight.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> Instances of this class are usually created in the <strong>3ds Max</strong> UI as part of the <a href=\"./../../System-Node/Daylight-System.html\">Daylight System</a> .</div>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">IES_Sun...      \n\
freeIesSun...   </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IES_Sun&gt;.absoluteMapBias Boolean default: false -- animatable; boolean; Absolute_Bias </code></pre><p>Enable/Disable the Absolute Shadow Map Bias.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IES_Sun&gt;.affectDiffuse Boolean default: true -- boolean; Affect_Diffuse </code></pre><p>Get/Set the state of the Diffuse checkbox under Advanced Effects &gt; Affect Surfaces</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IES_Sun&gt;.affectSpecular Boolean default: true -- boolean; Affect_Specular </code></pre><p>Get/Set the state of the Specular checkbox under Advanced Effects &gt; Affect Surfaces</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IES_Sun&gt;.atmosColorAmt Float default: 100.0 -- animatable; percentage; Atmosphere_Color_Amount </code></pre><p>Get/Set the Shadow Amount value under Shadow Parameters &gt; Atmosphere Shadows. Controls how much of the atmosphere color is blended with the shadow color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IES_Sun&gt;.atmosOpacity Float default: 100.0 -- animatable; percentage; Atmosphere_Opacity </code></pre><p>Get/Set the Opacity value under Shadow Parameters &gt; Atmosphere Shadows</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IES_Sun&gt;.atmosShadows Boolean default: false -- boolean; Atmosphere_Shadows </code></pre><p>Enable/Disable the On checkbox under Shadow Parameters &gt; Atmosphere Shadows.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IES_Sun&gt;.castShadows Boolean default: false -- boolean; Cast_Shadows </code></pre><p>Enable/Disable the Shadow Casting.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IES_Sun&gt;.contrast Float default: 0.0 -- animatable; percentage </code></pre><p>Get/Set the Contrast value under Advanced Effects &gt; Affect Surfaces</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IES_Sun&gt;.hasTarget Boolean default: true -- boolean; Has_Target </code></pre><p>Get/Set the Target option. When set to true, the Sun will have target.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IES_Sun&gt;.mapbias Float default: 1.0 -- animatable; float; Map_Bias </code></pre><p>Get/Set the Shadow Map Bias.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IES_Sun&gt;.mapsize Integer default: 512 -- animatable; integer; Map_Size </code></pre><p>Get/Set the Shadow Map Size.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IES_Sun&gt;.multiplier Float default: 80000.0 -- animatable; float </code></pre><p>Get/Set the Light Intensity value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IES_Sun&gt;.on Boolean default: true -- boolean </code></pre><p>Enable/Disable the Light.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IES_Sun&gt;.rgb Color default: (color 255 242.25 229.5) -- animatable; RGB color </code></pre><p>Get/Set the Light Color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IES_Sun&gt;.samplerange Float default: 4.0 -- animatable; float; Map_Range </code></pre><p>Get/Set the Shadow Map Sample Range.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IES_Sun&gt;.shadowMultiplier Float default: 1.0 -- animatable;float; Shadow_Density </code></pre><p>Get/Set the Shadow Density value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IES_Sun&gt;.softenDiffuseEdge Float default: 50.0 -- animatable; percentage; Diffuse_Soften </code></pre><p>Get/Set the Soften Diffuse Edge.Increasing the value of Soften Diffuse Edge softens the edge between the diffuse and ambient portions of a surface. This helps eliminate edges that can appear on a surface under certain circumstances.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IES_Sun&gt;.targetDistance Float default: 240.0 -- animatable; float; Target_Distance </code></pre><p>Get/Set the Target Distance.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IES_Sun&gt;.twoSidedShadows Boolean default: false -- boolean </code></pre><p>Get/Set the Two Sided Shadows option.When on, backfaces are not ignored when calculating shadows. Objects seen from the inside are not lit by lights from the outside. This costs a bit more render time. When off, backfaces are ignored. Rendering is quicker, but outside lights illuminate object interiors.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;IES_Sun&gt;.useGlobalShadowSettings BooleanClass default: false -- boolean; Use_Global_Shadow_Settings </code></pre><p>When set to <code>true</code> , the global shadow settings will be used.</p>\n\
<h2 id=\"ies_sun-interfaces-\">IES_Sun interfaces:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:NaturalLightClass </code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;isSun() </code></pre><p>Returns <code>true</code> if the list is a Sun light. In the case of <code>IES_Sun</code> , it will return <code>true</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;isSky() </code></pre><p>Returns <code>true</code> if the list is a Sky light. In the case of <code>IES_Sun</code> , it will return <code>false</code> .</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   sun = freeIesSun()\n\
   sun.NaturalLightClass.isSun()\n\
   true\n\
   sun.isSky()-- can be called without explicitly giving the interface name\n\
   false\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Photometric-Lights.html\">Photometric Lights</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"IES_Sky-Light.html\">IES_Sky : Light</a></li>\n\
          <li><a class=\"link\" href=\"../../../Node-Common-Properties-Operators.html\">Node Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";