var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-6CA2E253-013B-436A-9B5B-19B8320F8F66\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Tee : Shape</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Tee - superclass: shape; super-superclass:node - 42:7 - classID: #(-85272820, 0) </code></pre><p><img src=\"./images/GUID-17AA327A-D953-416C-8CA1-153CD3D0E51F-low.gif\" alt></p>\n\
<p>The <strong>TeeShape</strong> is available in <strong>3ds Max 8 and higher</strong> under Create&gt;Shapes&gt;&quot;<strong>Extended Splines</strong>&quot; and provides an &quot;T&quot; like shape.</p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Tee...   </code></pre><p><strong>Properties</strong></p>\n\
<h2 id=\"parameters-rollout\">Parameters Rollout</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Tee&gt;.tee_length Float default: 0.0 -- animatable; float; Length   </code></pre><p>Get/set the Length of the Tee shape.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Tee&gt;.tee_width Float default: 0.0 -- animatable; float; Width </code></pre><p>Get/set the Width of the Tee shape.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Tee&gt;.tee_thickness Float default: 0.0 -- animatable; float; Thickness </code></pre><p>Get/set the Thickness of the Tee shape.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Tee&gt;.tee_radius Float default: 0.0 -- animatable; float; CornerRadius </code></pre><p>Get/set the Corner Radius of the Tee shape.</p>\n\
<h2 id=\"interpolation-rollout\">Interpolation Rollout</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Tee&gt;.steps Integer default: 6 -- integer </code></pre><p>Get/set the Steps value. This controls the number of subdivisions between two vertices.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Tee&gt;.optimize BooleanClass default: true -- boolean </code></pre><p>Enable/Disable the Optimize option. When set to true, removes unneeded steps from straight segments in the spline.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Tee&gt;.adaptive BooleanClass default: false -- boolean </code></pre><p>Enable/Disable the Adaptive option. When true, sets the number of steps for each segment to produce a smooth curve. Straight segments always receive 0 steps.</p>\n\
<h2 id=\"creation-method-rollout\">Creation Method Rollout</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Tee&gt;.typeIn_creationMethod BooleanClass default: false -- boolean; Creation_Method </code></pre><p>Controls the creation method when using the Keyboard Entry controls. Possible values are:</p>\n\
<p>false:<strong>Edge</strong></p>\n\
<p>true:<strong>Center</strong></p>\n\
<h2 id=\"keyboard-entry-rollout\">Keyboard Entry Rollout</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Tee&gt;.typeIn_x Float default: 0.0 -- float; X </code></pre><p>Get/set the X type-in value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Tee&gt;.typeIn_y Float default: 0.0 -- float; Y </code></pre><p>Get/set the Y type-in value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Tee&gt;.typeIn_z Float default: 0.0 -- float; Z </code></pre><p>Get/set the Z type-in value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Tee&gt;.typeIn_Length Float default: 0.0 -- float; TypeInLength </code></pre><p>Get/set the Length type-in value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Tee&gt;.typeIn_Width Float default: 0.0 -- float; TypeInWidth </code></pre><p>Get/set the Width type-in value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Tee&gt;.typeIn_Thickness Float default: 0.0 -- float; TypeInThickness </code></pre><p>Get/set the Thickness type-in value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Tee&gt;.typeIn_Radius Float default: 0.0 -- float; TypeInRadius </code></pre><p>Get/set the Corner Radius type-in value.</p>\n\
<h2 id=\"rendering-rollout\">Rendering Rollout</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Tee&gt;.render_renderable BooleanClass default: false -- boolean; renderable </code></pre><p>Controls the state of the &quot;Enable in Renderer&quot; checkbox. When set to true, the spline will be rendered by the production renderer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Tee&gt;.render_displayRenderMesh BooleanClass default: false -- boolean; displayRenderMesh </code></pre><p>Controls the state of the &quot;Enable In Viewport&quot; checkbox. When set to true, the spline&apos;s mesh will be displayed in the viewports.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Tee&gt;.render_useViewportSettings BooleanClass default: false -- boolean; useViewportSettings </code></pre><p>Controls the state of the &quot;Use Viewport Settings&quot; checkbox. When set to true, the mesh displayed in the viewport will use the Viewport settings. When false, the Renderer settings will be used for the viewport mesh, too.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Tee&gt;.render_mapcoords BooleanClass default: false -- boolean; mapcoords </code></pre><p>Toggles mapping coordinates generation on and off. The U coordinate wraps once around the thickness of the spline; the V coordinate is mapped once along the length of the spline.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Tee&gt;.render_displayRenderSettings BooleanClass default: true -- boolean; displayRenderSettings </code></pre><p>Toggles the state of the Viewport/Renderer radio buttons. When set to true, the Renderer settings will be displayed in the rollout. When false, the Viewport settings will be shown instead.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Tee&gt;.realWorldMapSize BooleanClass default: false -- boolean </code></pre><p>Toggles the real-world map size option on and off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Tee&gt;.render_rectangular BooleanClass default: false -- boolean </code></pre><p>When set to true, enables the Rectangular cross-section mode to be used in the renderer. When false (default), enables the Radial cross-section mode. Corresponds to the Radial/Rectangular radio buttons in the UI in Renderer mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Tee&gt;.render_viewport_rectangular BooleanClass default: false -- boolean </code></pre><p>When set to true, enables the Rectangular cross-section mode to be used in the viewports. When false (default), enables the Radial cross-section mode. Corresponds to the Radial/Rectangular radio buttons in the UI in Viewport mode.</p>\n\
<h2 id=\"renderer-radial-cross-section\">Renderer - Radial Cross-Section</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Tee&gt;.render_thickness Float default: 1.0 -- animatable \n\
&lt;Tee&gt;.thickness Float default: 1.0 -- animatable; float </code></pre><p>Get/Set the diameter of the Radial renderable spline mesh.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Tee&gt;.render_sides Integer default: 12 -- animatable \n\
&lt;Tee&gt;.sides Integer default: 3 -- integer </code></pre><p>Get/Set the number of sides for the spline mesh in the renderer. A value of 4 will give you a square cross section, for example.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Tee&gt;.render_angle Float default: 0.0 -- animatable \n\
&lt;Tee&gt;.angle Float default: 0.0 -- float </code></pre><p>Get/Set therotational position of the Radial cross-section in the renderer.</p>\n\
<h2 id=\"renderer-rectangular-cross-section\">Renderer - Rectangular Cross-Section</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Tee&gt;.render_length Float default: 6.0 -- animatable </code></pre><p>Get/Set the length of the Rectangular renderable spline mesh.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Tee&gt;.render_width Float default: 2.0 -- animatable </code></pre><p>Get/Set the width of the Rectangular renderable spline mesh.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Tee&gt;.render_angle2 Float default: 0.0 -- animatable </code></pre><p>Get/Set rotational position of the Rectangular cross-section in the renderer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Tee&gt;.render_aspect_locked BooleanClass default: false -- boolean </code></pre><p>Controls the state of the Aspect Lock checkbutton. When set to true, changing the Width will affect the Height and vice-versa, preserving the aspect at the time the lock was engaged.</p>\n\
<h2 id=\"viewport-radial-cross-section\">Viewport - Radial Cross-Section</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Tee&gt;.render_viewport_angle Float default: 0.0 -- float; viewport_angle </code></pre><p>Get/Set the diameter of the Radial renderable spline mesh in the viewport.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Tee&gt;.render_viewport_sides Integer default: 12 -- integer; viewport_sides </code></pre><p>Gets/Sets the number of sides for the Radial spline mesh in the viewports. A value of 4 will give you a square cross section, for example.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Tee&gt;.render_viewport_thickness Float default: 1.0 -- float; viewport_thickness </code></pre><p>Gets/Sets the rotational position of the cross-section in the viewports.</p>\n\
<h2 id=\"viewport-rectangular-cross-section\">Viewport - Rectangular Cross-Section</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Tee&gt;.render_viewport_length Float default: 6.0 -- float </code></pre><p>Get/Set the length of the Rectangular spline mesh in the viewports.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Tee&gt;.render_viewport_width Float default: 2.0 -- float </code></pre><p>Get/Set the width of the Rectangular spline mesh in the viewports.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Tee&gt;.render_viewport_angle2 Float default: 0.0 -- float </code></pre><p>Get/Set rotational position of the Rectangular cross-section in the viewports.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Tee&gt;.render_viewport_aspect_locked BooleanClass default: false -- boolean </code></pre><p>Controls the state of the Aspect Lock checkbutton. When set to true, changing the Width will affect the Height and vice-versa, preserving the aspect at the time the lock was engaged.</p>\n\
<h2 id=\"auto-smooth\">Auto Smooth</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Tee&gt;.render_auto_smooth BooleanClass default: true -- boolean </code></pre><p>Controls the state of the Auto Smooth checkbox. When set to true, auto smoothing will be enabled.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Tee&gt;.render_threshold Floatdefault: 40.0 -- animatable; </code></pre><p>Get/Set auto smoothing angle threshold.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Shapes-Extended.html\">Shapes - Extended</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Shapes-Extended.html\">Shapes - Extended</a></li>\n\
          <li><a class=\"link\" href=\"../Shapes-Splines.html\">Shapes - Splines</a></li>\n\
          <li><a class=\"link\" href=\"../Shapes-Splines/Spline-Shape-Common-Properties.html\">Spline Shape Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../Shape-Common-Properties.html\">Shape Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../Node-Common-Properties-Operators.html\">Node Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";