var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-8F5D35F1-E05F-4771-9DC0-4A1BD839FFA9\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Arc : Shape</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Arc - superclass: shape; super-superclass:node - classID: #(6550, 0) </code></pre><p><img src=\"./images/GUID-8C579EEE-DDD1-4A3A-A339-3A53B57CA3F4-low.bmp\" alt></p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">arc...   </code></pre><p><strong>Properties</strong></p>\n\
<h2 id=\"parametersrollout\">ParametersRollout</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Arc&gt;.radius Float default: 25.0 -- animatable </code></pre><p>The arc radius.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Arc&gt;.from Float default: 45.0 -- animatable </code></pre><p>Location of the start point as an angle measured from the local positive X axis.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Arc&gt;.to Float default: 135.0 -- animatable </code></pre><p>Location of the end point as an angle measured from the local positive X axis.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Arc&gt;.pie Boolean default: false  </code></pre><p>When on, creates a closed spline in the form of a pie. The start point and end point are connected to the center with straight segments.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Arc&gt;.reverse Boolean default: false </code></pre><p>When on, the direction of the arc spline is reversed, and the first vertex is placed at the opposite end of an open arc. As long as the shape remains an original shape (and not an editable spline), you can switch its direction by toggling <code>reverse</code> . Once the arc is converted to an editable spline, you can use Reverse at the Spline sub-object level to reverse direction.</p>\n\
<h2 id=\"interpolation-rollout\">Interpolation Rollout</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Arc&gt;.steps Integer default: 6 </code></pre><p>Number of divisions between each vertex.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Arc&gt;.optimize Boolean default: true </code></pre><p>When on, removes unneeded steps from straight segments in the spline.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Arc&gt;.adaptive Boolean default: false </code></pre><p>When on, sets the number of steps for each segmentto produce a smooth curve. Straight segments always receive 0 steps.</p>\n\
<h2 id=\"renderingrollout\">RenderingRollout</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Arc&gt;.render_renderable BooleanClass default: false -- boolean; renderable </code></pre><p>Toggles the &quot;Enable in Renderer&quot; checkbox on and off.When set to true, the spline will be rendered by the production renderer.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Arc&gt;.render_displayRenderMesh BooleanClass default: false -- boolean; displayRenderMesh </code></pre><p>Toggles the &quot;Enable In Viewport&quot; checkbox on and off. When set to true, the mesh will be displayed in the viewports.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Arc&gt;.render_useViewportSettings BooleanClass default: false -- boolean; useViewportSettings </code></pre><p>Toggles the &quot;Use Viewport Settings&quot; checkbox on and off. When set to true, the mesh displayed in the viewport will use the Viewport settings. When false, the Renderer settings will be used for the viewport mesh, too. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Arc&gt;.render_mapcoords BooleanClass default: false -- boolean; mapcoords </code></pre><p>Toggles mapping coordinates generation on and off. The U coordinate wraps once around the thickness of the spline; the V coordinate is mapped once along the length of the spline.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Arc&gt;.realWorldMapSize BooleanClass default: false -- boolean </code></pre><p>Toggles the real-world map size option on and off.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Arc&gt;.render_displayRenderSettings BooleanClass default: true -- boolean; displayRenderSettings </code></pre><p>Toggles the state of the Viewport/Renderer radio buttons. When set to true, the Renderer settings will be displayed in the rollout. When false, the Viewport settings will be shown instead.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Arc&gt;.render_rectangular BooleanClass default: false -- boolean </code></pre><p>When set to true, enables the Rectangular cross-section mode to be used in the renderer. When false (default), enables the Radial cross-section mode. Corresponds to the Radial/Rectangular radio buttons in the UI in Renderer mode.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Arc&gt;.render_viewport_rectangular BooleanClass default: false -- boolean </code></pre><p>When set to true, enables the Rectangular cross-section mode to be used in the viewports. When false (default), enables the Radial cross-section mode. Corresponds to the Radial/Rectangular radio buttons in the UI in Viewport mode.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<h2 id=\"renderer-radial-cross-section\">Renderer - Radial Cross-Section</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Arc&gt;.render_thickness Float default: 1.0 -- animatable; thickness </code></pre><p>Get/Set the diameter of the Radial renderable spline mesh.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Arc&gt;.render_sides Integer default: 12 -- animatable; sides </code></pre><p>Get/Set the number of sides for the spline mesh in the renderer. A value of 4 will give you a square cross section, for example.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Arc&gt;.render_angle Float default: 0.0 -- animatable; angle </code></pre><p>Get/Set therotational position of the Radial cross-section in the renderer.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<h2 id=\"renderer-rectangular-cross-section\">Renderer - Rectangular Cross-Section</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Arc&gt;.render_length Float default: 6.0 -- animatable </code></pre><p>Get/Set the length of the Rectangular renderable spline mesh.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Arc&gt;.render_width Float default: 2.0 -- animatable </code></pre><p>Get/Set the width of the Rectangular renderable spline mesh.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Arc&gt;.render_angle2 Float default: 0.0 -- animatable </code></pre><p>Get/Set rotational position of the Radial cross-section in the renderer.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Arc&gt;.render_aspect_locked BooleanClass default: false -- boolean </code></pre><p>Controls the state of the Aspect Lock checkbutton. When set to true, changing the Width will affect the Height and vice-versa, preserving the aspect at the time the lock was engaged.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<h2 id=\"viewport-radial-cross-section\">Viewport - Radial Cross-Section</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Arc&gt;.render_viewport_thickness Float default: 1.0 -- float; viewport_thickness </code></pre><p>Get/Set the diameter of the Radial renderable spline mesh in the viewport.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Arc&gt;.render_viewport_sides Integer default: 12 -- integer; viewport_sides </code></pre><p>Gets/Sets the number of sides for the Radial spline mesh in the viewports. A value of 4 will give you a square cross section, for example.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Arc&gt;.render_viewport_angle Float default: 0.0 -- float; viewport_angle </code></pre><p>Gets/Sets the rotational position of the cross-section in the viewports.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<h2 id=\"viewport-rectangular-cross-section\">Viewport - Rectangular Cross-Section</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Arc&gt;.render_viewport_length Float default: 6.0 -- float </code></pre><p>Get/Set the length of the Rectangular spline mesh in the viewports.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Arc&gt;.render_viewport_width Float default: 2.0 -- float </code></pre><p>Get/Set the width of the Rectangular spline mesh in the viewports.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Arc&gt;.render_viewport_angle2 Float default: 0.0 -- float </code></pre><p>Get/Set rotational position of the Rectangular cross-section in the viewports.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Arc&gt;.render_viewport_aspect_locked BooleanClass default: false -- boolean </code></pre><p>Controls the state of the Aspect Lock checkbutton. When set to true, changing the Width will affect the Height and vice-versa, preserving the aspect at the time the lock was engaged.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<h2 id=\"auto-smooth\">Auto Smooth</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Arc&gt;.render_auto_smooth BooleanClass default: true -- boolean </code></pre><p>Controls the state of the Auto Smooth checkbox. When set to true, auto smoothing will be enabled.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Arc&gt;.render_threshold Float default: 40.0 -- animatable; </code></pre><p>Get/set the Auto Smooth Threshold value.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Shapes-Splines.html\">Shapes - Splines</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Spline-Shape-Common-Properties.html\">Spline Shape Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../Shape-Common-Properties.html\">Shape Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../Node-Common-Properties-Operators.html\">Node Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";