var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-7AEB73E6-2B34-4E63-BBAF-E70DF712C429\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>PBomb : SpacewarpObject</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">PBomb - superclass: SpacewarpObject; super-superclass:node - classID: #(1277169139, 439646839)</code></pre><p><img src=\"./images/GUID-2C9EA078-0CBA-4C2B-BD55-5E1E23A30F9F-low.gif\" alt></p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">PBomb...</code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PBomb&gt;.symmetry Integer default: 0</code></pre><p>The shape, or pattern of the blast effect:</p>\n\
<p>0 - <strong>Spherical</strong> (The blast force radiates outward from the PBomb icon in all directions. The icon looks like a spherical anarchist&apos;s bomb.)</p>\n\
<p>1 - <strong>Cylindrical</strong> (The blast force radiates outward from and normal to the central axis, or core of the cylindrical icon. The icon looks like a stick of dynamite with a fuse.)</p>\n\
<p>2 - <strong>Planar</strong> (The blast force radiates both up and down, perpendicular to the plane of the planar icon. The icon looks like a plane with arrows pointing up and down along the direction of the blast force.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PBomb&gt;.chaos Float default: 10.0 -- percentage</code></pre><p>The blast forces vary for each particle or each frame, an effect similar to Brownian motion, with a rate of change in the direction of force equal to the rendering interval rate.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PBomb&gt;.Start_Time Time default: 30f</code></pre><p>The frame number at which the impulse forces are first applied to the particles.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PBomb&gt;.Lasts_For Time default: 1f</code></pre><p>The number of frames, beyond the first, over which the forces are applied.</p>\n\
<p>This value should typically be a small number, such as between 0 and 3.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PBomb&gt;.strength Float default: 1.0 -- animatable</code></pre><p>The change in velocity along the blast vector, in units per frame.</p>\n\
<p>Increasing Strength increases the speed with which the particles are blown away from the bomb icon.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PBomb&gt;.Decay_Type Integer default: 1</code></pre><p>Sets the decay type:</p>\n\
<p>0 - <strong>Unlimited Range</strong> (The effects of the bomb icon reach all bound particles throughout the scene. This option ignores the Range setting, which specifies the distance of the PBomb effect.)</p>\n\
<p>1 - <strong>Linear</strong> (The impulse forces decay linearly between the full Strength setting to a value of 0 at the specified Range setting.)</p>\n\
<p>2 - <strong>Exponential</strong> (The impulse forces decay exponentially between the full Strength setting to a value of 0 at the specified Range setting.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PBomb&gt;.range Float default: 1000.0 -- animatable</code></pre><p>The maximum distance, in units, over which the PBomb icon affects the bound particle system. If the Range is large enough to reach only a portion of the particle system, only that part of the system is affected.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;PBomb&gt;.Icon_Size Float default: 0.0</code></pre><p>The overall size of the PBomb icon.</p>\n\
<p><strong>Associated Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bindSpaceWarp &lt;node&gt; &lt;pbomb_node&gt;</code></pre><p><strong>Associated Binding Modifier</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">PBombMod</code></pre><p>This modifier is automatically created by the <code>*bindSpaceWarp()*</code> method, and is not otherwise creatable by MAXScript. There are no properties associated with this binding modifier.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Spacewarp-Forces.html\">Spacewarp - Forces</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Node-Common-Properties-Operators.html\">Node Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";