var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-B9CE9325-8211-4425-BA51-D21A50929073\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Bomb : SpacewarpObject</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Bomb - superclass: SpacewarpObject; super-superclass:node - classID: #(994866, 0)</code></pre><p><img src=\"./images/GUID-FFC9F4FB-9353-431E-AAD8-592DBD317B5B-low.gif\" alt></p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bomb...</code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bomb&gt;.strength Float default: 1.0 -- animatable</code></pre><p>The power of the bomb.</p>\n\
<p>Larger values make the particles fly farther.</p>\n\
<p>The closer an object is to the bomb, the greater the effect of the bomb.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bomb&gt;.spin Float default: 0.0 -- animatable</code></pre><p>The rate at which fragments rotate, in revolutions per second.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bomb&gt;.falloff Float default: 100.0 -- animatable</code></pre><p>The distance from the bomb, in world units, of the effect of the bomb.</p>\n\
<p>Fragments past this distance are not affected by the Strength and Spin settings, but are affected by the Gravity setting.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bomb&gt;.fallOffEnable Boolean default: false </code></pre><p>Turn on to use the Falloff setting.</p>\n\
<p>The falloff range appears as a yellow, tri-hooped sphere.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bomb&gt;.minFragmentSize Integer default: 1</code></pre><p>The minimum number of faces per fragment to be randomly generated by the &quot;explosion&quot;.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bomb&gt;.maxFragmentSize Integer default: 1</code></pre><p>The maximum number of faces per fragment to be randomly generated by the &quot;explosion&quot;.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bomb&gt;.Gravity Float default: 1.0 -- animatable</code></pre><p>The acceleration due to gravity.</p>\n\
<p>Note that gravity is always in the direction of the world Z axis.</p>\n\
<p>You can have negative gravity.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bomb&gt;.chaos Float default: 0.0 -- animatable</code></pre><p>Adds random variation to the explosion to make it less uniform.</p>\n\
<p>A setting of 0.0 is totally uniform; 1.0 is a realistic setting.</p>\n\
<p>A value greater than 1.0 makes the explosion extra chaotic.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bomb&gt;.detonation Time default: 5f </code></pre><p>The frame at which the bomb goes off.</p>\n\
<p>Bound objects are unaffected before this time.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bomb&gt;.seed Integer default: 0</code></pre><p>Change to alter randomly generated numbers in the bomb.</p>\n\
<p>You can achieve a different bomb effect by changing Seed while maintaining the other settings.</p>\n\
<p><strong>Associated Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bindSpaceWarp&lt;node&gt; &lt;bomb_node&gt;</code></pre><p><strong>Associated Binding Modifier</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">BombBinding</code></pre><p>This modifier is automatically created by the <strong>bindSpaceWarp()</strong> method, and is not otherwise creatable by MAXScript.</p>\n\
<p>There are no properties associated with this binding modifier.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Spacewarp-Geometric-Deformable.html\">Spacewarp - Geometric/Deformable</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Node-Common-Properties-Operators.html\">Node Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";