var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-6D09BD4F-FD6F-4CF3-9C58-67E8DB3465DA\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>SpaceDisplace : SpacewarpObject</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Spacedisplace - superclass: SpacewarpObject; super-superclass:node - classID: #(938560, 0)</code></pre><p><img src=\"./images/GUID-FFC9F4FB-9353-431E-AAD8-592DBD317B5B-low.gif\" alt></p>\n\
<p><img src=\"./images/GUID-2C9EA078-0CBA-4C2B-BD55-5E1E23A30F9F-low.gif\" alt></p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">spaceDisplace...</code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spacedisplace&gt;.strength Float default: 0.0 -- animatable</code></pre><p>When set to 0.0, the Displace warp has no effect.</p>\n\
<p>Values greater than 0.0 displace object geometry or particles away from the position of the Displace space warp object.</p>\n\
<p>Values less than 0.0 displace geometry toward the warp.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spacedisplace&gt;.decay Float default: 0.0 -- animatable</code></pre><p>By default, the Displace warp has the same strength throughout world space.</p>\n\
<p>Increasing Decay causes displacement strength to diminish as distance increases from the position of the Displace warp object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spacedisplace&gt;.lumCenterEnable Boolean default: false </code></pre><p>Turn on/off use of the luminance center.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spacedisplace&gt;.lumCenter Float default: 0.5 -- animatable</code></pre><p>By default, the Displace space warp centers the luminance by using medium (50%) gray as the zero displacement value.</p>\n\
<p>Gray values greater than 128 displace in the outward direction (away from the Displace warp object) and gray values less than 128 displace in the inward direction (toward the Displace warp object).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spacedisplace&gt;.bitmap Bitmap default: undefined</code></pre><p>Bitmap assigned to use for displacement.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spacedisplace&gt;.map TextureMap default: undefined</code></pre><p>Texture map assigned to use for displacement.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spacedisplace&gt;.blur Float default: 0.0 -- animatable</code></pre><p>Increase this value to blur or soften the effect of the bitmapped displacement.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spacedisplace&gt;.maptype Integer default: 0</code></pre><p>The map projection type:</p>\n\
<p>0 - <strong>Planar</strong> (Projects the map from a single plane.)</p>\n\
<p>1 - <strong>Cylindrical</strong> (Projects the map as if it were wrapped around the cylinder.)</p>\n\
<p>2 - <strong>Spherical</strong> (Projects the map from a sphere, with singularities at the top and bottom of the sphere, where the bitmap edges meet at the sphere&apos;s poles.)</p>\n\
<p>3 - <strong>Shrink Wrap</strong> (Truncates the corners of the map and joins them all at a single pole, creating one singularity.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spacedisplace&gt;.length Float default: 1.0 -- animatable</code></pre><p>The length of the bounding box on the space warp gizmo.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spacedisplace&gt;.width Float default: 1.0 -- animatable</code></pre><p>The width of the bounding box on the space warp gizmo.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spacedisplace&gt;.height Float default: 1.0 -- animatable</code></pre><p>The height of the bounding box on the space warp gizmo.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spacedisplace&gt;.U_Flip Boolean default: false</code></pre><p>When on, reverses the orientation of the map along the U-axis.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spacedisplace&gt;.U_Tile Float default: 1.0 </code></pre><p>The number of times the map repeats along the U-axis.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spacedisplace&gt;.V_Flip Boolean default: false</code></pre><p>When on, reverses the orientation of the map along the V-axis.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spacedisplace&gt;.V_Tile Float default: 1.0 </code></pre><p>The number of times the map repeats along the U-axis.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spacedisplace&gt;.W_Flip Boolean default: false </code></pre><p>When on, reverses the orientation of the map along the W-axis.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spacedisplace&gt;.W_Tile Float default: 1.0 </code></pre><p>The number of times the map repeats along the U-axis.</p>\n\
<p>The following properties are defined for SpaceDisplace, but are not used:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Spacedisplace&gt;.axis Integer default: 0\n\
&lt;Spacedisplace&gt;.cap Boolean default: false\n\
&lt;Spacedisplace&gt;.useMap Boolean default: false\n\
&lt;Spacedisplace&gt;.applyMap Boolean default: false</code></pre><p><strong>Associated Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bindSpaceWarp &lt;node&gt; &lt;spaceDisplace_node&gt;</code></pre><p><strong>Associated Binding Modifier</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">DisplaceBinding</code></pre><p>This modifier is automatically created by the <code>*bindSpaceWarp()*</code> method, and is not otherwise creatable by MAXScript. There are no properties associated with this binding modifier.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> When a TextureMap is assigned to <code>*map*</code> , a <code>*Displacement_Map*</code> subAnim is added to the parameters. The parameters of the subAnim correspond to the TextureMap properties.</div>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Spacewarp-Geometric-Deformable.html\">Spacewarp - Geometric/Deformable</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Node-Common-Properties-Operators.html\">Node Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";