var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-3F0CC5DE-FEB6-4051-9CE5-FF4D5AE4C927\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Sunlight : System</h1></div><p><img src=\"./images/GUID-1D99D68C-E2EF-4209-B7F2-45D1FE4D3444-low.gif\" alt></p>\n\
<p><strong>Sunlight system objects are not creatable by MAXScript</strong>.</p>\n\
<p>A Sunlight system is comprised of a <a href=\"./../Helper-Node/Helper-Standard/Compass-Helper.html\">Compass Helper</a> object and a <a href=\"./../Light-Node/Standard-Lights/TargetDirectionalLight-Light.html\">TargetDirectionalLight</a> object. The TargetDirectionalLight&apos;s transform is controlled by a set of float controllers, which are sub-controllers of a non-accessible position controller (a <code>Sunlight_Driven_Controller</code> position controller). These float controllers can be accessed as subAnims of the TargetDirectionalLight node.</p>\n\
<p>These float controllers and their subAnim index number are:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Solar_Time - subAnim[3]\n\
Solar_Date - subAnim[4]\n\
Latitude - subAnim[5]\n\
Longitude - subAnim[6]\n\
Orbital_Scale - subAnim[7]\n\
</code></pre><blockquote>\n\
<p>   <strong>FOR EXAMPLE,</strong></p>\n\
<p>   if node $Sun01 is the light for a Sunlight system, the Solar_Time controller can be accessed as:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">\n\
   solarTimeCont=$Sun01[3].object\n\
\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../System-Node.html\">System : Node</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Helper-Node/Helper-Standard/Compass-Helper.html\">Compass : Helper</a></li>\n\
          <li><a class=\"link\" href=\"../Light-Node/Standard-Lights/TargetDirectionalLight-Light.html\">TargetDirectionalLight : Light</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";