var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-794B81E9-6084-43D8-A6C5-B7AA04625013\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>RefTargContainer : ReferenceTarget</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">RefTargContainer - superclass: ReferenceTarget; super-superclass:MAXWrapper - 1:1 - classID: #(-1586942241, -696182977)</code></pre><p>The RefTargContainer ReferenceTarget can be used to hold strong or weak references to other reference objects.</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">RefTargContainer...</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;RefTargContainer&gt;.holdAsWeakReferences     BooleanClass    default: false   --  bool</code></pre><p>Get/set whether to hold weak references or not. Exposed by the Interface documented below.</p>\n\
<h2 id=\"reftargcontainer-interfaces-\">RefTargContainer interfaces:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: IRefTargContainer</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.holdAsWeakReferences : boolean : Read|Write</code></pre><p>Get/set whether to hold weak references or not.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;GetNumItems()</code></pre><p>Returns the number of items in the container.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;maxObject&gt;GetItem &lt;index&gt;index</code></pre><p>Returns the indexed item from the container, or undefined if the index is invalid.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;AppendItem &lt;maxObject&gt;item</code></pre><p>Appends the specified item to the container.</p>\n\
<p>Returns the item&apos;s index within the container.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SetItem &lt;index&gt;index &lt;maxObject&gt;item</code></pre><p>Sets the indexed item to the specified object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;InsertItem &lt;index&gt;index &lt;maxObject&gt;item</code></pre><p>Inserts the object specified by the second argument at the indexed position given by the first argument.</p>\n\
<p>Returns the new index of the item.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;RemoveItem &lt;index&gt;index</code></pre><p>Removes the indexed item from the container.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;FindFirstItem &lt;maxObject&gt;item</code></pre><p>Finds the first occurrence of the specified item in the container and returns its index.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;index&gt;GetChangedRefTargetIndex()</code></pre><p>Returns the index of the changed RefTarget.</p>\n\
<p>If none, returns 0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;maxObject&gt;GetChangedRefTarget()</code></pre><p>Returns the changed RegTarget object.</p>\n\
<p>If none, returns undefined.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: IRefTargContainerStaticInterface</code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;maxObject&gt;CreateInstance()</code></pre><p>Creates an instance of the container and returns it as the result.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../RefTargetMonitor.html\">RefTargetMonitor</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";