var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-BD6C5537-7314-4A1B-940C-32E471045621\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>UVGenClass : Material</h1></div><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;textureMap.coordinates&gt;.mappingType Integer default: 0      </code></pre><p>Controls the mapping type of the generated texure coordinates. Possible values are:</p>\n\
<p>0 - <strong>Texture</strong></p>\n\
<p>1 - <strong>Environment</strong></p>\n\
<p>If the Coordinates rollout for the textureMap is displayed in Material Editor and this property&#x2019;s value is changed, the Texture/Environ radiobutton and Mapping dropdown displays are not updated to reflect the change.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;textureMap.coordinates&gt;.mapping Integer default: varies   </code></pre><p>If mapping type is Texture mapping ( <code>mappingType</code> = 0), the default value for this property is 0.Possible mapping values are:</p>\n\
<p>0 - <strong>Explicit Map Channel</strong></p>\n\
<p>1 - <strong>Vertex Color Channel</strong></p>\n\
<p>2 - <strong>Planar from Object XYZ</strong></p>\n\
<p>3 - <strong>Planar from World XYZ</strong></p>\n\
<p>If mapping type is Environment mapping ( <code>mappingType</code> = 1), the default value for this property is0.Possiblemappingvalues are:</p>\n\
<p>0 - <strong>Spherical</strong></p>\n\
<p>1 - <strong>Cylindrical</strong></p>\n\
<p>2 - <strong>Shrink-Wrap</strong></p>\n\
<p>3 - <strong>Screen</strong></p>\n\
<p>The mapping source for Texture and Environment mapping types are internally stored in separate variables, and the mapping source set for a mapping type is retained if you change the mapping source for the other mapping type.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;textureMap.coordinates&gt;.showMapOnBack Boolean default: true </code></pre><p>Corresponds to the Show Map on Back checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;textureMap.coordinates&gt;.U_Mirror Boolean default: false </code></pre><p>Mirror the U coordinate.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;textureMap.coordinates&gt;.V_Mirror Boolean default: false </code></pre><p>Mirror the V coordinate.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;textureMap.coordinates&gt;.U_Tile Boolean default: true </code></pre><p>Tile the U coordinate.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;textureMap.coordinates&gt;.V_Tile Boolean default: true </code></pre><p>Tile the V coordinate.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;textureMap.coordinates&gt;.UVW_Type Integer default: 0 </code></pre><p>The UV, VW and WU type:</p>\n\
<p>0 - <strong>UV</strong></p>\n\
<p>1 - <strong>VW</strong></p>\n\
<p>2 - <strong>WU</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;textureMap.coordinates&gt;.mapChannel Integer default: 1 </code></pre><p>The UV coordinate map channel.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;textureMap.coordinates&gt;.U_Offset Float default: 0.0 -- animatable \n\
&lt;textureMap.coordinates&gt;.V_Offset Float default: 0.0 -- animatable </code></pre><p>Offset mapping coordinates along the surface&#x2019;s local U axis or V axis. That is, at 0.0 (the default), the map begins at the U or V origin. Increasing an Offset value moves the map forward along that axis, and decreasing it moves it backward.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;textureMap.coordinates&gt;.U_Tiling Float default: 1.0 -- animatable \n\
&lt;textureMap.coordinates&gt;.V_Tiling Float default: 1.0 -- animatable </code></pre><p>The tiling of UV mapping coordinates; that is, the number of times a mapped material&#x2019;s map is repeated in the surface&#x2019;s local U axis or V axis.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;textureMap.coordinates&gt;.U_Angle Float default: 0.0 -- animatable, angle </code></pre><p>Rotates the map about the U-axis (in degrees).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;textureMap.coordinates&gt;.V_Angle Float default: 0.0 -- animatable, angle </code></pre><p>Rotates the map about the V-axis (in degrees).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;textureMap.coordinates&gt;.W_Angle Float default: 0.0 -- animatable, angle </code></pre><p>Rotates the map about the W-axis (in degrees).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;textureMap.coordinates&gt;.Blur Float default: 1.0 -- animatable </code></pre><p>Affects the sharpness or blurriness of the map based on its distance from the view. The farther away the map is, the greater the blurring. The Blur value blurs maps in world space.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;textureMap.coordinates&gt;.Blur_Offset Float default: 0.0 -- animatable </code></pre><p>Affects the sharpness or blurriness of the map without regard to its distance from the view. Blur Offset blurs the image itself in object space. Use this option when you want to soften or defocus the details in a map to achieve the effect of a blurred image.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;textureMap.coordinates&gt;.Phase Float default: 0.0 -- animatable </code></pre><p>The speed of the animation of the noise function.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;textureMap.coordinates&gt;.Noise_On Boolean default: false </code></pre><p>Toggles Noise on and off. Corresponds to the On checkbox in the UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;textureMap.coordinates&gt;.Noise_Animate Boolean default: false </code></pre><p>Toggles the animation of the Noise on and off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;textureMap.coordinates&gt;.Noise_Amount Float default: 1.0 -- animatable </code></pre><p>The strength of the fractal function, expressed as a percentage. If the amount is 0 there is no noise. If the amount is 100 the map becomes pure noise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;textureMap.coordinates&gt;.Noise_Levels Integer default: 1 -- animatable </code></pre><p>The number of times the function is applied. The effect of the level is dependent on the Amount value. The stronger the amount, the greater the effect of increasing the Levels value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;textureMap.coordinates&gt;.Noise_Size Float default: 1.0 -- animatable </code></pre><p>The scale of the noise function relative to geometry. At very small values, the noise effect becomes white noise. At large values, the scale can exceed the scale of the geometry, in which case it has little or no effect.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;textureMap.coords&gt;.realWorldScale BooleanClass default: false -- boolean </code></pre><p>When set to true, the texture will be scaled to real-world size.</p>\n\
<p>When false, it will behave as in previous versions of <strong>3ds Max</strong>.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;textureMap.coords&gt;.UVTransform Matrix3 default: (matrix3 [1,0,0] [0,1,0] [0,0,1] [0,0,0]) </code></pre><p>Get/set the transformation matrix to convert the mapping coordinates into real-world size.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;textureMap.coords&gt;.realWorldHeight Float default: 1.0 -- float </code></pre><p>Get/set the real-world Height value.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;textureMap.coords&gt;.realWorldWidth Float default: 1.0 -- float </code></pre><p>Get/set the real-world Width value.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../TextureMap-Shared-Classes.html\">TextureMap Shared Classes</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";