var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-E9C79E47-9044-497E-8C2C-E28CA0223701\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>FlatMirror : TextureMap</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">flatMirror - superclass: textureMap; super-superclass:material - classID: #(608, 0) </code></pre><p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Flat_Mirror ...      \n\
flatMirror...   </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FlatMirror&gt;.applyBlur Boolean default: true </code></pre><p>Turns on filtering to blur the maps.</p>\n\
<p>Anti-aliasing is also applied to the Distortion effect, if any, when Apply Blur is turned on.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FlatMirror&gt;.blurAmount Float default: 1.0 -- animatable </code></pre><p>Affects the sharpness or blurriness of the generated map based on its distance from the object.</p>\n\
<p>The farther away the map is, the greater the blurring.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FlatMirror&gt;.frame Integer default: 1 \n\
&lt;FlatMirror&gt;.nthFrame Integer default: 1 </code></pre><p>When <code>frame</code> is set to 0, the renderer creates the automatic flat mirror only on the first frame.</p>\n\
<p>When <code>frame</code> is set to 1, the renderer creates the automatic flat mirror based on <code>nthframe</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FlatMirror&gt;.useEnviroment Boolean default: true </code></pre><p>When off, environment maps are ignored by the mirror during rendering.</p>\n\
<p>It&#x2019;s useful to turn this off when you have mirrors in the scene and you&#x2019;re rotoscoping against a flat screen environment map.</p>\n\
<p>A screen environment map does not exist in 3D space the way the other environment-map types do, and will not render properly.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FlatMirror&gt;.applyToFaceID Boolean default: false </code></pre><p>When on, a specified material is applied to the mirror face.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FlatMirror&gt;.faceID Integer default: 1 </code></pre><p>Specifies the material ID number where you want the mirror assigned.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FlatMirror&gt;.distortionType Integer default: 0 </code></pre><p>To simulate irregular surfaces, you can distort the flat-mirror reflections.</p>\n\
<p>Distortion can be based on a bump map or on noise controls built into Flat Mirror material.</p>\n\
<p>0 - <strong>None</strong> (No distortion)</p>\n\
<p>1 - <strong>Use Bump Map</strong> (Distorts the reflection using the material&#x2019;s bump map. A flat mirror surface that has a Bump map will appear bumpy, but its reflection won&#x2019;t be distorted by the bumps unless you use this option.)</p>\n\
<p>2 - <strong>Use Built-in Noise</strong> (Distorts the reflection using the settings in the Noise group.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FlatMirror&gt;.noiseType Integer default: 0 </code></pre><p>Sets the type of noise when <code>distortionType</code> is set to 2.</p>\n\
<p>0 - <strong>Regular</strong> (Generates plain noise. Basically the same as Fractal noise with the Levels setting at 1. When the noise type is set to Regular, the Levels spinner is inactive, because Regular is not a fractal function.)</p>\n\
<p>1 - <strong>Fractal</strong> (Generates noise using a fractal algorithm. The Levels setting determines the number of iterations for the fractal noise.)</p>\n\
<p>2 - <strong>Turbulence</strong> (Generates fractal noise with an absolute value function applied to it to make fault lines.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FlatMirror&gt;.distortionAmount Float default: 0.5 -- animatable </code></pre><p>Adjusts the amount of distortion to the reflected image. This is the only value that affects the amount of distortion.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FlatMirror&gt;.phase Float default: 0.0 -- animatable </code></pre><p>Controls the speed of the animation of the noise function.</p>\n\
<p>A 3D noise function is used for the noise, so that the first two parameters are U and V and the third is phase.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FlatMirror&gt;.size Float default: 10.0 -- animatable </code></pre><p>Sets the scale of the noise function. Smaller values give smaller chunks of noise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;FlatMirror&gt;.level Float default: 2.0 -- animatable </code></pre><p>Sets the number of fractal iterations or turbulence (as a continuous function).</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../TextureMap-Types.html\">TextureMap Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../TextureMap-Common-Properties.html\">TextureMap Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../Material-MAXWrapper/Material-Common-Properties.html\">Material Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";