var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-F86EB3F0-DF9D-4CD0-8C5C-96E3BDC8444D\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Physical_Camera_Exposure_Control : ToneOperator</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Physical_Camera_Exposure_Control - superclass: ToneOperator; super-superclass:MAXWrapper - 11:0 - classID: #(664160923, 782579562)</code></pre><p>Exposes the Physical Camera Exposure Control to MAXScript. Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Physical_Camera_Exposure_Control ...</code></pre><h2 id=\"properties-\">Properties:</h2><p><strong>Exposure Control Rollout</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Physical_Camera_Exposure_Control&gt;.active    BooleanClass    default: true   --  boolean</code></pre><p>Gets/sets the state of the Active checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Physical_Camera_Exposure_Control&gt;.processBG     BooleanClass    default: false   --  boolean</code></pre><p>Gets/sets the state of the Process Background and Environment Maps checkbox.</p>\n\
<p><strong>Exposure Group Of Controls</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Physical_Camera_Exposure_Control&gt;.use_global_ev    Integer    default: 0   --  animatable; integer</code></pre><p>Gets/sets the state of the Exposure mode radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Use Per-Camera Exposure</strong></p>\n\
<p>1 - <strong>Ignore Per-Camera Exposure (Use Global)</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Physical_Camera_Exposure_Control&gt;.global_ev     Float    default: 6.0   --  animatable; float</code></pre><p>Gets/sets the value of the <strong>&quot;Exposure for Non-Physical Cameras&quot;</strong> parameter.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Physical_Camera_Exposure_Control&gt;.ev_compensation    Float    default: 0.0   --  animatable; float</code></pre><p>Gets/sets the value of the <strong>&quot;EV Compensation for Physical Cameras&quot;</strong> parameter.</p>\n\
<p>Image Control Group Of Controls</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Physical_Camera_Exposure_Control&gt;.highlights     Float    default: 0.25   --  animatable; float</code></pre><p>Gets/sets the value of the <strong>&quot;Highlights&quot;</strong> parameter.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Physical_Camera_Exposure_Control&gt;.midtones     Float    default: 1.0   --  animatable; float</code></pre><p>Gets/sets the value of the <strong>&quot;Midtones&quot;</strong> parameter.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Physical_Camera_Exposure_Control&gt;.shadows     Float    default: 0.2   --  animatable; float</code></pre><p>Gets/sets the value of the <strong>&quot;Shadows&quot;</strong> parameter.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Physical_Camera_Exposure_Control&gt;.saturation     Float    default: 1.0   --  animatable; float</code></pre><p>Gets/sets the value of the <strong>&quot;Color Saturation&quot;</strong> parameter.</p>\n\
<p>Physical Scale Group Of Controls</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Physical_Camera_Exposure_Control&gt;.physical_scale_mode     Integer    default: 1   --  integer</code></pre><p>Gets/sets the state of the <strong>&quot;Physical scale&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Disabled</strong></p>\n\
<p>1 - <strong>Custom</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Physical_Camera_Exposure_Control&gt;.physical_scale     Float    default: 1500.0   --  animatable; float</code></pre><p>Gets/sets the value of the <strong>&quot;Custom ... candelas/RGB&quot;</strong> parameter.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../ToneOperator-MAXWrapper.html\">ToneOperator: MAXWrapper</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Node-MAXWrapper/Node-Subclasses/Camera-Node/Physical-Camera.html\">Physical : Camera</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";