var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-1E1CDEEA-BF1B-40D0-89C0-F2C98054866C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>How do texture coordinates work?</h1></div><h2 id=\"is-there-a-one-to-one-relationship-to-mesh-vertices-\">Is there a one-to-one relationship to mesh vertices?</h2><p>Mapping coordinates (UVW coordinates and the related vertex colors) in <strong>3ds Max</strong> are stored in Texture Vertices resp. Color Vertices which can have a completely different count from the mesh vertex count. Understanding the relationships between texture coordinates and the mesh they are applied to is crucial.</p>\n\
<p>The following chapter explains the way texture coordinates work inside of <strong>3ds Max</strong>.</p>\n\
<p><a href=\"./../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Understanding-Texture.html\">Understanding Texture Coordinates</a></p>\n\
<p>The following topics provide information about accessing and manipulating texture coordinates and vertex color data.</p>\n\
<p><a href=\"./../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Mesh-Texture-Vertex-Methods.html\">Mesh Texture Vertex Methods</a></p>\n\
<p><a href=\"./../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Mesh-Color-Per-Vertex-Methods.html\">Mesh Color-Per-Vertex Methods</a></p>\n\
<p><a href=\"./../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Meshop-General-Mapping-Methods.html\">General Meshop Mapping Methods</a></p>\n\
<p><a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/UVW-Modifiers/Unwrap_UVW-Modifier.html\">Unwrap_UVW : Modifier</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../General-Advanced-Topics.html\">General Advanced Topics</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Frequently-Asked-Questions-1.html\">Frequently Asked Questions</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";