var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-74BA7105-9907-4BB2-8C39-D9FD147C4898\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Cache frequently used functions and objects</h1></div><p>You can store frequently used functions and objects in user variables for faster access.</p>\n\
<blockquote>\n\
<p>   <strong>TEST CASE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   ep = converttopoly (mesh())    --node\n\
   ep_bo = ep.baseobject      --ediable poly\n\
   polyop_getvert = polyop.getvert    --structure method\n\
   IEditablePoly = ep_bo.EditablePoly   --FPS interface\n\
   IEditablePoly_GetNumMapChannels =\n\
   IEditablePoly.GetNumMapChannels   --FPS interface\n\
</code></pre></blockquote>\n\
<blockquote>\n\
<p>   <strong>FOR 100,000 ITERATIONS:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   polyop.getvert ep 1    -- 470 msec.\n\
   polyop_getvert ep 1    -- 79 msec.\n\
   polyop.getvert ep_bo 1   -- 48 msec.\n\
   polyop_getvert ep_bo 1   -- 0 msec.\n\
   ep.EditablePoly.GetNumMapChannels() -- 76532 msec.\n\
   ep.GetNumMapChannels()   -- 72141 msec.\n\
   ep_bo.EditablePoly.GetNumMapChannels()-- 36688 msec.\n\
   ep_bo.GetNumMapChannels()   -- 34219 msec.\n\
   IEditablePoly.GetNumMapChannels() -- 6454 msec.\n\
   IEditablePoly_GetNumMapChannels() -- 0 msec.\n\
</code></pre></blockquote>\n\
<blockquote>\n\
<p>   <strong>TEST CASE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   gs = geosphere()\n\
   gs_bo = gs.baseobject\n\
   theBend = bend()\n\
   addmodifier gs theBend\n\
</code></pre></blockquote>\n\
<blockquote>\n\
<p>   <strong>FOR 100,000 ITERATIONS:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   gs.radius     -- 718 msec.\n\
   gs.baseobject.radius    -- 828 msec.\n\
   gs_bo.radius      -- 688 msec.\n\
   gs.modifiers[1].angle    -- 718 msec.\n\
   gs.modifiers[#bend].angle   -- 1187 msec.\n\
   theBend.angle     -- 609 msec.\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../How-To-Make-It-Faster-.html\">How To Make It Faster?</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/Interfaces/Increasing-Performance-when.html\">Increasing Performance when Searching for Interfaces and Methods</a></li>\n\
          <li><a class=\"link\" href=\"Only-calculate-once-if-possible.html\">Only calculate once if possible</a></li>\n\
          <li><a class=\"link\" href=\"Dice-your-data-into-smaller.html\">Dice your data into smaller pieces</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";