var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-0CD1057E-5A3A-440C-B96F-F3F00F121B67\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Creating A Simple Web Browser Using DotNet</h1></div><p>In the following example, you will create a simple Web Browser using the WebBrowser DotNet control provided by System.Windows.Forms</p>\n\
<p>First, create a simple MAXScript rollout and add a dotNetControl called wb that uses the System.Windows.Forms.WebBrowser control.</p>\n\
<p>Then, open the rollout as a dialog - the WebBrowser will be empty.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rollout webbrowser_rollout &quot;Web Test&quot; width:600 height:600\n\
   (\n\
   dotNetControl wb &quot;System.Windows.Forms.WebBrowser&quot; pos:[10,10] width:580 height:580\n\
   )\n\
   createdialog webbrowser_rollout\n\
</code></pre></blockquote>\n\
<p>Now, set a default URL for the browser to open at. To see what properties are available in the WebBrowser control, you can call show Properties() on the control:</p>\n\
<blockquote>\n\
<p>   <strong>CODE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   showPropertieswebbrowser_rollout.wb\n\
</code></pre><p>   <strong>RESULT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   .AccessibilityObject : &lt;System.Windows.Forms.AccessibleObject&gt;, read-only\n\
   .AccessibleDefaultActionDescription : &lt;System.String&gt;\n\
   .AccessibleDescription : &lt;System.String&gt;\n\
   .AccessibleName : &lt;System.String&gt;\n\
   .AccessibleRole : &lt;System.Windows.Forms.AccessibleRole&gt;\n\
   .ActiveXInstance : &lt;System.Object&gt;, read-only\n\
   .AllowDrop : &lt;System.Boolean&gt;\n\
   .AllowNavigation : &lt;System.Boolean&gt;\n\
   .AllowWebBrowserDrop : &lt;System.Boolean&gt;\n\
   .Anchor : &lt;System.Windows.Forms.AnchorStyles&gt;\n\
   .AutoScrollOffset : &lt;System.Drawing.Point&gt;\n\
   .AutoSize : &lt;System.Boolean&gt;\n\
   .BackColor : &lt;System.Drawing.Color&gt;\n\
   .BackgroundImage : &lt;System.Drawing.Image&gt;\n\
   .BackgroundImageLayout : &lt;System.Windows.Forms.ImageLayout&gt;\n\
   .BindingContext : &lt;System.Windows.Forms.BindingContext&gt;\n\
   .Bottom : &lt;System.Int32&gt;, read-only\n\
   .Bounds : &lt;System.Drawing.Rectangle&gt;\n\
   .CanFocus : &lt;System.Boolean&gt;, read-only\n\
   .CanGoBack : &lt;System.Boolean&gt;, read-only\n\
   .CanGoForward : &lt;System.Boolean&gt;, read-only\n\
   .CanSelect : &lt;System.Boolean&gt;, read-only\n\
   .Capture : &lt;System.Boolean&gt;\n\
   .CausesValidation : &lt;System.Boolean&gt;\n\
   .CheckForIllegalCrossThreadCalls : &lt;System.Boolean&gt;, static\n\
   .ClientRectangle : &lt;System.Drawing.Rectangle&gt;, read-only\n\
   .ClientSize : &lt;System.Drawing.Size&gt;\n\
   .CompanyName : &lt;System.String&gt;, read-only\n\
   .Container : &lt;System.ComponentModel.IContainer&gt;, read-only\n\
   .ContainsFocus : &lt;System.Boolean&gt;, read-only\n\
   .ContextMenu : &lt;System.Windows.Forms.ContextMenu&gt;\n\
   .ContextMenuStrip : &lt;System.Windows.Forms.ContextMenuStrip&gt;\n\
   .Controls : &lt;System.Windows.Forms.Control+ControlCollection&gt;, read-only\n\
   .Created : &lt;System.Boolean&gt;, read-only\n\
   .Cursor : &lt;System.Windows.Forms.Cursor&gt;\n\
   .DataBindings : &lt;System.Windows.Forms.ControlBindingsCollection&gt;, read-only\n\
   .DefaultBackColor : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .DefaultFont : &lt;System.Drawing.Font&gt;, read-only, static\n\
   .DefaultForeColor : &lt;System.Drawing.Color&gt;, read-only, static\n\
   .DisplayRectangle : &lt;System.Drawing.Rectangle&gt;, read-only\n\
   .Disposing : &lt;System.Boolean&gt;, read-only\n\
   .Dock : &lt;System.Windows.Forms.DockStyle&gt;\n\
   .Document : &lt;System.Windows.Forms.HtmlDocument&gt;, read-only\n\
   .DocumentStream : &lt;System.IO.Stream&gt;\n\
   .DocumentText : &lt;System.String&gt;\n\
   .DocumentTitle : &lt;System.String&gt;, read-only\n\
   .DocumentType : &lt;System.String&gt;, read-only\n\
   .Enabled : &lt;System.Boolean&gt;\n\
   .EncryptionLevel : &lt;System.Windows.Forms.WebBrowserEncryptionLevel&gt;, read-only\n\
   .Focused : &lt;System.Boolean&gt;, read-only\n\
   .Font : &lt;System.Drawing.Font&gt;\n\
   .ForeColor : &lt;System.Drawing.Color&gt;\n\
   .Handle : &lt;System.IntPtr&gt;, read-only\n\
   .HasChildren : &lt;System.Boolean&gt;, read-only\n\
   .Height : &lt;System.Int32&gt;\n\
   .ImeMode : &lt;System.Windows.Forms.ImeMode&gt;\n\
   .InvokeRequired : &lt;System.Boolean&gt;, read-only\n\
   .IsAccessible : &lt;System.Boolean&gt;\n\
   .IsBusy : &lt;System.Boolean&gt;, read-only\n\
   .IsDisposed : &lt;System.Boolean&gt;, read-only\n\
   .IsHandleCreated : &lt;System.Boolean&gt;, read-only\n\
   .IsMirrored : &lt;System.Boolean&gt;, read-only\n\
   .IsOffline : &lt;System.Boolean&gt;, read-only\n\
   .IsWebBrowserContextMenuEnabled : &lt;System.Boolean&gt;\n\
   .LayoutEngine : &lt;System.Windows.Forms.Layout.LayoutEngine&gt;, read-only\n\
   .Left : &lt;System.Int32&gt;\n\
   .Location : &lt;System.Drawing.Point&gt;\n\
   .Margin : &lt;System.Windows.Forms.Padding&gt;\n\
   .MaximumSize : &lt;System.Drawing.Size&gt;\n\
   .MinimumSize : &lt;System.Drawing.Size&gt;\n\
   .ModifierKeys : &lt;System.Windows.Forms.Keys&gt;, read-only, static\n\
   .MouseButtons : &lt;System.Windows.Forms.MouseButtons&gt;, read-only, static\n\
   .MousePosition : &lt;System.Drawing.Point&gt;, read-only, static\n\
   .Name : &lt;System.String&gt;\n\
   .ObjectForScripting : &lt;System.Object&gt;\n\
   .Padding : &lt;System.Windows.Forms.Padding&gt;\n\
   .Parent : &lt;System.Windows.Forms.Control&gt;\n\
   .PreferredSize : &lt;System.Drawing.Size&gt;, read-only\n\
   .ProductName : &lt;System.String&gt;, read-only\n\
   .ProductVersion : &lt;System.String&gt;, read-only\n\
   .ReadyState : &lt;System.Windows.Forms.WebBrowserReadyState&gt;, read-only\n\
   .RecreatingHandle : &lt;System.Boolean&gt;, read-only\n\
   .Region : &lt;System.Drawing.Region&gt;\n\
   .Right : &lt;System.Int32&gt;, read-only\n\
   .RightToLeft : &lt;System.Windows.Forms.RightToLeft&gt;\n\
   .ScriptErrorsSuppressed : &lt;System.Boolean&gt;\n\
   .ScrollBarsEnabled : &lt;System.Boolean&gt;\n\
   .Site : &lt;System.ComponentModel.ISite&gt;, write-only\n\
   .Size : &lt;System.Drawing.Size&gt;\n\
   .StatusText : &lt;System.String&gt;, read-only\n\
   .TabIndex : &lt;System.Int32&gt;\n\
   .TabStop : &lt;System.Boolean&gt;\n\
   .Tag : &lt;System.Object&gt;\n\
   .Text : &lt;System.String&gt;\n\
   .Top : &lt;System.Int32&gt;\n\
   .TopLevelControl : &lt;System.Windows.Forms.Control&gt;, read-only\n\
    .UseWaitCursor : &lt;System.Boolean&gt; .Version : &lt;System.Version&gt;, read-only .Visible\n\
                                 : &lt;System.Boolean&gt; .WebBrowserShortcutsEnabled : &lt;System.Boolean&gt; .Width : &lt;System.Int32&gt;\n\
                                 .WindowTarget : &lt;System.Windows.Forms.IWindowTarget&gt; \n\
                                                    .Url : &lt;System.Uri&gt;</code></pre></blockquote>\n\
<p>You can see that there is a property URL exposed by the control. Assume that this is the property to set for accessing a web page.</p>\n\
<p>The type of the value expected by the DotNet control is System.Uri. This means that you will have to convert the URL MAXScript String value to a dotNetObject value of the expected type:</p>\n\
<blockquote>\n\
<p>   <strong>CODE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   webbrowser_rollout.wb.url = dotNetObject &quot;System.Uri&quot; &quot;http://www.autodesk.com&quot;\n\
</code></pre></blockquote>\n\
<p>Now, if your computer has Internet access, the Web Browser displays the Autodesk homepage:</p>\n\
<p><img src=\"./images/GUID-4131E282-C3ED-4DC2-AFEC-6F9416F3FB61-low.gif\" alt></p>\n\
<p>A Web Browser requires at least an address text field so that the user can enter other URLs. You can easily transform our first script into a more advanced Web Browser by adding a MAXScriptedittext control and some event handlers:</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rollout webbrowser_rollout &quot;Web Test&quot; width:600 height:600\n\
   (\n\
   edittext edt_url &quot;URL:&quot; text:&quot;http://www.autodesk.com&quot;\n\
   dotNetControl wb &quot;System.Windows.forms.WebBrowser&quot; pos:[10,22] width:580 height:570\n\
   fn openURL urlString = (\n\
   wb.url = dotNetObject &quot;System.Uri&quot; urlString )\n\
   on edt_url entered txt do openURL txt\n\
   on webbrowser_rollout open do openURL edt_url.text\n\
   )\n\
   createdialog webbrowser_rollout\n\
</code></pre></blockquote>\n\
<p>Try typing in other URLs in the text field and see your Web Browser opening them.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../DotNet-Examples.html\">DotNet Examples</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../DotNet-In-MAXScript.html\">DotNet In MAXScript</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";