var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-2F696A25-6854-4A9F-8E71-5EB81816D51E\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>List of Editor Key Commands</h1></div><p>The <a href=\"./../MAXScript-Tabbed-Editor-Window.html\">Tabbed MAXScript Editor</a> introduced in <strong>3ds Max 2008</strong> provides the following COMMAND IDs which can be used to define custom <a href=\"MAXScript-Editor-Defining-Custom-1.html\">Keyboard Shortcuts</a> and <a href=\"MAXScript-Editor-Defining-Custom-2.html\">Right-Click menus</a> that operate on the current document.</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>COMMAND</th>\n\
<th>NAME</th>\n\
<th>EXPLANATION</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><code>2101</code></td>\n\
<td><code>AutoCCancel</code></td>\n\
<td>Remove the auto-completion list from the screen.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2104</code></td>\n\
<td><code>AutoCComplete</code></td>\n\
<td>User has selected an item so remove the list and insert the selection.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2328</code></td>\n\
<td><code>BackTab</code></td>\n\
<td>Dedent the selected lines.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2078</code></td>\n\
<td><code>BeginUndoAction</code></td>\n\
<td>Start a sequence of actions that is undone and redone as a unit. May be nested.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2201</code></td>\n\
<td><code>CallTipCancel</code></td>\n\
<td>Remove the call tip from the screen.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2325</code></td>\n\
<td><code>Cancel</code></td>\n\
<td>Cancel any modes such as call tip or auto-completion list display.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2304</code></td>\n\
<td><code>CharLeft</code></td>\n\
<td>Move caret left one character.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2305</code></td>\n\
<td><code>CharLeftExtend</code></td>\n\
<td>Move caret left one character extending selection to new caret position.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2428</code></td>\n\
<td><code>CharLeftRectExtend</code></td>\n\
<td>Move caret left one character, extending rectangular selection to new caret position.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2306</code></td>\n\
<td><code>CharRightMove</code></td>\n\
<td>caret right one character.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2307</code></td>\n\
<td><code>CharRightExtend</code></td>\n\
<td>Move caret right one character extending selection to new caret position.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2429</code></td>\n\
<td><code>CharRightRectExtend</code></td>\n\
<td>Move caret right one character, extending rectangular selection to new caret position.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2399</code></td>\n\
<td><code>ChooseCaretX</code></td>\n\
<td>Set the last x chosen value to be the caret x position.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2180</code></td>\n\
<td><code>Clear</code></td>\n\
<td>Clear the selection.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2004</code></td>\n\
<td><code>ClearAll</code></td>\n\
<td>Delete all text in the document.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2072</code></td>\n\
<td><code>ClearAllCmdKeys</code></td>\n\
<td>Drop all key mappings.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2005</code></td>\n\
<td><code>ClearDocumentStyle</code></td>\n\
<td>Set all style bytes to 0, remove all folding information.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2408</code></td>\n\
<td><code>ClearRegisteredImages</code></td>\n\
<td>Clear all the registered XPM images.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2178</code></td>\n\
<td><code>Copy</code></td>\n\
<td>Copy the selection to the clipboard.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2177</code></td>\n\
<td><code>Cut</code></td>\n\
<td>Cut the selection to the clipboard.</td>\n\
</tr>\n\
<tr>\n\
<td><code>3295</code></td>\n\
<td><code>DelLineLeft</code></td>\n\
<td>Delete back from the current position to the start of the line.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2395</code></td>\n\
<td><code>DelLineRight</code></td>\n\
<td>Delete forwards from the current position to the end of the line.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2335</code></td>\n\
<td><code>DelWordLeft</code></td>\n\
<td>Delete the word to the left of the caret.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2336</code></td>\n\
<td><code>DelWordRight</code></td>\n\
<td>Delete the word to the right of the caret.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2326</code></td>\n\
<td><code>DeleteBack</code></td>\n\
<td>Delete the selection or if no selection, the character before the caret.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2344</code></td>\n\
<td><code>DeleteBackNotLine</code></td>\n\
<td>Delete the selection or if no selection, the character before the caret. Will not delete the character before at the start of a line.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2318</code></td>\n\
<td><code>DocumentEnd</code></td>\n\
<td>Move caret to last position in document.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2319</code></td>\n\
<td><code>DocumentEndExtend</code></td>\n\
<td>Move caret to last position in document extending selection to new caret position.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2316</code></td>\n\
<td><code>DocumentStart</code></td>\n\
<td>Move caret to first position in document.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2317</code></td>\n\
<td><code>DocumentStartExtend</code></td>\n\
<td>Move caret to first position in document extending selection to new caret position.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2324</code></td>\n\
<td><code>EditToggleOvertype</code></td>\n\
<td>Switch from insert to overtype mode or the reverse.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2175</code></td>\n\
<td><code>EmptyUndoBuffer</code></td>\n\
<td>Delete the undo history.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2079</code></td>\n\
<td><code>EndUndoAction</code></td>\n\
<td>End a sequence of actions that is undone and redone as a unit.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2330</code></td>\n\
<td><code>FormFeed</code></td>\n\
<td>Insert a Form Feed character.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2400</code></td>\n\
<td><code>GrabFocus</code></td>\n\
<td>Set the focus to this Scintilla widget.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2312</code></td>\n\
<td><code>Home</code></td>\n\
<td>Move caret to first position on line.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2345</code></td>\n\
<td><code>HomeDisplay</code></td>\n\
<td>Move caret to first position on display line.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2346</code></td>\n\
<td><code>HomeDisplayExtend</code></td>\n\
<td>Move caret to first position on display line extending selection to new caret position.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2313</code></td>\n\
<td><code>HomeExtend</code></td>\n\
<td>Move caret to first position on line extending selection to new caret position.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2430</code></td>\n\
<td><code>HomeRectExtend</code></td>\n\
<td>Move caret to first position on line, extending rectangular selection to new caret position.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2349</code></td>\n\
<td><code>HomeWrap</code></td>\n\
<td>These are like their namesakes Home (Extend)?, LineEnd (Extend)?, VCHome (Extend)? except they behave differently when word-wrap is enabled: They go first to the start / end of the display line, like (Home</td>\n\
</tr>\n\
<tr>\n\
<td><code>2450</code></td>\n\
<td><code>HomeWrapExtend</code></td>\n\
<td>These are like their namesakes Home (Extend)?, LineEnd (Extend)?, VCHome (Extend)? except they behave differently when word-wrap is enabled: They go first to the start / end of the display line, like (Home</td>\n\
</tr>\n\
<tr>\n\
<td><code>2455</code></td>\n\
<td><code>LineCopy</code></td>\n\
<td>Copy the line containing the caret.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2337</code></td>\n\
<td><code>LineCut</code></td>\n\
<td>Cut the line containing the caret.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2338</code></td>\n\
<td><code>LineDelete</code></td>\n\
<td>Delete the line containing the caret.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2300</code></td>\n\
<td><code>LineDown</code></td>\n\
<td>Move caret down one line.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2301</code></td>\n\
<td><code>LineDownExtend</code></td>\n\
<td>Move caret down one line extending selection to new caret position.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2426</code></td>\n\
<td><code>LineDownRectExtend</code></td>\n\
<td>Move caret down one line, extending rectangular selection to new caret position.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2404</code></td>\n\
<td><code>LineDuplicate</code></td>\n\
<td>Duplicate the current line.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2314</code></td>\n\
<td><code>LineEnd</code></td>\n\
<td>Move caret to last position on line.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2347</code></td>\n\
<td><code>LineEndDisplay</code></td>\n\
<td>Move caret to last position on display line.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2348</code></td>\n\
<td><code>LineEndDisplayExtend</code></td>\n\
<td>Move caret to last position on display line extending selection to new caret position.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2315</code></td>\n\
<td><code>LineEndExtend</code></td>\n\
<td>Move caret to last position on line extending selection to new caret position.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2432</code></td>\n\
<td><code>LineEndRectExtend</code></td>\n\
<td>Move caret to last position on line, extending rectangular selection to new caret position.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2451</code></td>\n\
<td><code>LineEndWrap</code></td>\n\
<td>These are like their namesakes Home (Extend)?, LineEnd (Extend)?, VCHome (Extend)? except they behave differently when word-wrap is enabled: They go first to the start / end of the display line, like (Home</td>\n\
</tr>\n\
<tr>\n\
<td><code>2452</code></td>\n\
<td><code>LineEndWrapExtend</code></td>\n\
<td>These are like their namesakes Home (Extend)?, LineEnd (Extend)?, VCHome (Extend)? except they behave differently when word-wrap is enabled: They go first to the start / end of the display line, like (Home</td>\n\
</tr>\n\
<tr>\n\
<td><code>2342</code></td>\n\
<td><code>LineScrollDown</code></td>\n\
<td>Scroll the document down, keeping the caret visible.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2343</code></td>\n\
<td><code>LineScrollUp</code></td>\n\
<td>Scroll the document up, keeping the caret visible.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2339</code></td>\n\
<td><code>LineTranspose</code></td>\n\
<td>Switch the current line with the previous.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2302</code></td>\n\
<td><code>LineUp</code></td>\n\
<td>Move caret up one line.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2303</code></td>\n\
<td><code>LineUpExtend</code></td>\n\
<td>Move caret up one line extending selection to new caret position.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2427</code></td>\n\
<td><code>LineUpRectExtend</code></td>\n\
<td>Move caret up one line, extending rectangular selection to new caret position.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2288</code></td>\n\
<td><code>LinesJoin</code></td>\n\
<td>Join the lines in the target.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2340</code></td>\n\
<td><code>LowerCase</code></td>\n\
<td>Transform the selection to lower case.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2401</code></td>\n\
<td><code>MoveCaretInsideView</code></td>\n\
<td>Move the caret inside current view if it&#39;s not there already.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2329</code></td>\n\
<td><code>NewLine</code></td>\n\
<td>Insert a new line, may use a CRLF, CR or LF depending on EOL mode.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2172</code></td>\n\
<td><code>Null</code></td>\n\
<td>Null operation.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2322</code></td>\n\
<td><code>PageDown</code></td>\n\
<td>Move caret one page down.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2323</code></td>\n\
<td><code>PageDownExtend</code></td>\n\
<td>Move caret one page down extending selection to new caret position.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2434</code></td>\n\
<td><code>PageDownRectExtend</code></td>\n\
<td>Move caret one page down, extending rectangular selection to new caret position.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2320</code></td>\n\
<td><code>PageUp</code></td>\n\
<td>Move caret one page up.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2321</code></td>\n\
<td><code>PageUpExtend</code></td>\n\
<td>Move caret one page up extending selection to new caret position.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2433</code></td>\n\
<td><code>PageUpRectExtend</code></td>\n\
<td>Move caret one page up, extending rectangular selection to new caret position.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2413</code></td>\n\
<td><code>ParaDown</code></td>\n\
<td>Move caret between paragraphs (delimited by empty lines).</td>\n\
</tr>\n\
<tr>\n\
<td><code>2414</code></td>\n\
<td><code>ParaDownExtend</code></td>\n\
<td>Move caret between paragraphs (delimited by empty lines).</td>\n\
</tr>\n\
<tr>\n\
<td><code>2415</code></td>\n\
<td><code>ParaUp</code></td>\n\
<td>Move caret between paragraphs (delimited by empty lines).</td>\n\
</tr>\n\
<tr>\n\
<td><code>2416</code></td>\n\
<td><code>ParaUpExtend</code></td>\n\
<td>Move caret between paragraphs (delimited by empty lines).</td>\n\
</tr>\n\
<tr>\n\
<td><code>2179</code></td>\n\
<td><code>Paste</code></td>\n\
<td>Paste the contents of the clipboard into the document replacing the selection.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2011</code></td>\n\
<td><code>Redo</code></td>\n\
<td>Redoes the next action on the undo history.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2169</code></td>\n\
<td><code>ScrollCaret</code></td>\n\
<td>Ensure the caret is visible.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2366</code></td>\n\
<td><code>SearchAnchor</code></td>\n\
<td>Sets the current caret position to be the search anchor.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2013</code></td>\n\
<td><code>SelectAll</code></td>\n\
<td>Select all the text in the document.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2469</code></td>\n\
<td><code>SelectionDuplicate</code></td>\n\
<td>Duplicate the selection. If selection empty duplicate the line containing the caret.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2444</code></td>\n\
<td><code>SetCharsDefault</code></td>\n\
<td>Reset the set of characters for whitespace and word characters to the defaults.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2014</code></td>\n\
<td><code>SetSavePoint</code></td>\n\
<td>Remember the current position in the undo history as the position at which the document was saved.</td>\n\
</tr>\n\
<tr>\n\
<td><code>3001</code></td>\n\
<td><code>StartRecord</code></td>\n\
<td>Start notifying the container of all key presses and commands.</td>\n\
</tr>\n\
<tr>\n\
<td><code>3002</code></td>\n\
<td><code>StopRecord</code></td>\n\
<td>Stop notifying the container of all key presses and commands.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2437</code></td>\n\
<td><code>StutteredPageDown</code></td>\n\
<td>Move caret to bottom of page, or one page down if already at bottom of page.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2438</code></td>\n\
<td><code>StutteredPageDownExtend</code></td>\n\
<td>Move caret to bottom of page, or one page down if already at bottom of page, extending selection to new caret position.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2435</code></td>\n\
<td><code>StutteredPageUp</code></td>\n\
<td>Move caret to top of page, or one page up if already at top of page.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2436</code></td>\n\
<td><code>StutteredPageUpExtend</code></td>\n\
<td>Move caret to top of page, or one page up if already at top of page, extending selection to new caret position.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2058</code></td>\n\
<td><code>StyleResetDefault</code></td>\n\
<td>Reset the default style to its state at startup</td>\n\
</tr>\n\
<tr>\n\
<td><code>2327</code></td>\n\
<td><code>Tab</code></td>\n\
<td>If selection is empty or all on one line replace the selection with a tab character. If more than one line selected, indent the lines.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2287</code></td>\n\
<td><code>TargetFromSelection</code></td>\n\
<td>Make the target range start and end be the same as the selection range start and end.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2459</code></td>\n\
<td><code>ToggleCaretSticky</code></td>\n\
<td>Switch between sticky and non-sticky: meant to be bound to a key.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2176</code></td>\n\
<td><code>Undo</code></td>\n\
<td>Undo one action in the undo history.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2341</code></td>\n\
<td><code>UpperCase</code></td>\n\
<td>Transform the selection to upper case.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2331</code></td>\n\
<td><code>VCHome</code></td>\n\
<td>Move caret to before first visible character on line. If already there move to first character on line.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2332</code></td>\n\
<td><code>VCHomeExtend</code></td>\n\
<td>Like VCHome but extending selection to new caret position.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2431</code></td>\n\
<td><code>VCHomeRectExtend</code></td>\n\
<td>Move caret to before first visible character on line. If already there move to first character on line. In either case, extend rectangular selection to new caret position.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2453</code></td>\n\
<td><code>VCHomeWrap</code></td>\n\
<td>These are like their namesakes Home (Extend)?, LineEnd (Extend)?, VCHome (Extend)? except they behave differently when word-wrap is enabled: They go first to the start / end of the display line, like (Home</td>\n\
</tr>\n\
<tr>\n\
<td><code>2454</code></td>\n\
<td><code>VCHomeWrapExtend</code></td>\n\
<td>These are like their namesakes Home (Extend)?, LineEnd( Extend)?, VCHome (Extend)? except they behave differently when word-wrap is enabled: They go first to the start / end of the display line, like (Home</td>\n\
</tr>\n\
<tr>\n\
<td><code>2308</code></td>\n\
<td><code>WordLeft</code></td>\n\
<td>Move caret left one word.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2439</code></td>\n\
<td><code>WordLeftEnd</code></td>\n\
<td>Move caret left one word, position cursor at end of word.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2440</code></td>\n\
<td><code>WordLeftEndExtend</code></td>\n\
<td>Move caret left one word, position cursor at end of word, extending selection to new caret position.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2309</code></td>\n\
<td><code>WordLeftExtend</code></td>\n\
<td>Move caret left one word extending selection to new caret position.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2390</code></td>\n\
<td><code>WordPartLeft</code></td>\n\
<td>Move to the previous change in capitalization.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2391</code></td>\n\
<td><code>WordPartLeftExtend</code></td>\n\
<td>Move to the previous change in capitalization extending selection to new caret position.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2392</code></td>\n\
<td><code>WordPartRight</code></td>\n\
<td>Move to the change next in capitalization.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2393</code></td>\n\
<td><code>WordPartRightExtend</code></td>\n\
<td>Move to the next change in capitalization extending selection to new caret position.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2310</code></td>\n\
<td><code>WordRight</code></td>\n\
<td>Move caret right one word.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2441</code></td>\n\
<td><code>WordRightEnd</code></td>\n\
<td>Move caret right one word, position cursor at end of word.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2442</code></td>\n\
<td><code>WordRightEndExtend</code></td>\n\
<td>Move caret right one word, position cursor at end of word, extending selection to new caret position.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2311</code></td>\n\
<td><code>WordRightExtend</code></td>\n\
<td>Move caret right one word extending selection to new caret position.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2333</code></td>\n\
<td><code>ZoomIn</code></td>\n\
<td>Magnify the displayed text by increasing the sizes by 1 point.</td>\n\
</tr>\n\
<tr>\n\
<td><code>2334</code></td>\n\
<td><code>ZoomOut</code></td>\n\
<td>Make the displayed text smaller by decreasing the sizes by 1 point.</td>\n\
</tr>\n\
</tbody></table>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../MAXScript-Editor-Configuration.html\">MAXScript Editor Configuration And Customization</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";