var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-5A0FC656-A2EC-4F0C-8E75-9FF9ADD4261C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Unsupplied Value</h1></div><p>The <strong>Unsupplied</strong> class implements the value used to initialize unsupplied keyword parameters to functions.</p>\n\
<p>There is one distinguished instance of the <strong>Unsupplied</strong> class in the reserved system variable <code>unsupplied</code> .</p>\n\
<p>You can test to see whether a caller has supplied an optional keyword argument by comparing it with <code>unsupplied</code> .</p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Unsupplied </code></pre><blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fn testFunction arg1 optionalArg2: =\n\
   (\n\
     if optionalArg2 == unsupplied then\n\
       format &quot;Optional Argument Was Not Supplied!\\n&quot;\n\
     else\n\
       format &quot;Arguments Were Supplied, Their Sum Was %!\\n&quot; (arg1+optionalArg2)\n\
   )\n\
\n\
   testFunction 10.0\n\
   --&gt; Optional Argument Was Not Supplied!\n\
\n\
   testFunction 10.0 optionalArg2:32\n\
   --&gt; Arguments Were Supplied, Their Sum Was 42.0!\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Special-Data-Values.html\">Special Data Values</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Creating-Functions/Creating-Functions-1.html\">Creating Functions</a></li>\n\
          <li><a class=\"link\" href=\"../../Names-Literal-Constants-and/Simple-Expressions/Function-Calls.html\">Function Calls</a></li>\n\
          <li><a class=\"link\" href=\"../../../Frequently-Asked-Questions/MAXScript-Syntax-and-Terminology/What-is-the-difference-between.html\">What is the difference between &#x27;undefined&#x27; and &#x27;unsupplied&#x27; values?</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";