var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-F0CD0BD9-FC77-4881-8021-102B5837F7B2\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Node Related Notifications</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#nodeCreated: node </code></pre><p>Sent when a node is created.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> within the callback function returns the node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#nodeCloned: node </code></pre><p>Sent after a node is cloned but before theHold.Accept(..).</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> within the callback function returns the node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#sceneNodeAdded: node </code></pre><p>Sent just after a node is added to the scene.</p>\n\
<p>This notification is not generated when a scene is opened.<br>Calling <code>callbacks.notificationParam()</code> within the callback function returns the node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#nodeFreeze: node </code></pre><p>Sent when a node is frozen.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> within the callback function returns the node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#nodeUnfreeze: Node </code></pre><p>Sent when a node is unfrozen.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> within the callback function returns the node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#nodeHide: node </code></pre><p>Sent when a node is hidden.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> within the callback function returns the node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#nodeUnhide: Node </code></pre><p>Sent when a node is unhidden.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> within the callback function returns the node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#nodeLinked: Node </code></pre><p>Sent when a new parent-child link is made. Calling <code>callbacks.notificationParam()</code> within the callback function returns the node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#nodeUnlinked: Node </code></pre><p>Sent when a parent-child link is broken.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> within the callback function returns the node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#nodePreDelete: Node </code></pre><p>Sent before a node is deleted.</p>\n\
<p>This event is not generated when a scene is closed.<br>Calling <code>callbacks.notificationParam()</code> within the callback function returns the node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#nodePostDelete: undefined </code></pre><p>Sent after a node is deleted.</p>\n\
<p>This event is not generated when a scene is closed.                                                   </p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#nodePreMaterial: Node </code></pre><p>Sent just before a node gets a new material.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> within the callback function returns the node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#nodePostMaterial: Node </code></pre><p>Sent just after a node gets a new material.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> within the callback function returns the node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#nodeRenamed: #(name, name) </code></pre><p>Sent if a scene node is renamed.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> within the callback function returns a 2 element array containing the old and new node name as strings</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> It is more reliable to use the <code>#nodeNameSet</code> callback introduced in <strong>3ds Max 7</strong>! See below.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#nodeNameSet: #(name, name, node) </code></pre><p>Sent when a scene node name is set or changed.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> within the callback function returns a 3 element array containing the old name, the new name, and the node.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> It is more reliable to use the <code>#nodeNameSet</code> callback introduced in <strong>3ds Max 7</strong>! See below.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#preNodeBonePropChanged: Array of nodes </code></pre><p>Pre bone property change.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> within the callback function returns the array of nodes.</p>\n\
<p>This notification was broken in versions prior to <strong>3ds Max 2014</strong>.</p>\n\
<p>The fixed version will be called for individual bones, so the return value will still be an array, but containing only one node per call.</p>\n\
<p>The notification will be broadcast for all bone anim property changes <strong>except</strong> for <code>InvalidateObjectTM()</code> which also alters a flag in the bone&apos;s property, but that flag would be changed also when a child bone is altered. This could happen by simply moving nodes in the viewport, so this case is excluded to avoid an avalanche of notifications.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#postNodeBonePropChanged: Array of nodes </code></pre><p>Post bone property change.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> within the callback function returns the array of nodes.</p>\n\
<p>This notification was broken in versions prior to <strong>3ds Max 2014</strong>.</p>\n\
<p>The fixed version will be called for individual bones, so the return value will still be an array, but containing only one node per call.</p>\n\
<p>The notification will be broadcast for all bone anim property changes <strong>except</strong> for <code>InvalidateObjectTM()</code> which also alters a flag in the bone&apos;s property, but that flag would be changed also when a child bone is altered. This could happen by simply moving nodes in the viewport, so this case is excluded to avoid an avalanche of notifications.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#preNodeGeneralPropChanged: Array of nodes </code></pre><p>Pre general property change.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> within the callback function returns the array of nodes</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#postNodeGeneralPropChanged: Array of nodes </code></pre><p>Post general property change.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> within the callback function returns the array of nodes whose properties have been changed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#preNodeGiPropChanged: Array of nodes </code></pre><p>Sent before Advanced Lighting property changes.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> within the callback function returns the array of nodes whose properties will be changed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#postNodeGiPropChanged: Array of nodes </code></pre><p>Sent after Advanced Lighting property changes.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> within the callback function returns the array of nodes whose properties have been changed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#preNodesCloned: Array of nodes </code></pre><p>Sent before node clone.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> within the callback function returns the array of nodes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#postNodesCloned: #(array of nodes, array of nodes, name) </code></pre><p>Sent after nodes are cloned.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> within the callback function will return a 3 element array where the first element is an array of the original nodes, the second element is an array of the cloned nodes, and the third element is a name value of <code>#copy</code> , <code>#instance</code> , or <code>#reference</code> , reflecting the clone type.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#preNodeUserPropChanged: Array of nodes </code></pre><p>Pre user property change.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> within the callback function returns the array of nodes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#postNodeUserPropChanged: Array of nodes </code></pre><p>Post user property change.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> within the callback function returns the array of nodes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#preMirrorNodes: Array of nodes </code></pre><p>Beginning of the mirror operation.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> within the callback function returns the array of nodes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#postMirrorNodes: Array of nodes </code></pre><p>End of the mirror operation.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> within the callback function returns the array of nodes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#selectedNodesPreDelete: Array of nodes </code></pre><p>Sent just before selected nodes are deleted.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> within the callback function returns the Array of nodes about to be deleted.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#selectedNodesPostDelete: undefined </code></pre><p>Sent just after selected nodes are deleted.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#selectionSetChanged: undefined </code></pre><p>Sent after the selection set has changed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#postNodeSelectOperation: undefined </code></pre><p>Sent after the system Node Selection Processor has finished selecting nodes.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../General-Event-Callback-Mechanism.html\">General Event Callback Mechanism</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";