var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-EF9E6C50-CD43-4A71-9162-3D0B6B4463C3\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Other Notifications</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#activeViewportChanged: undefined </code></pre><p>Sent when the current active viewport is changed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#activeShadeInViewportToggled: undefined </code></pre><p>Sent when ActiveShade in the viewport is toggled on/off. Available in <strong>3ds Max 2020.1 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#atsPostRepathPhase: undefined </code></pre><p>Sent after the asset tracking system traversal completes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#atsPreRepathPhase: undefined </code></pre><p>Sent before the asset tracking system traversal starts.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#bitmapChanged: string </code></pre><p>Sent after a bitmap is reloaded.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> within the callback function returns the String containing bitmap texture bitmap file name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#byCategoryDisplayFilterChanged: undefined </code></pre><p>Sent AFTER object categories marked to be hidden\\unhidden.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#colorChanged: undefined </code></pre><p>Sent when the system is updating it&#x2019;s custom colors.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#cuiMenusUpdate: undefined </code></pre><p>Sent when the main application menu bar is updated.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#customDisplayFilterChanged: undefined </code></pre><p>Sent AFTER custom display filters have been activated\\deactivated.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#lightingUnitDisplaySystemChange: undefined </code></pre><p>Sent when lighting unit display system is changed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#mouseSettingsChanged: undefined </code></pre><p>Sent after mouse setting file has changed, for example, after loading/saving a new mouse setting file.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#preViewPanelDelete: integer </code></pre><p>Sent before a viewport is deleted. It usually occurs when removing a view tab.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> within in the callback function returns the HWND of the viewport.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#preViewportTooltip: node </code></pre><p>Sent before a viewport tooltip pops up.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> within in the callback function returns the node triggering the tooltip.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#sceneExplorerNeedsUpdate: undefined </code></pre><p>Sent if the scene explorer needs to refresh its display.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#sceneStateDelete: string </code></pre><p>Sent when a scene state is deleted.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> within in the callback function returns the scene state name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#sceneStateRename: #(string, string) </code></pre><p>Sent when a scene state is renamed.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> within in the callback function returns an array of two elements containing the old name and the new name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#spacemodeChange: undefined </code></pre><p>Sent if the user changes the reference coordinate system.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#timeunitsChange: undefined </code></pre><p>Sent if the user changes the time format setting.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#unitsChange: undefined </code></pre><p>Sent if the user changes the unit setting.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#viewportChange: undefined </code></pre><p>Sent every time the viewport parameters change, including panning, zooming and orbiting the viewport or changing the active viewport.</p>\n\
<p>Currently, there is no notification for viewport layout change.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#viewportSafeFrameToggle: integer</code></pre><p>Sent when the viewport Safe Frame is turned on or off.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> within in the callback function returns an Integer value - 1 for on, 0 for off.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#mainWindowEnabled: boolean </code></pre><p>Sent when the main application window gets enabled.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> within the callback function returns a Boolean value - true if the main <strong>3ds Max</strong> window is being enabled, false if another window is being enabled.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#heightMenuChanged: undefined </code></pre><p>Sent when a user operated the height menu.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#playbackStart: undefined </code></pre><p>Sent when the animation playback starts.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#playbackEnd: undefined </code></pre><p>Sent when the animation playback ends.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#preProgress: undefined </code></pre><p>Sent before the progress bar is displayed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#postProgress: undefined </code></pre><p>Sent after the progress bar is finished.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../General-Event-Callback-Mechanism.html\">General Event Callback Mechanism</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";