var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-3C42A302-2746-4E88-A7D4-8B40F362B168\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Undo System Notifications</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#sceneUndo: string </code></pre><p>Sent after a scene undo is performed. <code>callbacks.notificationParam()</code> returns the name of the undo entry in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#sceneRedo: string </code></pre><p>Sent after a scene redo is performed. <code>callbacks.notificationParam()</code> returns the name of the undo entry <strong>3ds Max 8 and higher</strong>.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   callbacks.removeScripts id:#test\n\
   callbacks.addScript #sceneRedo &quot;format \\&quot;Redo: %\\\\n\\&quot; (callbacks.notificationParam())&quot; id:#test\n\
   callbacks.addScript #sceneUndo &quot;format \\&quot;Undo: %\\\\n\\&quot; (callbacks.notificationParam())&quot; id:#test\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#preSceneRedo: string </code></pre><p>Sent before a scene redo is performed. <code>callbacks.notificationParam()</code> returns the redo string.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#preSceneUndo: string </code></pre><p>Sent after a scene undo is performed. <code>callbacks.notificationParam()</code> returns the undo string.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#postRestoreObjsDeleted: unefined </code></pre><p>Sent when the undo system is flushed, and at least one RestoreObj was present in the undo system.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../General-Event-Callback-Mechanism.html\">General Event Callback Mechanism</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";