var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-E421933F-958E-42FD-80A1-D66F2A2C0A06\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Rollout User-Interface Controls Types</h1></div><p>The following list contains the user-interface control types you can choose from to construct your rollout.</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><a href=\"Rollout-User-Interface-Controls-3/Angle-UI-element.html\">angle</a><br> <a href=\"Rollout-User-Interface-Controls-3/Slider-UI-Control.html\">slider</a><br> <a href=\"Rollout-User-Interface-Controls-3/Spinner-UI-Control.html\">spinner</a><br> <a href=\"Rollout-User-Interface-Controls-3/Button-UI-Control.html\">button</a><br> <a href=\"Rollout-User-Interface-Controls-3/Checkbutton-UI-Control.html\">checkbutton</a><br> <a href=\"Rollout-User-Interface-Controls-3/Mapbutton-UI-Control.html\">mapbutton</a><br> <a href=\"Rollout-User-Interface-Controls-3/Materialbutton-UI-Control.html\">materialbutton</a><br> <a href=\"Rollout-User-Interface-Controls-3/Pickbutton-UI-Control.html\">pickbutton</a><br> <a href=\"Rollout-User-Interface-Controls-3/Checkbox-UI-Control.html\">checkbox</a><br> <a href=\"Rollout-User-Interface-Controls-3/Colorpicker-UI-Control.html\">colorpicker</a><br> <a href=\"Rollout-User-Interface-Controls-3/Listbox-UI-Control.html\">listbox</a><br> <a href=\"Rollout-User-Interface-Controls-3/multilistbox.html\">multilistbox</a><br> <a href=\"Rollout-User-Interface-Controls-3/Dropdownlist-UI-Control.html\">dropdownlist</a></td>\n\
<td><a href=\"Rollout-User-Interface-Controls-3/Combobox-UI-Control.html\">combobox</a><br> <a href=\"Rollout-User-Interface-Controls-3/Edittext-UI-Control.html\">edittext</a><br> <a href=\"Rollout-User-Interface-Controls-3/GroupBox-UI-Control.html\">groupBox</a><br> <a href=\"Rollout-User-Interface-Controls-3/hyperlink.html\">hyperLink</a><br> <a href=\"Rollout-User-Interface-Controls-3/Label-UI-Control.html\">label</a><br> <a href=\"Rollout-User-Interface-Controls-3/ProgressBar-UI-Control.html\">progressbar</a><br> <a href=\"Rollout-User-Interface-Controls-3/Radiobuttons-UI-Controls.html\">radiobuttons</a><br> <a href=\"Rollout-User-Interface-Controls-3/Bitmap-UI-Control.html\">bitmap</a><br> <a href=\"Rollout-User-Interface-Controls-3/imgTag.html\">imgTag</a><br> <a href=\"./../SubRollout-Class.html\">SubRollout</a><br> <a href=\"Rollout-User-Interface-Controls-3/Curve-Control.html\">curvecontrol</a><br> <a href=\"Rollout-User-Interface-Controls-3/popupMenu.html\">popUpMenu</a> (not displayed)<br> <a href=\"Rollout-User-Interface-Controls-3/Timer-UI-Control.html\">timer</a> (does not display in rollouts)</td>\n\
</tr>\n\
</tbody></table>\n\
<p>The following script was used to create the rollout used as image map above:</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE SCRIPT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   try(destroyDialog allControls )catch()\n\
   rollout subRollout1 &quot;Subrollout&quot; ( )\n\
   rollout allControls &quot;User Interface Controls&quot; (\n\
   angle theAngle &quot;Angle&quot; width:80 across:2 degrees:45 align:#left\n\
   slider theSlider &quot;Slider:&quot; orient:#vertical\n\
   spinner theSpinner &quot;Spinner:&quot;\n\
   group &quot;Group&quot; (\n\
   button theButton &quot;Button&quot; across:2 width:80 align:#left\n\
   checkbutton theCheckbutton &quot;Checkbutton&quot; width:80 align:#right\n\
   mapbutton theMapButton &quot;Map Button&quot; width:80 across:2 align:#left\n\
   materialbutton theMatButton &quot;Material Button&quot; width:80 align:#right\n\
   pickbutton thePickbutton &quot;Pickbutton:&quot; width:80)\n\
   checkbox theCheckbox &quot;Checkbox&quot; across:2 offset:[0,2]\n\
   colorpicker theColorpicker &quot;Colorpicker:&quot;\n\
   listbox theListbox &quot;Listbox:&quot; items:#(&quot;Item 1&quot;,&quot;Item 2&quot;)\\\n\
   height:3 width:80 across:2\n\
   multilistbox theMLBox &quot;Multilistbox:&quot; items:#(&quot;Item 1&quot;,&quot;Item 2&quot;)\\\n\
   height:3 width:80\n\
   dropdownlist theDDL &quot;DropDownList:&quot; items:#(&quot;Item 1&quot;,&quot;Item 2&quot;)\\\n\
   width:80 across:2\n\
   combobox theCombobox &quot;Combobox:&quot; items:#(&quot;Item 1&quot;,&quot;Item 2&quot;)\\\n\
   height:3 width:80\n\
   edittext theEdittext &quot;Edittext:&quot;\n\
   hyperlink theHyperlink &quot;Hyperlink&quot; url:&quot;http://www.autodesk.com&quot;\\\n\
   color:red across:2 offset:[10,20]\n\
   label theLabel &quot;Label&quot; offset:[0,20]\n\
   groupBox theGroupbox &quot;Groupbox:&quot; height:40 offset:[0,-40] width:174\n\
   progressbar theProgressbar &quot;Progressbar:&quot; value:50\n\
   radiobuttons theRadiobuttons labels:#(&quot;Option 1&quot;,&quot;Option 2&quot;)\n\
   bitmap theBitmap &quot;Bitmap&quot; width:80 height:50 offset:[0,0]\\\n\
   bitmap:(bitmap 80 50 color:red) align:#left across:2\n\
   imgTag theImgTag &quot;Bitmap&quot; width:80 height:50 offset:[0,0]\\\n\
   bitmap:(bitmap 80 50 color:green) align:#right\n\
   SubRollout theSubrollout &quot;Subrollout&quot; height:50\n\
   curvecontrol theCurvecontrol &quot;Curvecontrol:&quot; height:150\n\
   )\n\
   createDialog allControls 200 800\n\
   AddSubRollout allControls.theSubrollout subRollout1\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>Pages in this section</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Rollout-User-Interface-Controls-3/Angle-UI-element.html\">Angle UI element</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Rollout-User-Interface-Controls-3/Bitmap-UI-Control.html\">Bitmap UI Control</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Rollout-User-Interface-Controls-3/Button-UI-Control.html\">Button UI Control</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Rollout-User-Interface-Controls-3/Checkbox-UI-Control.html\">Checkbox UI Control</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Rollout-User-Interface-Controls-3/Checkbutton-UI-Control.html\">Checkbutton UI Control</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Rollout-User-Interface-Controls-3/Colorpicker-UI-Control.html\">Colorpicker UI Control</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Rollout-User-Interface-Controls-3/Combobox-UI-Control.html\">Combobox UI Control</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Rollout-User-Interface-Controls-3/Curve-Control.html\">Curve Control</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Rollout-User-Interface-Controls-3/Dropdownlist-UI-Control.html\">Dropdownlist UI Control</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Rollout-User-Interface-Controls-3/Edittext-UI-Control.html\">Edittext UI Control</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Rollout-User-Interface-Controls-3/GroupBox-UI-Control.html\">GroupBox UI Control</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Rollout-User-Interface-Controls-3/hyperlink.html\">hyperlink</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Rollout-User-Interface-Controls-3/imgTag.html\">imgTag</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Rollout-User-Interface-Controls-3/Label-UI-Control.html\">Label UI Control</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Rollout-User-Interface-Controls-3/Listbox-UI-Control.html\">Listbox UI Control</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Rollout-User-Interface-Controls-3/Mapbutton-UI-Control.html\">Mapbutton UI Control</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Rollout-User-Interface-Controls-3/Materialbutton-UI-Control.html\">Materialbutton UI Control</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Rollout-User-Interface-Controls-3/multilistbox.html\">multilistbox</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Rollout-User-Interface-Controls-3/Pickbutton-UI-Control.html\">Pickbutton UI Control</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Rollout-User-Interface-Controls-3/popupMenu.html\">popupMenu</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Rollout-User-Interface-Controls-3/ProgressBar-UI-Control.html\">ProgressBar UI Control</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Rollout-User-Interface-Controls-3/Radiobuttons-UI-Controls.html\">Radiobuttons UI Controls</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Rollout-User-Interface-Controls-3/Slider-UI-Control.html\">Slider UI Control</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Rollout-User-Interface-Controls-3/Spinner-UI-Control.html\">Spinner UI Control</a></strong></li>\n\
          <li class=\"link ulchildlink\"><strong><a href=\"Rollout-User-Interface-Controls-3/Timer-UI-Control.html\">Timer UI Control</a></strong></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Rollout-User-Interface-Controls.html\">Rollout User-Interface Controls</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Rollout-User-Interface-Controls-1.html\">Rollout User-Interface Controls Common Properties</a></li>\n\
          <li><a class=\"link\" href=\"Rollout-User-Interface-Controls-2.html\">Rollout User-Interface Controls Common Layout Parameters</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";