var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-E5D783F1-9108-4436-921C-D72BF7035866\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Accessing AssetManager, AssetUser and Asset Metadata in MAX Files</h1></div><p>In releases prior to <strong>3ds Max 2010</strong>, a plug-in that referenced an external file (an asset) would hold the asset’s filename as a string or as a Path object, and would store the filename to the <strong>3ds Max</strong> scene file as a string or an IParameterBlock2 TYPE_FILENAME parameter. To allow <strong>3ds Max</strong> to identify the assets used by a plug-in, the plug-in would implement an IAssetAccessor-derived class. The information provided from this class was primarily used by the Asset Tracker.</p>\n\
<p>Since <strong>3ds Max 2010</strong>, assets are handled as instances of class <strong>AssetUser</strong>. An instance of this class contains information on the asset filename, its type, and the <strong>3ds Max</strong> scene file that depends on it (this is used for resolving external references). Access to, and lifetime management of assets is handled by the <strong>Asset Manager</strong>.</p>\n\
<p>Loading and saving the Asset to the <strong>3ds Max</strong> scene file is now done through the <a href=\"IObject-AssetUser.html\">AssetUser</a> and the <strong>AssetManager</strong>.</p>\n\
<h3 id=\"the-following-topics-cover-the-interfaces-objects-and-methods-related-to-asset-management-available-in-maxscript-\">The following topics cover the Interfaces, Objects and Methods related to Asset Management available in MAXScript:</h3><p>When saving a <strong>3ds Max</strong> scene, the asset data is saved by the Asset Manager to a <strong>separate stream</strong> in the <strong>3ds Max</strong> file. This gives the capability to <strong>external programs to access the asset data</strong> in order to identify the assets used by the scene and potentially <strong>modify the asset data</strong> without loading the scene file into <strong>3ds Max</strong>.</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-AssetManager.html\">Interface: AssetManager</a></p>\n\
<p><a href=\"IObject-AssetUser.html\">IObject:AssetUser</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/E-F-G-H/Interface-FileResolutionManager.html\">Interface: FileResolutionManager</a></p>\n\
<p><a href=\"./../3ds-Max-Scene-Files-Access/MAX-File-Asset-Metadata-Stream.html\">MAX File Asset Metadata Stream Access</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Asset-Management.html\">Asset Management</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";