var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-64092730-2116-49B8-9354-F0FF6C0DF636\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Shortcut system replaced</h1></div><p>The &quot;<strong>shortcuts</strong>&quot; feature found in versions prior <strong>3ds Max 4</strong> has been removed. In it&apos;s place you can use macro-recording of actions.</p>\n\
<p>To determine how to invoke an action from MAXScript, you should go to the UI customization dialog and put that action on a button, menu or keyboard shortcut. Then turn on macro recording and execute the action.</p>\n\
<p>The code that is emitted can be cut and pasted in to your script.</p>\n\
<p>If you turn on macro recording and start using the menu, quad menu or toolbar, you&apos;ll see code emitted that looks like this</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   actionMan.executeAction 0 &quot;59225&quot; -- Manipulate Mode</code></pre></blockquote>\n\
<p>This is code that will execute the same action as pressing the &quot;Manipulate Mode&quot; button. The comment is also generated, and it uses the action&apos;s tool tip. The parameters of &quot;actionMan.executeAction&quot; are the integer ActionTableId of the table the action comes from, and the &quot;persistent id&quot; if the action. Actions exported from core all have persistent ids that are fixed integers as a string.</p>\n\
<p>Actions are accessible, all that you need to know are the ActionTableId and the persistent ID in order to invoke the operation.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Certain actions emit much better code. If an action is exported using a function published action table, then the code it emits calls that function. For example, if you bring up the &quot;Plug-in Manager&quot; from the customize menu, the code emitted is:</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Action-Manager-and-Shortcut.html\">Action Manager and Shortcut System</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Action-Manager.html\">Action Manager</a></li>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-actionMan.html\">Interface: actionMan</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";