var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-8DF57F3D-8F38-4575-969E-736511A5372D\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Color Picker Dialog</h1></div><p>The following method can be used to create a color picker dialog without using a colorPicker rollout control.</p>\n\
<p>This method is available in <strong>3ds Max 2008</strong> and higher. It was previously available in the <a href=\"./../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard Extensions</a>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">colorPickerDlg &lt;init_color&gt; &lt;title_string&gt; alpha:&lt;boolean&gt; pos:&lt;&amp;Point2&gt; applyUIScaling:&lt;true&gt;</code></pre><p>Displays a modal color picker.</p>\n\
<p><code>init_color</code> is the initial color</p>\n\
<p><code>title_string</code> is displayed in the title bar of the color picker.</p>\n\
<p>If <code>alpha:</code> is true, the color picker supports alpha.</p>\n\
<p><code>pos:</code> specifies the position of the dialog.</p>\n\
<p>If <code>pos:</code> is specified as a by-reference variable, the position of the dialog when closed is written back to the specified variable.</p>\n\
<p>If <code>pos:</code> is not specified, the dialog is displayed at its last position.</p>\n\
<p>If <code>pos:</code> is [-1,-1], the dialog is displayed centered on the 3ds Max window.</p>\n\
<p>If the color picker is closed other than via pressing OK, a value of &apos;undefined&apos; is returned.</p>\n\
<p><code>applyUIScaling</code> indicates whether to apply UI scaling on high-DPI displays.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE USAGE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   colorPickerDlg (color 100 200 300) &quot;Pick A Better Color:&quot; alpha:true pos:[100,100]\n\
</code></pre><p>   <strong>RESULT:</strong></p>\n\
<p>   <img src=\"./images/GUID-24867CBA-D975-4F0E-944C-7BFCC354951A-low.gif\" alt></p>\n\
</blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Interacting-with-the-3ds-Max.html\">Interacting with the 3ds Max User Interface</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Colorpicker-UI-Control.html\">Colorpicker UI Control</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";