var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-4F292A16-0DED-46B2-A074-D814ED1BAB2A\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>3ds Max Scanline A-Buffer Renderer Anti-Aliasing Filters</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">scanlineRender.antiAliasFilter</code></pre><p>Lets you get and set the anti-aliasing filter.</p>\n\
<p>For a list of all of the anti-aliasing filters you can say:</p>\n\
<blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   showClass &quot;*:filter*&quot;\n\
</code></pre></blockquote>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   scanlineRender.antiAliasFilter = quadratic()\n\
</code></pre></blockquote>\n\
<p><strong>Constructors and Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Area: \n\
Area()</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Blackman: \n\
Blackman()</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Blendfilter: \n\
Blendfilter ...\n\
&lt;Blendfilter&gt;.BlendFloat default: 0.3</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Catmull_Rom:\n\
Catmull_Rom()</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Cook_Variable:\n\
Cook_Variable()</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Cubic: \n\
Cubic()</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Mitchell_Netravali:\n\
Mitchell_Netravali ...\n\
&lt;Mitchell_Netravali&gt;.BlurFloat default: 0.3333\n\
&lt;Mitchell_Netravali&gt;.RingingFloat default: 0.3333</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Plate_Match_MAX_R2: (3ds Max only)\n\
Plate_Match_MAX_R2()</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Plate_Match_VIZ_R2: (Autodesk VIZ only) \n\
Plate_Match_VIZ_R2()</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Quadratic:\n\
Quadratic()</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Sharp_Quadratic: \n\
Sharp_Quadratic()</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Soften: \n\
Soften()</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Video:\n\
Video()</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Render-Scene-Dialog.html\">Render Scene Dialog</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/RendererClass/Default_Scanline_Renderer.html\">Default_Scanline_Renderer : RendererClass</a></li>\n\
          <li><a class=\"link\" href=\"Render-Setup-Dialog.html\">Render Setup Dialog</a></li>\n\
          <li><a class=\"link\" href=\"renderscenedialog.html\">renderscenedialog</a></li>\n\
          <li><a class=\"link\" href=\"Controlling-the-Renderer.html\">Controlling the Renderer</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";