var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-12B3ED06-A78F-4D92-8127-BB94F00AC841\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>renderscenedialog</h1></div><p>The <strong>renderSceneDialog</strong> structure provides a set of functions for controlling the Render Scene Dialog window.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">renderSceneDialog.cancel()</code></pre><p>Closes Render Scene Dialog if open. Changes made in the dialog are rejected. No arguments.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The render dialog provides only limited support for canceling (the <strong>Cancel</strong> button was removed when the tabbed dialogs were introduced in <strong>3ds Max 6</strong>). It will <strong>only</strong> cancel the uncommitted changes in the <strong>Common</strong> and <strong>Renderer</strong> tabs.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">renderSceneDialog.close()</code></pre><p>Closes Render Scene Dialog if open. Changes made in the dialog are accepted. No arguments.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">renderSceneDialog.commit()</code></pre><p>If Render Scene dialog is open, the dialog remains open, but changes made in the dialog are accepted. No arguments.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">renderSceneDialog.isOpen()</code></pre><p>Returns <code>true</code> if the Render Scene dialog is open, <code>false</code> is closed. No arguments.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">renderSceneDialog.open()</code></pre><p>Opens Render Scene Dialog if not already open. No arguments.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">renderSceneDialog.update()</code></pre><p>If Render Scene dialog is open, it is updated to show the changes made to it. No arguments.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Render-Scene-Dialog.html\">Render Scene Dialog</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Render-Setup-Dialog.html\">Render Setup Dialog</a></li>\n\
          <li><a class=\"link\" href=\"../Environment-And-Effects-Dialog/envEffectsDialog-Open-and-Close.html\">envEffectsDialog - Open and Close the Environment and Effects dialog</a></li>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/RendererClass/Default_Scanline_Renderer.html\">Default_Scanline_Renderer : RendererClass</a></li>\n\
          <li><a class=\"link\" href=\"3ds-Max-Scanline-A-Buffer.html\">3ds Max Scanline A-Buffer Renderer Anti-Aliasing Filters</a></li>\n\
          <li><a class=\"link\" href=\"Controlling-the-Renderer.html\">Controlling the Renderer</a></li>\n\
          <li><a class=\"link\" href=\"../Tabbed-Dialogs/TabbedDialogs-Controlling-Tabbed.html\">TabbedDialogs - Controlling Tabbed Dialogs</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";