var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-2C42EF48-5949-4EC9-A067-EBE1267CCBFD\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Status Bar Buttons</h1></div><p>The following methods are associated with the buttons in <strong>3ds Max</strong>&#x2019;s Status Bar:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getCrossing()</code></pre><p>Returns whether Crossing Selection ( <code>true</code> ) or Window Selection ( <code>false</code> ) is set.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getPluginKeysEnabled()setPluginKeysEnabled &lt;boolean&gt;</code></pre><p>Get and set whether Plug-in Keyboard Shortcuts are enabled ( <code>true</code> ) or disabled ( <code>false</code> ).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getSnapState()</code></pre><p>Returns the Snap toggle state - on ( <code>true</code> ) or off ( <code>false</code> ).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getSnapMode()</code></pre><p>Returns the current snap type as a string - &quot;ABSOLUTE&quot; or &quot;RELATIVE&quot;.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">isSelectionFrozen()</code></pre><p>Returns true if the node selection is frozen, false if not frozen</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">freezeSelection()      </code></pre><p>Freezes the node selection</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">thawSelection()   </code></pre><p>Thaws the node selection.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Status-Bar.html\">Status Bar</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Status-Bar-1.html\">Status Bar</a></li>\n\
          <li><a class=\"link\" href=\"Prompt-Line.html\">Prompt Line</a></li>\n\
          <li><a class=\"link\" href=\"Coordinate-Display.html\">Coordinate Display</a></li>\n\
          <li><a class=\"link\" href=\"Progress-Bar-Display.html\">Progress Bar Display</a></li>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-StatusPanel.html\">Interface: StatusPanel</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";