var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-0927CD3F-DC90-4054-993B-26A14CCA6592\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>What was New in MAXScript in 3ds Max 2015</h1></div><p>The following page will give you a quick overview of the MAXScript language changes and improvements in <strong>3ds Max 2015</strong>. For details on each feature, please follow the links to the respective documentation pages.</p>\n\
<h2 id=\"new-3ds-max-features-exposure\">New 3ds Max Features Exposure</h2><h3 id=\"new-geometry-classes\">New Geometry Classes</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> A new <a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Populate/Seat-GeometryClass.html\">Seat : GeometryClass</a> has been added to the Populate toolset.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> A new <a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Point-Cloud-Objects/PointCloud-GeometryClass.html\">PointCloud : GeometryClass</a> implements Point Cloud loading in <strong>3ds Max</strong>.</p>\n\
<h3 id=\"new-quad-chamfer-modifier-and-editable-poly-chamfer-options\">New Quad Chamfer Modifier And Editable Poly Chamfer Options</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> A new <a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Mesh-Editing/Chamfer-Modifier.html\">Chamfer : modifier</a> with optional Quad chamfer mode has been added.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> Several new properties have been added to the existing <a href=\"./../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Properties.html\"#edge-chamfer-extrude-values\">Editable_Poly</a> class to expose the Quad chamfer options: <code>.edgeChamferSmooth</code> , <code>.edgeChamferSmoothThreshold</code> , <code>.edgeChamferSmoothType</code> , <code>.edgeChamferType</code> , <code>.edgeChamferTension</code> and <code>.edgeChamferInvert</code> .</p>\n\
<h3 id=\"new-iray-render-elements\">New iRay Render Elements</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The new Custom_LPE : RenderElement can be used to output a custom Light Path Expression (LPE) from the iRay renderer.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The new Light__Area : RenderElement outputs the Area Lights LPE from the iRay renderer.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The new Light__Environment : RenderElement outputs the Environment Lights LPE from the iRay renderer.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The new Light__Point : RenderElement outputs the Point Lights LPE from the iRay renderer.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The new Mtl__Caustics : RenderElement can be used to output the Caustics LPE from the iRay renderer.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The new Mtl__Diffuse : RenderElement can be used to output the Diffuse LPE from the iRay renderer.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The new Mtl__Reflections : RenderElement can be used to output the Reflections LPE from the iRay renderer.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The new Mtl__Self_Illumination : RenderElement can be used to output the Self-Illumination LPE from the iRay renderer.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The new Mtl__Translucency : RenderElement can be used to output the Translucency LPE from the iRay renderer.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The new Mtl__Transparency : RenderElement can be used to output the Transparency LPE from the iRay renderer.</p>\n\
<h3 id=\"new-utilityplugin-classes\">New UtilityPlugin Classes</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> A new <a href=\"./../../3ds-Max-Objects-and-Interfaces/UtilityPlugin-Classes/PythonHost-UtilityPlugin.html\">PythonHost : UtilityPlugin</a> has been added, but it does not expose any UI controls, properties or methods. See the <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/P-Q/Interface-python.html\">python Core Interface</a> for actual properties and methods access.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/UtilityPlugin-Classes/Placement_Utility-UtilityPlugin.html\">Placement_Utility : UtilityPlugin</a> is for internal use only and exposes no properties, methods or UI controls. See the <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/P-Q/Interface-PlacementTool.html\">PlacementTool Core Interface</a> for actual properties and methods related to the new integrated Placement Tool.</p>\n\
<h3 id=\"new-core-interfaces\">New Core Interfaces</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-nodeSelectionSet.html\">nodeSelectionSet</a> Core Interface provides a system for creating node selection sets for display and render control purposes.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/P-Q/Interface-PlacementTool.html\">PlacementTool</a> Core Interface exposes the Placement Tool&#39;s controls and functionality to MAXScript. It allows the interactive or scripted placement of objects to the surface of scene geometry.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/P-Q/Interface-python.html\">Python</a> Core Interface exposes the Python engine&#39;s controls to MAXScript.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The new iray_string_options Core Interface exposes the iRay Renderer&#39;s additional string controls to MAXScript.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The new <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-MaterialPreviewSystem.html\">MaterialPreviewSystem</a> Core Interface is for internal use only.</p>\n\
<h3 id=\"new-functions-to-interact-with-the-3ds-max-user-interface\">New Functions To Interact With The 3ds Max User Interface</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> Added a new set of <a href=\"./../../MAXScript-Tools-and-Interaction/Miscellaneous-Functions/3ds-Max-Assert-Display-Functions.html\">3ds Max Assert display and log related functions</a> : <code>SetMaxAssertDisplay()</code> , <code>GetMaxAssertLogFileName()</code> and <code>SetMaxAssertLogFileName()</code> </p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> Added a new function to <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Active-Shade-Access.html\">access the Active Shade bitmap</a>: <code>GetActiveShadeBitmap()</code> .</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> Added a new function to <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Active-Shade-Access.html\">close the Active Shade window</a>: <code>CloseActiveShade()</code> .</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> Added a new set of <a href=\"./../../3ds-Max-Objects-and-Interfaces/Render-Elements/Render-Element-Functions.html\">Render Element related functions</a>: <code>ElementFileDialog()</code> , <code>ElementGetCustomGamma()</code> , <code>ElementSetCustomGamma()</code> , <code>ElementGetMetaData()</code> and <code>ElementSetMetaData()</code> </p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> Added a new set of <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Welcome-Screen-Functions.html\">Welcome Screen related functions</a>: <code>WelcomeScreenLastTabShown()</code> , <code>WelcomeScreenLaunchCount()</code> and <code>WelcomeScreenShowAtStartup()</code> </p>\n\
<h3 id=\"new-point-cloud-mental-ray-shaders\">New Point Cloud mental ray Shaders</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The new Autodesk_Point_Cloud_Generator : textureMap generates the Point Cloud in the mental ray renderer.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The new Autodesk_Point_Cloud_Material : material implements a Point Cloud material for the mental ray renderer.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The new Autodesk_Point_Cloud_Base_Shader : textureMap base shader is used to render the Point Cloud particles in mental ray.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The new Autodesk_Point_Cloud_Shader : textureMap implements a Point Cloud texture map for the mental ray renderer.</p>\n\
<h2 id=\"enhancements-to-existing-3ds-max-features\">Enhancements to Existing 3ds Max Features</h2><h3 id=\"cat-interface-and-properties-changes\">CAT Interface And Properties Changes</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> In the existing <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-ICATControlFPInterface.html\">ICATControlFPInterface</a>, the <code>PasteRig()</code> method now expects a <code>&lt;maxObject&gt;</code> instead of a <code>&lt;controller&gt;</code> as first argument.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> In the existing <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-17.html\">CATNodeControlFPInterface</a>, the <code>.Stretchy</code> property was replaced by two new properties for separate control during setup and animation.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> In the existing <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-17.html\">CATNodeControlFPInterface</a>, the property <code>.AnimModeInheritance</code> has been renamed to <code>.AnimationModeInheritance</code> .</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> In the existing <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-17.html\">CATNodeControlFPInterface</a>, the existing <code>AddArbBone()</code> and <code>CreateLayerMatrix3()</code> methods now accept an optional keyword <code>AsNewGroup:</code> .</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> In the existing <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-LayerRootFPInterface.html\">LayerRootFPInterface</a>, two new methods let you get and set the Layer color: <code>GetLayerColor()</code> and <code>SetLayerColor()</code> </p>\n\
<p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt=\"\"> Removed the property <code>.BoneID</code> from <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Transform-Controllers/TailTrans-Matrix3Controller.html\">TailTrans : Matrix3Controller</a></p>\n\
<h3 id=\"pop-interface-changes\">Pop Interface Changes</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> Several new properties have been added to the existing <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/P-Q/Interface-pop.html\">pop Interface</a>: <code>.TurnOpt</code> , <code>.SeatMaxTalkAngle</code> , <code>.SeatMaxTalkDist</code> , <code>.SeatMaxTalkAngle</code> </p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> Several new methods have been added to the existing <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/P-Q/Interface-pop.html\">pop Interface</a> to control idling, walking and sitting characters: <code>pop.NumStandingIdlers()</code> , <code>pop.NumPedestrians()</code> , <code>pop.GetStandingIdler()</code> , <code>pop.GetPedestrian()</code> , <code>pop.NumSeatedIdlers()</code> , <code>pop.GetSeatedIdler()</code> , <code>pop.AddSeat()</code> , <code>pop.SetSelectedSeatsGender()</code> .</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> Several new methods have been added to the existing <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/P-Q/Interface-pop.html\">pop Interface</a>: <code>pop.ResimulateSelected()</code> , <code>pop.RegenerateSelected()</code> , <code>pop.DisplayMarks()</code> , <code>pop.ShowAppearanceUI()</code> , <code>pop.SwapSelPeopleAppearance()</code> , <code>pop.DeleteSelPeople()</code> , <code>pop.SwitchSelPeoplePos()</code> , <code>pop.BakeSelPeople()</code> , <code>pop.SaveTextureMaps()</code> .</p>\n\
<p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt=\"\"> The options <code>#HighSkin</code> has been removed from the <code>.DisplayType</code> property of the <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/P-Q/Interface-pop.html\">pop Interface</a>.</p>\n\
<h3 id=\"particle-flow-changes\">Particle Flow Changes</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> Two new methods have been added to the existing <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/particleFlow-Global-Interface.html\">particleFlow</a> Global Interface: <code>setNodeEditorDisplayFlags()</code> and <code>forceRedrawParticleView()</code> </p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> A new property has been added to the existing <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Data-Operators/Test_Icon-Helper.html\">Test_Icon object</a>: <code>.Enable_By_Switch</code> .</p>\n\
<p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt=\"\"> The property <code>.Disable_By_Dependency</code> has been removed from the existing <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Data-Operators/Test_Icon-Helper.html\">Test_Icon object</a>.</p>\n\
<p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt=\"\"> The <code>Viewport_Render : Helper</code> class, which was exposed to MAXScript in previous versions but was for internally use only, has been removed.</p>\n\
<h3 id=\"retimerman-interface-changes\">RetimerMan Interface Changes</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The existing <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/R/Interface-RetimerMan.html\">RetimerMan</a> Interface&#39;s property <code>.numRetimers</code> has been changed from index to integer type.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> Several new methods have been added to the existing <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/R/Interface-RetimerMan.html\">RetimerMan</a> Interface: <code>IsGlobalRetimerActive()</code> , <code>ApplyGlobalRetimer()</code> , <code>RemoveGlobalRetimer()</code> , <code>GetActiveRetimerCtrl()</code> , <code>AddToRetimer()</code> , <code>SetUpRetimers()</code> , <code>RemoveRetimers()</code> , <code>BakeRetimers()</code> , <code>FindNodesDependentOnRetimer()</code> and <code>GetGlobalRetimerControl()</code> </p>\n\
<h3 id=\"layermanager-interface-changes\">LayerManager Interface Changes</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The new method <code>layerPropDialog()</code> in the existing <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/L/Interface-LayerManager.html\">LayerManager Interface</a> allows the opening of the Layer Properties dialogs of any number of layers.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> Several new methods have been added to the existing <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Other-Interfaces/Other-Interfaces-1/Interface-LayerProperties.html\">LayerProperties Mixin Interface</a>: <code>getParent()</code> , <code>setParent()</code> , <code>getChild()</code> and <code>getNumChildren()</code> to support nested layers.</p>\n\
<h3 id=\"nitrousgraphicsmanager-interface-changes\">NitrousGraphicsManager Interface Changes</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> Two new properties have been added to the existing <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-NitrousGraphicsManager.html\">NitrousGraphicsManager Interface</a>: <code>.HardwareHitTestEnabled</code> and <code>.AntialiasingQuality</code> </p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> Two new texture control methods have been added to the existing <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-NitrousGraphicsManager.html\">NitrousGraphicsManager Interface</a>: <code>SetProceduralTextureSizeLimit()</code> and <code>ForceDisableMipMapGeneration()</code> </p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> New view graph methods added to the existing <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-NitrousGraphicsManager.html\">NitrousGraphicsManager Interface</a>: <code>SaveViewGraph()</code> , <code>LoadViewGraph()</code> and <code>UnloadViewGraph()</code> </p>\n\
<h3 id=\"sceneexplorermanager-interface-changes\">SceneExplorerManager Interface Changes</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> Several new methods have been added to the existing <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SceneExplorerManager.html\">SceneExplorerManager Interface</a>: <code>GetExplorer()</code> , <code>CreateLayerManager()</code> , <code>GetActiveExplorer()</code> , <code>IsDefaultLayer()</code> and <code>SetActiveExplorer()</code> </p>\n\
<h3 id=\"skinops-struct-changes\">SkinOps Struct Changes</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> Two new methods - <code>skinOps.GetBoneIDByListID()</code> and <code>skinOps.GetListIDByBoneID()</code> - have been added to the existing <a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Animation-Modifiers/Skin-Modifier.htmlGUID-7EDE2440-CF5A-4123-A7E7-33FAD14BF535\">SkinOps Struct</a>.</p>\n\
<p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt=\"\"> The method <code>skinOps.GetBoneNameByListID()</code> has been removed from the <a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Animation-Modifiers/Skin-Modifier.htmlGUID-7EDE2440-CF5A-4123-A7E7-33FAD14BF535\">SkinOps Struct</a>.</p>\n\
<h3 id=\"mesh-editing-changes\">Mesh Editing Changes</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The existing <code>setNormal()</code> <a href=\"./../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Mesh-Vertex-Methods.html\">Mesh Vertex method</a> has been changed to set the normal to explicit in order to retain the custom data on mesh updates.</p>\n\
<h3 id=\"inode-interface-changes\">INode Interface Changes</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> A new property <code>.isSceneXRefNode</code> has been added to the existing <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Node-Interfaces/Node-Interfaces-Documentation/Interface-INode.html\">INode Interface</a>.</p>\n\
<h3 id=\"mscustattribdef-class-changes\">MSCustAttribDef Class Changes</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> A new <code>.version</code> property has been added to the MSPluginClass. <a href=\"./../../3ds-Max-Objects-and-Interfaces/Custom-Attributes/MSCustAttribDef-Class.html\">MSCustAttribDef</a> derives from it, effectively exposing the <code>.version</code> property of <a href=\"./../../3ds-Max-Objects-and-Interfaces/Custom-Attributes/Custom-Attributes-Definition.html\">Custom Attribute definitions</a>.</p>\n\
<h3 id=\"windows-struct-changes\">windows Struct Changes</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> A new method has been added to the existing <a href=\"./../../Interaction-With-The-Operating/Windows-Structure.html\">windows Struct</a>: <code>windows.snapshot()</code> to create a snapshot image of the specified window including the Windows Desktop, 3ds Max Main Window, Viewports or any other window by its HWND.</p>\n\
<h3 id=\"viewport-struct-changes\">viewport Struct Changes</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> A new method has been added to the existing <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Accessing-Active-Viewport-Info.html\">viewport Struct</a>: <code>viewport.getHWnd()</code> to acquire the windows handle of the viewport.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> Enhanced the existing <code>viewport.getViewportDIB()</code> method in the <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Accessing-Active-Viewport-Info.html\">viewport Struct</a> to allow for optional viewport index, viewPanel index, Alpha channel support and Gamma correction.</p>\n\
<h3 id=\"viewport-drawing-methods-gw-struct-changes\">Viewport Drawing Methods - gw Struct Changes</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> Enhanced the existing <code>gw.getViewportDIB()</code> method in the existing <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Viewport-Drawing-Methods.html\"#dib--device-independent-bitmap--methods\">gw Struct</a> to allow for optional Alpha channel support and Gamma correction.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> Improved the existing <code>gw.text()</code> , <code>gw.htext()</code> and <code>gw.wtext()</code> methods in the existing <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Viewport-Drawing-Methods.html\"#dib--device-independent-bitmap--methods\">gw Struct</a> to support multi-line text where new lines are introduced using the \\n escape sequence.</p>\n\
<h3 id=\"new-macroscript-event-handlers\">New MacroScript Event Handlers</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The new <code>on isIndeterminate do</code> handler can return True to display the <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\">MacroScript</a> menu item as a horizontal dash (representing an indeterminate checkmark) in Menus and QuadMenus.</p>\n\
<h3 id=\"new-pick-animatable-function\">New Pick Animatable Function</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The new <code>pickAnimatable()</code> function is <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Picking-Scene-Nodes/Picking-Scene-Nodes-By-Hit.html\"#picking-animatables\">similar to the existing</a> <code>pickObject()</code> function, but it lets you pick an Animatable from a 3D viewport, Explorer, Schematic View, or Track View.</p>\n\
<h3 id=\"new-bitmap-value-functions-and-enhancements\">New Bitmap Value Functions And Enhancements</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The new function <code>forceReloadBitmapFile()</code> lets you reload the file of a <a href=\"./../../MAXScript-Language-Reference/Values/Bitmap-Values/Bitmap-Values-1.html\">Bitmap Value</a>.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The new function <code>registerFileChangedFunction()</code> lets you register a callback to run a function when the bitmap file of a <a href=\"./../../MAXScript-Language-Reference/Values/Bitmap-Values/Bitmap-Values-1.html\">Bitmap Value</a> changes on disk.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> A new optional keyword argument <code>caption:</code> has been added to the existing <code>display()</code> function related to <a href=\"./../../MAXScript-Language-Reference/Values/Bitmap-Values/Bitmap-Values-1.html\">Bitmap Values</a>, allowing the display of a custom caption string in the VFB&#39;s title bar.</p>\n\
<h3 id=\"new-reftargcontainer-referencetarget\">New RefTargContainer ReferenceTarget</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> A new <a href=\"./../../3ds-Max-Objects-and-Interfaces/RefTargetMonitor/RefTargContainer-ReferenceTarget.html\">RefTargContainer : ReferenceTarget</a> has been added.</p>\n\
<h3 id=\"bsearch-enhancements\">bsearch Enhancements</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> A new <code>index:</code> by-reference optional keyword has been added to the existing <a href=\"./../../MAXScript-Language-Reference/Collections/Collection-Types/Array-Values.html\">bsearch() function</a> to access the index of the found item.</p>\n\
<h3 id=\"persistent-global-variables-enhancements\">Persistent Global Variables Enhancements</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> Added support for <code>IntegerPtr</code> saving and loading as <a href=\"./../../MAXScript-Language-Reference/Variables-Assignment-and-Scope/Persistent-Global-Variables.html\">persistent global variable</a> value. When saving to previous 3ds Max version, the <code>IntegerPtr</code> value will be stored as an <code>Integer64</code> . See also <strong>Documentation Fixes</strong> below.</p>\n\
<h3 id=\"ui-and-esc-key-handling\">UI And ESC Key Handling</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> Pressing the <strong>ESC</strong> key while editing the text in an <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Edittext-UI-Control.html\">editText control</a> will switch focus to the control&#39;s parent window.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> Pressing the <strong>ESC</strong> key while in a modal dialog created using <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Dialogs/CreateDialog.html\">createDialog()</a> will close the dialog if the <code>escapeEnable:</code> keyword argument is set to False. This was documented, but was not implemented in previous versions.</p>\n\
<h2 id=\"removed-features\">Removed Features</h2><h3 id=\"oldboolean\">OldBoolean</h3><p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt=\"\"> Removed the <code>OldBoolean : GeometryClass</code> class which was hidden and only used for loading ancient .MAX scene files saved in the mid-90s.</p>\n\
<h3 id=\"xml-material-export\">XML Material Export</h3><p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt=\"\"> Removed the <code>Material_XML_Exporter: UtilityPlugin</code> which was used to manually export a material to an XML format for use in Architectural Desktop 2004 with VIZrender.</p>\n\
<p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt=\"\"> Removed the <code>Interface: XMLMaterial</code> which was used to export a material to an XML format for use in Architectural Desktop 2004 with VIZrender using MAXScript.</p>\n\
<h2 id=\"documentation-fixes\">Documentation Fixes</h2><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The list of value types supported by <a href=\"./../../MAXScript-Language-Reference/Variables-Assignment-and-Scope/Persistent-Global-Variables.html\">persistent global variables</a> has been updated to include all new value types introduced since the original implementation of MAXScript, including Integer64, IntegerPtr, Double, Point4 etc. <img src=\"./images/GUID-C1734107-A6F0-428C-A1BF-0951D4C54B61-low.gif\" alt=\"\"> Also, the list is now sorted alphabetically for easier search at a glance.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> The function <code>getMaxFileVersionData()</code> was originally introduced in <strong>3ds Max 2013</strong>. It provides <a href=\"./../../MAXScript-Tools-and-Interaction/File-Access/3ds-Max-Scene-Files-Access/MAX-File-Version-Access.html\">access the .MAX scene file version</a> including the version of <strong>3ds Max</strong> that produced the file. The actual version information is available in files saved by <strong>3ds Max 2010 and higher</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../What-was-New-in-MAXScript-in.html\">What was New in MAXScript in Previous Versions</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";