var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-B804073E-F673-48F8-8D4C-B821E1579781\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Orientation_Constraint - superclass: RotationController</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Orientation_Constraint - superclass: RotationController; super-superclass:MAXWrapper - 2:0 - classID: #(8224, 0) </code></pre><p>An <strong>Orientation Constraint</strong> causes an object&apos;s orientation to follow the orientation of an object or averaged orientation of several objects.</p>\n\
<p>An Orientation Constrained object can be any type of object that inherits its rotation from a target object. Once constrained you can not rotate the object manually. You may move or scale the object as long as its not constrained in a manner that affects the object&apos;s position or scale controller.</p>\n\
<p>The target object can be any type of object. The rotation of a target object drives the constrained object. Targets can be animated using any of the standard translation, rotation, scale tools.</p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Orientation_Constraint...   </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Orientation_Constraint&gt;.relative Boolean default: false -- boolean </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Orientation_Constraint&gt;.local_world Integer default: 0 -- integer; LocalOrWorld </code></pre><p><strong>Orientation_Constraint interfaces:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:constraints </code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;getNumTargets () </code></pre><p>Returns the number of target nodes in the target list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;getNode &lt;index&gt;targetNumber </code></pre><p>Returns the indexed target node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;getWeight &lt;index&gt;targetNumber </code></pre><p>Returns the weight of the indexed target if the <code>targetNumber</code> is relevant, 0.0 otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;setWeight &lt;index&gt;targetNumber&lt;float&gt;weight </code></pre><p>Sets the weight of the indexed node specified by <code>targetNumber</code> . Returns <code>True</code> on success, <code>False</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;appendTarget &lt;node&gt;target&lt;float&gt;weight </code></pre><p>Appends the specified node to the list and sets its weight to the specified value. Returns <code>True</code> on success, <code>False</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;deleteTarget &lt;index&gt;targetNumber </code></pre><p>Deletes the indexed target. Returns <code>True</code> on success, <code>False</code> otherwise.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Constraints.html\">Constraints</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Link_Constraint-superclass.html\">Link_Constraint - superclass: Matrix3Controller</a></li>\n\
          <li><a class=\"link\" href=\"LookAt_Constraint-superclass.html\">LookAt_Constraint - superclass: RotationController</a></li>\n\
          <li><a class=\"link\" href=\"Path_Constraint-superclass.html\">Path_Constraint - superclass: PositionController</a></li>\n\
          <li><a class=\"link\" href=\"Position_Constraint-superclass.html\">Position_Constraint - superclass: PositionController</a></li>\n\
          <li><a class=\"link\" href=\"Controller-Functions-for-use.html\">Controller Functions for use with Constraint Assignments</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";