var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-B7C96DBB-D1D6-46CB-96E4-B4247FDD2303\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Float_XRef_Controller : FloatController</h1></div><p>Provides MAXScript access to the Controller used for exposing Float parameters of XRef objects. Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Class instances not creatable by MAXScript.</code></pre><p><strong>Aliases:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> Float_XRef_Controller FloatXRefCtrl </code></pre><h2 id=\"float_xref_controller-interfaces-\">Float_XRef_Controller interfaces:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: IXRefItem</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Float_XRef_Controller&gt;.srcFileName : filename : Read|Write</code></pre><p>Gets/sets the source file name of the XRef Controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Float_XRef_Controller&gt;.srcItemName : string : Read|Write</code></pre><p>Gets/sets the source item name of the XRef Controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Float_XRef_Controller&gt;.xrefRecord : Interface : Read</code></pre><p>Contains the record Interface of the XRef Controller. Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Float_XRef_Controller&gt;.unresolved : boolean : Read</code></pre><p>Contains True if the XRef is unresolved, False if it is resolved. Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Float_XRef_Controller&gt;.nested : boolean : Read</code></pre><p>Contains True if the XRef is nested, False if it is not nested. Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Float_XRef_Controller&gt;.retargetable : boolean : Read</code></pre><p>Contains True if the XRef is retargetable, False if it is not retargetable. Read-only.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;maxObject&gt;&lt;Float_XRef_Controller&gt;.GetSrcItem resolveNested:&lt;boolean&gt;\n\
resolveNested default value: false\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;Float_XRef_Controller&gt;.GetParentItems &lt;&amp;maxObject array&gt;parentItems\n\
parentItems is Out parameter\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;Float_XRef_Controller&gt;.GetRootItems &lt;&amp;maxObject array&gt;rootItems\n\
rootItems is Out parameter\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;Float_XRef_Controller&gt;.GetChildItems &lt;&amp;maxObject array&gt;childItems\n\
childItems is Out parameter\n\
</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Float_XRef_Controller&gt;.GetNodes &lt;&amp;node array&gt;xrefNodes\n\
xrefNodes is Out parameter\n\
</code></pre><p><strong>Actions:</strong></p>\n\
<p>No actions exposed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: IXRefCtrl</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Float_XRef_Controller&gt;.xrefCtrlStatus : enum : Read|Write\n\
xrefCtrlStatus enums: {#XRefed|#Local}\n\
</code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;control&gt;&lt;Float_XRef_Controller&gt;.GetSourceCtrl\n\
&lt;boolean&gt;resolveNestedXRef</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Float_XRef_Controller&gt;.ResetOffsetTM()</code></pre><p><strong>Actions:</strong></p>\n\
<p>No actions exposed.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Float-Controllers.html\">Float Controllers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";