var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-A03B6274-DD28-4699-95AA-5FF50FF73BC7\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Noise Controllers</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">noise_float : floatController \n\
noise_point3 : point3Controller\n\
noise_position : positionController\n\
noise_rotation : rotationController\n\
noise_scale : scaleController\n\
</code></pre><p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">noise_float ... noise_point3 ... noise_position ... noise_rotation ... noise_scale ...</code></pre><p><strong>Properties</strong></p>\n\
<p>Access to the following properties is available on all noise controllers:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;noise_controller&gt;.seed Integer default: 0\n\
&lt;noise_controller&gt;.frequency Float default: 0.5\n\
&lt;noise_controller&gt;.fractal Boolean default: true\n\
&lt;noise_controller&gt;.roughness Float default: 0.0\n\
&lt;noise_controller&gt;.rampin Time default: 0f\n\
&lt;noise_controller&gt;.rampout Time default: 0f</code></pre><p>In addition, for noise <strong>float</strong> controllers you can get these properties:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;noise_controller&gt;.noise_strength Float default: 5 -- animatable\n\
&lt;noise_controller&gt;.positive Boolean default: false</code></pre><p>Limits values to &gt; 0.</p>\n\
<p>For noise <strong>position</strong>, <strong>point3</strong>, <strong>rotation</strong>, and <strong>scale</strong> controllers:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;noise_controller&gt;.noise_strength Point3 default: varies -- animatable</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">position and point3 default: [50,50,50]\n\
rotation default: [0.785398,0.785398,0.785398]\n\
scale default: [0.5,0.5,0.5]</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;noise_controller&gt;.x_positive Boolean default: false\n\
&lt;noise_controller&gt;.y_positive Boolean default: false\n\
&lt;noise_controller&gt;.z_positive Boolean default: false</code></pre><p>Limits values to &gt; 0.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>You need to access these properties explicitly on a controller.</p>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE,</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   $box01.position.controller.x_strength = 100\n\
</code></pre><p>   or</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   c = $box01.rotation.controller\n\
   c.seed = random 0 100\n\
   c.fractal = off\n\
   c.frequency = random 0.1 0.2\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Controller-Types.html\">Controller Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Controller-Common-Properties/Controller-Common-Properties-1.html\">Controller Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";