var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-54C4402D-5856-40CB-8784-606A4BB16FAD\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Attachment : PositionController</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Attachment - superclass: PositionController; super-superclass:MAXWrapper - classID: #(-1155013103, -1490074649) </code></pre><p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">attachment ... </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;attachment&gt;.keys : MAXKeyArray </code></pre><p>Returns the keys of the controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;attachment&gt;.node : Node </code></pre><p>Get/set the node the controller is attaching to.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;attachment&gt;.align : Booleandefault: true </code></pre><p>Fixes the orientation of the attached object to the face where it&#x2019;s assigned.</p>\n\
<p>When this is turned off, the orientation of the attached object is not affected by the orientation of the face on the target object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;attachment&gt;.manupdate : Booleandefault: false </code></pre><p>Enables the update button.</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">AttachCtrl.getKey &lt;attachment&gt; &lt;index_integer&gt; </code></pre><p>Returns theindexed key as a <a href=\"./../Attachment-Controller-Keys.html\">MAXAKey value</a> (NOT MAXKey - see notes below).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">AttachCtrl.addNewKey &lt;attachment&gt; &lt;time&gt; </code></pre><p>Returns the indexed key as a <a href=\"./../Attachment-Controller-Keys.html\">MAXAKey value</a> (NOT MAXKey - see notes below)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">AttachCtrl.update &lt;attachment&gt; </code></pre><p>Causes the controller to update if the manual update property is turned on for the attachment controller.</p>\n\
<p>This method was previously broken but was fixed in <strong>3ds Max 8</strong>.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Accessing a key of an attachment controller by indexing into the.keysproperty will return a <code>MAXKey</code> value. The only properties available for a key accessed in this manner are the <code>.time</code> and <code>.selected</code> properties.</p>\n\
<p>Instead, you can use the <code>AttachCtrl.getKey()</code> method which returns a key of class <code>MAXAKey</code> . This class provides access to the attachment controller key specific properties. See <a href=\"./../Attachment-Controller-Keys.html\">Attachment Controller Keys</a> for details and examples.</p>\n\
<p>All the common key functions like <code>deleteKey</code> , <code>selectKeys</code> , <code>movekeys</code> , etc. can be used with Attachment controllers.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Position-Controllers.html\">Position Controllers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../MAXScript-Language-Reference/Collections/Collection-Types/MAXKeyArray-Values.html\">MAXKeyArray Values</a></li>\n\
          <li><a class=\"link\" href=\"../Attachment-Controller-Keys.html\">Attachment Controller Keys</a></li>\n\
          <li><a class=\"link\" href=\"../../Controller-Common-Properties/Controller-Common-Properties-1.html\">Controller Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";