var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-C27A05DF-A8F9-4B18-A5EC-16C6DCE994F9\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Weak References To Nodes in the Expression/Script Controller</h1></div><p><strong>NodeTransformMonitor</strong> is derived from <strong>ReferenceTarget</strong>, and holds a pointer to a <strong>RefTargMonitorRefMaker</strong>, which derives from <strong>ReferenceMaker</strong>.</p>\n\
<p><strong>RefTargMonitorRefMaker</strong> holds a reference to the node, and passes notification messages to the <strong>NodeTransformMonitor</strong> through a callback method. The <strong>NodeTransformMonitor</strong> just looks for REFMSG_CHANGE/PART_TM messages and passes those on to its dependents, unless a message is already being passed on. This prevents potential recursion. Since the <strong>NodeTransformMonitor</strong> doesn&apos;t hold the node as a reference, we don&apos;t have a circular reference hierachy. If object A has a <strong>NodeTransformMonitor</strong> that points at Node B, and object A is saved, Node B is also saved. Likewise on merge/xref object, loading object A will cause Node B to be loaded. Also, using <strong>NodeTransformMonitor</strong> the base object of a node can point at its owning node to get its TM changed messages.</p>\n\
<p>Expression controller variables that point at nodes use the <strong>NodeTransformMonitor</strong> class to hold the reference to the node.</p>\n\
<h2 id=\"nodetransformmonitor-referencetarget\">NodeTransformMonitor : ReferenceTarget</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">NodeTransformMonitor - superclass: ReferenceTarget; super-superclass:MAXWrapper - 2:2 - classID: #(418912514, 419643346)</code></pre><h3 id=\"nodetransformmonitor-interfaces-\">NodeTransformMonitor interfaces:</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:INodeTransformMonitor</code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.node: node : Read|Write</code></pre><p>Get/set the node to monitor.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.forwardTransformChangeMsgs: boolean : Read|Write</code></pre><p>If true (default), node transform messages from the monitored node invalidate the dependents of the NodeTransformMonitor instance. If false, only deletion of the monitored node invalidates the dependents of the NodeTransformMonitor instance.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Script-Controllers.html\">Script Controllers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";