var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-499E83E8-E053-4F43-AEB6-A4F0C0C76061\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Editable_Poly Propogate Flags Method</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.propagateFlags &lt;Polypoly&gt; &lt;toSOLevel&gt; &lt;toFlag_int&gt;&lt;fromSOLevel&gt; &lt;fromFlag_int&gt; \\\n\
ampersand:&lt;boolean=false&gt; set:&lt;boolean=true&gt; undoable:&lt;boolean=true&gt;</code></pre><p>where <code>toSOLevel/fromSOLevel</code> = <code>{#object | #vertex | #edge | #face}</code></p>\n\
<p>Propagates component flags.</p>\n\
<p>For each <code>&lt;fromSOLevel&gt;</code> element that has flag <code>&lt;fromFlag_int&gt;</code> set, the <code>&lt;toSOLevel&gt;</code> elements that use or are used by the element have their internal flag variable bits set based on <code>&lt;toFlag_int&gt;</code>.</p>\n\
<p>Only the bits corresponding to the bits that are set in <code>&lt;toFlag_int&gt;</code> are affected.</p>\n\
<p>If <code>&lt;ampersand&gt;</code> is <code>false</code> , and <code>&lt;fromFlag_int&gt;</code> has more than one bit set, the <code>&lt;fromSOLevel&gt;</code> elements are tested to see whether they have any of the corresponding bits set. If <code>true</code> , the <code>&lt;fromSOLevel&gt;</code> component elements are tested to see whether they have all the corresponding bits set.</p>\n\
<p>If <code>&lt;set&gt;</code> is <code>true</code> , the <code>&lt;toSOLevel&gt;</code> elements have flags <code>&lt;toFlag_int&gt;</code> set. If <code>false</code> , these flags are cleared.</p>\n\
<p>If <code>&lt;undoable&gt;</code> is <code>true</code> , the operation in undoable, otherwise it is not.</p>\n\
<p>If bits 1 or 2 of <code>&lt;toFlag_int&gt;</code> are set (selected and dead flag bits), this operation is always undoable.</p>\n\
<p>Returns the number of <code>&lt;fromSOLevel&gt;</code> elements that tested positive for the <code>&lt;fromFlag_int&gt;</code> flags.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Editable_Poly-Methods.html\">Editable_Poly Methods</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";