var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-4250B9AB-3ECE-444D-B9DA-0B0D3D2FAC37\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Editable_Poly Slice Plane Methods</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.resetSlicePlane &lt;Poly poly&gt;</code></pre><p>Resets the slice plane.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.getSlicePlane &lt;Poly poly&gt; \\\n\
size:&lt;&amp;size_float_var&gt; node:&lt;node=unsupplied&gt;</code></pre><p>Returns the location and direction of the slice plane as a Ray value.</p>\n\
<p>If <code>&lt;size&gt;</code> is specified, the size of the slice plane is returned in the referenced variable.</p>\n\
<p>If <code>&lt;poly&gt;</code> is a node, or if <code>&lt;poly&gt;</code> is an Editable Poly and <code>&lt;node&gt;</code> is specified, the ray returned is in the current coordinate system context.</p>\n\
<p>If <code>&lt;poly&gt;</code> is an Editable Poly and <code>&lt;node&gt;</code> is not specified, the return value is in the poly&apos;s local coordinate system.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.setSlicePlane &lt;Poly poly&gt; &lt;ray plane_and_dir&gt; &lt;float size&gt; \\\n\
node:&lt;node=unsupplied&gt;</code></pre><p>Sets the slice plane to the location and direction as specified by <code>&lt;plane_and_dir&gt;</code>, and the size as specified by <code>&lt;size&gt;</code>.</p>\n\
<p>If <code>&lt;poly&gt;</code> is a node, or if <code>&lt;poly&gt;</code> is an Editable Poly and <code>&lt;node&gt;</code> is specified, the ray is in the current coordinate system context.</p>\n\
<p>If <code>&lt;poly&gt;</code> is an Editable Poly and <code>&lt;node&gt;</code> is not specified, the ray is in the poly&apos;s local coordinate system.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.slice &lt;Poly poly&gt; &lt;facelist&gt; &lt;ray plane_and_dir&gt; \\\n\
node:&lt;node=unsupplied&gt;</code></pre><p>Slices the poly based on the plane and direction as specified by <code>&lt;plane_and_dir&gt;</code>.</p>\n\
<p>If <code>&lt;poly&gt;</code> is a node, or if <code>&lt;poly&gt;</code> is an Editable Poly and <code>&lt;node&gt;</code> is specified, the ray is in the current coordinate system context.</p>\n\
<p>If <code>&lt;poly&gt;</code> is an Editable Poly and <code>&lt;node&gt;</code> is not specified, the ray is in the poly&apos;s local coordinate system.</p>\n\
<p>Uses the split property of the editable poly. Returns <code>true</code> if the slice is successful.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">polyop.inSlicePlaneMode &lt;Poly poly&gt;</code></pre><p>Returns <code>true</code> if the editable poly is in the slice mode, <code>false</code> otherwise.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Editable_Poly-Methods.html\">Editable_Poly Methods</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";