var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-826ACA09-BCED-4844-B701-03120110E32F\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: Grip</h1></div><p><img src=\"./images/GUID-EFE761AF-E6B5-49CF-B898-4AEA200B80D4-low.gif\" alt></p>\n\
<p>This <strong>Core Interface</strong> introduced in <strong>3ds Max 2011</strong> exposes methods to control the display of the Caddy (a.k.a. Grip) manipulators.</p>\n\
<p>See also <a href=\"Interface-EPolyManipGrip.html\">Interface: EPolyManipGrip</a></p>\n\
<p><strong>Interface: Grip</strong></p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Grip.Show : boolean : Read|Write      </code></pre><p>Get/set the visibility of the Caddy manipulator.</p>\n\
<p>Default is true.</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th><code>Grip.Show = True</code></th>\n\
<th><code>Grip.Show = False</code></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><img src=\"./images/GUID-5D3E34BC-1DD5-4808-8887-54AB445BB2C3-low.gif\" alt></td>\n\
<td><img src=\"./images/GUID-A35B99F9-9412-491F-9D7E-A0CA86E6487D-low.gif\" alt></td>\n\
</tr>\n\
</tbody></table>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Grip.CenterOnSelected : boolean : Read|Write   </code></pre><p>Get/set whether to center the Caddy manipulator at the selection (true) or place it relative to the upper left corner of the current viewport (false).</p>\n\
<p>Default was <strong><code>true</code> in **3ds Max 2011</strong>, changed to <code>false</code>** in <strong>3ds Max 2012</strong>.</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th><code>Grip.CenterOnSelected = True</code></th>\n\
<th><code>Grip.CenterOnSelected = False</code></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><img src=\"./images/GUID-5D3E34BC-1DD5-4808-8887-54AB445BB2C3-low.gif\" alt></td>\n\
<td><img src=\"./images/GUID-28C9862B-8FEC-4990-88E3-EC7AF5BFB5AD-low.gif\" alt></td>\n\
</tr>\n\
</tbody></table>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Grip.SelectedXOffset : integer : Read|Write </code></pre><p>Get/set the Horizontal Offset of the Caddy manipulator relatively to the current selection.</p>\n\
<p>Default was 0 in <strong>3ds Max 2011</strong>, changed to 80 in <strong>3ds Max 2012</strong>.</p>\n\
<p>Used when <code>.CenterOnSelection</code> is set to true.</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th><code>Grip.SelectedXOffset = 0</code></th>\n\
<th><code>Grip.SelectedXOffset = 50</code></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><img src=\"./images/GUID-5D3E34BC-1DD5-4808-8887-54AB445BB2C3-low.gif\" alt></td>\n\
<td><img src=\"./images/GUID-228F7EFE-A3BA-4646-9736-D98E9852E76A-low.gif\" alt></td>\n\
</tr>\n\
</tbody></table>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Grip.SelectedYOffset : integer : Read|Write </code></pre><p>Get/set the Vertical Offset of the Caddy manipulator relatively to the current selection.</p>\n\
<p>Default was 0 in <strong>3ds Max 2011</strong>, changed to -35 in <strong>3ds Max 2012</strong>.</p>\n\
<p>Used when <code>.CenterOnSelection</code> is set to true.</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th><code>Grip.SelectedXOffset = 0``Grip.SelectedYOffset = 0</code></th>\n\
<th><code>Grip.SelectedXOffset = 50``Grip.SelectedYOffset = 50</code></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><img src=\"./images/GUID-5D3E34BC-1DD5-4808-8887-54AB445BB2C3-low.gif\" alt></td>\n\
<td><img src=\"./images/GUID-0188AEE6-BB76-4969-9B2E-B48473A9AF81-low.gif\" alt></td>\n\
</tr>\n\
</tbody></table>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Grip.CenterXPos : float : Read|Write </code></pre><p>Get/set the Horizontal Position of the Caddy manipulator&apos;s center.</p>\n\
<p>Used when <code>.CenterOnSelection</code> is set to false.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Grip.CenterYPos : float : Read|Write </code></pre><p>Get/set the Vertical Position of the Caddy manipulator&apos;s center.</p>\n\
<p>Used when <code>.CenterOnSelection</code> is set to false.</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><code>Grip.CenterOnSelected = False</code><br> <code>Grip.CenterXPos = 0.5</code><br> <code>Grip.CenterYPos = 0.5</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><img src=\"./images/GUID-28C9862B-8FEC-4990-88E3-EC7AF5BFB5AD-low.gif\" alt></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>Grip.CenterOnSelected = False</code><br> <code>Grip.CenterXPos = 0.65</code><br> <code>Grip.CenterYPos = 0.4</code></td>\n\
<td><code>Grip.CenterOnSelected = False</code><br> <code>Grip.CenterXPos = 0.65</code><br> <code>Grip.CenterYPos = 0.4</code></td>\n\
</tr>\n\
<tr>\n\
<td><img src=\"./images/GUID-D2D33DEC-C5BD-4303-9512-B35E8F7927E2-low.gif\" alt></td>\n\
<td><img src=\"./images/GUID-95B649FD-2916-4D3B-9A3C-1BDC7D3656AC-low.gif\" alt></td>\n\
</tr>\n\
<tr>\n\
<td>As you can see from the above screenshots, the Caddy is offset relative to the viewport&apos;s upper left corner regardless of the location of the selected polygons being edited.This allows you place the Caddy&apos;s gizmo at a constant position in viewport space relative to the view&apos;s upper left corner to avoid &quot;hunting&quot; for the Caddy as selection changes.</td>\n\
<td></td>\n\
</tr>\n\
</tbody></table>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Grip.Transparency : float : Read|Write </code></pre><p>Get/set the Transparency of the Caddy Manipulator.</p>\n\
<p>Default was 0.25 in <strong>3ds Max 2011</strong>, changed to 0.4 in <strong>3ds Max 2012</strong>.</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th><code>Grip.Transparency = 0.25</code></th>\n\
<th><code>Grip.Transparency = 0.75</code></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><img src=\"./images/GUID-5D3E34BC-1DD5-4808-8887-54AB445BB2C3-low.gif\" alt></td>\n\
<td><img src=\"./images/GUID-1016E7DF-F148-4167-8870-1D96045B21F7-low.gif\" alt></td>\n\
</tr>\n\
</tbody></table>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Grip.HoverTransparency : float : Read|Write </code></pre><p>Get/set the Transparency of the Caddy Manipulator when the mouse hovers over it.</p>\n\
<p>Default is 0.1</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th><code>Grip.Transparency = 0.75``Grip.HoverTransparency = 0.1</code></th>\n\
<th><code>Grip.Transparency = 0.75``Grip.HoverTransparency = 0.5</code></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><img src=\"./images/GUID-8C6C49FD-ED6E-44B8-B042-E8366F96ECC8-low.gif\" alt></td>\n\
<td><img src=\"./images/GUID-505CE833-109F-4A20-BEE5-7E3783577EE9-low.gif\" alt></td>\n\
</tr>\n\
</tbody></table>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Grip.WidgetSpacing: float : Read|Write </code></pre><p>Get/set the Spacing of the Caddy Manipulator&apos;s Widgets.</p>\n\
<p>Default is 7.0</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th><code>Grip.WidgetSpacing = 0.0</code></th>\n\
<th><code>Grip.WidgetSpacing = 15.0</code></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><img src=\"./images/GUID-F70D920E-6524-4D89-993D-1CA3E42A8AFB-low.gif\" alt></td>\n\
<td><img src=\"./images/GUID-6CF99790-515E-4F16-B75E-BFD93116BC1F-low.gif\" alt></td>\n\
</tr>\n\
</tbody></table>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../E-F-G-H.html\">E,F,G,H</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Interface-EPolyManipGrip.html\">Interface: EPolyManipGrip</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";