var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-8E68F578-DF10-4FAA-9BDB-775181C2A501\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: msZip</h1></div><p>The <strong>msZip Core Interface</strong> provides methods to handle zip packages using MAXScript.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;msZip.fileInPackage &lt;filename&gt;fileName &lt;&amp;string&gt;extractDir      \n\
\n\
extractDir is In and Out parameter   </code></pre><p>This method will unload and run a zip package and return the extract_dir. Returns <code>true</code> if the zip package was run, otherwise <code>false</code> .</p>\n\
<p><code>&lt;filename&gt;fileName:</code> The file name of the ZIP script package.</p>\n\
<p><code>&lt;&amp;string&gt;extractDir:</code> The directory in which the files were extracted.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;msZip.unloadPackage &lt;filename&gt; fileName &lt;&amp;string&gt;extractDir &lt;&amp;string&gt;dropFile \n\
\n\
extractDir is In and Out parameter \n\
dropFile is In and Out parameter </code></pre><p>This method will unload the package while ignoring any drop or run commands and return the extract_dir and any primary drop file. If the primary dropFile is a *.ds, compile it in context of the package and return the MacroEntry in dropScript. Returns <code>true</code> if the package was unloaded, otherwise <code>false</code> .</p>\n\
<p><code>&lt;filename&gt;fileName:</code> The file name of the ZIP script package.</p>\n\
<p><code>&lt;&amp;string&gt;extractDir:</code> The directory in which the files were extracted.</p>\n\
<p><code>&lt;&amp;string&gt;dropFile:</code> The primary drop file.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../M.html\">M</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../C-D/Interface-dragAndDrop.html\">Interface: dragAndDrop</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Tools-and-Interaction/File-Access/Zip-file-Packaging-and-Drag-And/Zip-file-Script-Packages.html\">Zip-file Script Packages</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";