var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-1919792F-9F26-44D5-A61F-87E853774F4F\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: tmGizmos</h1></div><p>The tmGizmos Core Interface provides access to the properties of the Transform Gizmo introduced in <strong>3ds Max 5</strong>.</p>\n\
<h2 id=\"interface-tmgizmos\">Interface: tmGizmos</h2><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">tmGizmos.useGizmo : boolean : Read|Write      </code></pre><p>Check whether the gizmo is enabled / Enable the gizmo.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">tmGizmos.size : integer : Read|Write   </code></pre><p>Get/Set the size of the gizmo</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">tmGizmos.useLabels : boolean : Read|Write </code></pre><p>Get/Set the labels visibility.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">tmGizmos.planeOpacity : float : Read|Write </code></pre><p>Get/set the opacity value of the gizmo plane.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>This is an advanced property accessible only though MAXScript.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">tmGizmos.useCenterBox : boolean : Read|Write </code></pre><p>Check whether the center box is enabled / Enable the center box.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>This is an advanced property accessible only though MAXScript.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">tmGizmos.usePlanes : boolean : Read|Write </code></pre><p>Check whether planes are enabled / Enable the planes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">tmGizmos.movePlaneHandleSize : float : Read|Write </code></pre><p>Get/set the plane handles&#x2019; size</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">tmGizmos.movePlaneHandleOffset : float : Read|Write </code></pre><p>Get/set the plane handles&#x2019; offset</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">tmGizmos.centerBoxType : enum : Read|Write \n\
\n\
centerBoxType enums: {#screen|#activeGrid} </code></pre><p>Get/Set the type of the center box.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">tmGizmos.freeRotate : boolean : Read|Write </code></pre><p>Check whether free rotation mode is enabled / Enable free rotation mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">tmGizmos.screenHandle : boolean : Read|Write </code></pre><p>Check whether the screen handle is enabled / Enable the screen handle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">tmGizmos.uniformPlaneScaling : boolean : Read|Write </code></pre><p>Check whether the uniform plane scaling mode is enabled / Enable the uniform plane scaling mode.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">tmGizmos.uniformScaleHandleSize : float : Read|Write </code></pre><p>Get/Set the size of the uniform scale handle</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mGizmos.scalePlaneHandleSize : float : Read|Write </code></pre><p>Get/Set the size of the scale plane handle</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">tmGizmos.rotationMode : integer : Read|Write </code></pre><p>Get/Set the rotation gizmo&#x2019;s mode.</p>\n\
<p>0 - &quot;Linear Roll&quot; mode - move the mouse along the tangents</p>\n\
<p>1 - &quot;Circular crank&quot; mode - move the mouse around the center of the gizmo</p>\n\
<p>2 - &quot;Legacy R4&quot; mode - old-style rotation</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">tmGizmos.showMiniTripod : boolean : Read|Write </code></pre><p>Get/Set the visibility of the rotations gizmo&#x2019;s mini-tripod. When set to true, a tripod will be displayed as axis reference.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">tmGizmos.showPieSlice : boolean : Read|Write </code></pre><p>Get/Set the visibility of the rotations gizmo&#x2019;s pie-slice. When set to true, a pie-slice will be displayed as angle reference.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">tmGizmos.showAngleData : boolean : Read|Write </code></pre><p>Get/Set the visibility of the rotations gizmo&#x2019;s angle value display. When set to true, a Point3 value will be displayed as angle reference above the gizmo.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">tmGizmos.rotationPlanarThreshold : float : Read|Write </code></pre><p>Get/Set the rotation planar threshold value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">tmGizmos.dragX : float : Read|Write </code></pre><p>Get/Set the screen X coordinate of the rotation gizmo&#x2019;s mouse click&amp;drag position.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>This property has been exposed for internal use only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">tmGizmos.dragY : float : Read|Write </code></pre><p>Get/Set the screen Y coordinate of the rotation gizmo&#x2019;s mouse click&amp;drag position.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>This property has been exposed for internal use only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">tmGizmos.vecX : float : Read|Write </code></pre><p>Get/Set the X component of the rotation gizmo&#x2019;s drag vector.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>This property has been exposed for internal use only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">tmGizmos.vecY : float : Read|Write </code></pre><p>Get/Set the Y component of the rotation gizmo&#x2019;s drag vector.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>This property has been exposed for internal use only.</p>\n\
<p><strong>The following properties have been exposed to MAXScript in 3ds Max 5.1:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">tmGizmos.ShowMultipleTransformGizmos : boolean : Read|Write </code></pre><p>Toggle Multiple Transform Gizmos display on/off. When set to true and in Use Pivot Point Center mode, multiple gizmos, one per object, will be displayed. When set to false, only one gizmo for all objects will be displayed. Corresponds to the Allow multiple gizmos checkbox under Customize&gt;Preferences&gt;Gizmos&gt;Transform Gizmos.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">tmGizmos.moveGizmoRelativeSize : float : Read|Write </code></pre><p>Get/Set the Move gizmo&#x2019;s relative size</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">tmGizmos.rotateGizmoRelativeSize : float : Read|Write </code></pre><p>Get/Set the Rotate gizmo&#x2019;s relative size</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">tmGizmos.scaleGizmoRelativeSize : float : Read|Write </code></pre><p>Get/Set the Scale gizmo&#x2019;s relative size</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">tmGizmos.intersectMode : boolean : Read|Write </code></pre><p>Toggle Intersect Mode on/off. When set to <code>true</code> , Move and Rotate transformations will use Intersection mode. When set to <code>false</code> , Projection mode will be used. Corresponds to the radio buttons under Customize&gt;Preferences&gt;Gizmos&gt;Move/Rotate Transforms.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">tmGizmos.perpsectiveSensitivity : float : Read|Write </code></pre><p>Get/Set the Perspective Sensitivity value. Corresponds to the Pers.Sens. value under Customize&gt;Preferences&gt;Gizmos&gt;Move/Rotate Transforms</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">tmGizmos.rotationIncrement : float : Read|Write </code></pre><p>Get/Set the Rotation Increment value. Corresponds to the Rotation Increment value under Customize&gt;Preferences&gt;Gizmos&gt;Move/Rotate Transforms</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">tmGizmos.arcRotateSnapAngle : float : Read|Write </code></pre><p>Get/Set the Arc Rotate Snap Angle value. Corresponds to the Viewport Arc Rotate Snap Angle value under Customize&gt;Preferences&gt;Gizmos&gt;Move/Rotate Transforms</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../T.html\">T</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";