var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-FB5AC66F-2D4C-4AA3-BCCD-5EC5113BE664\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: UiCustomization</h1></div><p>This core interface allows you to display the HotKey Editor dialog, and convert keyboard shortcut files to the new .hsx format. Available in <strong>3ds Max 2020.1 Update and higher</strong>.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ShowHotkeyDialog()</code></pre><p>Displays the <strong>Hotkey Editor</strong> dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;ConvertLegacyHotkeys &lt;string&gt;legacyKbdxFilePath &lt;string&gt;convertedHsxFilePath</code></pre><p>Converts the legacy keyboard shortcut .kbdx file at <code>legacyKbdxFIlePath</code> to a .hsx file at the specified <code>convertedHsxFilePath</code>. Returns true if successful, false otherwise.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> This function will overwrite an existing file with the same name <strong>without warning</strong>. Use with care.</div>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   -- convert a legacy file\n\
   old_file = &quot;C:/my_kbdx/DefaultUI.kbdx&quot;\n\
   new_file = &quot;C:/my_kbdx/transform2.hsx&quot;\n\
\n\
   -- check if file exists, because it will be silently overwritten\n\
   if (getfiles new_file).count == 0 then (\n\
       format &quot;upgrading file % \\n&quot; old_file\n\
       success = UiCustomization.ConvertLegacyHotkeys old_file new_file\n\
       format &quot;success: %\\n&quot;  success\n\
   )\n\
   else ( \n\
     format &quot;file already exists: % \\n&quot; new_file\n\
   )</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../U-V-W-X-Y-Z.html\">U,V,W,X,Y,Z</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";