var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-9F119808-DA86-4698-B4E2-9AA6DF1407F1\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: UtilityPanel</h1></div><blockquote>\n\
<p>   <a href=\"./../../../Interfaces-1.html\">Interfaces</a> &gt;<a href=\"./../../Core-Interfaces-1.html\">Core Interfaces</a> &gt; UtilityPanel</p>\n\
</blockquote>\n\
<p>This Core Interface lets you open and close Utility Plug-ins in the Utilities Tab.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;UtilityPanel.OpenUtility &lt;class&gt;ClassName      </code></pre><p>Switches the control panel to the Utility Panel and opens the specified utility.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;UtilityPanel.CloseUtility()   </code></pre><p>Closes a modal (bound to panel) utility. Does not close modeless utilities.</p>\n\
<p>If the Utilities tab is currently not displayed in the Command panel, the utility will still be closed.</p>\n\
<p>Returns <code>true</code> if successful, <code>false</code> if not.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Open the MAXScript utility in the Utilities panel\n\
   UtilityPanel.OpenUtility MAXScript\n\
   True\n\
   --Close any utility currently open in the Utilities panel\n\
   UtilityPanel.CloseUtility()\n\
   OK\n\
</code></pre></blockquote>\n\
<p>To get an array of the installed utility classes, use <strong>utilityplugin.classes</strong></p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Print the available utility classes to the Listener\n\
   print utilityplugin.classes\n\
   Link_Inheritance__Selected\n\
   Instance_Duplicate_Maps\n\
   PhysX_Debug_Visualizer\n\
   PopRefUtil\n\
   MAXScript\n\
   Surface_Approximation\n\
   Substitute_Manager\n\
   Level_of_Detail\n\
   IFL_Manager\n\
   COM_DCOM_Server_Control\n\
   Particle_Flow_Utility\n\
   Fix_Ambient\n\
   Polygon_Counter\n\
   Camera_Tracker\n\
   MACUtilities\n\
   Visual_MAXScript\n\
   Strokes\n\
   Clone_and_Align_Tool\n\
   Flight_Studio\n\
   Follow_Bank\n\
   Channel_Info\n\
   SkinUtilities\n\
   PythonHost\n\
   Resource_Collector\n\
   Panorama_Exporter\n\
   Batch_ProOptimizer\n\
   RayFX\n\
   Object_Display_Culling\n\
   UVW_Remove\n\
   Camera_Match\n\
   Clean_MultiMaterial\n\
   Measure\n\
   HairMaxUtility\n\
   Assign_Vertex_Colors\n\
   MAX_File_Finder\n\
   Motion_Capture\n\
   ShineExp\n\
   Scene_Effect_LoaderUtilityPlugin\n\
   Scene_State_Manager\n\
   Shape_Check\n\
   BevelProfileUtilityInterface\n\
   Perspective_Match\n\
   GameExporter\n\
   Reset_XForm\n\
   Color_Clipboard\n\
   File_Link_Manager\n\
   Bitmap_Photometric_Paths\n\
   Batch_Render_Manager\n\
   Rescale_World_Units\n\
   collapse\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../U-V-W-X-Y-Z.html\">U,V,W,X,Y,Z</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";