var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-E761B52A-E3C5-416D-A1D3-9E7EE973ABBB\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: INodeLayerProperties</h1></div><p>This represents the interface to the node&#x2019;s Layer Properties. These properties correspond to UI controls found in different areas of the Object Properties dialog.</p>\n\
<p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.layer : Interface : Read      </code></pre><p>Returns a <a href=\"./../../Core-Interfaces/Core-Interfaces-Documentation/L/Interface-LayerManager.html\">LayerProperties</a><a href=\"./../../../../Frequently-Asked-Questions/MAXScript-Syntax-and-Terminology/What-is-a-Mixin-Interface-.html\">Mixin Interface</a> giving access to the object&#x2019;s layer properties.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.displayByLayer : boolean : Read|Write   </code></pre><p>Corresponds to the By Layer / By Object checkbutton in the Object Properties &gt; General tab &gt; Display Properties. When <code>true</code> , the layer&#x2019;s Display Properties settings will be used. When <code>false</code> , the object&#x2019;s Display Properties settings will be used instead.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.renderByLayer : boolean : Read|Write </code></pre><p>Corresponds to the By Layer / By Object checkbutton in the Object Properties &gt; General tab &gt; Rendering Control. When <code>true</code> , the layer&#x2019;s Rendering Controls settings will be used. When <code>false</code> , the object&#x2019;s Rendering Controls will be used instead.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.motionByLayer : boolean : Read|Write </code></pre><p>Corresponds to the By Layer / By Object checkbutton in the Object Properties &gt; General tab &gt; Motion Blur. When <code>true</code> , the layer&#x2019;s Motion Blur settings will be used. When <code>false</code> , the object&#x2019;s Motion Blur settings will be used instead.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.colorByLayer : boolean : Read|Write </code></pre><p>When <code>true</code> , the object will use the Layer&#x2019;s color. When <code>false</code> , the object&#x2019;s color will be used instead. This affects the Layer Color switch in the Layer Properties.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;.globalIlluminationByLayer : boolean : Read|Write </code></pre><p>Corresponds to the By Layer / By Object checkbutton in the Object Properties &gt; Adv. Lighting tab. This is identical to the <code>.GIByLayer</code> property exposed by the <a href=\"Interface-INodeGIProperties.html\">INodeGIProperties</a> Node Interface.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Node-Interfaces-Documentation.html\">Node Interfaces Documentation</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Core-Interfaces/Core-Interfaces-Documentation/L/Interface-LayerManager.html\">Interface: LayerManager</a></li>\n\
          <li><a class=\"link\" href=\"../Node-Interfaces-1.html\">Node Interfaces</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";