var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-4A79CA15-1146-4CB2-A520-FD55B4D7647D\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: PolyBoolean</h1></div><p><img src=\"./images/GUID-F41446C7-22E4-4CD6-BEB3-A5CCBAF02748-low.gif\" alt></p>\n\
<p>The <strong>PolyBoolean Interface</strong> is exposed by the ProBoolean class andprovides methods to create and manage ProBoolean Compound Objects.Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<p>To access the methods listed below, you can use</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ProBoolean.PolyBoolean.methodName()      </code></pre><p>or simply</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ProBoolean.methodName()   </code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;CreateBooleanObjects &lt;node&gt;boolnode &lt;&amp;node array&gt;nodes &lt;integer&gt;op &lt;integer&gt;addMethod &lt;integer&gt;matMethod \n\
\n\
nodes is In and Out parameter </code></pre><p>Creates a new ProBoolean object with two or more operands using the first argument as operand A and the array of nodes passed as second argument as multiple operands B.</p>\n\
<p>The third argument is an integer controlling the operation to be performed and corresponding to the radio button state in the UI. Possible values are:</p>\n\
<p>0 - <strong>Union</strong></p>\n\
<p>1 - <strong>Intersection</strong></p>\n\
<p>2 - <strong>Subtraction</strong></p>\n\
<p>3 - <strong>Merge</strong></p>\n\
<p>The fourth argument is an integer defining the method to add operands B, corresponding to the radio button state in the UI. Possible values are:</p>\n\
<p>0 - <strong>Reference</strong></p>\n\
<p>1 - <strong>Copy</strong></p>\n\
<p>2 - <strong>Move</strong></p>\n\
<p>3 - <strong>Instance</strong></p>\n\
<p>The fifth argument is an integer controlling the material mdethod and corresponding to the radio button state in the UI. Possible values are:</p>\n\
<p>0 - <strong>Apply Operand Method</strong></p>\n\
<p>1 - <strong>Retain Original Material</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;CreateBooleanObject &lt;node&gt;boolnode &lt;node&gt;node &lt;integer&gt;op &lt;integer&gt;addMethod &lt;integer&gt;matMethod </code></pre><p>Creates a new ProBoolean object with two operands using the first argument as operand A the second argument as operand B.</p>\n\
<p>The third argument is an integer controlling the operation to be performed and corresponding to the radio button state in the UI. Possible values are:</p>\n\
<p>0 - <strong>Union</strong></p>\n\
<p>1 - <strong>Intersection</strong></p>\n\
<p>2 - <strong>Subtraction</strong></p>\n\
<p>3 - <strong>Merge</strong></p>\n\
<p>The fourth argument is an integer defining the method to add operands B, corresponding to the radio button state in the UI. Possible values are:</p>\n\
<p>0 - <strong>Reference</strong></p>\n\
<p>1 - <strong>Copy</strong></p>\n\
<p>2 - <strong>Move</strong></p>\n\
<p>3 - <strong>Instance</strong></p>\n\
<p>The fifth argument is an integer controlling the material mdethod and corresponding to the radio button state in the UI. Possible values are:</p>\n\
<p>0 - <strong>Apply Operand Method</strong></p>\n\
<p>1 - <strong>Retain Original Material</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SetOperandA &lt;node&gt;boolnode </code></pre><p>Creates a new ProBoolean object with one operand using the argument as operand A. This method can be used to start the creation of a ProBoolean compound object and then switch settings and add operand B using the methods described below.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SetOperandB &lt;node&gt;boolnode &lt;node&gt;node &lt;integer&gt;addMethod &lt;integer&gt;matMethod </code></pre><p>Adds operand B to the ProBoolean compound object. This is equivalent to using the Start Picking button in the UI to add more operands.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;GetOperandSel &lt;node&gt;node &lt;integer&gt;sel </code></pre><p>Returns true if the indexed operand is selected in the UI, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SetOperandSel &lt;node&gt;node &lt;integer&gt;sel &lt;boolean&gt;flag </code></pre><p>Sets the selected state of the indexed operand in the given ProBoolean compound object to the specified boolean value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;GetBoolOp &lt;node&gt;node </code></pre><p>Returns the current boolean operation set in the ProBoolean compound object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SetBoolOp &lt;node&gt;node &lt;integer&gt;op </code></pre><p>Sets the current boolean operation in the ProBoolean compound object to the given value corresponding to the 0-based radio button state. Possible values are:</p>\n\
<p>0 - <strong>Union</strong></p>\n\
<p>1 - <strong>Intersection</strong></p>\n\
<p>2 - <strong>Subtraction</strong></p>\n\
<p>3 - <strong>Merge</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;GetDisplayResult &lt;node&gt;node </code></pre><p>Returns the display result mode. When true, the result will be displayed. When false, the Operands will be displayed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SetDisplayResult &lt;node&gt;node &lt;boolean&gt;flag </code></pre><p>Sets the display result mode. When true, the result will be displayed. When false, the Operands will be displayed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;GetShowHiddenOps &lt;node&gt;node </code></pre><p>Returns the state of the Show Hidden Operands option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SetShowHiddenOps &lt;node&gt;node &lt;boolean&gt;flag </code></pre><p>Sets the state of the Show Hidden Operands option to the specified value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;GetUpdateMode &lt;node&gt;node </code></pre><p>Returns the update mode. Possible values are:</p>\n\
<p>0 - <strong>Always</strong></p>\n\
<p>1 - <strong>When Selected</strong></p>\n\
<p>2 - <strong>When Rendering</strong></p>\n\
<p>3 - <strong>Manually</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SetUpdateMode &lt;node&gt;node &lt;integer&gt;mode </code></pre><p>Sets the update mode. Possible values are:</p>\n\
<p>0 - <strong>Always</strong></p>\n\
<p>1 - <strong>When Selected</strong></p>\n\
<p>2 - <strong>When Rendering</strong></p>\n\
<p>3 - <strong>Manually</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;GetOptimize &lt;node&gt;node </code></pre><p>Returns the state of the Optimize option.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SetOptimize &lt;node&gt;node &lt;boolean&gt;flag </code></pre><p>Sets the state of the Optimize option to the specified value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;GetCookieCut &lt;node&gt;node </code></pre><p>Returns true if Cookie cut is enabled, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SetCookieCut &lt;node&gt;node &lt;boolean&gt;flag </code></pre><p>Sets the Cookie cut option to the specified state.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;GetImprint &lt;node&gt;node </code></pre><p>Returns true if Imprint option is enabled, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SetImprint &lt;node&gt;node &lt;boolean&gt;flag </code></pre><p>Sets the Imprint option to the specified state.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;GetDecimationPercent &lt;node&gt;node </code></pre><p>Returns the decimation percentage.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SetDecimationPercent &lt;node&gt;boolnode &lt;float&gt;percent </code></pre><p><strong>percent</strong>Validated by Range: 0 to 1120403456</p>\n\
<p>Sets the decimation percentage.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;GetMakeQuad &lt;node&gt;node </code></pre><p>Returns true if the Make Quadrilaterals option is enabled, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SetMakeQuad &lt;node&gt;boolnode &lt;boolean&gt;flag </code></pre><p>Sets the Make Quadrilaterals option to the specified state.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;GetQuadSizePercent &lt;node&gt;node </code></pre><p>Returns the Quad Size percentage.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SetQuadSizePercent &lt;node&gt;boolnode &lt;float&gt;percent </code></pre><p><strong>percent</strong>Validated by Range: 0 to 1120403456</p>\n\
<p>Sets the Quad Size percentage.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;GetPlanarEdgeRemoval &lt;node&gt;node </code></pre><p>Returns the Planar Edge Removal mode. Possible values are:</p>\n\
<p>0 - <strong>Remove All</strong></p>\n\
<p>1 - <strong>Remove Only Invisible</strong></p>\n\
<p>2 - <strong>No Edge Removal</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;SetPlanarEdgeRemoval &lt;node&gt;node &lt;integer&gt;mode </code></pre><p>Sets the Planar Edge Removal mode. Possible values are:</p>\n\
<p>0 - <strong>Remove All</strong></p>\n\
<p>1 - <strong>Remove Only Invisible</strong></p>\n\
<p>2 - <strong>No Edge Removal</strong></p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE 1</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Creating a match using two consecutive boolean operations between\n\
   --a box, a cone and a sphere:\n\
\n\
   theBox = box height:100 width:10 length:10--create a box\n\
   theCone = cone radius1:4 radius2:15 height:110--create a cone\n\
   theSphere = sphere radius:6--create a sphere\n\
   xf = xform()--create an XForm modifier\n\
   addModifier theSphere xf--add the XForm to the sphere\n\
   xf.gizmo.scale = [1,1,2]--scale the sphere along Z\n\
\n\
   --create an intersection of the box as operand A and the cone as operand B:\n\
   ProBoolean.createBooleanObject theBox theCone 1 0 0\n\
\n\
   --assign materials to the box and to the sphere:\n\
   theBox.material = standard diffuse:(color 255 200 100)\n\
   theSphere.material = standard diffuse:brown\n\
\n\
   ProBoolean.SetBoolOp theBox 0--set the boolean operation to union\n\
   ProBoolean.setOperandB theBox theSphere 0 0--add the sphere asnewoperand B\n\
</code></pre></blockquote>\n\
<p><img src=\"./images/GUID-107609D8-B42D-4F45-A734-21D46559405B-low.gif\" alt></p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE 2</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Creating a Pencil using multiple boolean subtractions\n\
   --of a box, two cones and a cylinder:\n\
\n\
\n\
   --Step 1: create a box and two cones, assign materials:\n\
   theBox = box height:50 width:50 length:50 pos:[0,0,-2]\n\
   theCone1 = cone radius1:3 radius2:20 height:80 heightsegs:1 pos:[0,0,15]\n\
   theCone2 = cone radius1:0 radius2:15 height:80 heightsegs:1\n\
   theCone1.material = standard diffuse:(color 255 220 200)\n\
   theCone2.material = standard diffuse:black\n\
</code></pre></blockquote>\n\
<p><img src=\"./images/GUID-0D4F1F32-3C86-4872-8045-F366904DF6A6-low.gif\" alt></p>\n\
<blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Step 2: Subtract both cones from the box\n\
   ProBoolean.createBooleanObjects theBox #(theCone2,theCone1) 2 0 0\n\
</code></pre></blockquote>\n\
<p><img src=\"./images/GUID-8130E477-50C5-4997-9ED1-943002216EF0-low.gif\" alt></p>\n\
<blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Step 3: Create a 6-sided cylinder and assign a material\n\
   theCyl = cylinder radius:10 sides:6 height:150 smooth:false pos:[0,0,1]\n\
   theCyl.material = standard diffuse:(color 255 200 100)\n\
</code></pre></blockquote>\n\
<p><img src=\"./images/GUID-C1A1A765-8496-46F7-9EE0-9DEC46D11434-low.gif\" alt></p>\n\
<blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Step 4: &quot;sharpen&quot; the cylinder using the box with the conical hole\n\
   ProBoolean.createBooleanObject theCyl theBox 2 0 0\n\
</code></pre></blockquote>\n\
<p><img src=\"./images/GUID-63E90573-034F-4861-B329-313F6A60ADC1-low.gif\" alt></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../MAXScript-Extensions-for-1.html\">MAXScript Extensions for ProBoolean</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"ProBoolean-Extension.html\">ProBoolean Extension</a></li>\n\
          <li><a class=\"link\" href=\"Interface-ProCutter.html\">Interface: ProCutter</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";