var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-0678E534-5844-4E24-A424-3EB0049A514C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>CATFootBend : FloatController</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">CATFootBend : FloatController {74b50fd8,7ad665e} </code></pre><p>This is a CATMotion Controller used in the animation of Ankles in <strong>3ds Max CAT</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Class instances not creatable by MAXScript</code></pre><p><strong>Aliases:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">CATFootBend... FootBend ... </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATFootBend&gt;.CATBranch : maxObject</code></pre><p>Contains the <a href=\"CATHierarchyBranch.html\">Branch</a> controller.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATFootBend&gt;.LimbData (CATLimbData) : maxObject </code></pre><p>Contains the <a href=\"./../CAT-Data-Controllers/CATLimbData2-ReferenceTarget.html\">LimbData</a> controller object of the Bone.</p>\n\
<h2 id=\"foot-bend-key-1\">Foot Bend Key 1</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATFootBend&gt;.KEY1Val : float \n\
&lt;CATFootBend&gt;.KEY1Time : float \n\
&lt;CATFootBend&gt;.KEY1Tangent : float \n\
&lt;CATFootBend&gt;.KEY1InTanLength (Key1InTanLen) : float \n\
&lt;CATFootBend&gt;.KEY1OutTanLength (Key1OutTanLen) : float</code></pre><p>Get/set the In Tangent Length, Out Tangent Length, Tangent value, Time and Value of the first key.</p>\n\
<h2 id=\"foot-bend-key-2\">Foot Bend Key 2</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATFootBend&gt;.KEY2Val : float \n\
&lt;CATFootBend&gt;.KEY2Time : float \n\
&lt;CATFootBend&gt;.KEY2Tangent : float \n\
&lt;CATFootBend&gt;.KEY2InTanLength (Key2InTanLen) : float \n\
&lt;CATFootBend&gt;.KEY2OutTanLength (Key2OutTanLen) : float</code></pre><p>Get/set the In Tangent Length, Out Tangent Length, Tangent value, Time and Value of the second key.</p>\n\
<h2 id=\"foot-bend-key-3\">Foot Bend Key 3</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATFootBend&gt;.KEY3Val : float \n\
&lt;CATFootBend&gt;.KEY3Time : float \n\
&lt;CATFootBend&gt;.KEY3Tangent : float \n\
&lt;CATFootBend&gt;.KEY3InTanLength (Key3InTanLen) : float \n\
&lt;CATFootBend&gt;.KEY3OutTanLength (Key3OutTanLen) : float</code></pre><p>Get/set the In Tangent Length, Out Tangent Length, Tangent value, Time and Value of the third key.</p>\n\
<h2 id=\"foot-bend-key-4\">Foot Bend Key 4</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;CATFootBend&gt;.KEY4Val : float \n\
&lt;CATFootBend&gt;.KEY4Time : float \n\
&lt;CATFootBend&gt;.KEY4Tangent : float \n\
&lt;CATFootBend&gt;.KEY4InTanLength (Key4InTanLen) : float \n\
&lt;CATFootBend&gt;.KEY4OutTanLength (Key4OutTanLen) : float</code></pre><p>Get/set the In Tangent Length, Out Tangent Length, Tangent value, Time and Value of the fourth key.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../CAT-Motion-Controllers.html\">CAT Motion Controllers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../3ds-Max-CAT-and-MAXScript.html\">3ds Max CAT and MAXScript</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";