var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-38E05EC7-7AA4-407D-8DBA-3BAE7A459FB8\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: CATObjectFPInterface</h1></div><p>This Function Publishing Interface is exposed by <a href=\"./../CAT-Objects/CATBone-GeometryClass.html\">CATBone : GeometryClass</a> and <a href=\"./../CAT-Objects/HubObject-GeometryClass.html\">HubObject : GeometryClass</a> which are part of <strong>3ds Max CAT</strong>.</p>\n\
<h2 id=\"interface-catobjectfpinterface\">Interface:CATObjectFPInterface</h2><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.TMController: control : Read      </code></pre><p>Contains the transformation controller of the HubObject.</p>\n\
<p>Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.UseCustomMesh: boolean : Read|Write   </code></pre><p>Get/set whether to use the default bone geometry or the custom mesh. (See below for a method for assigning a custom mesh to the bone).</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;void&gt;CopyMeshFromNode &lt;node&gt;node </code></pre><p>Copies the geometry of the specified node as the custom mesh of the HubObject.</p>\n\
<p>When .UseCustomMesh is set to true, the HubObject will display the assigned mesh.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;void&gt;PasteRig &lt;object&gt;pasteobject &lt;boolean&gt;mirrordata </code></pre><p>Pastes the rig settings from the object provides as first argument.</p>\n\
<p>The second argument controls whether to mirror the data.</p>\n\
<p>Exposed by</p>\n\
<p><a href=\"./../CAT-Objects/CATBone-GeometryClass.html\">CATBone : GeometryClass</a></p>\n\
<p><a href=\"./../CAT-Objects/HubObject-GeometryClass.html\">HubObject : GeometryClass</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../CAT-Interfaces.html\">CAT Interfaces</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../3ds-Max-CAT-and-MAXScript.html\">3ds Max CAT and MAXScript</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";