var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-B69FF2D2-12CC-4817-8DAC-B2FA7B721149\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: LimbFPInterface</h1></div><p>This Function Publishing Interface is exposed by the <a href=\"./../CAT-Controllers/CAT-Data-Controllers/CATLimbData2-ReferenceTarget.html\">CATLimbData2ReferenceTarget : ReferenceTarget</a> of all <strong>3ds Max CAT</strong> Limb Bones.</p>\n\
<h2 id=\"interface-limbfpinterface\">Interface: LimbFPInterface</h2><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.IKTarget: node : Read      </code></pre><p>Contains the IK Target Node.</p>\n\
<p>Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.UpNode: node : Read   </code></pre><p>Contains the Up Node.</p>\n\
<p>Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.IsLeg: boolean : Read </code></pre><p>Contains true if the Limb Bone is part of a Leg, false if it is not.</p>\n\
<p>Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.IsArm: boolean : Read </code></pre><p>Contains true if the Limb Bone is part of an Arm, false if it is not.</p>\n\
<p>Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.LMR: integer : Read|Write </code></pre><p>Get/set the location of the bone as follows:</p>\n\
<p>-1 - Left</p>\n\
<p>0 - Middle</p>\n\
<p>1 - Right</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.SymLimb: Interface  : Read </code></pre><p>Contains the Interface of the Symmetrical Limb. This allows for very fast access to the opposite side of the rig.</p>\n\
<p>Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Palm: Interface : Read </code></pre><p>Contains the <a href=\"./../CAT-Controllers/CAT-Transform-Controllers/PalmTrans-Matrix3Controller.html\">controller of the Palm</a>.</p>\n\
<p>Read-only.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">.Collarbone: Interface : Read </code></pre><p>Contains the <a href=\"./../CAT-Controllers/CAT-Transform-Controllers/CATCollarBone-Matrix3Controller.html\">controller of the Limb&apos;s Collar Bone</a>.</p>\n\
<p>Read-only.</p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;CreateIKTarget() </code></pre><p>Creates an IK Target node and returns it.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;RemoveIKTarget() </code></pre><p>Removes the IK Target.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;MoveIKTargetToEndOfLimb() </code></pre><p>Moves the IK Target to the end of the Limb.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;CreateUpNode() </code></pre><p>Creates an Up Node and returns it.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;RemoveUpNode() </code></pre><p>Removes the Up Node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;CreatePalmAnkle() </code></pre><p>Creates a Palm Ankle and returns its Interface.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;RemovePalmAnkle() </code></pre><p>Removes the Palm Ankle.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Interface&gt;CreateCollarbone() </code></pre><p>Creates a Collar Bone and returns its interface.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;RemoveCollarbone() </code></pre><p>Removes the Collar Bone.</p>\n\
<p>Exposed by</p>\n\
<p><a href=\"./../CAT-Controllers/CAT-Data-Controllers/CATLimbData2-ReferenceTarget.html\">CATLimbData2ReferenceTarget : ReferenceTarget</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../CAT-Interfaces.html\">CAT Interfaces</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../3ds-Max-CAT-and-MAXScript.html\">3ds Max CAT and MAXScript</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";