var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-6221BA5D-29FC-4389-BC92-C376965F1D37\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MassFX and MAXScript</h1></div><p>The following topics cover the various components of the MassFX Dynamics Simulation system based on NVIDIA PhysX technology which was introduced in <strong>3ds Max 2012</strong>.</p>\n\
<h2 id=\"massfx-system-and-user-interface-access\">MassFX System and User Interface Access</h2><p>The <a href=\"./../../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-nvpx.html\">Interface : nvpx</a> Core Interface exposes the MassFX system settings to MAXScript.</p>\n\
<p>The <a href=\"PhysXPanel-ReferenceTarget.html\">PhysXPanel : ReferenceTarget</a> exposes the settings of the MassFX control panel and its controls to MAXScript.</p>\n\
<p>The <a href=\"./../../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-nvpxConsts.html\">Interface nvpxConsts</a> Core Interface exposes the NVIDIA PhysX Constants to MAXScript. Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<h2 id=\"massfx-modifiers\">MassFX Modifiers</h2><p>The <a href=\"./../../Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/MassFX-Modifiers/MassFX_RBody-Modifier.html\">MassFX_RBody : Modifier</a> is used by the MassFX system to define the properties of a rigid body object.</p>\n\
<h2 id=\"massfx-helpers\">MassFX Helpers</h2><p>The <a href=\"./../../Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-MassFX/UConstraint-Helper.html\">UConstraint : Helper</a> is used to define constraints in the MassFX system.</p>\n\
<p>The <a href=\"./../../Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-MassFX/pxJoint-helper.html\">pxJoint : Helper</a> object is used to define joints in the MassFX system.</p>\n\
<p>The <a href=\"./../../Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-MassFX/Skeleton-helper.html\">Skeleton : Helper</a> object is used to introduce animated characters as Kinematic Skeleton objects to drive MassFX simulations.</p>\n\
<p>The <a href=\"./../../Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-MassFX/nvRagdoll-Helper.html\">nvRagdoll : Helper</a> is used to define a ragdoll rig in the MassFX system.</p>\n\
<h2 id=\"massfx-geometry-objects\">MassFX Geometry Objects</h2><p>The <a href=\"./../../Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-MassFX/nvBox-GeometryClass.html\">nvBox : GeometryClass</a> is a dedicated geometry object used by the MassFX Rigid Body Modifier to define a custom box-shaped shell for physical simulation.</p>\n\
<p>The <a href=\"./../../Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-MassFX/nvCapsule-GeometryClass.html\">nvCapsule : GeometryClass</a> is a dedicated geometry object used by the MassFX Rigid Body Modifier to define a custom capsule-shaped shell for physical simulation.</p>\n\
<p>The <a href=\"./../../Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-MassFX/nvSphere-GeometryClass.html\">nvSphere : GeometryClass</a> is a dedicated geometry object used by the MassFX Rigid Body Modifier to define a custom spherical shell for physical simulation.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../MAXScript-Extensions-for-MassFX.html\">MAXScript Extensions for MassFX</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";