var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-52FA198C-09DE-42F4-B826-E268F0379AF8\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>AmountChange : ReferenceTarget</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">AmountChange - superclass: ReferenceTarget; super-superclass:MAXWrapper - 29:0 - classID: #(1137313551, 554188032) </code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>AmountChange</strong> Particle Data View sub-operator modifies particle count either by spawning or by deletion.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">AmountChange...</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AmountChange&gt;.Type     Integer    default: 1   --  integer</code></pre><p>Possible values are:</p>\n\
<p>0 - <strong>Delete</strong></p>\n\
<p>1 - <strong>Spawn</strong> (default)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AmountChange&gt;.Sub_Type     Integer    default: 0   --  radiobtnIndex</code></pre><p>Get/set the state of the sub-type radio buttons which have different meaning depending on the <code>.Type</code> property.</p>\n\
<p>This property controls the type and function of the <code>.Input_1</code> socket.</p>\n\
<p>Possible values when the <code>.Type</code> property is set to 1 - Spawn are:</p>\n\
<p>0 - <strong>Integer As Amount</strong> (default)</p>\n\
<p>1 - <strong>Integer As Additive</strong></p>\n\
<p>Possible values when the <code>.Type</code> property is set to 0 - Delete are:</p>\n\
<p>0 - <strong>False To Delete</strong> (default)</p>\n\
<p>1 - <strong>True To Delete</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AmountChange&gt;.Reset_Particle_Age     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Reset Particle Age&quot;</strong> checkbox.</p>\n\
<p>It is only used when the <code>.Type</code> property is set to 1 - Spawn.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AmountChange&gt;.Spawns_As_New_In_Event     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Spawn As New In Event&quot;</strong> checkbox.</p>\n\
<p>It is only used when the <code>.Type</code> property is set to 1 - Spawn.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AmountChange&gt;.Input_1     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the sub-operator connected to the first Input of the AmountChange sub-operator.</p>\n\
<p>Assigning a sub-operator object to this property will effectively wire its output to the first Input.</p>\n\
<p>When <code>.Type</code> is set to 0 - Delete, the connected value type must be Boolean.</p>\n\
<p>When <code>.Type</code> is set to 1 - Spawn, the connected value type must be Integer.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AmountChange&gt;.Filter     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the sub-operator connected to the Filter Input of the AmountChange sub-operator.</p>\n\
<h2 id=\"priority-and-execution-order\">Priority And Execution Order</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AmountChange&gt;.Proceed_Type     Integer    default: 1   --  radiobtnIndex</code></pre><p>Get/set the state of the Proceed Type radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Pre</strong></p>\n\
<p>1 - <strong>Normal</strong> (default)</p>\n\
<p>2 - <strong>Post</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AmountChange&gt;.History_Dependent     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;History-Dependent&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AmountChange&gt;.Execution_Order     Integer    default: 1   --  integer</code></pre><p>Get/set the value of the <strong>&quot;Execution Order&quot;</strong> spinner.</p>\n\
<h2 id=\"record-spawning-to-data-group-of-controls\">Record Spawning To Data group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AmountChange&gt;.Use_Is_Current_Parent     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Is Current Parent&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AmountChange&gt;.Is_Current_Parent_Data_Channel     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the Data Channel to use when the <strong>&quot;Is Current Parent&quot;</strong> checkbox is checked.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AmountChange&gt;.Use_Is_Current_Spawn     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Is Current Spawn&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AmountChange&gt;.Is_Current_Spawn_Data_Channel     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the Data Channel to use when the <strong>&quot;Is Current Spawn&quot;</strong> checkbox is checked.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AmountChange&gt;.Use_Parent_ID     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Is Parent ID&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AmountChange&gt;.Parent_ID_Data_Channel     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the Data Channel to use when the <strong>&quot;Is Parent ID&quot;</strong> checkbox is checked.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AmountChange&gt;.Use_Last_Spawn_ID     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Last Spawn ID&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AmountChange&gt;.Last_Spawn_ID_Data_Channel     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the Data Channel to use when the <strong>&quot;Last Spawn ID&quot;</strong> checkbox is checked.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AmountChange&gt;.Use_First_Spawn_ID     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;First Spawn ID&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AmountChange&gt;.First_Spawn_ID_Data_Channel     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the Data Channel to use when the <strong>&quot;First Spawn ID&quot;</strong> checkbox is checked.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AmountChange&gt;.Use_Current_First_Spawn_ID     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Current First Spawn ID&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AmountChange&gt;.Current_First_Spawn_ID_Data_Channel     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the Data Channel to use when the <strong>&quot;Current First Spawn ID&quot;</strong> checkbox is checked.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AmountChange&gt;.Use_Older_Sibling_ID     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Older/Previous Siblong ID&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AmountChange&gt;.Older_Sibling_ID_Data_Channel     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the Data Channel to use when the <strong>&quot;Older/Previous Siblong ID&quot;</strong> checkbox is checked.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AmountChange&gt;.Use_Current_Spawn_Count     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Current Spawn Count&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AmountChange&gt;.Current_Spawn_Count_Data_Channel     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the Data Channel to use when the <strong>&quot;Current Spawn Count&quot;</strong> checkbox is checked.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AmountChange&gt;.Use_Total_Spawn_Count     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Total Spawn Count&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AmountChange&gt;.Total_Spawn_Count_Data_Channel     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the Data Channel to use when the <strong>&quot;Total Spawn Count&quot;</strong> checkbox is checked.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AmountChange&gt;.Use_Current_Spawn_Order     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Current Spawn Order&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;AmountChange&gt;.Current_Spawn_Order_Data_Channel     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the Data Channel to use when the <strong>&quot;Current Spawn Order&quot;</strong> checkbox is checked.</p>\n\
<h2 id=\"amountchange-interfaces-\">AmountChange interfaces:</h2><p><strong>The following common interface is exposed by the AmountChange Particle Data View sub-operator:</strong></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-DataViewItem.html\">Interface: DataViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Data-Sub-Operators.html\">Data Sub-Operators</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";