var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-8C527BF8-28C1-4D94-A4B6-68717A9F62CD\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Discretizator : ReferenceTarget</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Discretizator - superclass: ReferenceTarget; super-superclass:MAXWrapper - 17:0 - classID: #(1137313561, 554188032)</code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>Discretizator</strong> Particle Data View sub-operator transforms continuous range of values in discrete set.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Discretizator...</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Discretizator&gt;.Type     Integer    default: 1   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Data Type&quot;</strong> drop-down list.</p>\n\
<p>It defines the type of the input data expected.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Angle</strong></p>\n\
<p>1 - <strong>Float</strong> (default)</p>\n\
<p>2 - <strong>Integer</strong></p>\n\
<p>3 - <strong>Percent</strong></p>\n\
<p>4 - <strong>Time</strong></p>\n\
<p>5 - <strong>World Unit</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Discretizator&gt;.Base_Angle     Float    default: 0.0   --  animatable; angle; Controller Scaling: (1 : 57.2958)</code></pre><p>Get/set the Base value when <code>.Type</code> is set to 0 - <strong>Angle</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Discretizator&gt;.Base_Float     Float    default: 0.0   --  animatable; float</code></pre><p>Get/set the Base value when <code>.Type</code> is set to 1 - <strong>Float</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Discretizator&gt;.Base_Integer     Integer    default: 0   --  animatable; integer; Base__Integer</code></pre><p>Get/set the Base value when <code>.Type</code> is set to 2 - <strong>Integer</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Discretizator&gt;.Base_Percent     Float    default: 0.0   --  animatable; percent; Controller Scaling: (1 : 100.0)</code></pre><p>Get/set the Base value when <code>.Type</code> is set to 3 - <strong>Percent</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Discretizator&gt;.Base_Time     Integer    default: 0   --  animatable; integer</code></pre><p>Get/set the Base value when <code>.Type</code> is set to 4 - <strong>Time</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Discretizator&gt;.Base_World     Float    default: 0.0   --  animatable; worldUnits</code></pre><p>Get/set the Base value when <code>.Type</code> is set to 5- <strong>World Unit</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Discretizator&gt;.Step_Angle     Float    default: 1.0   --  animatable; angle; Controller Scaling: (1 : 57.2958)</code></pre><p>Get/set the Step value when <code>.Type</code> is set to 0 - <strong>Angle</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Discretizator&gt;.Step_Float     Float    default: 1.0   --  animatable; float</code></pre><p>Get/set the Step value when <code>.Type</code> is set to 1 - <strong>Float</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Discretizator&gt;.Step_Integer     Integer    default: 1   --  animatable; integer; Step__Integer</code></pre><p>Get/set the Step value when <code>.Type</code> is set to 2 - <strong>Integer</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Discretizator&gt;.Step_Percent     Float    default: 1.0   --  animatable; percent; Controller Scaling: (1 : 100.0)</code></pre><p>Get/set the Step value when <code>.Type</code> is set to 3 - <strong>Percent</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Discretizator&gt;.Step_Time     Integer    default: 160   --  animatable; integer</code></pre><p>Get/set the Step value when <code>.Type</code> is set to 4 - <strong>Time</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Discretizator&gt;.Step_World     Float    default: 0.1   --  animatable; worldUnits</code></pre><p>Get/set the Step value when <code>.Type</code> is set to 5- <strong>World Unit</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Discretizator&gt;.Use_As_Speed_Or_Spin_Rate     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Use As Speed Value&quot;</strong> checkbox used when <code>.Type</code> is set to 0 - <strong>Angle</strong> or 5 - <strong>World Unit</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Discretizator&gt;.Units_Per_Type     Integer    default: 2   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Units Per&quot;</strong> checkbox used when <code>.Use_As_Speed_Or_Spin_Rate</code> is set to True and <code>.Type</code> is set to 0 - <strong>Angle</strong> or 5 - <strong>World Unit</strong>.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Tick</strong></p>\n\
<p>1 - <strong>Frame</strong></p>\n\
<p>2 - <strong>Second</strong> (default)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Discretizator&gt;.Input     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the sub-operator connected to the Input of the Convert sub-operator.</p>\n\
<p>Assigning a sub-operator with the expected output type to the <code>.Input</code> property will effectively wire that sub-operator to the Input of the Convert sub-operator.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Discretizator&gt;.Filter     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the sub-operator connected to the Filter Input of the Convert sub-operator.</p>\n\
<h2 id=\"discretizator-interfaces-\">Discretizator interfaces:</h2><p><strong>The following common interface is exposed by the Discretizator Particle Data View sub-operator:</strong></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-DataViewItem.html\">Interface: DataViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Data-Sub-Operators.html\">Data Sub-Operators</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";