var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-19F7241E-C0C1-4F2B-9C08-0BCFDAA9C02B\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>OutputNew : ReferenceTarget</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">OutputNew - superclass: ReferenceTarget; super-superclass:MAXWrapper - 9:0 - classID: #(1137313542, 554188032)</code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>OutputNew</strong> Particle Data View sub-operator creates new data channel that can be used by Input Custom and Output Custom.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">OutputNew...</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;OutputNew&gt;.Data_Type     Integer    default: 3   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Data Type&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - unused</p>\n\
<p>1 - <strong>Boolean</strong></p>\n\
<p>2 - <strong>Integer</strong></p>\n\
<p>3 - <strong>Real</strong> (default)</p>\n\
<p>4 - <strong>Time</strong></p>\n\
<p>5 - <strong>Vector</strong></p>\n\
<p>6 - <strong>Quaternion</strong></p>\n\
<p>7 - <strong>Matrix</strong></p>\n\
<p>8 - <strong>Pair</strong></p>\n\
<p>9 - <strong>Complex</strong></p>\n\
<p>10 - <strong>Object</strong></p>\n\
<h2 id=\"data-access-scope-group-of-controls\">Data Access Scope group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;OutputNew&gt;.Scope_Type     Integer    default: 0   --  radiobtnIndex</code></pre><p>Get/set the state of the <strong>&quot;Data Access Scope&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Local</strong> (default)</p>\n\
<p>1 - <strong>Global</strong></p>\n\
<h2 id=\"priority-and-execution-order-group-of-controls\">Priority And Execution Order group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;OutputNew&gt;.Proceed_Type     Integer    default: 1   --  radiobtnIndex</code></pre><p>Get/set the state of the proceed radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Pre</strong></p>\n\
<p>1 - <strong>Normal</strong> (default)</p>\n\
<p>2 - <strong>Post</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;OutputNew&gt;.History_Dependent     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;History-Dependent&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;OutputNew&gt;.Execution_Order     Integer    default: 1   --  integer</code></pre><p>Get/set the value of the <strong>&quot;Execution Order&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;OutputNew&gt;.Priority_Order     Integer    default: 1   --  integer</code></pre><p>Get/set the value of the <strong>&quot;Priority Order&quot;</strong> spinner.</p>\n\
<h2 id=\"input-and-filter-sockets\">Input and Filter Sockets</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;OutputNew&gt;.Input_1     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the Input connection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;OutputNew&gt;.Filter     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the Filter connection.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;OutputNew&gt;.Data_Handle     Integer    default: 658938   --  integer</code></pre><h2 id=\"outputnew-interfaces-\">OutputNew interfaces:</h2><p><strong>The following common interface is exposed by the OutputNew Particle Data View sub-operator:</strong></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-DataViewItem.html\">Interface: DataViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Data-Sub-Operators.html\">Data Sub-Operators</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";