var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-83A01B0F-7A3F-4A43-B279-89821F24BF66\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>SpeedByIcon : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">SpeedByIcon - superclass: helper super-superclass:node - classID: #(1962490650, 515064320) </code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>SpeedByIcon</strong> operator lets you use a special, non-rendering icon to control particle speed and direction. Its <em>operator icon</em> appears in the viewport when you add the operator to the system. When animated, the operator icon&apos;s motion is imparted to the particles.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">SpeedByIcon... </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SpeedByIcon&gt;.Accel_Limit Float default:100.0 --world units </code></pre><p>The maximum amount, in system units per second per second, by which the particles&apos; speed can change in order to match the speed of the operator icon.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SpeedByIcon&gt;.Influence Float default:100.0 --percentage </code></pre><p>Determines the mix of the previous speed with the speed of the operator icon. Range=0.0 to 100.0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SpeedByIcon&gt;.Use_Speed_Variation Boolean default:false </code></pre><p>When set to True, enables random variation of the particles&apos; speed, so they don&apos;t all move at exactly the same rate as the icon.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SpeedByIcon&gt;.Speed_Minimum Float default:50.0 --percentage </code></pre><p>Get/set the minimum percentage of particle speed variation when <code>.Use_Speed_Variation</code> is set to True.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SpeedByIcon&gt;.Speed_Maximum Float default:100.0 --percentage </code></pre><p>Get/set the maximum percentage of particle speed variation when <code>.Use_Speed_Variation</code> is set to True.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SpeedByIcon&gt;.User_Icon_Orientation Boolean default:false </code></pre><p>When set to True, applies animation of the icon&apos;s orientation to the particles.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SpeedByIcon&gt;.Steer_Towards_Trajectory Boolean default:false </code></pre><p>When set to True, particles farther away than the <code>.Distance</code> value (see below) from the icon are moved directly toward the icon.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SpeedByIcon&gt;.Distance Float default:10.0 --world units </code></pre><p>Get/set the distance between the particles and the operator icon beyond which <code>.Steer_Towards_Trajectory</code> takes effect.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SpeedByIcon&gt;.Sync_Type_Param_Animation Integer default:0 </code></pre><p>Controls the state of the <strong>Sync By</strong> drop-down list in the <strong>Parameters Animation</strong> group in the UI. Specifies the time frame for applying animated parameters:</p>\n\
<p>0: <strong>Absolute Time</strong> - Any keys set for parameters are applied at the actual frames for which they&apos;re set.</p>\n\
<p>1: <strong>Particle Age</strong> - Any keys set for parameters are applied at the corresponding frames of each particle&apos;s existence.</p>\n\
<p>2: <strong>Event Duration</strong> - Any keys set for parameters are applied to each particle relative to the frame at which it first enters the event.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SpeedByIcon&gt;.Sync_Type_Icon_Animation Integer default:2 </code></pre><p>Controls the state of the <strong>Sync By</strong> drop-down list in the <strong>Icon Animation</strong> group in the UI. Specifies the time frame for applying animation of the icon to the particles:</p>\n\
<p>0: <strong>Absolute Time</strong> - Any keys set for icon motion are applied at the actual frames for which they&apos;re set.</p>\n\
<p>1: <strong>Particle Age</strong> - Any keys set for icon motion are applied at the corresponding frames of each particle&apos;s existence.</p>\n\
<p>2: <strong>Event Duration</strong> - Any keys set for icon motion are applied to each particle relative to the frame at which it first enters the event.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SpeedByIcon&gt;.Icon_Size Float default:30.0 --world units </code></pre><p>Get/Set the icon size.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SpeedByIcon&gt;.Color_Type Boolean default:true </code></pre><p>Controls the state of the <strong>Color Coordinated</strong> checkbox in the UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;SpeedByIcon&gt;.Random_Seed Integer default:12345 </code></pre><p>Specifies a randomization value.</p>\n\
<h2 id=\"speedbyicon-interfaces-\">SpeedByIcon Interfaces:</h2><p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\">Interface: action</a></p>\n\
<p><a href=\"./../../../Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\">Interface: operator</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Speed.html\">Speed</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Particle-Flow-Classes.html\">Particle Flow Classes</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";