var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-9D2E3BF3-A1AF-4200-AF42-0C38FF3FD799\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Age_Test : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Age_Test - superclass: helper; super-superclass:node - 10:0 - classID: #(1962490881, 515064320) </code></pre><p><strong>Description:</strong></p>\n\
<p><strong>Age_Test</strong> lets the particle system check whether a specific amount of time has passed since the start of the animation or the current event, or whether particles have reached a certain age, and branch accordingly.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Age_Test... </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Age_Test&gt;.Condition_Type Integer default: 1 -- radio button number </code></pre><p>Get/Set the index of the Age Test Condition drop-down list.</p>\n\
<p>0: <strong>Absolute Age</strong> - Tests the current frame number in the animation.</p>\n\
<p>1: <strong>Particle Age</strong> - Tests the current age of each particle in frames. This is the default test type.</p>\n\
<p>2: <strong>Event Age</strong> - Tests the current duration of the current event in frames.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Age_Test&gt;.Random_Seed Integer default: 12345 -- integer </code></pre><p>Specifies the randomization value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Age_Test&gt;.Subframe_Sampling BooleanClass default: true -- boolean </code></pre><p>Get/Set the state of the Subframe Sampling checkbox. Setting it to <code>true</code> helps avoid particle &quot;puffing&quot; when passing particles to the next event by testing the time at a much higher subframe resolution rather than using the relatively coarse frame resolution</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Age_Test&gt;.Test_Type Integer default: 1 -- integer </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Age_Test&gt;.Test_Value Integer default: 4800 -- integer </code></pre><p>Get/Set the Test Value. Specifies the ticks number, particle age (in ticks), or event duration (in ticks) to test for.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>The Test Value in the UI is shown in frames.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Age_Test&gt;.Variation Integer default: 800 -- integer </code></pre><p>Get/Set the Variation. Defines the time in ticks by which the value tested for can vary randomly</p>\n\
<h2 id=\"age_test-interfaces-\">Age_Test Interfaces:</h2><p><strong>The following Interfaces are exposed by the Age_Test Class:</strong></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\">Interface: action</a></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-test.html\">Interface: test</a></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\">Interface: PViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Tests.html\">Tests</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Particle-Flow-Classes.html\">Particle Flow Classes</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";