var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-A8C23829-D18A-4D5B-89CD-62D1970433B5\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>mP_Drag : Helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mP_Drag - superclass: helper; super-superclass:node - 14:0 - classID: #(1935830281, 515064320)</code></pre><p><strong>Description:</strong></p>\n\
<p>The <strong>mP_Drag</strong> operator decelerates particles by applying friction-like forces based on the linear and angular motion.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">mP_Drag... \n\
PhysXDrag...</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Drag&gt;.Timing_Type     Integer    default: 0   --  integer</code></pre><p>Get/set the selection of the &quot;Adjust&quot; drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>On Event Entry</strong> (default) - a particles will be affected only once when it enters the event.</p>\n\
<p>1 - <strong>Continuous</strong> - a particle will be affected on each integration step.</p>\n\
<h2 id=\"damping-factor-group-of-controls\">Damping Factor group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Drag&gt;.Apply_Linear_Damping     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Linear&quot;</strong> checkbox.</p>\n\
<p>When set to True, damping will be applied to the linear motion of particles.</p>\n\
<p>When set to False (default), no linear damping will be applied to the particles.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Drag&gt;.Linear_Damping     Float    default: 0.5   --  animatable; float</code></pre><p>Get/set the value of the <strong>&quot;Linear&quot;</strong> spinner.</p>\n\
<p>It will be used to apply damping to the linear motion of particles when the <code>.Apply_Linear_Damping</code> option is set to True.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Drag&gt;.Apply_Angular_Damping     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Angular&quot;</strong> checkbox.</p>\n\
<p>When set to True, damping will be applied to the angular motion of the particles.</p>\n\
<p>When set to False (default), no angular damping will be applied to the particles.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Drag&gt;.Angular_Damping     Float    default: 0.05   --  animatable; float</code></pre><p>Get/set the value of the <strong>&quot;Angular&quot;</strong> spinner.</p>\n\
<p>It will be used to apply damping to the angular motion of particles when the <code>.Apply_Angular_Damping</code> option is set to True.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Drag&gt;.Sync     Integer    default: 0   --  integer</code></pre><p>Get/set the selection of the &quot;Sync By&quot; drop-down list.</p>\n\
<p>It is used only when the <code>.Timing_Type</code> property is set to 1 - Continuous.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Absolute Time</strong> (default)</p>\n\
<p>1 - <strong>Event Duration</strong></p>\n\
<p>2 - <strong>Particle Age</strong></p>\n\
<h2 id=\"speed-multiplier-group-of-controls\">Speed Multiplier group of controls</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Drag&gt;.Speed_Multiplier     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Speed Factor Multiplier&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Drag&gt;.Speed_Unit     Float    default: 100.0   --  worldUnits</code></pre><p>Get/set the value of the <strong>&quot;Speed Unit&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Drag&gt;.Spin_Unit     Float    default: 180.0   --  angle</code></pre><p>Get/set the value of the <strong>&quot;Spin Unit&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Drag&gt;.Use_Data_Wiring     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the &quot;Use Script Wiring&quot; property of the operator which is accessible via the right-click context menu.</p>\n\
<p>When set to False (default), no Data Wiring will be used.</p>\n\
<p>When set to True, Data Wiring will be enabled and an additional Rollout &quot;Wiring From Data Channels&quot; will appear, allowing you to control the Linear and Angular Damping values via user-specified Data Operators.</p>\n\
<h2 id=\"wiring-from-data-channels-rollout\">Wiring From Data Channels rollout</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Drag&gt;.Linear_Damping_From_Data     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Linear Damping Factor&quot;</strong> checkbox.</p>\n\
<p>When set to True, the Linear Damping Factor value of the operator will be wired to the Data Operator specified by the <strong><code>.Linear_Damping_Data_Creator</code></strong> property.</p>\n\
<p>When set to False (default), the Linear Damping Factor value of the operator specified via the <code>.Linear_Damping</code> property will be used.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Drag&gt;.Linear_Damping_Data_Creator     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the Data Operator object to provide the custom Linear Damping Data to the operator.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Drag&gt;.Angular_Damping_From_Data     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Angular Damping Factor&quot;</strong> checkbox.</p>\n\
<p>When set to True, the Angular Damping Factor value of the operator will be wired to the Data Operator specified by the <strong><code>.Angular_Damping_Data_Creator</code></strong> property.</p>\n\
<p>When set to False (default), the Angular Damping Factor value of the operator specified via the <code>.Angular_Damping</code> property will be used.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;mP_Drag&gt;.Angular_Damping_Data_Creator     UndefinedClass    default: undefined   --  maxObject</code></pre><p>Get/set the Data Operator object to provide the custom Angular Damping Data to the operator.</p>\n\
<h2 id=\"mp_drag-interfaces-\">mP_Drag interfaces:</h2><p><strong>The following common Particle Flow Interfaces are exposed by the mP_Drag Class:</strong></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\">Interface: action</a></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\">Interface: operator</a></p>\n\
<p><a href=\"./../../Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\">Interface: PViewItem</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../mParticles-Operators.html\">mParticles Operators</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";