var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-E431999C-D823-4650-8C5C-D02137348CF9\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Interface: PViewItem</h1></div><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;PViewItem&gt;.numPViewParamBlocks()      </code></pre><p>Returns the number of Particle View ParameterBlocks.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;maxObject&gt;&lt;PViewItem&gt;.getPViewParamBlock &lt;index&gt;index   </code></pre><p>Returns the indexed Particle View ParameterBlocks.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;PViewItem&gt;.hasComments &lt;node&gt;actionNode </code></pre><p>Returns <strong>true</strong> when the supplied action node has comments.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;&lt;PViewItem&gt;.getComments &lt;node&gt;actionNode </code></pre><p>Returns the comment of the specified action node as string.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;PViewItem&gt;.setComments &lt;node&gt;actionNode &lt;string&gt;comments </code></pre><p>Sets the comment of the specified action node to the supplied string.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLES AND RESULTS:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   ParticleFlow.openParticleView() --open Particle View to see results\n\
   ev = Event() --create an empty event\n\
   --&gt; $Event:Event 002 @ [0.000000,0.000000,0.000000]\n\
   particleFlow.beginEdit() --Disable auto-event-encapsulation\n\
   --&gt; OK\n\
   bt = birth() --A Birth Action!\n\
   --&gt; $Birth:Birth 001 @ [0.000000,0.000000,0.000000]\n\
   particleFlow.endEdit() --Enable auto-event-encapsulation\n\
   --&gt; OK\n\
   ev.appendAction bt --Insert the Birth in the Event\n\
   --&gt; true\n\
   ev.numPViewParamBlocks() --Check the number of PBlocks\n\
   --&gt; 0\n\
   ev.hasComments bt --Check for comments - none\n\
   --&gt; false\n\
   ev.setComments bt &quot;Happy Birthday!&quot; --Set a comment...\n\
   --&gt; OK\n\
   ev.getComments bt --...and read it back\n\
   --&gt; &quot;Happy Birthday!&quot;\n\
</code></pre></blockquote>\n\
<p><strong>This Interface is available in:</strong></p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><a href=\"./../../Particle-Flow-Classes/Tests/Age_Test-Helper.html\">Age_Test : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Birth-and-Death/Birth-Helper.html\">Birth : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Birth-and-Death/Birth_Group-Helper.html\">Birth_Group : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Birth-and-Death/BirthGrid-Helper.html\">BirthGrid : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Birth-and-Death/Birth_Script-Helper.html\">Birth_Script : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Birth-and-Death/BirthStream-Helper.html\">BirthStream : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Meta-Operators/Cache_Disk-Helper.html\">Cache_Disk : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Meta-Operators/Cache_Selective-Helper.html\">Cache_Selective : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Other/Camera_Culling-Helper.html\">Camera_Culling : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Other/Camera_IMBlur-Helper.html\">Camera_IMBlur : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Tests/Collision_Spawn-Helper.html\">Collision_Spawn : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Data-Operators/Data_Icon-Helper.html\">Data_Icon : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Data-Operators/Data_Operator-Helper.html\">Data_Operator : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Data-Operators/Data_Test-Helper.html\">Data_Test : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Birth-and-Death/DeleteParticles-Helper.html\">DeleteParticles : Helper</a></td>\n\
<td><a href=\"./../../Particle-Flow-Classes/Meta-Operators/displayParticles-Helper.html\">displayParticles : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Meta-Operators/Event-Helper.html\">Event : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Tests/Find_Target-Helper.html\">Find_Target : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Other/Force-Helper.html\">Force : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Tests/Go_To_Rotation-Helper.html\">Go_To_Rotation : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Speed/Keep_Apart-Helper.html\">Keep_Apart : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Material-and-Mapping/mapping-Helper.html\">mapping : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Material-and-Mapping/Material_Dynamic-Helper.html\">Material_Dynamic : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Material-and-Mapping/Material_Frequency-Helper.html\">Material_Frequency : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Material-and-Mapping/Material_Static-Helper.html\">Material_Static : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/mParticles-Operators/mP_Buoyancy-Helper.html\">mP_Buoyancy : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/mParticles-Operators/mP_Collision-Helper.html\">mP_Collision : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/mParticles-Operators/mP_Drag-Helper.html\">mP_Drag : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/mParticles-Operators/mP_Force-Helper.html\">mP_Force : Helper</a></td>\n\
<td><a href=\"./../../Particle-Flow-Classes/mParticles-Operators/mP_Glue-Helper.html\">mP_Glue : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/mParticles-Operators/mP_InterCollision-helper.html\">mP_InterCollision : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/mParticles-Operators/mP_Shape-Helper.html\">mP_Shape : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/mParticles-Operators/mP_Solvent-Helper.html\">mP_Solvent : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/mParticles-Operators/mP_Switch-Helper.html\">mP_Switch : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Meta-Operators/Notes-Helper.html\">Notes : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Sources/PF_Source-GeometryClass.html\">PF_Source : GeometryClass</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Transforms/Position_Icon-Helper.html\">Position_Icon : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Transforms/Position_Object-Helper.html\">Position_Object : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Meta-Operators/renderParticles-Helper.html\">renderParticles : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Transforms/rotation-Helper.html\">rotation : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Transforms/scaleParticles-Helper.html\">scaleParticles : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Tests/Scale_Test-Helper.html\">Scale_Test : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Tests/Script_Test-Helper.html\">Script_Test : Helper</a></td>\n\
<td><a href=\"./../../Particle-Flow-Classes/Operators/Other/Script_Operator-Helper.html\">Script_Operator : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Tests/Send_Out-Helper.html\">Send_Out : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Shape/shapeStandard-Helper.html\">shapeStandard : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Shape/Shape_Facing-Helper.html\">Shape_Facing : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Shape/Shape_Instance-Helper.html\">Shape_Instance : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Shape/Shape_Mark-Helper.html\">Shape_Mark : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Tests/Spawn-Helper.html\">Spawn : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Speed/Speed-Helper.html\">speed : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Tests/Speed_Test-Helper.html\">Speed_Test : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Speed/Speed_By_Surface-Helper.html\">Speed_By_Surface : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Operators/Transforms/Spin-Helper.html\">Spin : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Tests/Split_Selected-Helper.html\">Split_Selected : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Tests/Split_Source-Helper.html\">Split_Source : Helper</a><br> <a href=\"./../../Particle-Flow-Classes/Tests/Split_Amount-Helper.html\">Split_Amount : Helper</a></td>\n\
</tr>\n\
</tbody></table>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Interfaces-2.html\">Interfaces</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Particle-Flow-Interfaces.html\">Particle Flow Interfaces</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";