var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-C21B032A-7756-480B-A6ED-E1530103BFF6\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>CrowdTransition : MAXObject</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">CrowdTransition - superclass: ReferenceTarget; super-superclass:MAXWrapper - 8:0 - classID: #(1649620504, 273694790) </code></pre><p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">CrowdTransition ... Transition ... </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;crowdtransition&gt;.priority Integer Default: 0-- integer </code></pre><p>Sets the transition&apos;s priority.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;crowdtransition&gt;.duration Integer Default: 25-- integer </code></pre><p>The number of frames the software takes to affect the transition between states.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;crowdtransition&gt;.easeIn Float Default: 0.5-- float </code></pre><p>Ease in value for the source clip.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;crowdtransition&gt;.easeOut Float Default: 0.5-- float </code></pre><p>Ease out value for the destination clip.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;crowdtransition&gt;.functionName String Default: &quot;transFunc&quot;-- string;Alias: Script_Context_Name </code></pre><p>The name of the MAXScript conditional that specifies when/how the transition is to occur.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;crowdtransition&gt;.script String Default: Undefined-- string; </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;crowdtransition&gt;.fromCrowdState Default: Undefined-- max object;Alias: FromState </code></pre><p>The state that the transition originated from.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;crowdtransition&gt;.toCrowdState Default: Undefined-- max object;Alias: ToState </code></pre><p>The state that the transition is destined for.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>The <code>&lt;CrowdTransition&gt;.functionName</code> value must match the name of the function defined in <code>&lt;CrowdTransition&gt;.script</code> .</p>\n\
<p>The script function is compiled with the function name in global scope. The function name cannot be the same as a MAXScript-defined global variable name.</p>\n\
<p>The <crowdtransition>.script is of the form:</crowdtransition></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">fn transFunc del trans t =(if t &lt; 50 then 0 else 1)</code></pre><p>where <strong>del</strong> is the delegate node, <strong>trans</strong> is the CrowdTransition value, and <strong>t</strong> is the time value of the frame being evaluated. The <strong>3ds Max</strong> time context will also be frame being evaluated. The return value must be an integer value. If the return value is 0, the transition is not taken. For any other return value, the transition is taken.</p>\n\
<p>The <strong>&lt;</strong>CrowdTransition<strong>&gt;.script</strong> is not evaluated for a delegate while the delegate is in transition between states.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;CrowdTeam&gt;.members-- array of Delegatenodes </code></pre><blockquote>\n\
<p>   <strong>The following MAXScript operations will cause Crowd to fail, either right away or later:</strong></p>\n\
<p>   <strong>NEVER</strong> set the <strong>from</strong> or <strong>to</strong> properties to undefined.</p>\n\
<p>   <strong>NEVER</strong> set the <strong>from</strong> or <strong>to</strong> properties to anything other than a CrowdState object.</p>\n\
</blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Crowds.html\">Crowds</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"CrowdState-ReferenceTarget.html\">CrowdState:ReferenceTarget</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Extensions-in.html\">MAXScript Extensions in character studio</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";