var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-9FDFA181-7D53-4972-9E32-8848A7663A40\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MxTrackGroup Class</h1></div><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">name: string      </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">numTracks: integer, not settable   </code></pre><p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getTrack &lt;trackgroup:mxtrackgroup&gt; &lt;index:integer&gt; </code></pre><p>If index is in the correct range, this returns an mxtrack. Otherwise, it returns false.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getFilter &lt;trackgroup: mxtrackgroup&gt; &lt;trackid:string&gt; \n\
\n\
trackid must have one of the following values:#lftArm, #rgtArm, #lftHand, #rgtHand, #lftFoot, #rgtFoot, #lftLeg, #rgtLeg, #lftPony, #rgtPony, #head, #horizontal, #vertical, #rotation, #spine, #pelvis, #tail, #prop1, #prop2, #prop3. </code></pre><p>This returns true or false, depending on whether the indicated track is on or off in the trackgroup&apos;s filter.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setFilter &lt;trackgroup: mxtrackgroup&gt; &lt;trackid:string&gt; &lt;onOff:boolean&gt; </code></pre><p>trackid must have one of the values listed above. This turns the filter on or off for one of the tracks. If the track is not one of the accepted strings, this returns false. Otherwise, it returns true.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">cleartrackgroup &lt;trackgroup: mxtrackgroup&gt; </code></pre><p>This deletes all clips from the trackgroup.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">appendTrack &lt;trackgroup: mxtrackgroup&gt; &lt;tracktype:string&gt; \n\
\n\
tracktype must be either #layertrack or #transtrack . </code></pre><p>This appends a track of the specified type to the end of the track array. The new track will appear at the top of all the tracks in the trackgroup. Returns true.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">insertTrack &lt;trackgroup: mxtrackgroup &gt; &lt;index:integer&gt; &lt;tracktype:string&gt; \n\
\n\
tracktype must be either #layertrack or #transtrack . </code></pre><p>If index is in the correct range, this inserts a new track of the specified type at that index. An index of 1 is the lowest track in the trackgroup. Returns true if the index is in the correct range. Otherwise returns false.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">deleteTrack &lt;trackgroup: mxtrackgroup &gt; &lt;index:integer&gt; </code></pre><p>If index is in the correct range, this deletes the track at that index.</p>\n\
<p>An index of 1 is the lowest track in the trackgroup. You are not allowed to delete the last track in a trackgroup, since trackgroups without tracks are not allowed. You can clear the track of clips using ClearTrack(). Returns true if track was deleted, false if not..</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Mixer-MAXScript-Extensions.html\">Mixer MAXScript Extensions</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Mixer-MAXScript-Extensions.html\">Mixer MAXScript Extensions</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Extensions-in.html\">MAXScript Extensions in character studio</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";