var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-B4586C5C-74BB-40DA-8176-48B068C97C62\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>The Character Studio Motion Mixer</h1></div><p>This topic describes how to manipulate the Character Studio motion mixer using MAXScript.</p>\n\
<p>There are five MAXScript classes which make up the mixer.</p>\n\
<p>They are:</p>\n\
<p><a href=\"Mixer-Class.html\">Mixer Class</a></p>\n\
<p><a href=\"MxTrackGroup-Class.html\">MxTrackGroup Class</a></p>\n\
<p><a href=\"MxTrack-Class.html\">MxTrack Class</a></p>\n\
<p><a href=\"MxClip-Class.html\">MxClip Class</a></p>\n\
<p><a href=\"themixer-const-StructDef.html\">Mixermanager - themixer</a></p>\n\
<p>The first four classes access a single mixer and its various parts.</p>\n\
<p>The last class,mixermanager, accesses the overall mixer display,affecting all mixers.</p>\n\
<p>Most of the Mixer MAXScript methods work the same way as the mixer user interface. There are a few exceptions. The user interface does not allow the user to overlap clips,while some MAXScript properties and functions make it possible to overlap clips. This is not advisable. All mixer MAXScriptproperties and functions take into accountthe snap to frames variableas well as the lock transitions variable, both settable in the <strong>mixermanager</strong> or the user interface.They donot, however,take into account the snap to clips variable, both for technical reasons and because this is moreof a user interface feature.</p>\n\
<p>Below is some code to access a biped&#x2019;s mixer. Once you have the mixer, you can manipulate it using its functions and properties. And you can go deeper into the mixer by using its functions to access trackgroups, then tracks, and then clips.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   b = $bip01\n\
   c = b.transform.controller\n\
   m = c.mixer\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Mixer-MAXScript-Extensions.html\">Mixer MAXScript Extensions</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Mixer-MAXScript-Extensions.html\">Mixer MAXScript Extensions</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Extensions-in.html\">MAXScript Extensions in character studio</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";