var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-12CCE942-51BE-4F75-BDD8-85F1CC85C01A\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>themixer const StructDef</h1></div><p>This struct contains a number of system global variables and methods to access the <strong>mixerManagerclass</strong> which affects all Character Studio Animation Mixers.</p>\n\
<p><strong>System Global Variables</strong></p>\n\
<h2 id=\"the-following-properties-are-seen-as-icons-in-the-mixer-user-interface-\">The following properties are seen as icons in the mixer user interface:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">themixer.snapFrames SystemGlobal:snapFrames boolean default:true         </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">themixer.snapToClips SystemGlobal:snapToClips boolean default:false      </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">themixer.lockTransitions SystemGlobal:lockTransitionsboolean default:false   </code></pre><h2 id=\"the-following-properties-appear-in-the-preferences-dialog-in-themixer-user-interface-\">The following properties appear in the Preferences dialog in theMixer user interface:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">themixer.showBalanceCurves SystemGlobal:showBalanceCurvesboolean default:true </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">themixer.showClipBounds SystemGlobal:showClipBounds boolean default:true </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">themixer.showClipNames SystemGlobal:showClipNames boolean default:true </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">themixer.showClipScale SystemGlobal:showClipScaleboolean default:false </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">themixer.showGlobalFrames SystemGlobal:showGlobalFramesboolean default:true </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">themixer.showInpoints SystemGlobal:showInpointsboolean default:true </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">themixer.showOutpoints SystemGlobal:showOutpointsboolean default:false </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">themixer.showTgRangebars SystemGlobal:showTgRangebarsboolean default:true </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">themixer.showTimeWarps SystemGlobal:showTimeWarpsboolean default:true </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">themixer.showWgtCurves SystemGlobal:showWgtCurvesboolean default:true </code></pre><p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;themixer.showMixer() </code></pre><p>Show the Mixer.Returns true on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;themixer.hideMixer() </code></pre><p>Hide the Mixer.Returns true on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">themixer.addMixerToDisplay &lt;biped_controller&gt; </code></pre><p>Adds the Biped the supplied controller belongs to to the Mixer.Returns true on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">themixer.removeMixerFromDisplay &lt;biped_controller&gt; </code></pre><p>Removes the Biped the supplied controller belongs to from the Mixer.Returns true on success.</p>\n\
<p>The following functions are available through icons in theMixer user interface:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">themixer.setAnimationRange() </code></pre><p>Sets the animation range. Returns true on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">themixer.updateDisplay </code></pre><p>Updates the Mixer&apos;s display. Returns true on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">themixer.zoomExtents() </code></pre><p>Zooms the Mixer&apos;s display to the extents of the animation. Returns true on success.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Mixer-MAXScript-Extensions.html\">Mixer MAXScript Extensions</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Mixer-MAXScript-Extensions.html\">Mixer MAXScript Extensions</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Extensions-in.html\">MAXScript Extensions in character studio</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";