var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-004BF624-087C-48D3-A9C2-E8D1A4D3BC23\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>BipFixer Core Interface</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:BipFixer </code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BipFixer.DoAngSmoothing &lt;&amp;node array&gt;nodeTab &lt;integer&gt;width &lt;float&gt;damping   \n\
\n\
nodeTab is In and Out parameter </code></pre><p>Fix the specified nodes with the <strong>Rot Smoothing</strong> Fixer using the supplied width and damping values.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BipFixer.DoAngBlurring &lt;&amp;node array&gt;nodeTab &lt;integer&gt;width &lt;float&gt;damping \n\
\n\
nodeTab is In and Out parameter </code></pre><p>Fix the specified nodes with the <strong>Rot Blurring</strong> Fixer using the supplied width and damping values.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BipFixer.DoAdvAngSmoothing &lt;&amp;node array&gt;nodeTab &lt;integer&gt;width &lt;float&gt;damping \n\
\n\
nodeTab is In and Out parameter </code></pre><p>Fix the specified nodes with the <strong>Adv Rot Smoothing</strong> Fixer using the supplied width and damping values.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BipFixer.DoPosSmoothing &lt;&amp;node array&gt;nodeTab &lt;integer&gt;width &lt;float&gt;damping \n\
\n\
nodeTab is In and Out parameter </code></pre><p>Fix the specified nodes with the <strong>Pos Smoothing</strong> Fixer using the supplied width and damping values.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BipFixer.DoPosBlurring &lt;&amp;node array&gt;nodeTab &lt;integer&gt;width &lt;float&gt;damping \n\
\n\
nodeTab is In and Out parameter </code></pre><p>Fix the specified nodes with the <strong>Pos Blurring</strong> Fixer using the supplied width and damping values.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BipFixer.DoRemoveKeys &lt;&amp;node array&gt;nodeTab &lt;integer&gt;intervalWidth &lt;boolean&gt;deleteKeys \n\
\n\
nodeTab is In and Out parameter </code></pre><p>Fix the specified nodes with the <strong>Remove Keys</strong> Fixer using the supplied interval width. When deleteKeys is supplied as <strong>true</strong> , keys will be deleted.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BipFixer.DoKneeWobbleFix &lt;&amp;node array&gt;nodeTab &lt;float&gt;frameThreshold &lt;float&gt;fluctuationThreshold  \n\
\n\
nodeTab is In and Out parameter </code></pre><p>Fix the specified nodes with the <strong>Knee Wobble</strong> Fixer using the supplied frame and fluctuation thresholds.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;BipFixer.DoKneeExtensionFix &lt;&amp;node array&gt;nodeTab &lt;float&gt;kneeAngle \n\
\n\
nodeTab is In and Out parameter </code></pre><p>Fix the specified nodes with the <strong>Knee Extension</strong> Fixer using the supplied knee angle.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../WorkBench-Core-Interfaces.html\">WorkBench Core Interfaces</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../WorkBench-Core-Interfaces.html\">WorkBench Core Interfaces</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Extensions-in.html\">MAXScript Extensions in character studio</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";