var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-12CBE2C7-80DB-4037-A4EA-1B3CEB7B6DB6\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Morpher : Modifier</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Morpher - superclass: modifier; super-superclass:MAXWrapper - classID: #(398157908, -1513381213) </code></pre><p><img src=\"./images/GUID-2FD79103-0BDA-4E7B-AA4C-DE04896E9078-low.gif\" alt></p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Morpher ... </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Morpher&gt;.Spinner_Minimum Float default: 0.0 </code></pre><p>The minimum limit.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Morpher&gt;.Spinner_Maximum Float default: 100.0 </code></pre><p>The maximum limit.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Morpher&gt;.Use_Limits Integer default: 1 -- Integer </code></pre><p>Enable/disable limits.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Morpher&gt;.Use_Selection Integer default: 0 </code></pre><p>Turn on to limit morphing to vertices selected in a modifier below the Morpher modifier in the modifier stack.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Morpher&gt;.Value_Increments Integer default: 1 </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Morpher&gt;.Autoload_of_targets Integer default: 0 </code></pre><p>Turn this on to allow animated targets to be updated dynamically by the Morpher modifier.</p>\n\
<p><strong>The following methods provide enhanced access to the Morpher modifier</strong>.</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt; IsValidMorpherMod &lt;Modifier_class&gt; Modifier </code></pre><p>Returns <code>true</code> when the supplied modifier is a valid Morpher modifier, <code>false</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;WM3_MC_BuildFromNode &lt;Morpher_Class&gt;Morpher &lt;integer&gt;channel_index &lt;geometry_class&gt;target_object </code></pre><p>Adds the object as target to the specified channel of the specified morpher modifier.</p>\n\
<p>Returns <code>true</code> on success.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   WM3_MC_BuildFromNode$Teapot01.morpher 1 $Teapot02\n\
   --&gt;true</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;WM3_MC_Delete &lt;Morpher_Class&gt;Morpher &lt;integer&gt;channel_index </code></pre><p>Deletes the target from the specified channel of the specified morpher modifier.</p>\n\
<p>Returns <code>true</code> on success.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   WM3_MC_Delete$Teapot01.morpher 1\n\
   --&gt;true</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;WM3_MC_GetLimitMAX &lt;Morpher_Class&gt;Morpher &lt;integer&gt;channel_index </code></pre><p>Returns the max. limit of the specified channel of the specified morpher modifier.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   WM3_MC_GetLimitMAX$Teapot01.morpher 1\n\
   --&gt;100.0</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;WM3_MC_GetLimitMIN &lt;Morpher_Class&gt;Morpher &lt;integer&gt;channel_index </code></pre><p>Returns the min. limit of the specified channel of the specified morpher modifier.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   WM3_MC_GetLimitMIN$Teapot01.morpher 1\n\
   --&gt;0.0</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;WM3_MC_GetMemUse &lt;Morpher_Class&gt;Morpher &lt;integer&gt;channel_index </code></pre><p>Returns the memory usage in bytes of the specified channel of the specified morpher modifier.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   WM3_MC_GetMemUse$Teapot01.morpher 1 \n\
   --&gt;10600.0</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Point3&gt;WM3_MC_GetMorphPoint &lt;Morpher_Class&gt;Morpher &lt;integer&gt;channel_index &lt;integer&gt;index </code></pre><p>Returns the position of the indexed morph point (vertex) of the specified channel in the specified morpher modifier.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;WM3_MC_GetMorphWeight &lt;Morpher_Class&gt;Morpher &lt;integer&gt;channel_index &lt;integer&gt;index </code></pre><p>Returns the weight of the indexed morph point (vertex) of the specified channel in the specified morpher modifier.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;WM3_MC_GetName &lt;Morpher_Class&gt;Morpher &lt;integer&gt;channel_index [localizedName:&lt;bool&gt;]</code></pre><p>Returns the name of the specified channel of the specified morpher modifier.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <a href=\"What-s-New-in-MAXScript-in-3ds.html\">NEW</a> <strong>in 3ds Max 2022:</strong> When the <code>localizedName</code> keyword parameter is <code>true</code> (the default), the localized name as it appears in the UI is returned.  Otherwise the non-localized name is returned.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;WM3_MC_GetTarget &lt;Morpher_Class&gt;Morpher &lt;integer&gt;channel_index </code></pre><p>Returns the target object of the specified channel of the specified morpher modifier.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;WM3_MC_GetUseLimits &lt;Morpher_Class&gt;Morpher &lt;integer&gt;channel_index </code></pre><p>Returns <code>true</code> if the specified channel of the specified morpher modifier uses the limits, <code>false</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;WM3_MC_GetUseVertexSel &lt;Morpher_Class&gt;Morpher &lt;integer&gt;channel_index </code></pre><p>Returns <code>true</code> if the specified channel of the specified morpher modifier uses the vertex selection, <code>false</code> otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;WM3_MC_GetValue &lt;Morpher_Class&gt;Morpher &lt;integer&gt;channel_index </code></pre><p>Returns the value of the specified channel of the specified morpher modifier.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;WM3_MC_HasData &lt;Morpher_Class&gt;Morpher &lt;integer&gt;channel_index </code></pre><p>Returns true when the specified channel of the specified morpher modifier has target data, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;WM3_MC_HasTarget &lt;Morpher_Class&gt;Morpher &lt;integer&gt;channel_index </code></pre><p>Returns true when the specified channel of the specified morpher modifier has a target object assigned, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;WM3_MC_IsActive &lt;Morpher_Class&gt;Morpher &lt;integer&gt;channel_index </code></pre><p>Returns true when the specified channel of the specified morpher modifier is active, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;WM3_MC_IsValid &lt;Morpher_Class&gt;Morpher &lt;integer&gt;channel_index </code></pre><p>Returns true when the specified channel of the specified morpher modifier is valid, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;WM3_MC_NumMPts &lt;Morpher_Class&gt;Morpher &lt;integer&gt;channel_index </code></pre><p>Returns the number of morph points (vertices) in the specified channel of the specified morpher modifier.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;WM3_MC_NumPts &lt;Morpher_Class&gt;Morpher &lt;integer&gt;channel_index </code></pre><p>Returns the total number of points (vertices) in the specified channel of the specified morpher modifier.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;WM3_MC_Rebuild &lt;Morpher_Class&gt;Morpher &lt;integer&gt;channel_index </code></pre><p>Rebuilds the target in the specified channel of the specified morpher modifier. Returns <code>true</code> on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;WM3_MC_SetActive &lt;Morpher_Class&gt;Morpher &lt;integer&gt;channel_index &lt;boolean&gt;active_state </code></pre><p>Activates/Deactivates the specified channel of the specified morpher modifier. Returns <code>true</code> on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;WM3_MC_SetLimitMAX &lt;Morpher_Class&gt;Morpher &lt;integer&gt;channel_index &lt;float&gt;max_limit </code></pre><p>Sets the max. limit for the specified channel of the specified morpher modifier. Returns <code>true</code> on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;WM3_MC_SetLimitMIN &lt;Morpher_Class&gt;Morpher &lt;integer&gt;channel_index &lt;float&gt;min_limit </code></pre><p>Sets the min. limit for the specified channel of the specified morpher modifier. Returns <code>true</code> on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;WM3_MC_SetName &lt;Morpher_Class&gt;Morpher &lt;integer&gt;channel_index &lt;string&gt;new_name [localizedName:&lt;bool&gt;] </code></pre><p>Sets the name of the specified channel of the specified morpher modifier. Returns <code>true</code> on success.</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <a href=\"What-s-New-in-MAXScript-in-3ds.html\">NEW</a> <strong>in 3ds Max 2022:</strong> When the <code>localizedName</code> keyword parameter is <code>true</code> (the default), the localized name as it appears in the UI is set.  Otherwise the non-localized name is set.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;WM3_MC_SetUseLimits &lt;Morpher_Class&gt;Morpher &lt;integer&gt;channel_index &lt;boolean&gt;use_limits </code></pre><p>Activates limit usage for the specified channel of the specified morpher modifier. Returns <code>true</code> on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;WM3_MC_SetUseVertexSel &lt;Morpher_Class&gt;Morpher &lt;integer&gt;channel_index &lt;boolean&gt;use_vert_sel </code></pre><p>Activates vertex selection usage for the specified channel of the specified morpher modifier. Returns <code>true</code> on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;WM3_MC_SetValue &lt;Morpher_Class&gt;Morpher &lt;integer&gt;channel_index &lt;float&gt;new_value </code></pre><p>Sets the value of the specified channel of the specified morpher modifier. Returns <code>true</code> on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;WM3_NumberOfChannels &lt;Morpher_Class&gt;Morpher </code></pre><p>Returns the number of available channels for the specified morpher modifier.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;WM3_RebuildInternalCache &lt;Morpher_Class&gt;Morpher </code></pre><p>Rebuilds the internal cache of the specified morpher modifier. Returns <code>true</code> on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;WM3_RefreshChannelListUI &lt;Morpher_Class&gt;Morpher </code></pre><p>Refreshes the channel list of the specified morpher modifier. Returns <code>true</code> on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;WM3_RefreshChannelParamsUI &lt;Morpher_Class&gt;Morpher </code></pre><p>Refreshes the channel parameters of the specified morpher modifier. Returns <code>true</code> on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;WM3_SetChannelPos&lt;Morpher_Class&gt;Morpher &lt;Integer&gt;new_pos </code></pre><p>Scrolls the morpher UI to the specified channel. Returns <code>true</code> on success.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;WM3_SetChannelSel &lt;Morpher_Class&gt;Morpher &lt;Integer&gt;new_sel </code></pre><p>Selects the specified channel of the specified morpher modifier. Returns <code>true</code> on success.</p>\n\
<p><strong>The following methods were added in 3ds Max 8:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">WM3_MoveMorph &lt;Morpher_Class&gt;Morpher &lt;Integer&gt;old_pos &lt;Integer&gt;new_pos </code></pre><p>Moves the indexed morph channel to the specified channel, leaving the old channel Empty and overwriting the new channel if not empty.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   WM3_MoveMorph$Teapot01.morpher 1 10--moves channel 1 to channel 10.OK</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">WM3_SwapMorph &lt;Morpher_Class&gt;Morpher &lt;Integer&gt;first_pos &lt;Integer&gt;second_pos </code></pre><p>Swaps the morph channels, preserving both channels.</p>\n\
<p>Either of the two channels can be empty.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   WM3_SwapMorph$Teapot01.morpher 1 10--moves channel 1 to channel 10and channel 10 to channel 1.OK</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">WM3_DeleteProgressiveMorphNode &lt;Morpher_Class&gt;Morpher &lt;Integer&gt;morph_channel &lt;Integer&gt;prog_morph_index </code></pre><p>Deletes the specified progressive morphfrom the given morph channel.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Deletes the second progressive morph of channel one.\n\
   WM3_DeleteProgressiveMorphNode$Teapot01.morpher 1 2\n\
   --&gt;OK --if the channel is empty, returns false:\n\
   WM3_DeleteProgressiveMorphNode$Teapot01.morpher 100 1\n\
   --&gt;false</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">WM3_AddProgressiveMorphNode &lt;Morpher_Class&gt;Morpher &lt;Integer&gt;morph_channel &lt;Node&gt;morph_target </code></pre><p>Adds a progressive morph to the given morph channel.</p>\n\
<p>Available in<strong>3ds Max 8 and higher</strong>.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Adds the node Teapot02 as progressive morph target of channel one.\n\
   WM3_AddProgressiveMorphNode $Teapot01.morpher 1 $Teapot02\n\
   --&gt;OK--if the node is invalid, returns false - in this case, cannot add itself:\n\
   WM3_AddProgressiveMorphNode$Teapot01.morpher 1 $Teapot01\n\
   --&gt;false</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">WM3_GetProgressiveMorphNode &lt;Morpher_Class&gt;Morpher &lt;Integer&gt;morph_channel &lt;Integer&gt;prog_morph_index </code></pre><p>Returns the progressive morph node with the given index from the specified morph channel.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Gets the second progressive morph target from channel one:\n\
   WM3_GetProgressiveMorphNode $Teapot01.morpher 1 2\n\
   --&gt;$Ediable_Mesh:Teapot01 @ [0.0,0.0,0.0] --if there is no such index or the channel is empty, returns undefined\n\
   WM3_GetProgressiveMorphNode$Teapot01.morpher 1 10\n\
   --&gt;undefined</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">WM3_SetProgressiveMorphWeight &lt;Morpher_Class&gt;Morpher &lt;Integer&gt;morph_channel &lt;Node&gt;prog_morph_node&lt;Float&gt;weight </code></pre><p>Sets the progressive morph weight for the targetnodein the specified morph channelto the supplied floating point value.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>The value will NOT be converted implicitly from Integer to Float if supplied as Integer. Always provide a floating point value!</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Sets the weight of Teapot02 in channel one to 25.0:\n\
   WM3_GetProgressiveMorphNode$Teapot01.morpher 1 $Teapot02 25.0\n\
   --&gt;OK</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">WM3_GetProgressiveMorphWeight &lt;Morpher_Class&gt;Morpher &lt;Integer&gt;morph_channel &lt;Node&gt;prog_morph_node </code></pre><p>Gets the progressive morph weight for the target node in the specified morph channel.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">WM3_SetProgressiveMorphTension &lt;Morpher_Class&gt;Morpher &lt;Integer&gt;morph_channel &lt;Float&gt;tension </code></pre><p>Sets the progressive morph tension of the specified morph channel to the supplied floating point value.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Sets the progressive morph tension of channel one to 0.3:\n\
   WM3_GetProgressiveMorphNode $Teapot01.morpher 1 0.3\n\
   --&gt;OK</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">WM3_GetProgressiveMorphTension &lt;Morpher_Class&gt;Morpher &lt;Integer&gt;morph_channel </code></pre><p>Gets the progressive morph tension of the specified morph channel as floating point value.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   --Gets the progressive morph tension of channel one:\n\
   WM3_GetProgressiveMorphNode $Teapot01.morpher 1\n\
   --&gt;0.3</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">WM3_NumberOfProgressiveMorphs &lt;Morpher_Class&gt;Morpher &lt;Integer&gt;morph_channel </code></pre><p>Returns the number of progressive morphs in the specified morph channel as integer.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">WM3_CreateMarker &lt;Morpher_Class&gt;Morpher &lt;Integer&gt;morph_channel &lt;String&gt;marker_name </code></pre><p>Creates a new marker with the given name in the specified morph channel.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">WM3_NumberOfMarkers &lt;Morpher_Class&gt;Morpher </code></pre><p>Returns the number of markers in the morph modifier as integer.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">WM3_SetMarkerData &lt;Morpher_Class&gt;Morpher &lt;Integer&gt;marker_index &lt;Integer&gt;morph_channel &lt;String&gt;marker_name </code></pre><p>Sets the marker data.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">WM3_GetMarkerName &lt;Morpher_Class&gt;Morpher &lt;Integer&gt;marker_index </code></pre><p>Returns the name of the indexed marker.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">WM3_GetMarkerIndex &lt;Morpher_Class&gt;Morpher &lt;Integer&gt;marker_index </code></pre><p>Returns the index of the indexed marker.</p>\n\
<p>Returns false if the index is out of range. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">WM3_SetCurrentMarker &lt;Morpher_Class&gt;Morpher &lt;Integer&gt;marker_index </code></pre><p>Sets the current marker to the indexed marker.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">WM3_GetCurrentMarker &lt;Morpher_Class&gt;Morpher </code></pre><p>Returns the index of the current marker.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">WM3_DeleteMarker &lt;Morpher_Class&gt;Morpher &lt;Integer&gt;marker_index </code></pre><p>Deletes the indexed marker.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">WM3_NumberOfChannels &lt;Morpher_Class&gt;Morpher </code></pre><p>Returns the number of channels displayed in the UI for the Morpher. Note that channels are added in batches of 100, so this method will return multiples of 100. Your script should determine whether the channel is active using <code>WM3_MC_IsActive()</code> before working with the channel.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Animation-Modifiers.html\">Animation Modifiers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../../How-To-Practical-Examples/How-To-Enhance-the-Morpher.html\">How To ... Enhance the Morpher Modifier With Floating Controls</a></li>\n\
          <li><a class=\"link\" href=\"../../../Modifier-Common-Properties/Modifier-Common-Properties-1.html\">Modifier Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";