var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-A3820E88-2E30-4A1F-A1C9-28C90534FFE6\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Skin_Wrap : modifier</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Skin_Wrap - superclass: modifier; super-superclass:MAXWrapper - 17:0 - classID: #(582466825, 1731904975) </code></pre><p><img src=\"./images/GUID-2FD79103-0BDA-4E7B-AA4C-DE04896E9078-low.gif\" alt></p>\n\
<p>The <strong>Skin_Wrap</strong> modifier lets you transfer deformations from one mesh to another, typically from low-resolution proxy mesh to a high-resolution final mesh.</p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Skin_Wrap ... MeshDeformPW ... </code></pre><p><strong>Properties</strong></p>\n\
<h3 id=\"parameters-rollout\">Parameters Rollout</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin_Wrap&gt;.meshList ArrayParameter default: #() -- node array   </code></pre><p>Get/Set the mesh list nodes array. Corresponds to the node list in the Parameters rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin_Wrap&gt;.mesh UndefinedClassdefault: undefined -- node </code></pre><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin_Wrap&gt;.engine Integer default: 1 -- integer </code></pre><p>Get/Set the Deformation Engine drop-down list selection. Possible values are:</p>\n\
<p>0 - Face Deformation</p>\n\
<p>1 - Vertex Deformation (default)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin_Wrap&gt;.falloff Float default: 1.0 -- float </code></pre><p>Get/Set the Falloff value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin_Wrap&gt;.Distance Float default: 1.2 -- float </code></pre><p>Get/Set the &quot;Distance Infl.&quot; value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin_Wrap&gt;.faceLimit Integer default: 3 -- integer; Face_Limit </code></pre><p>Get/Set the &quot;Face Limit&quot; value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin_Wrap&gt;.blend BooleanClass default: false-- boolean; Blend_To_Base_Mesh </code></pre><p>Get/Set the state of the &quot;Blend To Base Mesh&quot; checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin_Wrap&gt;.blendDistance Float default:5.0 -- float; Blend_Distance </code></pre><p>Get/Set the Blend Distance value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin_Wrap&gt;.threshold Float default: 5.0 -- float </code></pre><p>Get/Set the Threshold value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin_Wrap&gt;.weightAllVerts BooleanClass default: false -- boolean; Weight_All_Verts </code></pre><p>Get/Set the state of the &quot;Weight All Points&quot; checkbox.</p>\n\
<h3 id=\"advanced-parameters-rollout\">Advanced Parameters Rollout</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin_Wrap&gt;.showMirrorData BooleanClass default: false-- boolean; Show_Mirror_Data </code></pre><p>Get/Set the state of the &quot;Show Mirror Data&quot; checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin_Wrap&gt;.mirrorPlane Integer default: 0 -- integer; Mirror_Plane </code></pre><p>Get/Set the selection of the &quot; Mirror Plane&quot; radio buttons. Possible values are:</p>\n\
<p>0 - X</p>\n\
<p>1 - Y</p>\n\
<p>2 - Z</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin_Wrap&gt;.mirrorOffset Float default:0.0 -- float; Mirror_Offset </code></pre><p>Get/Set the &quot;Mirror Offset&quot; value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin_Wrap&gt;.mirrorThreshold Float default: 0.5 -- float; Mirror_Threshold </code></pre><p>Get/Set the &quot;Mirror Threshold&quot; value.</p>\n\
<h3 id=\"display-parameters-rollout\">Display Parameters Rollout</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin_Wrap&gt;.showLoops BooleanClass default: true -- boolean; Show_Loops </code></pre><p>Get/Set the state of the &quot;Display Loops&quot; checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin_Wrap&gt;.showAxis BooleanClass default: true -- boolean; Show_Axis </code></pre><p>Get/Set the state of the &quot;Display Axis&quot; checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin_Wrap&gt;.showFaceLimit BooleanClass default: true-- boolean; Show_Face_Limit </code></pre><p>Get/Set the state of the &quot;Display Face Limit&quot; checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin_Wrap&gt;.showUnassignedVerts BooleanClass default: false --boolean; Show_Unassigned_Verts </code></pre><p>Get/Set the state of the &quot;Display Unassigned Points&quot; checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Skin_Wrap&gt;.showVerts BooleanClass default:true -- boolean; Show_Verts </code></pre><p>Get/Set the state of the &quot;Display Control Verts&quot; checkbox.</p>\n\
<p><strong>Skin_Wrap interfaces:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: meshDeformOps </code></pre><p><strong>Methods:</strong></p>\n\
<h3 id=\"parameters-rollout\">Parameters Rollout</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;reset() </code></pre><p>Resest both the Strength and Scale values of the selected control vertices. Corresponds to pressing the &quot;Reset&quot; button.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setLocalStr &lt;float&gt;str </code></pre><p>Sets the local strengthof the selected control verticesto the specified float value. Affects the value represented by the Local Str. spinner in the Parameters rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setLocalScale &lt;index&gt;axis &lt;float&gt;scale </code></pre><p>Sets the local scaleof the selected control verticesalong the indexed axis to the specified float value.</p>\n\
<p>Possible axis values are</p>\n\
<p>1 - X</p>\n\
<p>2 - Y</p>\n\
<p>3 - Z</p>\n\
<p>Affects the values represented by the Local X, Local Y and Local Z spinners in the Parameters rollout.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;ConvertToSkin &lt;boolean&gt;silent </code></pre><p>Corresponds to pressing the &quot;Convert To Skin&quot; button.</p>\n\
<h3 id=\"advanced-parameters-rollout\">Advanced Parameters Rollout</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;mirrorSelectedControlPoints() </code></pre><p>Mirrors the selected control vertices. Corresponds to pressing the &quot;Mirror Selected&quot; button.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;bakeControlPoint() </code></pre><p>Bakes the control vertices. Corresponds to pressing the &quot;Bake Control Verts&quot; button.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;retrieveControlPoint() </code></pre><h3 id=\"control-vertex-access-methods\">Control Vertex Access Methods</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;bitArray&gt;getSelectedVertices &lt;index&gt;wrapNodeIndex </code></pre><p>Returns a bitarray containing the selected vertices affected by the indexed wrap node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setSelectVertices &lt;index&gt;wrapNodeIndex &lt;bitArray&gt;sel &lt;boolean&gt;update </code></pre><p>Sets the vertex selection for the indexed wrap node to the given bitarray. If the update argument is false, no update will be performed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;getNumberOfControlPoints &lt;index&gt;wrapNodeIndex </code></pre><p>Returns the number of control vertices of the indexed wrap node.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;point3&gt;getControlPointScale &lt;index&gt;wrapNodeIndex &lt;index&gt;index </code></pre><p>Returns the control vertex scale of the indexed vertex of the indexed wrap node as a point3 value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setControlPointScale &lt;index&gt;wrapNodeIndex &lt;index&gt;index &lt;point3&gt;scale </code></pre><p>Sets the control vertex scale of the indexed vertex of the indexed wrap node to the given point3 value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;getControlPointStr &lt;index&gt;wrapNodeIndex &lt;index&gt;index </code></pre><p>Returns the control vertex strength of the indexed vertex of the indexed wrap node as a float value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;setControlPointStr &lt;index&gt;wrapNodeIndex &lt;index&gt;index &lt;float&gt;str </code></pre><p>Sets the control vertex strength of the indexed vertex of the indexed wrap node to the given float value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;matrix3&gt;getControlPointInitialTM &lt;index&gt;wrapNodeIndex &lt;index&gt;index </code></pre><p>Returns the initial transformation matrix of the indexed control vertex in the indexed wrap node as a matrix3 value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;matrix3&gt;getControlPointCurrentTM &lt;index&gt;wrapNodeIndex &lt;index&gt;index </code></pre><p>Returns the current transformation matrix of the indexed control vertex in the indexed wrap node as a matrix3 value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;getControlPointDist &lt;index&gt;wrapNodeIndex &lt;index&gt;index </code></pre><p>Returns the indexed control vertex&apos; distance in the indexed wrap node as a float value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;getControlPointXVert &lt;index&gt;wrapNodeIndex &lt;index&gt;index </code></pre><p>Returns the transformed vertex index of the indexed control vertex in the indexed wrap node as an integer value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;OutputVertexData &lt;node&gt;node &lt;integer&gt;vertexIndex </code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Animation-Modifiers.html\">Animation Modifiers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../Modifier-Common-Properties/Modifier-Common-Properties-1.html\">Modifier Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";