var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-A065E8A7-9CB3-424B-B75E-9EF16509FC50\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Tessellate : Modifier</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Tessellate - superclass: modifier; super-superclass:MAXWrapper - classID: #(-1548587022, 0)</code></pre><p><img src=\"./images/GUID-3F4A4F54-D626-4ADD-9521-2FFFD64D6DDA-low.gif\" alt></p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Tessellate ...</code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Tessellate&gt;.tension Float default: 2500.0 -- animatable, percentage</code></pre><p>Determines if the new faces are flat, concave, or convex after Edge tessellation. A positive value rounds faces by pushing vertices outward. A negative value creates concave faces by pulling vertices inward. A setting of 0 keeps the faces flat.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> The <code>tension</code> value is 100 times the value shown in the <strong>3ds Max</strong> user interface.</div>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;tessellate&gt;.faceType Integer default: 0</code></pre><p>The faceType mode corresponding to the Operate On option in the UI:</p>\n\
<p>0 - Operate on Faces</p>\n\
<p>1 - Operate on Polygons</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;tessellate&gt;.type Integer default: 0</code></pre><p>The tessellation type:</p>\n\
<p>0 - Edge</p>\n\
<p>1 - Face-Center</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;tessellate&gt;.iterations Integer default: 0</code></pre><p>The number of tessellation iterations. Note that while the UI limits the number of iterations to 4, you can set higher values via MAXScript.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;tessellate&gt;.updateWhen Integer default: 0</code></pre><p>The update mode:</p>\n\
<p>0 - Always</p>\n\
<p>1 - When Rendering</p>\n\
<p>2 - Manually</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Mesh-Editing.html\">Mesh Editing</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Subdivision-Surfaces/Quadify_Mesh-Modifier.html\">Quadify_Mesh : Modifier</a></li>\n\
          <li><a class=\"link\" href=\"../Subdivision-Surfaces/Subdivide-Modifier.html\">Subdivide : Modifier</a></li>\n\
          <li><a class=\"link\" href=\"../Subdivision-Surfaces/TurboSmooth-Modifier.html\">TurboSmooth : Modifier</a></li>\n\
          <li><a class=\"link\" href=\"../Subdivision-Surfaces/MeshSmooth-Modifier.html\">MeshSmooth : Modifier</a></li>\n\
          <li><a class=\"link\" href=\"../Subdivision-Surfaces/HSDS_Modifier-superclass.html\">HSDS_Modifier - superclass: modifier</a></li>\n\
          <li><a class=\"link\" href=\"../../../Modifier-Common-Properties/Modifier-Common-Properties-1.html\">Modifier Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";