var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-62C5E66B-18C5-48AF-BE54-3A78CBAA0099\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MapScaler : modifier</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MapScalerOSM - superclass: modifier; super-superclass:MAXWrapper - 6:0 - classID: #(229485990, 0) </code></pre><p><img src=\"./images/GUID-2FE80AB6-C06E-4867-ADED-D9044227A829-low.gif\" alt></p>\n\
<p>This is an object-space version of the <a href=\"./../../Other-SpacewarpModifiers/MapScalerSpacewarpModifier.html\">MapScalerSpacewarpModifier</a>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">MapScalerOSM ... MapScalerModifier ... </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;MapScalerOSM&gt;.scale Float default: 100.0 -- animatable; float </code></pre><p>The size of one repeat of the texture pattern. Size is measured in current scene units.</p>\n\
<p>Repeats occur across the object in the U direction.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;MapScalerOSM&gt;.uOffset Float default: 0.0 -- animatable; float </code></pre><p>The U direction map offset.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;MapScalerOSM&gt;.vOffset Float default: 0.0 -- animatable; float </code></pre><p>The V direction map offset.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;MapScalerOSM&gt;.wrap BooleanClass default: true -- boolean </code></pre><p>When true, Map Scaler attempts to wrap the texture evenly around the object.</p>\n\
<p>This option requires more computing, but usually produces the most satisfactory results.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;MapScalerOSM&gt;.wrapUsingSmoothingGroups BooleanClass default: false -- boolean </code></pre><p>Controls the state of <strong>Wrap using Smoothing Groups</strong> checkbox.</p>\n\
<p>When set to true and .wrap is also set to true, Map Scaler will attempt to wrap the texture around the object based on its smoothing groups.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;MapScalerOSM&gt;.channel Integer default: 1 -- integer </code></pre><p>The map channel used.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../UVW-Modifiers.html\">UVW Modifiers</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Other-SpacewarpModifiers/MapScalerSpacewarpModifier.html\">MapScalerSpacewarpModifier : SpacewarpModifier</a></li>\n\
          <li><a class=\"link\" href=\"../../../Modifier-Common-Properties/Modifier-Common-Properties-1.html\">Modifier Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";