var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-1AC3F5EA-8C95-4D7A-AAC9-5DB20B2D162D\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Unwrap_UVW Modifier - Regular (Unfold) Mapping</h1></div><p>The following methods expose the <strong>Unfold Mapping</strong> workflow to MAXScript:</p>\n\
<h2 id=\"unfold-mapping\">Unfold Mapping</h2><p><img src=\"./images/GUID-CF152AAB-D86E-40C3-B4A8-06E3CE085CB7-low.bmp\" alt></p>\n\
<p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> &lt;void&gt;&lt;Unwrap_UVW&gt;.RegularMapStart &lt;node&gt;node &lt;boolean&gt;showUI </code></pre><p>Starts the Unfold Mapping process for the specified node. If the second argument is passed as true, also displays the &quot;Unfold Map&quot; dialog.</p>\n\
<p>Exposed via <code>unwrap6</code> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.RegularMapEnd()</code></pre><p>Ends the Unform Mapping process and closes the &quot;Unfold Map&quot; dialog if open.</p>\n\
<p>Exposed via <code>unwrap6</code> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.RegularMapReset()</code></pre><p>Resets the Unfold mapping.</p>\n\
<p>Exposed via <code>unwrap6</code> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Unwrap_UVW&gt;.RegularMapGetAutoWeld()</code></pre><p>Returns the state of the &quot;Use Threshold&quot; checkbox.</p>\n\
<p>Exposed via <code>unwrap6</code> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.RegularMapSetAutoWeld &lt;boolean&gt;enable</code></pre><p>Sets the state of the &quot;Use Threshold&quot; checkbox.</p>\n\
<p>Exposed via <code>unwrap6</code> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;&lt;Unwrap_UVW&gt;.RegularMapGetAutoWeldThreshold()</code></pre><p>Returns the auto-weld &quot;Threshold&quot; value.</p>\n\
<p>Exposed via <code>unwrap6</code> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.RegularMapSetAutoWeldThreshold &lt;float&gt;threshold</code></pre><p>Sets the auto-weld &quot;Threshold&quot; value. The Unfold Map dialog&apos;s UI will not be updated unless it is reopened.</p>\n\
<p>Exposed via <code>unwrap6</code> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Unwrap_UVW&gt;.RegularMapGetSingleStep()</code></pre><p>Returns the state of the &quot;Single Step&quot; option.</p>\n\
<p>Exposed via <code>unwrap6</code> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.RegularMapSetSingleStep &lt;boolean&gt;enable</code></pre><p>Sets the state of the &quot;Single Step&quot; option to the boolean argument.</p>\n\
<p>Exposed via <code>unwrap6</code> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;Unwrap_UVW&gt;.RegularMapGetLimit()</code></pre><p>Returns the selection index of the &quot;Advance Limit&quot; drop-down list option.</p>\n\
<p>Possible values are:</p>\n\
<p>1 - <strong>Full</strong> (default)</p>\n\
<p>2 - <strong>Partial</strong></p>\n\
<p>3 - <strong>Always</strong></p>\n\
<p>Exposed via <code>unwrap6</code> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.RegularMapSetLimit &lt;integer&gt;limit</code></pre><p>Sets the selection index of the &quot;Advance Limit&quot; drop-down list option to the specified integer. See above for supported values.</p>\n\
<p>Exposed via <code>unwrap6</code> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Unwrap_UVW&gt;.RegularMapGetNormalize()</code></pre><p>Returns the state of the &quot;Normalize&quot; option.</p>\n\
<p>Exposed via <code>unwrap6</code> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.RegularMapSetNormalize &lt;boolean&gt;enable</code></pre><p>Sets the state of the &quot;Normalize&quot; option.</p>\n\
<p>Exposed via <code>unwrap6</code> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;Unwrap_UVW&gt;.RegularMapGetAutoFit()</code></pre><p>Returns the selection of the &quot;Auto Fit&quot; drop-down list option.</p>\n\
<p>Possible values are:</p>\n\
<p>1 - <strong>Auto Fit None</strong></p>\n\
<p>2 - <strong>Auto Fit Last</strong> (default)</p>\n\
<p>3 - <strong>Auto Fit All</strong></p>\n\
<p>Exposed via <code>unwrap6</code> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.RegularMapSetAutoFit &lt;integer&gt;autofit</code></pre><p>Sets the selection of the &quot;Auto Fit&quot; drop-down list option. See above for supported values.</p>\n\
<p>Exposed via <code>unwrap6</code> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.RegularMapResetFaces()</code></pre><p>Equivalent to pressing the &quot;Reset Faces&quot; button in the Unform Map dialog.</p>\n\
<p>Exposed via <code>unwrap6</code> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.RegularMapStartNewCluster &lt;node&gt;node &lt;index&gt;index</code></pre><p>Exposed via <code>unwrap6</code> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.RegularMapAdvanceSelected &lt;boolean&gt;singleStep</code></pre><p>Exposed via <code>unwrap6</code> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.RegularMapAdvanceUV &lt;boolean&gt;uPos &lt;boolean&gt;vPos &lt;boolean&gt;uNeg &lt;boolean&gt;vNeg &lt;boolean&gt;singleStep </code></pre><p>Exposed via <code>unwrap6</code> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;&lt;Unwrap_UVW&gt;.RegularMapGetIconSize()</code></pre><p>Exposed via <code>unwrap6</code> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.RegularMapSetIconSize &lt;float&gt;size</code></pre><p>Exposed via <code>unwrap6</code> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Unwrap_UVW&gt;.RegularMapExpand &lt;enum&gt;expandBy \n\
\n\
 expandBy enums: {#smgrp | #planar | #edgeSel | #faceSel | #outerBorder | #innerBorder | #ring | #peltseams | #loop}</code></pre><p>Expands the selection by the specified method.</p>\n\
<p>Exposed via <code>unwrap6</code> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Unwrap_UVW-Modifier.html\">Unwrap_UVW : Modifier</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";