var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-C7BFD038-47CA-4B3E-890A-68A80483117A\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Torus_Knot : GeometryClass</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Torus_Knot - superclass: GeometryClass; super-superclass:node - classID: #(1824, 0) </code></pre><p><img src=\"./images/GUID-6627C068-3F4B-4657-B9DF-762A26371103-low.gif\" alt></p>\n\
<p><strong>Constructor</strong>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">torus_knot...   </code></pre><p><strong>Properties</strong>:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Torus_Knot&gt;.Base_Curve Integer default: 0 </code></pre><p>Select the base curve for the Torus Know object:</p>\n\
<p>0 - <strong>Knot</strong> (The torus interweaves itself.)</p>\n\
<p>1 - <strong>Circle</strong> (The base curve is a circle, resulting in a standard torus if parameters are left at their defaults.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Torus_Knot&gt;.radius Float default: 0.0 -- animatable </code></pre><p>The radius of the base curve.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Torus_Knot&gt;.segments Integer default: 120 -- animatable </code></pre><p>The number of segments around the perimeter of the torus.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Torus_Knot&gt;.p Float default: 2.0 -- animatable </code></pre><p>Describe up and around-the-center winding numbers.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Torus_Knot&gt;.q Float default: 3.0 -- animatable </code></pre><p>Describe down and around-the-center winding numbers.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Torus_Knot&gt;.Warp_Count Float default: 0.0 -- animatable </code></pre><p>The number of &quot;points&quot; in a star shape around the curve.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Torus_Knot&gt;.Warp_Height Float default: 0.0 -- animatable </code></pre><p>The height of the &quot;points&quot; given as a percentage of the base curve radius.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Torus_Knot&gt;.radius2 Float default: 10.0 -- animatable </code></pre><p>The radius of the cross section of the torus knot object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Torus_Knot&gt;.sides Integer default: 12 -- animatable </code></pre><p>The number of sides around the cross section.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Torus_Knot&gt;.Eccentricity Float default: 1.0 -- animatable </code></pre><p>The ratio of the major to minor axes of the cross section.</p>\n\
<p>A value of 1 provides a circular cross section, while other values create elliptical cross sections.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Torus_Knot&gt;.Twist Float default: 0.0 -- animatable </code></pre><p>The number of times the cross section twists around the base curve.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Torus_Knot&gt;.Lumps Float default: 0.0 -- animatable </code></pre><p>The number of bulges in the torus knot.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Torus_Knot&gt;.Lump_Height Float default: 0.0 -- animatable </code></pre><p>The height of the lumps, as a percentage of the radius of the cross section.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Torus_Knot&gt;.Lump_Offset Float default: 0.0 -- animatable, angle </code></pre><p>The offset of the start of the lumps, measured in degrees.</p>\n\
<p>The purpose of this value is to animate the lumps around the torus.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Torus_Knot&gt;.smooth Integer default: 2 </code></pre><p>Set smoothing in the torus knot:</p>\n\
<p>0 - <strong>None</strong> (The torus knot is faceted.)</p>\n\
<p>1 - <strong>Sides</strong> (Smoothes only the adjacent sides of the torus knot.)</p>\n\
<p>2 - <strong>All</strong> (The torus knot is faceted.)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Torus_Knot&gt;.Gen_UV  Integer default: 0 </code></pre><p>Turn on/off generate mapping coordinates</p>\n\
<p>0 - <strong>Off</strong></p>\n\
<p>1 - <strong>On</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Torus_Knot&gt;.U_Tile Float default: 1.0 -- animatable </code></pre><p>Tile the mapping coordinates along U.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Torus_Knot&gt;.V_Tile Float default: 1.0 -- animatable </code></pre><p>Tile the mapping coordinates along V.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Torus_Knot&gt;.U_Offset Float default: 0.0 -- animatable </code></pre><p>Offset the mapping coordinates along U.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Torus_Knot&gt;.V_Offset Float default: 0.0 -- animatable </code></pre><p>Offset the mapping coordinates along V.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Geometry-Extended-Objects.html\">Geometry - Extended Objects</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../GeometryClass-Common-Properties.html\">GeometryClass Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../Node-Common-Properties-Operators.html\">Node Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";