var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-155A17BE-1216-47EB-B24F-ABF7C5E24B18\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>sliderManipulator : helper</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">sliderManipulator - superclass: helper; super-superclass:node - 10:0 - classID: #(1205540079, 1318803856) </code></pre><p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">sliderManipulator...   </code></pre><p><strong>Properties</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;sliderManipulator&gt;.value Float default: 0.0 -- animatable; float </code></pre><p>The value of the slider, based on the position of the slidable triangle. Default=0.0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;sliderManipulator&gt;.minVal Float default: 0.0 -- animatable; float </code></pre><p>The minimum possible value of the slider. Default=0.0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;sliderManipulator&gt;.maxVal Float default: 100.0 -- animatable; float </code></pre><p>The maximum possible value of the slider. Default=100.0.</p>\n\
<p>When the minimum is 0.0 and the maximum is 100.0, the slider Value can represent a percentage.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;sliderManipulator&gt;.xPos Float default: 0.0 -- float </code></pre><p>The slider&apos;s X location in the active viewport. Default=Viewport X location you clicked when you created the slider.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;sliderManipulator&gt;.yPos Float default: 0.0 -- float </code></pre><p>The slider&apos;s Y location in the active viewport. Default=Viewport Y location you clicked when you created the slider.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;sliderManipulator&gt;.width Float default: 100.0 -- float </code></pre><p>The slider&apos;s width, in <strong>3ds Max</strong> units. Default=100.0.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;sliderManipulator&gt;.hide Boolean default: false -- boolean </code></pre><p>When on, hides all of the slider except for the label and the move and show/hide components. Default=off.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;sliderManipulator&gt;.sldName String default: &quot;&quot; -- string </code></pre><p>The slider label that appears in viewports. Default=none.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;sliderManipulator&gt;.snapToggle Boolean default: true -- boolean </code></pre><p>When on, the slider &quot;snaps&quot; to incremental values. When off, Default=on.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;sliderManipulator&gt;.snapVal Float default: 0.01 -- float </code></pre><p>The increment used by the slider when Snap is on. Default=0.01.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Helper-Manipulators.html\">Helper - Manipulators</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-manip.html\">Interface: manip</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Manipulators.html\">Scripted Manipulators</a></li>\n\
          <li><a class=\"link\" href=\"Cone_Angle-helper.html\">Cone_Angle : helper</a></li>\n\
          <li><a class=\"link\" href=\"Plane_Angle-helper.html\">Plane_Angle : helper</a></li>\n\
          <li><a class=\"link\" href=\"Non-Creatable-Manipulators/radiusManip-helper.html\">radiusManip : helper</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins.html\">Scripted Plug-ins</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";