var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-C4CE9873-B34D-4994-8869-0DD5BB76DA2A\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Freehand: Shape</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">FreehandSpline - superclass: shape; super-superclass:node - 20:7 - classID: #(3232560656L, 2603512888L) </code></pre><p><img src=\"./images/GUID-8C579EEE-DDD1-4A3A-A339-3A53B57CA3F4-low.bmp\" alt></p>\n\
<p>Available in <strong>3ds Max 2018.2 and higher</strong>: The freehand spline allows users to draw splines in the viewport by tracing a path.</p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Freehand...   </code></pre><p><strong>Properties</strong></p>\n\
<h2 id=\"general-parameters\">General Parameters</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Freehand&gt;.curveType Integer default: 0 -- integer</code></pre><p>The type of line segments between knots, where:</p>\n\
<ul>\n\
<li>0 = curved</li>\n\
<li>1 = straight</li>\n\
</ul>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Freehand&gt;.showKnots BooleanClass default: false -- boolean; ShowKnots</code></pre><p>Gets or sets whether to show the spline&apos;s knots.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Freehand&gt;.enableClosedCurve BooleanClass default: false -- boolean; Closed</code></pre><p>Gets or sets whether the spline is closed (the first and last knots are connected).</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Freehand&gt;.constrainOffset Float default: 0.1 -- float; Offset</code></pre><p>Gets or sets the offset from a constraining surface, if one exists.</p>\n\
<h2 id=\"creation-parameters\">Creation Parameters</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Freehand&gt;.enableConstrainShowNormals BooleanClass default: true -- boolean; ShowNormals</code></pre><p>Gets or sets whether to show the normal on the spline relative to the constrained surface.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Freehand&gt;.enableConstrain BooleanClass default: false -- boolean; Constrain</code></pre><p>Gets or sets whether to enable</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Freehand&gt;.granularity Integer default: 3 -- integer</code></pre><p>Gets or sets the granularity of the mouse capture (the number of samples of the mouse position) before creating a new knot when drawing the spline in the viewport.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Freehand&gt;.threshold Integer default: 10 -- integer</code></pre><p>Gets or sets the creation threshold, which is how far the mouse must travel before a new knot is created.   </p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Freehand&gt;.endCreateOnButtonUp BooleanClass default: true -- boolean; End_Create</code></pre><p>Gets or sets whether to end spline creation when the mouse button is up. When false, creation ends on double-click.</p>\n\
<h2 id=\"parameters-not-exposed-in-the-ui\">Parameters not exposed in the UI</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Freehand&gt;.knots ArrayParameter default: #() -- point3 array</code></pre><p>Gets or sets an array of point3 values representing the spline knots, in the order they appear on the spline.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Freehand&gt;.normals ArrayParameter default: #() -- point3 array</code></pre><p>Gets or sets an array of point3 values representing the spline knot normals (if set), with each value corresponding to the knot with the same index in the knots array.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Freehand&gt;.shape_knots ArrayParameter default: #() -- int array</code></pre><p>An array that indicates how many splines make up the shape and the knot where each new spline starts. For example, if the array contains two entries, <code>#(10,20)</code>, this means that there are three splines, with the second starting and knot 10 and the third starting at knot 20.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Freehand&gt;.sampling Integer default: 0 -- integer; Declutter</code></pre><p>Gets or sets the &quot;sampling&quot; value, which is the minimum number of knots retained.</p>\n\
<h3 id=\"example\">Example</h3><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">-- create a new freehand\n\
f = freehand()\n\
-- add some random knots\n\
pts = #()\n\
a = [0,0,0]\n\
b = [100,100,100]\n\
for i = 1 to 20 do (\n\
append pts (random a b)\n\
)\n\
f.knots = pts</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Shapes-Splines.html\">Shapes - Splines</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Spline-Shape-Common-Properties.html\">Spline Shape Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../Shape-Common-Properties.html\">Shape Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../Node-Common-Properties-Operators.html\">Node Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";