var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-7118FF61-FD1E-4EA1-B02D-225C76A86AA1\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Lighting_Analysis_Data : RenderElement</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Lighting_Analysis_Data : RenderElement {18a96811,2f1383c} </code></pre><p>The <strong>Lighting_Analysis_Data</strong> Render Element allows the saving of the lighting analysis data to a separate image output.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<p>Class instances not creatable by MAXScript.</p>\n\
<p>This RenderElement will be created and added automatically to the Render Elements list when a <a href=\"./../RenderEffect-MAXWrapper/Render-Effect-Types/Lighting_Analysis_Overlay.html\">Lighting_Analysis_Overlay : RenderEffect</a> is added to the Effects List.</p>\n\
<p><strong>Aliases:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Lighting_Analysis_Data      \n\
lightingAnalysisDataRenderElement   </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Lighting_Analysis_Data&gt;.enabledOn (enabled) : boolean </code></pre><p>Get/set the state of the Enabled checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Lighting_Analysis_Data&gt;.filterOn (filter_on) : boolean </code></pre><p>Get/set the state of the Enable Filtering checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Lighting_Analysis_Data&gt;.atmosphereOn (atmosphere_on) : boolean </code></pre><p>Get/set whether to apply atmospheric effects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Lighting_Analysis_Data&gt;.shadowOn (shadows_on) : boolean </code></pre><p>Get/set whether to apply shadows.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Lighting_Analysis_Data&gt;.elementName (element_name) : string </code></pre><p>Get/set the name of the Render Element.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Lighting_Analysis_Data&gt;.bitmap : bitmap </code></pre><p>Get/set the bitmapvalue of the Render Element.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Render-Elements.html\">Render Elements</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Render-Elements-1.html\">Render Elements</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Lighting-Analysis/Lighting-Analysis-and-Daylight.html\">Lighting Analysis and Daylight Simulation Tools</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";