var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-6A7FF822-09E6-414A-9FEA-767FA12BEEB0\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>A360_Cloud_Rendering : RendererClass</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">A360_Cloud_Rendering - superclass: RendererClass; super-superclass:MAXWrapper - 14:7 - classID: #(862667290, 1464541674)</code></pre><p>Exposes the A360 Cloud Renderer to MAXScript. It allows you to upload render tasks to the Autodesk Cloud for rendering. Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<p><strong>Constructor</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> A360_Cloud_Rendering...\n\
A360Renderer... </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;A360_Cloud_Rendering&gt;.UserLoggedIn     BooleanClass    default: false   --  boolean</code></pre><p>Returns True if the user is logged in, False if not logged in. Setting this value to True using MAXScript has no effect. Exposed by the Jobs Mixin Interface.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;A360_Cloud_Rendering&gt;.RenderType     String    default: &quot;image&quot;   --  string</code></pre><p>Gets/sets the state of the &quot;Output Type&quot; drop-down list as a string value. Possible values are:</p>\n\
<ul>\n\
<li><strong>&quot;image&quot;</strong> (default) - Still Image output</li>\n\
<li><strong>&quot;panorama&quot;</strong> - Interactive Panorama output</li>\n\
<li><strong>&quot;ss_preview&quot;</strong> - Preview Solar Study output</li>\n\
<li><strong>&quot;solarstudy&quot;</strong> - Solar Study output</li>\n\
<li><strong>&quot;illuminance&quot;</strong> - Illuminance output</li>\n\
</ul>\n\
<p>Attempting to assign any other string value will cause a runtime error and will also print an error message to the MAXScript Listener listing the possible values.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;A360_Cloud_Rendering&gt;.Quality     String    default: &quot;draft&quot;   --  string</code></pre><p>Gets/sets the state of the &quot;Render Quality&quot; drop-down list as a string value. Possible values are:</p>\n\
<ul>\n\
<li><strong>&quot;draft&quot;</strong>(default) - low render quality</li>\n\
<li><strong>&quot;standard&quot;</strong> - standard render quality</li>\n\
<li><strong>&quot;high&quot;</strong> - high render quality</li>\n\
<li><strong>&quot;best&quot;</strong> - highest render quality</li>\n\
</ul>\n\
<p>Attempting to assign any other string value will cause a runtime error and will also print an error message to the MAXScript Listener listing the possible values.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;A360_Cloud_Rendering&gt;.Width     Integer    default: 640   --  integer</code></pre><p>Gets/sets the width of the render output in pixels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;A360_Cloud_Rendering&gt;.Height     Integer    default: 480   --  integer</code></pre><p>Gets/sets the height of the render output in pixels.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;A360_Cloud_Rendering&gt;.Exposure     String    default: &quot;Advanced&quot;   --  string</code></pre><p>Gets/sets the state of the &quot;Exposure&quot; drop-down list as a string value. Possible values are:</p>\n\
<ul>\n\
<li><strong>&quot;Native&quot;</strong></li>\n\
<li><strong>&quot;Advanced&quot;</strong> (default)</li>\n\
</ul>\n\
<p>Attempting to assign any other string value will cause a runtime error and will also print an error message to the MAXScript Listener listing the possible values.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;A360_Cloud_Rendering&gt;.Format     String    default: &quot;JPEG&quot;   --  string</code></pre><p>Gets/sets the File Format to render to as a string value. Possible values are:</p>\n\
<ul>\n\
<li><strong>&quot;PNG&quot;</strong> - save in Portable Network Graphics format (lossless compression)</li>\n\
<li><strong>&quot;JPEG&quot;</strong> - lossy compression (default)</li>\n\
<li><strong>&quot;TIFF&quot;</strong> - lossless compression</li>\n\
</ul>\n\
<p>Attempting to assign any other string value will cause a runtime error and will also print an error message to the MAXScript Listener listing the possible values.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;A360_Cloud_Rendering&gt;.NotifyByEmail     BooleanClass    default: false   --  boolean; Notify_me_by_e_mail_when_complete</code></pre><p>Gets/sets the state of the &quot;Notify me by e-mail when complete&quot; checkbox. When set to True, the logged in user will be notified by email when the job is completed using the email address from the user&apos;s registration. When set to False (default), no email notification will be sent.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;A360_Cloud_Rendering&gt;.lastJobs     String    default: &quot;[]&quot;   --  string</code></pre><p>Contains a string describing the last jobs of the logged in user.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;A360_Cloud_Rendering&gt;.WaitingTime     Integer    default: -1   --  integer</code></pre><p>Contains the waiting time in seconds.</p>\n\
<p>Contains -1 when not logged in.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;A360_Cloud_Rendering&gt;.CheckPricePending     BooleanClass    default: false   --  boolean</code></pre><p>Contains True when the price check is pending.</p>\n\
<p>Contains False when not logged in, when the price check has not been initiated, or when the price check has finished.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;A360_Cloud_Rendering&gt;.CheckPriceReceived     BooleanClass    default: false   --  boolean</code></pre><p>Contains True when the price has been received.</p>\n\
<p>Contains False when not logged in or the price has not been received yet.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;A360_Cloud_Rendering&gt;.CreditsAvailable     Integer    default: -1   --  integer</code></pre><p>Contains the number of available credits on the logged in user&apos;s account.</p>\n\
<p>Contains -1 when not logged in.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;A360_Cloud_Rendering&gt;.CreditsNeeded     Integer    default: -1   --  integer</code></pre><p>Contains the number of credits needed to render the job.</p>\n\
<p>Contains -1 when not logged in.</p>\n\
<h2 id=\"a360_cloud_rendering-interfaces-\">A360_Cloud_Rendering interfaces:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: IMtlRender_Compability_Renderer</code></pre><p><strong>Properties:</strong></p>\n\
<p>No properties exposed.</p>\n\
<p><strong>Methods:</strong></p>\n\
<p>No methods exposed.</p>\n\
<p><strong>Actions:</strong></p>\n\
<p>No actions exposed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: jobs</code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;A360_Cloud_Rendering&gt;.lastJobs : string : Read\n\
&lt;A360_Cloud_Rendering&gt;.UserLoggedIn : boolean : Read\n\
&lt;A360_Cloud_Rendering&gt;.CheckPricePending : boolean : Read\n\
&lt;A360_Cloud_Rendering&gt;.CheckPriceReceived : boolean : Read\n\
&lt;A360_Cloud_Rendering&gt;.CreditsNeeded : integer : Read\n\
&lt;A360_Cloud_Rendering&gt;.CreditsAvailable : integer : Read\n\
&lt;A360_Cloud_Rendering&gt;.WaitingTime : integer : Read\n\
</code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;&lt;A360_Cloud_Rendering&gt;.QueryJobInfo &lt;string&gt;jobID</code></pre><p>Returns information about the job with the specified ID.</p>\n\
<p>The ID can be extracted from the <code>.lastJobs</code> string.</p>\n\
<p><strong>Actions:</strong></p>\n\
<p>No actions exposed.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   Autodesk360.InitializeWebServices()\n\
   --&gt;true\n\
   a360=A360_Cloud_Rendering()\n\
   --&gt;A360_Cloud_Rendering:A360_Cloud_Rendering\n\
   renderSceneDialog.close()--close the render dialog\n\
   --&gt;OK\n\
   renderers.current = a360 --assign the A360 renderer \n\
   a360.UserLoggedIn --check if the user is logged in \n\
   --&gt;false\n\
   --Log in if not logged in yet:\n\
   if not a360.UserLoggedIn do Autodesk360.Login()\n\
   --&gt;true\n\
   a360.UserLoggedIn    --check if the user is logged in now \n\
   --&gt;true\n\
   Autodesk360.getLoginUserName()--get the login name\n\
   --&gt;&quot;yourname&quot;\n\
\n\
   renderers.target --check the target mode\n\
   --&gt;&quot;local&quot;\n\
   renderers.target = &quot;cloud&quot; --set it to cloud rendering\n\
   --&gt;&quot;cloud&quot;\n\
   renderSceneDialog.open() --re-open the render dialog\n\
   --&gt;OK\n\
\n\
   a360.RenderType = &quot;image&quot; --render image\n\
   --&gt;&quot;image&quot;\n\
   a360.Quality  = &quot;standard&quot; --increase quality from draft to standard\n\
   --&gt;&quot;standard&quot;\n\
   a360.Exposure = &quot;Native&quot; --change the exposure from advanced do native\n\
   --&gt;&quot;Native&quot;\n\
   a360.Width = 1000\n\
   --&gt;1000\n\
   a360.Height = 750\n\
   --&gt;750\n\
   a360.Format = &quot;PNG&quot; --set the format to Portable Network Graphics\n\
   --&gt;PNG\n\
   a360.NotifyByEmail = true --send the user an email when done\n\
   --&gt;true\n\
   a360.CreditsNeeded --see how many credits are needed\n\
   --&gt;0\n\
   a360.CreditsAvailable --see how many credits are left\n\
   --&gt;25\n\
   --If there are enough credits, submit the job to the A360 Cloud\n\
   if a360.CreditsNeeded &lt;= a360.CreditsAvailable do max quick render\n\
   --&gt;OK    \n\
   a360.lastJobs \n\
   --&gt;&quot;[  ]&quot;\n\
   a360.WaitingTime\n\
   --&gt;0\n\
   --Filter the last jobs string to create an array of strings\n\
   theFilteredJobs = filterString  a360.lastJobs  &quot;:[]{} \\&quot;,&quot;\n\
   --&gt;#()\n\
   --Print information about the last jobs:\n\
   for i = 4 to theFilteredJobs.count by 4 do\n\
     format &quot;%\\n&quot; (a360.QueryJobInfo theFilteredJobs[i])\n\
   --&gt;OK\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../RendererClass.html\">RendererClass</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";