var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-0D1EC9CF-3B00-4F50-8EEF-004B12CD5B34\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Bricks : TextureMap</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Bricks - superclass: textureMap; super-superclass:material - classID: #(1677942713, 1768312028) </code></pre><p><strong>Constructors:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">bricks ...      \n\
tiles...  </code></pre><p><strong>Properties:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bricks&gt;.Brick_Type Integer default: 1 </code></pre><p>The <code>brick_type</code> values define a set of predefined values for the Stacking and Row and Column Editing properties.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - Custom Bricks;</p>\n\
<p>1 - Running Bond;</p>\n\
<p>2 - Common Flemish Bond;</p>\n\
<p>3 - English Bond;</p>\n\
<p>4 - &#xBD; Running Bond;</p>\n\
<p>5 - Stack Bond;</p>\n\
<p>6 - Fine Running Bond;</p>\n\
<p>7 - Fine Stack Bond</p>\n\
<p>Changing <code>brick_type</code> only updates these properties if Material Editor is displayed and the material is in the active slot.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bricks&gt;.Show_Texture_Swatches Integer default: 1 </code></pre><p>When on, updates to show the texture assigned by a map for Bricks or Mortar.</p>\n\
<p>0- Off</p>\n\
<p>1- On</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bricks&gt;.Brick_Color Color default: (color 165.75 76.5 51) -- animatable </code></pre><p>The color of the bricks.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bricks&gt;.Horizontal_Count Float default: 3.0 -- animatable </code></pre><p>The number of bricks in a row.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bricks&gt;.Vertical_Count Float default: 8.0 -- animatable </code></pre><p>The number of bricks in a column.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bricks&gt;.Color_Variance Float default: 0.4 -- animatable </code></pre><p>The color variation among the bricks.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bricks&gt;.Fade_Variance Float default: 0.2 -- animatable </code></pre><p>The fading variation among the bricks.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bricks&gt;.Mortar_Color Color default: (color 211.65 196.35 183.6) -- animatable </code></pre><p>The color of the mortar.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bricks&gt;.Horizontal_Gap Float default: 1.0 -- animatable </code></pre><p>The horizontal size of the mortar between the bricks.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bricks&gt;.Vertical_Gap Float default: 1.0 -- animatable </code></pre><p>The vertical size of the mortar between the bricks.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bricks&gt;.Lock_Gap_Symmetry Integer default: 1 </code></pre><p>When on, the <code>vertical_gap</code> and <code>horizontal_gap</code> values are locked to one another.</p>\n\
<p>0- Off</p>\n\
<p>1- On</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bricks&gt;.Holes Integer default: 0 -- animatable </code></pre><p>The percentage of holes in the bricked surface caused by missing bricks. The mortar shows through the holes.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bricks&gt;.Edge_Roughness Float default: 0.0 -- animatable </code></pre><p>Controls the roughness of the edges of the mortar.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bricks&gt;.Random_Seed Integer default: 16870 -- animatable </code></pre><p>Randomly applies patterns of color variation to the bricks. Does not require any other setting to generate completely different patterns.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bricks&gt;.Line_Shift Float default: 0.0 -- animatable </code></pre><p>Shifts every second row of bricks a distance of one unit.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bricks&gt;.Random_Shift Float default: 0.0 -- animatable </code></pre><p>Randomly shifts all rows of bricks a distance of one unit.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bricks&gt;.Use_Row_Edit Integer default: 0 </code></pre><p>Turn on/off row edit:</p>\n\
<p>0- Off</p>\n\
<p>1- On</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bricks&gt;.Per_Row Integer default: 2 </code></pre><p>The amount of bricks per row.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bricks&gt;.Change_Row Float default: 1.0 </code></pre><p>For every row you specify in the <code>Per_Row</code> value, the software stores the amount of bricks that you specify in the <code>Change_row</code> value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bricks&gt;.Use_Column_Edit Integer default: 0 </code></pre><p>Turn on/off column edit:</p>\n\
<p>0- Off</p>\n\
<p>1- On</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bricks&gt;.Per_Column Float default: 1.0 </code></pre><p>The amount of bricks per column.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bricks&gt;.Change_Column Float default: 1.0 </code></pre><p>For every row you specify in the <code>Per_Column</code> value, the software stores the amount of bricks that you specify in the <code>Change_column</code> value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;Bricks&gt;.coords SubAnim </code></pre><p>See <a href=\"./../TextureMap-Shared-Classes/UVGenClass-Material.html\">UVGenClass</a> for the StandardUVGen properties.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../TextureMap-Types.html\">TextureMap Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../TextureMap-Common-Properties.html\">TextureMap Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../Material-MAXWrapper/Material-Common-Properties.html\">Material Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper Common Properties, Operators, and Methods</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">Value Common Properties, Operators, and Methods</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";