var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-32E9F51C-E159-482E-8BBC-7E39F4CB06B6\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>ShapeMap : textureMap</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ShapeMap - superclass: textureMap; super-superclass:material - 35:0 - classID: #(1917470054L, 1344173505L)</code></pre><p>This texture map can render one or more scene shape objects into a procedural texture map. Available in <strong>in 3ds Max 2017 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">ShapeMap...</code></pre><h2 id=\"properties-\">Properties:</h2><p><strong>Parameters Rollout</strong></p>\n\
<p>Filtering Group Of Controls</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ShapeMap&gt;.filter     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Filter Result&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ShapeMap&gt;.mipmap     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Mip Mapping&quot;</strong> checkbox.</p>\n\
<p>Cropping / Placement Group Of Controls</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ShapeMap&gt;.applycrop     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Apply&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ShapeMap&gt;.croporplace     Integer    default: 0   --  integer</code></pre><p>Get/set the state of the <strong>&quot;Crop / Place&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Crop</strong> (default)</p>\n\
<p>1 - <strong>Place</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ShapeMap&gt;.crop_u     Float    default: 0.0   --  animatable; float; Clip_U_Offset</code></pre><p>Get/set the value of the <strong>&quot;U&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ShapeMap&gt;.crop_v     Float    default: 0.0   --  animatable; float; Clip_V_Offset</code></pre><p>Get/set the value of the <strong>&quot;V&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ShapeMap&gt;.crop_w     Float    default: 1.0   --  animatable; float; Clip_U_Width</code></pre><p>Get/set the value of the <strong>&quot;W&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ShapeMap&gt;.crop_h     Float    default: 1.0   --  animatable; float; Clip_V_Width</code></pre><p>Get/set the value of the <strong>&quot;H&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ShapeMap&gt;.Jitter     BooleanClass    default: false   --  Boolean</code></pre><p>Get/set the state of the <strong>&quot;Jitter&quot;</strong> checkbox.</p>\n\
<p>Used only when <code>.croporplace</code> is set to 1 &#x2013; Place.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ShapeMap&gt;.jitteramt     Float    default: 1.0   --  animatable; float; Jitter_Placement</code></pre><p>Get/set the value of the <strong>&quot;Jitter&quot;</strong> spinner.</p>\n\
<p>Used only when <code>.croporplace</code> is set to 1 &#x2013; Place.</p>\n\
<p>Mono Channel Output Group Of Controls</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ShapeMap&gt;.monoOutput     Integer    default: 1   --  integer</code></pre><p>Get/set the state of the <strong>&quot;Mono Channel Output&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>RGB</strong> Intensity</p>\n\
<p>1 - <strong>Alpha</strong> (default)</p>\n\
<p>RGB Channel Output Group Of Controls</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ShapeMap&gt;.rgbOutput     Integer    default: 0   --  integer</code></pre><p>Get/set the state of the <strong>&quot;RGB Channel Output&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>RGB</strong> (default)</p>\n\
<p>1 - <strong>Alpha as Gray</strong></p>\n\
<p>Alpha Source Group Of Controls</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ShapeMap&gt;.alphasource     Integer    default: 2   --  integer; Alpha_Source</code></pre><p>Get/set the state of the <strong>&quot;Alpha Source&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Image Alpha</strong></p>\n\
<p>1 - <strong>RGB Intensity</strong></p>\n\
<p>2 - <strong>None (Opaque)</strong> (default)</p>\n\
<p>Shape Parameters Rollout</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ShapeMap&gt;.shapeobject     UndefinedClass    default: undefined   --  node</code></pre><p>Get/set the shape object used to generate the map.</p>\n\
<p>Corresponds to the <strong>&quot;Shape Object&quot;</strong> pickbutton in the UI.</p>\n\
<p>Any valid shape object is acceptable, including the legacy Text shape.</p>\n\
<p>TextPlus is not a shape node - see the <a href=\"TextMap-textureMap.html\">TextMap : TextureMap</a> class for creating textures using the TextPlus object.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ShapeMap&gt;.usefillcolor     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Fill Color&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ShapeMap&gt;.fillcolor    Color    default: (color 0 0 255)   --  animatable; RGB color; Controller Scaling: ([1,1,1] : (color 255 255 255))</code></pre><p>Get/set the value of the <strong>&quot;Fill Color&quot;</strong> color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ShapeMap&gt;.outlinecolor     Color    default: (color 0 0 0)   --  animatable; RGB color; Controller Scaling: ([1,1,1] : (color 255 255 255))</code></pre><p>Get/set the value of the <strong>&quot;Line Color&quot;</strong> color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ShapeMap&gt;.bgcolor    Color    default: (color 255 255 255)   --  animatable; RGB color; Controller Scaling: ([1,1,1] : (color 255 255 255))</code></pre><p>Get/set the value of the <strong>&quot;Background Color&quot;</strong> color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ShapeMap&gt;.fillbg     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Fill Background&quot;</strong> checkbox.</p>\n\
<p>Open Shapes Group Of Controls</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ShapeMap&gt;.renderopen     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Render&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ShapeMap&gt;.endtype     Integer    default: 0   --  integer</code></pre><p>Get/set the state of the <strong>&quot;Open Shapes (End Type)&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Square Ends</strong> (default)</p>\n\
<p>1 - <strong>Rounded Ends</strong></p>\n\
<p>Closed Shapes Group Of Controls</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ShapeMap&gt;.filledclosed     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Render Fill&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ShapeMap&gt;.outlinedclosed     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Render Outline&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ShapeMap&gt;.stricthierarchy     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Strict Hierarchy&quot;</strong> checkbox.</p>\n\
<p>Outlines Group Of Controls</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ShapeMap&gt;.outlinewidth     Float    default: 1.0   --  animatable; float</code></pre><p>Get/set the value of the <strong>&quot;Width&quot;</strong> spinner.</p>\n\
<p>It defines the thickness of the outlines.</p>\n\
<p>Hierarchies&quot; Group Of Controls</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ShapeMap&gt;.renderchildren     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Render Children&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ShapeMap&gt;.renderroot    BooleanClass    default: true   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Render Root&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ShapeMap&gt;.mergeshapes     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Merge Shapes&quot;</strong> checkbox.</p>\n\
<p>Map Boundary Group Of Controls</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ShapeMap&gt;.boundstype     Integer    default: 0   --  integer; _BoundsType</code></pre><p>Get/set the state of the <strong>&quot;Map Boundary&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Shape Bounds</strong> (default)</p>\n\
<p>1 - <strong>Manual</strong></p>\n\
<p>2 - <strong>Pick</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ShapeMap&gt;.manualwidth     Float    default: 100.0   --  float</code></pre><p>Get/set the value of the <strong>&quot;Width&quot;</strong> spinner.</p>\n\
<p>Used only when <code>.boundstype</code> is set to 1 &#x2013; Manual.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ShapeMap&gt;.manualheight     Float    default: 100.0   --  float; ManualHeeight</code></pre><p>Get/set the value of the <strong>&quot;Height&quot;</strong> spinner.</p>\n\
<p>Used only when <code>.boundstype</code> is set to 1 &#x2013; Manual.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ShapeMap&gt;.boundsobject     UndefinedClass    default: undefined   --  node</code></pre><p>Get/set the scene objects to define the bounds.</p>\n\
<p>Used only when <code>.boundstype</code> is set to 2 &#x2013; Pick.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ShapeMap&gt;.hwbitmapsize     Integer    default: 256   --  integer</code></pre><p>Get/set the value of the <strong>&quot;HW Bitmap size&quot;</strong> slider.</p>\n\
<p>Controls the size of the hardware bitmap used for viewport display.</p>\n\
<p>Coordinates Rollout</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ShapeMap&gt;.coords     StandardUVGen    default: MtlBase:Placement   --  maxObject; Coordinates; SubAnim</code></pre><p>See <code>UVGenClass</code> class for related properties.</p>\n\
<p><strong>Not Exposed To The UI</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;ShapeMap&gt;.output    StandardTextureOutput    default: MtlBase:Output   --  maxObject; SubAnim</code></pre><p>See <code>TexOutputClass</code> class for related properties.</p>\n\
<h2 id=\"shapemap-interfaces-\">ShapeMap interfaces:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: IMtlRender_Compability_MtlBase</code></pre><p><strong>Properties:</strong></p>\n\
<p><strong>Methods:</strong></p>\n\
<p><strong>Actions:</strong></p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   (\n\
   resetMaxFile #noprompt --reset the scene\n\
   theRadius=10.0 --base circle radius in world units\n\
   theThickness=3.0 --outline thickness in pixels\n\
   c1 = circle radius:theRadius pos:[0,0,0] adaptive:true --base circle\n\
\n\
   dist = theRadius\n\
   for i = 0 to 360 by 60 do --draw 6 circles at distance equal to the radius, and parent to the base\n\
     c2 = circle radius:theRadius pos:[dist*(cos i),dist*(sin i),0] adaptive:true parent:c1\n\
\n\
   dist = 2*theRadius*(sin 60)\n\
   for i = 30 to 360 by 60 do --draw 6 more circles at the intersections of the previous 6, and parent to the base\n\
     c2 = circle radius:theRadius pos:[dist*(cos i),dist*(sin i),0] adaptive:true parent:c1\n\
\n\
   dist = 2*theRadius\n\
   for i = 0 to 360 by 60 do --draw 6 circles at distance 2*radius, and parent to the base\n\
     c2 = circle radius:theRadius pos:[dist*(cos i),dist*(sin i),0] adaptive:true parent:c1\n\
\n\
   sm = shapeMap() --create a shape map\n\
   meditMaterials[1] = sm --display it in the first slot of the material editor \n\
   matEditor.mode = #basic --set the material editor to compact mode\n\
   matEditor.open() --open the material editor if it is not open yet\n\
   sm.shapeobject =  c1 --set the shape of the map to the base circle\n\
   sm.renderroot = true --enable both the root...\n\
   sm.renderchildren = true --...and the children of the hierarchy to render\n\
\n\
   sm.outlinecolor = yellow --set the line color to yellow\n\
   sm.bgcolor = color 0 128 255 --set the background to sky blue\n\
   sm.filledclosed = false --disable the filling of closed shapes\n\
   sm.outlinedclosed = true --enable the outlines of closed shapes\n\
   sm.outlinewidth = theThickness --set the outline thickness in pixels\n\
\n\
   sm.boundstype = 1 --switch to manual bounds\n\
   theSize = 6*theRadius --calculate the size of the bitmap as 6 times the radius\n\
   theSize+= theSize*0.01 --add 1% padding\n\
   sm.manualwidth = sm.manualheight = theSize --set the width and height to the same value\n\
\n\
   smat = standard() --create a standard material\n\
   smat.diffusemap = sm --set the shapeMap in the diffuse map slot\n\
   p = plane width:200 length:200 pos:[200,0,0] --create a plane primitive\n\
   p.material = smat --assign the material\n\
   showTextureMap smat sm true --show the map in the viewport\n\
\n\
   bm = bitmap 1024 1024 --create a bitmap\n\
   renderMap sm into:bm --render the texture into the bitmap\n\
   display bm --display the bitmap\n\
\n\
   max zoomext sel all\n\
   )\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../TextureMap-Types.html\">TextureMap Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";