var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-697D57C0-FF71-40B8-A264-B67287F7555E\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>TextMap : textureMap</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">TextMap - superclass: textureMap; super-superclass:material - 34:0 - classID: #(1535262031L, 956839498L)</code></pre><p>Renders a TextPlus object as a procedural texture map. Available in <strong>in 3ds Max 2017 and higher</strong>.</p>\n\
<h2 id=\"properties-\">Properties:</h2><p><strong>Parameters Rollout</strong></p>\n\
<p>Filtering Group Of Controls</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TextMap&gt;.filter     BooleanClass    default: true   --  Boolean</code></pre><p>Get/set the state of the <strong>&quot;Filter Result&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TextMap&gt;.mipmap     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Mip Mapping&quot;</strong> checkbox.</p>\n\
<p>Cropping/Placement Group Of Controls</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TextMap&gt;.applycrop     BooleanClass    default: false   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Apply&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TextMap&gt;.croporplace    Integer    default: 0   --  integer</code></pre><p>Get/set the state of the <strong>&quot;Crop / Place&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Crop</strong> (default)</p>\n\
<p>1 - <strong>Place</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TextMap&gt;.crop_u     Float    default: 0.0   --  animatable; float; Clip_U_Offset</code></pre><p>Get/set the value of the <strong>&quot;U&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TextMap&gt;.crop_v     Float    default: 0.0   --  animatable; float; Clip_V_Offset</code></pre><p>Get/set the value of the <strong>&quot;V&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TextMap&gt;.crop_w     Float    default: 1.0   --  animatable; float; Clip_U_Width</code></pre><p>Get/set the value of the <strong>&quot;W&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TextMap&gt;.crop_h     Float    default: 1.0   --  animatable; float; Clip_V_Width</code></pre><p>Get/set the value of the <strong>&quot;H&quot;</strong> spinner.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TextMap&gt;.Jitter     BooleanClass    default: false   --  Boolean</code></pre><p>Get/set the state of the <strong>&quot;Jitter&quot;</strong> checkbox.</p>\n\
<p>Used only when <code>.croporplace</code> is set to 1 &#x2013; Place.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TextMap&gt;.jitteramt     Float    default: 1.0   --  animatable; float; Jitter_Placement</code></pre><p>Get/set the value of the <strong>&quot;Jitter&quot;</strong> spinner.</p>\n\
<p>Used only when <code>.croporplace</code> is set to 1 &#x2013; Place.</p>\n\
<p>Mono Channel Output Group Of Controls</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TextMap&gt;.monoOutput     Integer    default: 1   --  integer</code></pre><p>Get/set the state of the <strong>&quot;Mono Channel Output&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>RGB</strong> Intensity</p>\n\
<p>1 - <strong>Alpha</strong> (default)</p>\n\
<p>RGB Channel Output Group Of Controls</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TextMap&gt;.rgbOutput     Integer    default: 0   --  integer</code></pre><p>Get/set the state of the <strong>&quot;RGB Channel Output&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>RGB</strong> (default)</p>\n\
<p>1 - <strong>Alpha as Gray</strong></p>\n\
<p>Alpha Source Group Of Controls</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TextMap&gt;.alphasource     Integer    default: 2   --  integer; Alpha_Source</code></pre><p>Get/set the state of the <strong>&quot;Alpha Source&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Image Alpha</strong></p>\n\
<p>1 - <strong>RGB Intensity</strong></p>\n\
<p>2 - <strong>None (Opaque)</strong> (default)</p>\n\
<p><strong>Text Parameters Rollout</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TextMap&gt;.textobject     UndefinedClass    default: undefined   --  node</code></pre><p>Get/set the TextPlus object used to generate the map.</p>\n\
<p>No other object classes are allowed.</p>\n\
<p>Corresponds to the <strong>&quot;Text Object&quot;</strong> pickbutton in the UI.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TextMap&gt;.usefillcolor     BooleanClass    default: true   --  Boolean</code></pre><p>Get/set the state of the <strong>&quot;Fill Color&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TextMap&gt;.fillcolor     Color    default: (color 0 0 255)   --  animatable; RGB color; Controller Scaling: ([1,1,1] : (color 255 255 255))</code></pre><p>Get/set the value of the <strong>&quot;Fill Color&quot;</strong> color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TextMap&gt;.outlinecolor     Color    default: (color 0 0 0)   --  animatable; RGB color; Controller Scaling: ([1,1,1] : (color 255 255 255))</code></pre><p>Get/set the value of the <strong>&quot;Line Color&quot;</strong> color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TextMap&gt;.bgcolor     Color    default: (color 255 255 255)   --  animatable; RGB color; Controller Scaling: ([1,1,1] : (color 255 255 255))</code></pre><p>Get/set the value of the <strong>&quot;Background Color&quot;</strong> color.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TextMap&gt;.fillbg     BooleanClass    default: true   --  boolean</code></pre><p>Get/set the state of the <strong>&quot;Fill Background&quot;</strong> checkbox.</p>\n\
<p>Characters Group Of Controls</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TextMap&gt;.glyphoption    Integer    default: 2   --  integer</code></pre><p>Get/set the selection of the <strong>&quot;Characters&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Glyphs Only</strong></p>\n\
<p>1 - <strong>Extras Only</strong></p>\n\
<p>2 - <strong>Glyphs + Extras</strong> (default)</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TextMap&gt;.filledcharacters     BooleanClass    default: true   --  Boolean</code></pre><p>Get/set the state of the <strong>&quot;Render Fill&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TextMap&gt;.outlinedcharacters     BooleanClass    default: false   --  Boolean</code></pre><p>Get/set the state of the <strong>&quot;Render Outline&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TextMap&gt;.stricthierarchy     BooleanClass    default: false   --  Boolean</code></pre><p>Get/set the state of the <strong>&quot;Strict Hierarchy&quot;</strong> checkbox.</p>\n\
<p>Outlines Group Of Controls</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TextMap&gt;.outlinewidth    Float    default: 1.0   --  animatable; float</code></pre><p>Get/set the value of the <strong>&quot;Width&quot;</strong> spinner.</p>\n\
<p>It defines the thickness of the outlines.</p>\n\
<p>Hierarchies Group Of Controls</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TextMap&gt;.renderchildren     BooleanClass    default: false   --  Boolean</code></pre><p>Get/set the state of the <strong>&quot;Render Children&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TextMap&gt;.renderroot     BooleanClass    default: true   --  Boolean</code></pre><p>Get/set the state of the <strong>&quot;Render Root&quot;</strong> checkbox.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TextMap&gt;.mergeshapes     BooleanClass    default: false   --  Boolean</code></pre><p>Get/set the state of the <strong>&quot;Merge Shapes&quot;</strong> checkbox.</p>\n\
<p>Map Boundary Group Of Controls</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TextMap&gt;.boundstype     Integer    default: 0   --  integer; _BoundsType</code></pre><p>Get/set the state of the <strong>&quot;Map Boundary&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Shape Bounds</strong> (default)</p>\n\
<p>1 - <strong>Manual</strong></p>\n\
<p>2 - <strong>Pick</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TextMap&gt;.manualwidth    Float    default: 100.0   --  float</code></pre><p>Get/set the value of the <strong>&quot;Width&quot;</strong> spinner.</p>\n\
<p>Used only when <code>.boundstype</code> is set to 1 &#x2013; Manual.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TextMap&gt;.manualheight     Float    default: 100.0   --  float; ManualHeeight</code></pre><p>Get/set the value of the <strong>&quot;Height&quot;</strong> spinner.</p>\n\
<p>Used only when <code>.boundstype</code> is set to 1 &#x2013; Manual.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TextMap&gt;.boundsobject     UndefinedClass    default: undefined   --  node</code></pre><p>Get/set the scene objects to define the bounds.</p>\n\
<p>Used only when <code>.boundstype</code> is set to 2 - Pick.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TextMap&gt;.hwbitmapsize     Integer    default: 256   --  integer</code></pre><p>Get/set the value of the <strong>&quot;HW Bitmap size&quot;</strong> slider.</p>\n\
<p>Controls the size of the hardware bitmap used for viewport display.</p>\n\
<p><strong>Coordinates Rollout</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TextMap&gt;.coords     StandardUVGen    default: MtlBase:Placement   --  maxObject; Coordinates; SubAnim</code></pre><p>See UVGenClass class for related properties.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;TextMap&gt;.output     StandardTextureOutput    default: MtlBase:Output   --  maxObject; SubAnim</code></pre><p>See TexOutputClass class for related properties.</p>\n\
<h2 id=\"textmap-interfaces-\">TextMap interfaces:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: IMtlRender_Compability_MtlBase</code></pre><p><strong>Properties:</strong></p>\n\
<p><strong>Methods:</strong></p>\n\
<p><strong>Actions:</strong></p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   (\n\
   resetMaxFile #noprompt --reset the scene\n\
\n\
   local tp = textPlus() --create a TextPlus object to guide the texture map\n\
\n\
   tp.size = 25.0 -- make sure the size is set to default\n\
   tp.ResetString()--reset the string\n\
   tp.SetFont &quot;Arial&quot; 0    \n\
   tp.SetBold true\n\
   tp.AppendString &quot;D&quot;    \n\
   tp.SetBold false\n\
   tp.AppendString &quot;oN&apos;t\\n&quot;    \n\
   tp.SetItalic true\n\
   tp.AppendString &quot;Pa&quot;    \n\
   tp.SetBold true\n\
   tp.AppendString &quot;N&quot;    \n\
   tp.SetBold false\n\
   tp.AppendString &quot;iC!\\n&quot;    \n\
   tp.SetItalic false\n\
   tp.SetFont &quot;Wingdings&quot; 0    \n\
   tp.AppendChar 74\n\
\n\
   tp.layouttype = 1 --enforce Region Layout Type\n\
   tp.length = tp.width = 100 --enforce width and height of 100.0\n\
\n\
   tp2 = textPlus pos:[0,-87,0] --create another TextPlus object\n\
   tp2.parent = tp --parent to the first one\n\
   tp2.ResetString() --reset the string\n\
   tp2.SetFont &quot;Arial&quot; 0    --set the font to Arial\n\
   tp2.AppendString &quot;megadodo publications&quot; --set the text\n\
   tp2.size = 8.0 --change the size \n\
\n\
   local tm = textMap() --create a new text map\n\
   tm.textobject = tp --set the shape of the map to the TextPlus object\n\
   tm.fillcolor = color 0 255 100 --set the character fill color to green\n\
   tm.fillbg = false --do not fill the background\n\
   tm.outlinecolor = orange --set the outline color to yellow\n\
   tm.filledcharacters = true --enable filling \n\
   tm.outlinedcharacters = true --enable outlines \n\
   tm.outlinewidth = 5 --set the outline thickness\n\
   tm.alphasource = 0 --enable alpha \n\
   tm.renderchildren = tm.renderroot = true --render both TextPlus objects in the hierarchy\n\
\n\
   local mm = multiMaterial numsubs:6 --create a new mutli-sub material\n\
   mm[1] = standard() --create a standard material for the front\n\
   mm[2] = mm[3] = mm[4] = mm[5] = mm[6] = standard() --create a second standard material for all other sides\n\
   mm[1].diffuse = mm[2].diffuse = color 0 10 25 --set the sides to the same dark blue color \n\
   mm[1].diffusemap = tm --set the textMap in the diffuse map slot\n\
\n\
   meditMaterials[1] = mm --display the material in the first slot of the Material Editor \n\
   matEditor.mode = #basic --set the Material Editor to compact mode\n\
   matEditor.open() --open the Material Editor if it is not open yet\n\
\n\
   local b = box width:200 length:300 height:10 pos:[200,0,0] --create a box primitive\n\
   b.material = mm --assign the material\n\
   b.mapcoords=true --enable texture coordinates\n\
\n\
   showTextureMap mm[1] tm true --show the map in the viewport\n\
   hide #(tp,tp2) --hide the TextPlus objects\n\
   select b --select the box\n\
   max zoomext sel all --and zoom extents selected\n\
\n\
   local splt = splat() --create a Splat texture to abuse as a sky map\n\
   splt.size = 0.01 --make very small splats\n\
   splt.iterations = 1 --do only one iteration\n\
   splt.threshold = 0.1 --keep the threshold very low\n\
   splt.color1 = black --star color\n\
   splt.color2 = white --space color\n\
   environmentMap = splt --set the environment map to the Splat texture\n\
\n\
   render outputsize:[1280,720] --render\n\
\n\
   OK\n\
   )\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../TextureMap-Types.html\">TextureMap Types</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";