var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-669A9C9E-4980-4F16-9858-319CBDCA2BBA\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Instance_Duplicate_Maps : UtilityPlugin</h1></div><p>This utility finds all duplicate maps and makes them instances instead of copies. Can affect user selection or all.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Class instances not creatable by MAXScript</code></pre><p><strong>Alias:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">InstanceDuplMap </code></pre><div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>Animation is not supported, due to the breadth and complexity of controllers.</p>\n\
<p>A warning message will be displayed if animation is found.</p>\n\
<p>Undo is not supported</p>\n\
<h2 id=\"instance_duplicate_maps-interface-\">Instance_Duplicate_Maps Interface:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface: InstanceDuplMapInterface </code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;findDuplicateMap &lt;&amp;texturemap array&gt;mapsFound \n\
mapsFound is Out parameter </code></pre><p>Finds duplicate maps, stores them in the by-reference <code>mapsFound</code> array</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;findCopyMap &lt;texturemap&gt;duplMap &lt;&amp;texturemap array&gt;mapsFound \n\
mapsFound is Out parameter </code></pre><p>Finds map copies of the supplied duplicate map, stores them in the by-reference <code>mapsFound</code> array.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;fixMap &lt;texturemap array&gt;maps prompt:&lt;boolean&gt;\n\
       prompt default value: true</code></pre><p>Fixes the maps in the by-reference array. Prompts the user if the optional <code>prompt</code> parameter is set to true.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;fixMapAll [prompt:&lt;boolean&gt;] \n\
prompt default value: true </code></pre><p>Fixes all maps. Prompts the user if the optional <code>prompt</code> parameter is set to true.</p>\n\
<h2 id=\"instance_duplicate_maps-interface-\">Instance_Duplicate_Maps Interface:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Interface:InstanceDuplMapActions </code></pre><p><strong>Methods:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;InstanceDuplMapAll () -- Action Interface </code></pre><p><strong>Actions:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">Category: Instance_Duplicate_Map_Actions; Action: Instance_Duplicate_Map; Shortcut: -- none defined --</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../UtilityPlugin-Classes.html\">UtilityPlugin Classes</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";