var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-7BC5A515-913D-45D2-A45F-43792D828055\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>What is a Mixin Interface?</h1></div><p>A <strong>Mixin Interface</strong> provides a way for a plug-in to expose some of its functionality for use by other plug-ins or MAXScript.</p>\n\
<p>The notion of &quot;Mixin&quot; refers to the idea that <strong>the interface is a sub-class of the plug-in class</strong> and thus <strong>&quot;mixed in&quot;</strong> with it.</p>\n\
<p>There are two ways to access methods of a Mixin Interface:</p>\n\
<ul>\n\
<li>As a stand-alone interface. This method is usually much faster to execute. In this case, the object to operate on MUST be provided as the first argument, like in <code>someInterface.someMethod $MyObject01 1 2</code></li>\n\
<li>As an interface of a particular object, like in <code>$MyObject01.someInterface.someMethod 1 2</code></li>\n\
</ul>\n\
<p>When using the second approach, properties and methods exposed by a Mixin Interface can be accessed directly as properties and methods of the object exposing the Interface without explicitly providing the name of the Interface, like in <code>$MyObject01.someMethod 1 2</code></p>\n\
<p>MAXScript will search for the property or name in the object itself and in all its interfaces. If multiple interfaces of an object expose properties or methods with identical names, specifying the Interface explicitly will resolve such naming collisions.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../MAXScript-Syntax-and-Terminology.html\">MAXScript Syntax and Terminology</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";