var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-D6AF4319-041A-43F4-A6C7-55FF078EBF06\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Learning MAXScript with the Macro Recorder</h1></div><p>Another useful tool for learning MAXScript is the <a href=\"./../../MAXScript-Introduction/Accessing-MAXScript/The-Macro-Recorder.html\">Macro Recorder</a>.</p>\n\
<p>If you want to learn how to perform a task in MAXScript, you can use the Macro Recorder to get started.</p>\n\
<p>The Macro Recorder captures many of the actions performed by the user, and generates the MAXScript commands that correspond to those actions.</p>\n\
<p>The Macro Recorder output is displayed in the top pane of the MAXScript Listener window. This pane has a pink background.</p>\n\
<p>The Macro Recorder has several filtering options that control what types of user actions are recorded, whether the generated script commands contain explicit object references or are selection-relative, and whether the generated MAXScript commands contain explicit or relative transforms and coordinates. These options can be set using the Macro Recorder menu in the Listener window.</p>\n\
<p>Many user actions generate Macro Recorder output, but not all of them. In general, most of the buttons on the Menu Bar, toolbars, Status Bar, Create panel, and Modify panel generate Macro Recorder output. If the button invokes a secondary dialog, changing setting or performing actions in the secondary dialog typically will <em>not</em> generate Macro Recorder output. In the Create and Modify panels, Macro Recorder output is generated if MAXScript can create the object or modifier.</p>\n\
<p>This makes the Macro Recorder a useful tool for learning MAXScript, as you can perform tasks in the UI and simultaneously see how to perform these same tasks with MAXScript.</p>\n\
<p>For further documentation on the Macro Recorder, see the <a href=\"./../../MAXScript-Introduction/Accessing-MAXScript/The-Macro-Recorder.html\">Macro Recorder</a> topic.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Learning-From-Other-Scripts.html\">Learning From Other Scripts</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";