var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-E8A47D42-6F26-4AFA-965F-5CA9A38BC7C9\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>The MAXScript Utility Panel</h1></div><p>In its first version back in <strong>3ds Max 2.0</strong>, MAXScript was only accessible through the MAXScript Utility in the Utility Panel. Starting with <strong>3ds Max 3.0</strong>, MAXScript appeared in the Main Menu and an additional Mini Listener was added to the Status Panel.</p>\n\
<p>The following topics describe the original user interface to MAXScript in the Utilities Panel. It consists of the MAXScript rollout in the Utilities panel, the Listener window, and MAXScript Editor windows.</p>\n\
<p>To access the MAXScript Utility panel rollout, open the Utilities panel and click the MAXScript Utility button.</p>\n\
<p><img src=\"./images/GUID-659246EC-5B7C-40BA-BA94-5D4788F63DF7-low.gif\" alt=\"\"></p>\n\
<p>The following options appear in the MAXScript rollout:</p>\n\
<p><strong>Open Listener</strong></p>\n\
<p>Opens the MAXScript Listener window, or restores and brings it to the front if it is minimized or is behind other <strong>3ds Max</strong> windows. The Listener window can also be opened by right-clicking in the Mini Listener in the <strong>3ds Max</strong> status bar and choosing Open Listener Window; by choosing <strong>MAXScript &gt; MAXScript Listener</strong> in the <strong>3ds Max</strong> menu bar; or by pressing F11.</p>\n\
<p>For Listener window features and commands, see <a href=\"The-MAXScript-Listener-Window.html\">The MAXScript Listener Window</a>.</p>\n\
<p><strong>New Script</strong></p>\n\
<p>Opens a new MAXScript Editor window used for writing a new script. A new Editor window is also opened by choosing <strong>MAXScript &gt; New Script</strong> in the <strong>3ds Max</strong> menu bar, or <strong>File &gt; New Script</strong> in the Listener window menu bar.</p>\n\
<p>For Editor window features and commands, see <a href=\"The-MAXScript-Editor-Windows.html\">The MAXScript Editor Windows</a>.</p>\n\
<p><strong>Open Script</strong></p>\n\
<p>Opens a common File Open dialog for choosing an existing script. A new MAXScript Editor window then displays the selected script. A script file can also be opened by choosing <strong>MAXScript &gt; Open Script</strong> in the <strong>3ds Max</strong> menu bar, or File &gt; Open Script in the Listener window menu bar.</p>\n\
<p>For Editor window features and commands, see <a href=\"The-MAXScript-Editor-Windows.html\">The MAXScript Editor Windows</a>.</p>\n\
<p><strong>Run Script</strong></p>\n\
<p>Opens a common File Open dialog for choosing an existing script. MAXScript then reads and executes the selected script. Any output is printed to the Listener window. A script file can also be run by choosing <strong>MAXScript &gt; Run Script</strong> in the <strong>3ds Max</strong> menu bar, or <strong>File &gt; Run Script</strong> in the Listener window menu bar.</p>\n\
<p>For more information, see <a href=\"Running-Scripts.html\">Running Scripts</a>.</p>\n\
<p><strong>Utilities</strong></p>\n\
<p>Displays a list of available scripted utilities. A MAXScript defining a scripted utility must be executed before the scripted utility name appears in the Utilities list.</p>\n\
<p>For more information, see <a href=\"Accessing-Scripted-Utilities.html\">Accessing Scripted Utilities</a>.</p>\n\
<p><strong>Close</strong></p>\n\
<p>Closes the MAXScript Utility rollout. Any scripted Utilities panel rollouts are also closed.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Accessing-MAXScript.html\">Accessing MAXScript</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";