var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-35CB7918-A86D-465E-AC63-3AAE310A113B\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MAXScript for New and Casual Users</h1></div><p>MAXScript is a very powerful addition to the <strong>3ds Max</strong> toolset. Using it in daily work can highly increase productivity or even let the user find solutions not directly available in the base software. Just like using plug-ins, using freely or commercially available scripts does not require knowledge of the programming language used to develop them. MAXScript allows the developer to build a user-friendly UI that isolates the end user from the internal code.</p>\n\
<p>In addition, a large portion of the User Interface of <strong>3ds Max</strong> uses MAXScript. This means that having a basic understanding of how scripts are installed and executed is an important part of the ground knowledge of the software.</p>\n\
<p>The following pages should give new or casual MAXScript users the necessary information to install and work with 3 rd party scripts.</p>\n\
<p><strong>Topics:</strong></p>\n\
<p><a href=\"Scripted-Utilities-for-New-Users.html\">Scripted Utilities for New Users</a></p>\n\
<p><a href=\"MacroScripts-for-New-Users.html\">MacroScripts for New Users</a></p>\n\
<p><a href=\"Scripted-Plug-ins-for-New-Users.html\">Scripted Plug-ins for New Users</a></p>\n\
<p><a href=\"Scripted-Functions-for-New-Users.html\">Scripted Functions for New Users</a></p>\n\
<p><a href=\"MAXScript-DLX-Extensions-for-New.html\">MAXScript DLX Extensions for New Users</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../MAXScript-for-New-and-Casual.html\">MAXScript for New and Casual Users</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../General-MAXScript-Topics/Startup-Scripts.html\">Startup Scripts</a></li>\n\
          <li><a class=\"link\" href=\"../../Learning-MAXScript.html\">Learning MAXScript</a></li>\n\
          <li><a class=\"link\" href=\"../../How-To-Practical-Examples/How-To-Introduction-to-the.html\">How To - Introduction to the Tutorials</a></li>\n\
          <li><a class=\"link\" href=\"../../Script-Examples-In-This-Help.html\">Script Examples In This Help</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";