var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-4A0D184F-1821-4F07-AA11-14F03AB01A4D\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MAXScript Editor - Defining Custom Status Bars</h1></div><p>The <a href=\"./../MAXScript-Tabbed-Editor-Window.html\">Tabbed MAXScript Editor</a> introduced in <strong>3ds Max 2008</strong> lets you define and switch between a large number of custom status bars displayed at the bottom of the Editor.</p>\n\
<p>Multiple status bars can be defined to display different information about the current file and the editing environment.</p>\n\
<p>By default, there are 4 pre-defined status bars which can be switched by clicking on the status bar.</p>\n\
<p>All status bars can be customized and new ones can be defined in the <strong>MXS_Editor.properties</strong> file.</p>\n\
<h2 id=\"here-are-the-default-definitions-and-the-resulting-status-bars-\">Here are the default definitions and the resulting status bars:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"># Status Bar\n\
statusbar.number=4\n\
statusbar.text.1=\\\n\
li=$(LineNumber) co=$(ColumnNumber) offset=$(CharOffset) $(OverType) ($(EOLMode)) $(FileAttr)\n\
</code></pre><p><img src=\"./images/GUID-39F7A360-C4A2-4309-9115-0FA8D7BE808B-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">statusbar.text.2=\\\n\
$(BufferLength) chars in $(NbOfLines) lines. Sel: $(SelLength) chars.\n\
</code></pre><p><img src=\"./images/GUID-EC081F1B-92B2-4EF8-9BE5-8A360B5B15DF-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">statusbar.text.3=\\\n\
Now is: Date=$(CurrentDate) Time=$(CurrentTime)\n\
</code></pre><p><img src=\"./images/GUID-DB200715-8EB8-4163-BB3B-5B2DD17DE496-low.gif\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">statusbar.text.4=\\\n\
$(FileNameExt) : $(FileDate) - $(FileTime) | $(FileAttr)\n\
</code></pre><p><img src=\"./images/GUID-624CCAE5-CCD1-4DC2-9188-CD9C85FEDAF7-low.gif\" alt></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../MAXScript-Editor-Configuration.html\">MAXScript Editor Configuration And Customization</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";