var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-FD8FF72C-629C-4004-A42A-55189B0641F2\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Comparison Expressions</h1></div><p>Using <strong>comparison expressions</strong> you can compare values of comparable types. The result is always one of the two Boolean values, <code>true</code> or <code>false.</code></p>\n\
<p>The various forms of <code>&lt;compare_expr&gt;</code> are as follows:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;compare_operand&gt; == &lt;compare_operand&gt; -- equal\n\
&lt;compare_operand&gt; != &lt;compare_operand&gt; -- not equal \n\
&lt;compare_operand&gt; &gt; &lt;compare_operand&gt; -- greater than\n\
&lt;compare_operand&gt; &lt; &lt;compare_operand&gt; -- less than\n\
&lt;compare_operand&gt; &gt;= &lt;compare_operand&gt; -- greater than or equal\n\
&lt;compare_operand&gt; &lt;= &lt;compare_operand&gt; -- less than or equal</code></pre><p>where <code>&lt;compare_operand&gt;</code> can be one of:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">&lt;math_expr&gt;\n\
&lt;operand&gt;\n\
&lt;function_call&gt;</code></pre><blockquote>\n\
<p>   <strong>EXAMPLES:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   a &gt; b\n\
   sin x == 0.0\n\
   a + b &lt;= n - 1</code></pre></blockquote>\n\
<p>Comparison operations have lower precedence than math operations.</p>\n\
<p>In the above examples, the <code>sin</code> function call and the <strong>&quot;+&quot;</strong> and <strong>&quot;-&quot;</strong> operations are performed <strong>before</strong> the comparisons.</p>\n\
<p>As with math expressions, the comparison operators work on all appropriate types.</p>\n\
<p>Equal <strong>&quot;==&quot;</strong> and not-equal <strong>&quot;!=&quot;</strong> operate on all types, and the relative comparisons work between comparable types.</p>\n\
<p>The allowable comparison operators are documented with the value type descriptions.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Simple-Expressions.html\">Simple Expressions</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";