var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-2AE51843-EB2C-482F-A1FE-B5C0751C4023\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Named Selection Set Notification</h1></div><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#NamedSelSetCreated: string </code></pre><p>Sent after a named selection set is created.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> will return the new selection set name.</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#NamedSelSetDeleted: string </code></pre><p>Sent after a named selection set is deleted.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> will return the name of the deleted named selections set.</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#NamedSelSetRenamed: string </code></pre><p>Sent after a named selection set is renamed.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> will return an array containing the old name and new name of the renamed selection set.</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#NamedSelSetPreModify: string </code></pre><p>Sent when the node set of a named selection set begins to be changed. For example, when nodes are added or removed from a named selection set,or the node set of a named selection set is completely replaced.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> will return the name of the modified selection set.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">#NamedSelSetPostModify: string </code></pre><p>Sent when the node set of a named selection set has been changed.</p>\n\
<p>Calling <code>callbacks.notificationParam()</code> will return the name of the modified selection set.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../General-Event-Callback-Mechanism.html\">General Event Callback Mechanism</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";