var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-26A87677-A237-401D-B280-9E3BE51D56FD\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Deprecated RCmenu Methods</h1></div><p>Right-click menus were used in <strong>3ds Max 2</strong> and <strong>3</strong> in place of the QuadMenus introduced in <strong>3ds Max 4</strong>.</p>\n\
<p>The following methods were made obsolete by the QuadMenus system, but still exist in <strong>3ds Max</strong>.</p>\n\
<p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt>This page is provided as part of the history of MAXScript but does not reflect current features of <strong>3ds Max</strong>!</p>\n\
<h2 id=\"the-following-methods-let-you-register-and-unregister-scripted-right-click-menus-\">The following methods let you register and unregister scripted right-click menus:</h2><pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">registerRightClickMenu &lt;rcmenu&gt;</code></pre><p>Registers the specified right-click menu.</p>\n\
<p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt>This method was made obsolete by the QuadMenu system in <strong>3ds Max 4</strong> and higher.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">unRegisterRightClickMenu &lt;rcmenu&gt;</code></pre><p>Unregisters the specified right-click menu</p>\n\
<p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt>This method was made obsolete by the QuadMenu system in <strong>3ds Max 4</strong> and higher.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">unRegisterAllRightClickMenus()</code></pre><p>Unregisters all right-click menus.</p>\n\
<p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt>This method was made obsolete by the QuadMenu system in <strong>3ds Max 4</strong> and higher.</p>\n\
<p>The following script for <strong>3ds Max</strong> 2 and 3 would add two items to the right-click menu: Cast Shadows and Receive Shadows. These items would be enabled only if one object is selected. If enabled, the items would be checked or unchecked based on the current state of the selected object. Choosing a menu item would flip the state of the corresponding object property.</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT FROM 3DS MAX 3:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rcmenu MyRCmenu\n\
   (\n\
   menuItem mi_cs &quot;Cast Shadows&quot; checked:false\n\
   menuItem mi_rs &quot;Receive Shadows&quot; checked:false\n\
   --\n\
   on MyRCmenu open do\n\
   (\n\
   local sel = (selection.count == 1)\n\
   -- Enable if only one object is selected\n\
   mi_cs.enabled = mi_rs.enabled = sel\n\
   -- Set check state of items\n\
   if sel do\n\
   (\n\
   mi_cs.checked = $.castShadows\n\
   mi_rs.checked = $.receiveShadows\n\
   )\n\
   )\n\
   -- set up event handlers for items\n\
   on mi_cs picked do $.castShadows = (not $.castShadows)\n\
   on mi_rs picked do$.receiveShadows = (not $.receiveShadows)\n\
   )\n\
   -- register the rcmenu\n\
   registerRightClickMenu MyRCmenu\n\
</code></pre></blockquote>\n\
<p>You could register as many scripted right-click menus as you like. Each scripted right-click menu registered was appended to the right-click menu window. If a scripted right-click menu with the same name was registered twice, the old one was overwritten by the new one.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Scripted-Right-Click-Menus.html\">Scripted Right-Click Menus</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Scripted-Right-Click-Menus.html\">Scripted Right-Click Menus</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";