var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-70A33D5F-2A4C-4CDE-A43B-5DC449864821\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>separator</h1></div><p>A <strong>separator</strong> is used to place a separator line in the right-click menu, and is normally used to group menu items. The syntax for a separator is:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">separator &lt;name&gt; [ filter:&lt;function&gt; ]</code></pre><p><strong>Parameters</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">name:</code></pre><p>Used to name an automatically constructed local variable that will hold the value representing the separator.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">filter:</code></pre><p>A function that returns a Boolean value. The filter function is evaluated when the right-click menu is first opened. If the filter function returns <code>true</code> the separator appears in the menu, otherwise it is not displayed.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   rcmenu MyRCmenu\n\
   (\n\
   fn flt_objects = ($ != undefined) -- objects filter\n\
   menuItem mi_cs &quot;Cast Shadows&quot; checked:false\n\
   menuItem mi_rs &quot;Receive Shadows&quot; checked:false\n\
   -- add only if one or more objects are selected\n\
   separator sep1 filter:flt_objects\n\
   menuItem mi_st &quot;Scale Twice&quot; filter:flt_objects\n\
   menuItem mi_sh &quot;Scale Half&quot; filter:flt_objects\n\
   -- event handlers would go here...\n\
   )\n\
   registerRightClickMenu MyRcmenu -- register the rcmenu\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../RCMenu-User-Interface-Items.html\">RCMenu User-Interface Items</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../RCMenu-Clauses.html\">RCMenu Clauses</a></li>\n\
          <li><a class=\"link\" href=\"../../Scripted-Right-Click-Menus.html\">Scripted Right-Click Menus</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";