var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-705ADA79-8521-448A-A7A3-68117AA8A973\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Symbolic Pathnames</h1></div><p>You can use symbolic pathnames in the form <code>$&lt;name&gt;</code> anywhere a filename can be supplied to MAXScript.</p>\n\
<p>This support was added in <strong>3ds Max 4</strong> and was largely enhanced in <strong>3ds Max 9</strong>.</p>\n\
<p>Any filename you provide to MAXScript can begin with a <code>&apos;$&apos;</code> followed by one of the symbolic directory names below.</p>\n\
<p>The following symbolic names are recognized:</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>Index</th>\n\
<th>Symbolic Name</th>\n\
<th>Directory</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>1</td>\n\
<td><code>$max</code></td>\n\
<td>Main 3ds Max executable directory</td>\n\
</tr>\n\
<tr>\n\
<td>2</td>\n\
<td><code>$maps</code></td>\n\
<td>First directory in Maps directory config*</td>\n\
</tr>\n\
<tr>\n\
<td>3</td>\n\
<td><code>$scenes</code></td>\n\
<td>3ds Max Scenes directory</td>\n\
</tr>\n\
<tr>\n\
<td>4</td>\n\
<td><code>$fonts</code></td>\n\
<td>Fonts directory</td>\n\
</tr>\n\
<tr>\n\
<td>5</td>\n\
<td><code>$imports</code></td>\n\
<td>File Imports directory</td>\n\
</tr>\n\
<tr>\n\
<td>6</td>\n\
<td><code>$exports</code></td>\n\
<td>File Exports directory</td>\n\
</tr>\n\
<tr>\n\
<td>7</td>\n\
<td><code>$sounds</code></td>\n\
<td>Sounds directory</td>\n\
</tr>\n\
<tr>\n\
<td>8</td>\n\
<td><code>$matlibs</code></td>\n\
<td>Material Libraries directory</td>\n\
</tr>\n\
<tr>\n\
<td>9</td>\n\
<td><code>$scripts</code></td>\n\
<td>Scripts directory</td>\n\
</tr>\n\
<tr>\n\
<td>10</td>\n\
<td><code>$startupScripts</code></td>\n\
<td>Auto-load startup scripts directory</td>\n\
</tr>\n\
<tr>\n\
<td>11</td>\n\
<td><code>$plugins</code></td>\n\
<td>First in the Plug-ins directory config*</td>\n\
</tr>\n\
<tr>\n\
<td>12</td>\n\
<td><code>$plugcfg</code></td>\n\
<td>Plugin configurations directory</td>\n\
</tr>\n\
<tr>\n\
<td>13</td>\n\
<td><code>$images</code></td>\n\
<td>Images directory</td>\n\
</tr>\n\
<tr>\n\
<td>14</td>\n\
<td><code>$ui</code></td>\n\
<td>User Interface files directory</td>\n\
</tr>\n\
<tr>\n\
<td>15</td>\n\
<td><code>$macroScripts</code></td>\n\
<td>macroScripts in UI directory</td>\n\
</tr>\n\
<tr>\n\
<td>16</td>\n\
<td><code>$web</code></td>\n\
<td>Web downloads directory</td>\n\
</tr>\n\
<tr>\n\
<td>17</td>\n\
<td><code>$temp</code></td>\n\
<td>System temp directory</td>\n\
</tr>\n\
<tr>\n\
<td>18</td>\n\
<td><code>$renderPresets</code></td>\n\
<td>Render presets directory</td>\n\
</tr>\n\
<tr>\n\
<td>19</td>\n\
<td><code>$help</code></td>\n\
<td>Help files directory</td>\n\
</tr>\n\
<tr>\n\
<td>20</td>\n\
<td><code>$expressions</code></td>\n\
<td>Expressions directory</td>\n\
</tr>\n\
<tr>\n\
<td>21</td>\n\
<td><code>$previews</code></td>\n\
<td>Previews directory</td>\n\
</tr>\n\
<tr>\n\
<td>22</td>\n\
<td><code>$maxstart</code></td>\n\
<td>Directory of MAXSTART.MAX</td>\n\
</tr>\n\
<tr>\n\
<td>23</td>\n\
<td><code>$vpost</code></td>\n\
<td>Video post directory</td>\n\
</tr>\n\
<tr>\n\
<td>24</td>\n\
<td><code>$drivers</code></td>\n\
<td>Drivers directory</td>\n\
</tr>\n\
<tr>\n\
<td>25</td>\n\
<td><code>$autoback</code></td>\n\
<td>Auto-backup directory</td>\n\
</tr>\n\
<tr>\n\
<td>26</td>\n\
<td><code>$marketDefaults</code></td>\n\
<td>Market Defaults directory</td>\n\
</tr>\n\
<tr>\n\
<td>27</td>\n\
<td><code>$icons</code></td>\n\
<td>Icons directory</td>\n\
</tr>\n\
<tr>\n\
<td>28</td>\n\
<td><code>$maxSysIcons</code></td>\n\
<td>System icons directory</td>\n\
</tr>\n\
<tr>\n\
<td>29</td>\n\
<td><code>$renderOutput</code></td>\n\
<td>Render output directory</td>\n\
</tr>\n\
<tr>\n\
<td>30</td>\n\
<td><code>$animation</code></td>\n\
<td>Animations directory</td>\n\
</tr>\n\
<tr>\n\
<td>31</td>\n\
<td><code>$archives</code></td>\n\
<td>Archives directory</td>\n\
</tr>\n\
<tr>\n\
<td>32</td>\n\
<td><code>$photometrics</code></td>\n\
<td>Photometric files directory</td>\n\
</tr>\n\
<tr>\n\
<td>33</td>\n\
<td><code>$renderAssets</code></td>\n\
<td>Render Assets directory</td>\n\
</tr>\n\
<tr>\n\
<td>34</td>\n\
<td><code>$userScripts</code></td>\n\
<td>User Scripts directory</td>\n\
</tr>\n\
<tr>\n\
<td>35</td>\n\
<td><code>$userMacros</code></td>\n\
<td>User Macroscripts directory</td>\n\
</tr>\n\
<tr>\n\
<td>36</td>\n\
<td><code>$userStartupScripts</code></td>\n\
<td>User Startup Scripts directory</td>\n\
</tr>\n\
<tr>\n\
<td>37</td>\n\
<td><code>$userIcons</code></td>\n\
<td>User Icons directory</td>\n\
</tr>\n\
<tr>\n\
<td>38</td>\n\
<td><code>$maxData</code></td>\n\
<td>Max Data (Root) directory</td>\n\
</tr>\n\
<tr>\n\
<td>39</td>\n\
<td><code>$downloads</code></td>\n\
<td>Downloads directory</td>\n\
</tr>\n\
<tr>\n\
<td>40</td>\n\
<td><code>$proxies</code></td>\n\
<td>Bitmap Proxies directory</td>\n\
</tr>\n\
<tr>\n\
<td>41</td>\n\
<td><code>$assemblies</code></td>\n\
<td>Assemblies directory</td>\n\
</tr>\n\
<tr>\n\
<td>42</td>\n\
<td><code>$hardwareShadersCache</code></td>\n\
<td>Hardware shaders directory</td>\n\
</tr>\n\
<tr>\n\
<td>43</td>\n\
<td><code>$plugcfg_ln</code></td>\n\
<td>Plugcfg_ln directory</td>\n\
</tr>\n\
<tr>\n\
<td>44</td>\n\
<td><code>$ui_ln</code></td>\n\
<td>UI_LN directory</td>\n\
</tr>\n\
<tr>\n\
<td>45</td>\n\
<td><code>$autodeskcloud</code></td>\n\
<td>Autodesk cloud directory</td>\n\
</tr>\n\
<tr>\n\
<td>46</td>\n\
<td><code>$userStartupTemplates</code></td>\n\
<td>Startup templates directory</td>\n\
</tr>\n\
<tr>\n\
<td>47</td>\n\
<td><code>$privateExchangeStoreInstallPath</code></td>\n\
<td>Private Exchange Store install directory. <strong>Note:</strong> this is now an alias for <code>$privatePluginPackageInstallPath</code>, but is retained for backwards compatibility.</td>\n\
</tr>\n\
<tr>\n\
<td>48</td>\n\
<td><code>$publicExchangeStoreInstallPath</code></td>\n\
<td>Public Exchange Store install directory. <strong>Note:</strong> this is now an alias for <code>$publicPluginPackageInstallPath</code>, but is retained for backwards compatibility.</td>\n\
</tr>\n\
<tr>\n\
<td>49</td>\n\
<td><code>$systemImage</code></td>\n\
<td>System scene images directory</td>\n\
</tr>\n\
<tr>\n\
<td>50</td>\n\
<td><code>$systemPhotometric</code></td>\n\
<td>Photometric light definition (.ies) file directory</td>\n\
</tr>\n\
<tr>\n\
<td>51</td>\n\
<td><code>$systemSound</code></td>\n\
<td>System scene sound assets directory</td>\n\
</tr>\n\
<tr>\n\
<td>52</td>\n\
<td><code>$pageFile</code></td>\n\
<td>Temporary page file directory (in **3ds Max 2018.4</td>\n\
</tr>\n\
<tr>\n\
<td>53</td>\n\
<td><code>$fluidSimulations</code></td>\n\
<td>Fluid simulation file cache location (in **3ds Max 2020</td>\n\
</tr>\n\
<tr>\n\
<td>54</td>\n\
<td><code>$userSettings</code></td>\n\
<td>User settings location (in **3ds Max 2020</td>\n\
</tr>\n\
<tr>\n\
<td>55</td>\n\
<td><code>$userTools</code></td>\n\
<td>User settings for 3rd party tools (in **3ds Max 2020</td>\n\
</tr>\n\
<tr>\n\
<td>56</td>\n\
<td><code>$privatePluginPackageInstallPath</code></td>\n\
<td>Install location for private plugin bundle packages (in **3ds Max 2020</td>\n\
</tr>\n\
<tr>\n\
<td>57</td>\n\
<td><code>$publicPluginPackageInstallPath</code></td>\n\
<td>Install location for public plugin bundle packages (in **3ds Max 2020</td>\n\
</tr>\n\
<tr>\n\
<td>58</td>\n\
<td><code>$plugindata</code></td>\n\
<td>Plug-in data location</td>\n\
</tr>\n\
<tr>\n\
<td>59</td>\n\
<td><code>$presets</code></td>\n\
<td>Particle Flow presets location (in <strong>3ds Max 2022</strong> and later).</td>\n\
</tr>\n\
</tbody></table>\n\
<p>Please note that these are similar to the <a href=\"3ds-Max-System-Directories-1.html\">3ds Max System Directories</a> filetype_names which start with a &quot;#&quot;and are used as arguments to the <code>GetDir()</code> and <code>SetDir()</code> methods.</p>\n\
<p>The following example will open the file &quot;foo.ms&quot; in the current 3ds Max Scripts directory.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   fileIn &quot;$scripts\\foo.ms&quot;\n\
</code></pre></blockquote>\n\
<p>In <strong>3ds Max 9 and higher</strong> , the <code>$maps</code> and <code>$plugins</code> symbolic pathnames can also specify an index. In this case, the indexed directory will be used.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   &quot;$maps[2]\\\\mybitmap.tga&quot;\n\
</code></pre></blockquote>\n\
<p>When no index is provided, the first map resp. plugins path will be used.</p>\n\
<h3 id=\"symbolicpaths-struct\">SymbolicPaths Struct</h3><p>In <strong>3ds Max 9 and higher</strong>, the SymbolicPaths struct provides methods to access existing and define new symbolic paths:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">symbolicPaths.numPaths()</code></pre><p>Returns the number of symbolic path names. This includes both system and user-defined path names</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">symbolicPaths.getPathName&lt;index&gt;</code></pre><p>Returns the indexed symbolic path name.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   for i =1 to symbolicPaths.numPaths() do\n\
   format &quot;% : %\\n&quot; i (symbolicPaths.getPathName i)\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">symbolicPaths.isPathName &lt;string&gt;</code></pre><p>Returns true if the string corresponds to a symbolic path name, false otherwise.</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   symbolicPaths.isPathName &quot;$maps&quot;\n\
   true\n\
   symbolicPaths.isPathName &quot;$map&quot;\n\
   false\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">symbolicPaths.getPathValue {&lt;index&gt; | &lt;string&gt;}</code></pre><p>Returns the path associated with the specified symbolic path name (specified either by index or by name string).</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   symbolicPaths.getPathValue 2\n\
   &quot;C:\\Program Files\\Autodesk\\3ds Max 2012\\maps&quot;\n\
   symbolicPaths.getPathValue&quot;$maps&quot;\n\
   &quot;C:\\Program Files\\Autodesk\\3ds Max 2012\\maps&quot;\n\
</code></pre></blockquote>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">symbolicPaths.numUserPaths()</code></pre><p>Returns the number of user-defined symbolic path names.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">symbolicPaths.getUserPathName &lt;index&gt;</code></pre><p>Returns the indexed user-defined symbolic path name.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">symbolicPaths.isUserPathName &lt;string&gt;</code></pre><p>Returns true if the string corresponds to a user-defined symbolic path name, false otherwise.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">symbolicPaths.getUserPathValue {&lt;index&gt; | &lt;string&gt;}</code></pre><p>Returns the path associated with the specified user-defined symbolic path name</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">symbolicPaths.setUserPathValue {&lt;index&gt; | &lt;string&gt;} &lt;filepath&gt;</code></pre><p>Sets path associated with the specified user-defined symbolic path name</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">symbolicPaths.addUserPath &lt;string&gt; &lt;filepath&gt;</code></pre><p>Adds user-defined symbolic path name and path</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">symbolicPaths.removeUserPath {&lt;index&gt; | &lt;string&gt;}</code></pre><p>Removes user-defined symbolic path name</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">symbolicPaths.expandFileName &lt;filename&gt;</code></pre><p>Returns expanded file nane</p>\n\
<blockquote>\n\
<p>   <strong>EXAMPLE</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   symbolicPaths.numUserPaths() --check foruser path- none by default\n\
   0\n\
   symbolicPaths.addUserPath &quot;$test&quot; &quot;c:\\\\test&quot; --define new user path\n\
   OK\n\
   symbolicPaths.numUserPaths() --check foruser path- there is one!\n\
   1\n\
   symbolicPaths.isUserPathName &quot;$test&quot; --is a user symbolic path?\n\
   true\n\
   --See if $temp is a user symbolic path.\n\
   --NOTE that $temp is aSYSTEMsymbolic path,\n\
   --but not aUSERsymbolic path:\n\
   symbolicPaths.isUserPathName &quot;$temp&quot;\n\
   false\n\
   symbolicPaths.getUserPathName 1 --get the name of the first path\n\
   &quot;$test&quot;\n\
   symbolicPaths.getUserPathValue 1 --get the first path\n\
   &quot;c:\\test&quot;\n\
   symbolicPaths.getUserPathValue &quot;$test&quot; --get the path by name\n\
   &quot;c:\\test&quot;\n\
   symbolicPaths.setUserPathValue &quot;$test&quot; &quot;c:\\\\another\\\\path&quot; --change\n\
   OK\n\
   symbolicPaths.getUserPathValue &quot;$test&quot; --see if itchangeg?\n\
   &quot;c:\\another\\path&quot;\n\
   symbolicPaths.expandFileName &quot;$test\\\\somefile.txt&quot; --expand a path\n\
   &quot;c:\\another\\path\\somefile.txt&quot;\n\
   symbolicPaths.removeUserPath &quot;$test&quot; --remove the user path\n\
   OK\n\
   symbolicPaths.numUserPaths() --there are no user paths left\n\
   0\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../3ds-Max-System-Directories.html\">3ds Max System Directories</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Zip-file-Packaging-and-Drag-And/Zip-file-Script-Packages.html\">Zip-file Script Packages</a></li>\n\
          <li><a class=\"link\" href=\"3ds-Max-System-Directories-1.html\">3ds Max System Directories</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";