var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-38CB8317-6EB2-49D1-A086-B06BA2A141AE\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Action Manager</h1></div><p>All Action Items are macro recorded when executed. This includes main menus items, CUI buttons, keyboard shortcuts and quad menu items.</p>\n\
<blockquote>\n\
<p>   <strong>THE CODE EMITTED FOR MANY ACTION ITEMS LOOKS LIKE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   actionMan.executeAction 0 &quot;50002&quot; -- Tools: Rotate Mode                   </code></pre></blockquote>\n\
<p>The MAXScript <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-actionMan.html\">Interface: actionMan</a> has a function called &quot; <code>executeAction</code> &quot;. It takes as parameters the ID of the action table and the &quot; <code>persistent id</code> &quot; of the action. A comment string that includes the category and tooltip for the action follows it. Some action items have custom code emitters that emit better looking code.</p>\n\
<p>This interface is currently intended only for running macro recorded actions.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> </div>\n\
<p>There is no way currently to query the action manager for all the available action items.</p>\n\
<p>See <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-actionMan.html\">Interface: actionMan</a> for the methods exposed for this interface.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Action-Manager-and-Shortcut.html\">Action Manager and Shortcut System</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-actionMan.html\">Interface: actionMan</a></li>\n\
          <li><a class=\"link\" href=\"../../Creating-MAXScript-Tools/Defining-Macro-Scripts.html\">Defining Macro Scripts</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Introduction/Accessing-MAXScript/The-MAXScript-Listener-Window.html\">The MAXScript Listener Window</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Introduction/Accessing-MAXScript/Turning-On-the-Listener-Log.html\">Turning On the Listener Log</a></li>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Introduction/Accessing-MAXScript/Listener-Commands.html\">Listener Commands</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";