var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-7A4AA91A-0DEB-470B-AD6B-2E7A3A105BD0\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MAXScript Message and Query Dialogs</h1></div><p>These functions let you display a message box or yes/no query dialog from within MAXScript.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">messageBox &lt;message_string&gt; [optional arguments - [see below]](GUID-7A4AA91A-0DEB-470B-AD6B-2E7A3A105BD0.html)</code></pre><p>Displays a modal message box containing the message string and an <strong>OK</strong> button.</p>\n\
<p><img src=\"./images/GUID-D9C6A564-652C-4E45-AFC9-49ED8E4BA8E9-low.png\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">queryBox &lt;message_string&gt; [optional arguments - [see below]](GUID-7A4AA91A-0DEB-470B-AD6B-2E7A3A105BD0.html)</code></pre><p>Displays a modal message that contains <strong>Yes</strong> and <strong>No</strong> buttons. The <code>queryBox()</code> function returns <code>true</code> if the user clicks <strong>Yes</strong> and <code>false</code> if the user clicks <strong>No</strong>.</p>\n\
<p><img src=\"./images/GUID-6FC9B3E5-C2F3-4A2D-A391-D7E9E9E72846-low.png\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">yesNoCancelBox &lt;message_string&gt; [optional arguments - [see below] ](GUID-7A4AA91A-0DEB-470B-AD6B-2E7A3A105BD0.html)</code></pre><p>Displays a modal message with <strong>Yes</strong>, <strong>No</strong>, and <strong>Cancel</strong> buttons. The <code>yesNoCancelBox()</code> function returns <code>#yes</code>, <code>#no</code> or <code>#cancel</code> depending on which button the user selects.</p>\n\
<p><img src=\"./images/GUID-56E2D545-E2FF-4094-A8F5-13089229C097-low.png\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">cancelTryContinueBox &lt;message_string&gt; [optional arguments - [see below] ](GUID-7A4AA91A-0DEB-470B-AD6B-2E7A3A105BD0.html)</code></pre><p>Displays a modal message box with <strong>Cancel</strong>, <strong>Try Again</strong>, and <strong>Continue</strong> buttons. This dialog returns <code>#cancel</code>, <code>#tryAgain</code>, or <code>#continue</code>, depending which button the user selects. Available in <strong>3ds Max 2020.1 Update and higher</strong>.</p>\n\
<p><img src=\"./images/GUID-0AA2B9F7-F02A-47D9-AABD-4CEA3E36130B-low.png\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">retryIgnoreAbortBox &lt;message_string&gt; [optional arguments - [see below] ](GUID-7A4AA91A-0DEB-470B-AD6B-2E7A3A105BD0.html)</code></pre><p>Displays a modal message box with <strong>Retry</strong>, <strong>Ignore</strong>, and <strong>Abort</strong> buttons. This dialog returns <code>#retry</code>, <code>#ignore</code>, or <code>#abort</code>, depending on which button the user selects. Available in <strong>3ds Max 2020.1 Update and higher</strong>.</p>\n\
<p><img src=\"./images/GUID-B87B9CC5-D81C-4312-9CA3-F31D02015C57-low.png\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">okCancelBox &lt;message_string&gt; [optional arguments - [see below] ](GUID-7A4AA91A-0DEB-470B-AD6B-2E7A3A105BD0.html)</code></pre><p>Displays a modal message box with <strong>Ok</strong> and <strong>Cancel</strong> buttons. This dialog returns <code>#ok</code> or <code>#cancel</code>, depending on which button the user selects. Available in <strong>3ds Max 2020.1 Update and higher</strong>.</p>\n\
<p><img src=\"./images/GUID-6B5D013B-FAA5-40E1-8F7E-AE9731A005EF-low.png\" alt></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">retryCancelBox &lt;message_string&gt; [optional arguments - [see below] ](GUID-7A4AA91A-0DEB-470B-AD6B-2E7A3A105BD0.html)</code></pre><p>Displays a modal message box with <strong>Retry</strong> and <strong>Cancel</strong> buttons. This dialog returns <code>#retry</code> or <code>#cancel</code>, depending on which button the user selects. Available in <strong>3ds Max 2020.1 Update and higher</strong>.</p>\n\
<p><img src=\"./images/GUID-38C26DF1-872F-441B-9B2D-EEFAF95A07F7-low.png\" alt></p>\n\
<h3 id=\"common-optional-dialog-box-arguments\">Common optional dialog box arguments</h3><p>All dialog box types support these common optional arguments.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\"> [title:&lt;window_title_string&gt;] [beep:&lt;boolean&gt;] \\\n\
   [icon:(#question|#information|#warning|#critical)] [defaultButton:&lt;int&gt;] \\\n\
   [dontShowAgain:&amp;&lt;variable&gt;]  [helpID:&lt;int&gt;] [showHoldButton:&lt;boolean&gt;] \\\n\
   [autoSaveEnabled:&lt;boolean&gt;] [parent:&lt;int_ptr&gt;] [extraFlags:&lt;int&gt;] </code></pre><p><strong>title</strong>:<code>&lt;window_title_string&gt;</code> - specifies the dialog window title. The default, if unspecified is &quot;MAXScript&quot;.</p>\n\
<p><strong>beep</strong>:<code>&lt;boolean&gt;</code> - specifies whether to make a beep sound when displayed, and whether to display an icon. The default is true.</p>\n\
<p>These options are available in <strong>3ds Max 2020.1 Update and higher</strong>:</p>\n\
<p><strong>icon</strong>:(#question|#information|#warning|#critical) - specifies an icon to display to override the default. The default depends on the type of message box being displayed. To show no icon, set <strong>beep</strong> to false.</p>\n\
<p><strong>defaultButton</strong>:<code>&lt;int&gt;</code> - specifies the index of the default button (the button already selected that will push when the user hits enter). The default is 1.</p>\n\
<p><strong>dontShowAgain</strong>:<code>&amp;&lt;variable&gt;</code> - supports a &quot;Don&apos;t Show Again&quot; checkbox. The <code>&lt;variable&gt;</code> passed by reference returns true if the checkbox is checked.</p>\n\
<p><strong>helpID</strong>:<code>&lt;int&gt;</code> - when specified, adds a Help button to the dialog, and specifies the ID of a help topic to show when the user presses the button. See the <code>&lt;maxsdk&gt;\\include\\contextids.h</code> for a list of defined help topic IDs. Note that the dialogs do not support pressing F1 to invoke this help ID.</p>\n\
<p><strong>showHoldButton</strong>:<code>&lt;boolean&gt;</code> - indicates whether to display a &quot;Hold/OK&quot; button. If the user clicks this button, the dialog returns #hold.</p>\n\
<p><strong>autoSaveEnabled</strong>:<code>&lt;boolean&gt;</code> - specifies whether 3ds Max autosave is enabled while the dialog is displayed. The default is true.</p>\n\
<p><strong>parent</strong>:<code>&lt;int_ptr&gt;</code> - specifies the parent HWND of the dialog. By default this is the main 3ds Max window.</p>\n\
<div class=\"note note:\"><span class=\"notetitle\">Note:</span> This option causes slightly different behavior depending on whether the dialog is Qt-based (the default) or Win32-based (see flags below). By default, the parent window and other windows cannot be manipulated. For Win32-based dialogs, only the parent window is &quot;locked&quot;, other windows can be manipulated.</div>\n\
<p><strong>extraFlags</strong>:<code>&lt;int&gt;</code> - a bit field of flags that can be combined to provide extra functionality. See the <a href=\"https://docs.microsoft.com/en-us/windows/win32/api/winuser/nf-winuser-messagebox\" target=\"_blank\">MSDN MessageBox function documentation</a> for a description of these flag values.</p>\n\
<ul>\n\
<li><p>0x00002000L - MB_TASKMODAL</p>\n\
</li>\n\
<li><p>0x00001000L - MB_SYSTEMMODAL</p>\n\
</li>\n\
<li><p>0x00008000L - MB_NOFOCUS</p>\n\
</li>\n\
<li><p>0x00010000L - MB_SETFOREGROUND</p>\n\
</li>\n\
<li><p>0x00040000L - MB_TOPMOST</p>\n\
</li>\n\
<li><p>0x00080000L - MB_RIGHT</p>\n\
</li>\n\
<li><p>0x00100000L - MB_RTLREADING</p>\n\
</li>\n\
<li><p>0x10000000L - show dialog using win32 MessageBox()</p>\n\
</li>\n\
<li><p>0x40000000L - show dialog using MaxMessageBox hwnd parent version</p>\n\
</li>\n\
</ul>\n\
<blockquote>\n\
<p>   <strong>FOR EXAMPLE:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   messageBox &quot;You shouldn&apos;t have done that&quot;\n\
   if queryBox &quot;Do you want to continue?&quot; beep:false then...\n\
</code></pre></blockquote>\n\
<p>In some cases, MAXScript statements occurring after a statement containing one of the above dialog function calls may be executed before they are supposed to be.</p>\n\
<p>For example, if your execute:</p>\n\
<blockquote>\n\
<p>   <strong>SCRIPT:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   for _t=0 to 3 do\n\
   (\n\
   messagebox &quot;Press Me&quot;\n\
   format &quot;_t= %\\n&quot; _t\n\
   )\n\
   print &quot;Should print last&quot;\n\
</code></pre><p>   <strong>THE LISTENER WILL SHOW:</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">   _t= 0\n\
   &quot;Should print last&quot;\n\
   &quot;Should print last&quot;\n\
   _t= 1\n\
   _t= 2\n\
   _t= 3\n\
</code></pre><p>   The MessageBox will be displayed 4 times, once each time before the value of <code>_t</code> is printed to Listener!</p>\n\
<p>   The reason for this is that Listener is looking for expressions to compile and run in a background thread. In the above example there are 2 expressions - the <code>for</code> loop expression and the final <code>print</code> expression. The <code>messageBox()</code> function goes on waiting for and processing UI events in the main UI thread, but the compiler has already compiled ahead and scheduled the print &quot;Should print last&quot;.</p>\n\
<p>   To prevent this out-of-order execution, you need to bracket the script in parenthesis. This will force the sequencing to be correct because the script would now contain a single expression rather than two.</p>\n\
</blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../MAXScript-Message-and-Query.html\">MAXScript Message and Query Dialogs</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";