var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-408F43DA-6C99-4CF5-96D5-78836A5DCB02\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2022/ENU/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Main Toolbar</h1></div><p>The following methods are associated with <strong>3ds Max</strong>&#x2019;s main toolbar:</p>\n\
<p><strong>Methods</strong></p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">enableUndo &lt;boolean&gt;      </code></pre><p>Enables or disables the Undo icon.</p>\n\
<p>In 3ds Max 2010 and higher, the Undo icons are no longer on the Main Toolbar, but are still affected by this method. When the argument is false, the Undo and Redo icons will cause no action if pressed.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">hitByNameDlg()   </code></pre><p>Opens the standard <strong>3ds Max</strong> Select By Name dialog allowing users to select objects.</p>\n\
<p>Returns <code>false</code> if the user cancels out of the Select by Name dialog, <code>true</code> otherwise.</p>\n\
<p>See also <a href=\"./../Picking-Scene-Nodes/Picking-Scene-Nodes-by-Name.html\">Picking Scene Nodes by Name</a> for a MAXScript method with more control over the filtering and display of the dialog.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">toolMode.uniformScale() </code></pre><p>Set scale mode to Uniform Scale.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">toolMode.nonUniformScale() </code></pre><p>Set scale mode to Non-uniform Scale.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">toolMode.squashScale() </code></pre><p>Set scale mode to Squash.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">toolMode.coordsys { &lt;mode_name&gt; | &lt;node&gt; } </code></pre><p>Sets the Reference Coordinate System.</p>\n\
<p>Providing a node as argument is equivalent to using the &quot;Pick&quot; option of the drop-down list in the UI.</p>\n\
<p>Valid <code>&lt;mode_name&gt;</code> values are:</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>Name</th>\n\
<th>Notes</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><code>#view</code></td>\n\
<td>View Reference Coordinate System</td>\n\
</tr>\n\
<tr>\n\
<td><code>#screen</code></td>\n\
<td>Screen Reference Coordinate System</td>\n\
</tr>\n\
<tr>\n\
<td><code>#world</code></td>\n\
<td>World Reference Coordinate System</td>\n\
</tr>\n\
<tr>\n\
<td><code>#parent</code></td>\n\
<td>Parent Reference Coordinate System</td>\n\
</tr>\n\
<tr>\n\
<td><code>#gimbal</code></td>\n\
<td>Gimbal Reference Coordinate System</td>\n\
</tr>\n\
<tr>\n\
<td><code>#local</code></td>\n\
<td>Local Reference Coordinate System</td>\n\
</tr>\n\
<tr>\n\
<td><code>#grid</code></td>\n\
<td>Grid Reference Coordinate System</td>\n\
</tr>\n\
<tr>\n\
<td><code>#working_pivot</code></td>\n\
<td>Working Pivot Reference Coordinate System</td>\n\
</tr>\n\
</tbody></table>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getRefCoordSys() setRefCoordSys &lt;mode_name&gt; </code></pre><p>Get and set the Reference Coordinate System.</p>\n\
<p>Valid <code>&lt;mode_name&gt;</code> values are:</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>Name</th>\n\
<th>Notes</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><code>#hybrid</code></td>\n\
<td>View</td>\n\
</tr>\n\
<tr>\n\
<td><code>#screen</code></td>\n\
<td>Screen</td>\n\
</tr>\n\
<tr>\n\
<td><code>#world</code></td>\n\
<td>World</td>\n\
</tr>\n\
<tr>\n\
<td><code>#parent</code></td>\n\
<td>Parent</td>\n\
</tr>\n\
<tr>\n\
<td><code>#local</code></td>\n\
<td>Local</td>\n\
</tr>\n\
<tr>\n\
<td><code>#object</code></td>\n\
<td>Pick object or Grid - not valid for setRefCoordSys()</td>\n\
</tr>\n\
</tbody></table>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">enableRefCoordSys &lt;boolean&gt; </code></pre><p>Enables or disables the Reference Coordinate System drop-down list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getCoordCenter() setCoordCenter &lt;name&gt; </code></pre><p>Get and set the Coordinate System Center.</p>\n\
<p>Valid <code>&lt;name&gt;</code> values are:</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>Name</th>\n\
<th>Notes</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><code>#local</code></td>\n\
<td>Use Pivot Point Center</td>\n\
</tr>\n\
<tr>\n\
<td><code>#selection</code></td>\n\
<td>Use Selection Center</td>\n\
</tr>\n\
<tr>\n\
<td><code>#system</code></td>\n\
<td>Use Transform Coordinate Center</td>\n\
</tr>\n\
</tbody></table>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">enableCoordCenter &lt;boolean&gt; </code></pre><p>Enables or disables the Coordinate System Center icon.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">toolMode.pivotCenter() </code></pre><p>Sets Coordinate System Center to Pivot Point Center.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">toolMode.selectionCenter() </code></pre><p>Sets Coordinate System Center to Selection Center.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">toolMode.transformCenter() </code></pre><p>Sets Coordinate System Center to Transform Coordinate Center.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getNumAxis() </code></pre><p>This method reflects the Coordinate System Center state.</p>\n\
<p>If it is set to Pivot Point Center then this method returns <code>#individual</code> otherwise <code>#all</code> .</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setToolBtnState &lt;name&gt; &lt;boolean&gt; </code></pre><p>Set the specified tool buttons on or off.</p>\n\
<p>This method does not put into the mode, it just changes the state of the tool button.</p>\n\
<p>This method does not change the state of any button other than the specified button.</p>\n\
<p>To set the actual tool mode, please see <a href=\"./../../../MAXScript-Language-Reference/Reserved-Keywords-Symbols/3ds-Max-System-Globals.html\">toolmode.commandmode</a></p>\n\
<p>The valid <code>&lt;name&gt;</code> values are:</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>Name</th>\n\
<th>Notes</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><code>#select</code></td>\n\
<td>Select button on/off</td>\n\
</tr>\n\
<tr>\n\
<td><code>#move</code></td>\n\
<td>Move button on/off</td>\n\
</tr>\n\
<tr>\n\
<td><code>#rotate</code></td>\n\
<td>Rotate button on/off</td>\n\
</tr>\n\
<tr>\n\
<td><code>#uscale</code></td>\n\
<td>Scale button on/off - doesn&#x2019;t change scale type</td>\n\
</tr>\n\
<tr>\n\
<td><code>#nuscale</code></td>\n\
<td>Scale button on/off - doesn&#x2019;t change scale type</td>\n\
</tr>\n\
<tr>\n\
<td><code>#squash</code></td>\n\
<td>Scale button on/off - doesn&#x2019;t change scale type</td>\n\
</tr>\n\
</tbody></table>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">getToolbtnState &lt;name&gt; </code></pre><p>Returns whether the specified tool button is on or off as a <code>&lt;boolean&gt;</code> value.</p>\n\
<p>To get the actual tool mode, please see <a href=\"./../../../MAXScript-Language-Reference/Reserved-Keywords-Symbols/3ds-Max-System-Globals.html\">toolmode.commandmode</a></p>\n\
<p>Valid <code>&lt;name&gt;</code> values are:</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>Name</th>\n\
<th>Notes</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><code>#select</code></td>\n\
<td>Returns True if the Select button is on</td>\n\
</tr>\n\
<tr>\n\
<td><code>#move</code></td>\n\
<td>Returns True if the Move button is on</td>\n\
</tr>\n\
<tr>\n\
<td><code>#rotate</code></td>\n\
<td>Returns True if the Rotate button is on</td>\n\
</tr>\n\
<tr>\n\
<td><code>#uscale</code></td>\n\
<td>Returns True if any of the Scale button states is on</td>\n\
</tr>\n\
<tr>\n\
<td><code>#nuscale</code></td>\n\
<td>Returns True if any of the Scale button states is on</td>\n\
</tr>\n\
<tr>\n\
<td><code>#squash</code></td>\n\
<td>Returns True if any of the Scale button states is on</td>\n\
</tr>\n\
</tbody></table>\n\
<p>The following methods deal with the <strong>Named Selection Set</strong> drop-down list. These methods are not intended for casual usage.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">clearCurSelSet() </code></pre><p>Clears the edit field of the Named Selection Set drop-down list.</p>\n\
<p>Does not deselect the currently selected objects.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">clearSubSelSets() </code></pre><p>Clears the named selections from the Named Selection Set drop-down list.</p>\n\
<p>The named selection sets still exist, they just don&#x2019;t show in the drop-down list.</p>\n\
<p>This command <strong>can be dangerous to use</strong> unless you are in Sub-Object mode in the Modify panel, as there is not a direct method to rebuild the Named Selection Set list.</p>\n\
<p>When in Sub-Object mode in the Modify panel, the <code>namedSelSetListChanged()</code> method will rebuild the list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">namedSelSetListChanged() </code></pre><p>When in Sub-Object mode in the Modify panel, this method will rebuild the named selection set list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">setCurNamedSelSet &lt;string&gt; </code></pre><p>Sets the edit field of the Named Selection Set drop-down list to the specified string.</p>\n\
<p>This method not change the current selection set or add the specified string to the named selection set list.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">appendSubSelSet &lt;string&gt; </code></pre><p>Appends the specified string to the Named Selection Set drop-down list.</p>\n\
<p>This method not change the current selection set.</p>\n\
<p>Modifiers in <strong>3ds Max</strong> use this method to add sub-object named selection sets to the Named Selection Set drop-down list.</p>\n\
<p>This is done whenever the selection level changes.</p>\n\
<p>The following <strong>3ds Max</strong> <a href=\"./../../../MAXScript-Language-Reference/Reserved-Keywords-Symbols/3ds-Max-System-Globals.html\">system global variables</a> are associated with the Main Toolbar:</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">preferences.constantReferenceSystem </code></pre><p>Lets you get and set whether to use a constant Reference System for the Move, Rotate, and Scale tools.</p>\n\
<p>A Boolean value - <code>true</code> if Constant is on, <code>false</code> if off.</p>\n\
<p>This variable matches the Constant check box in Customize menu &gt; Preferences &gt; General &gt; Reference Coordinate System.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">toolmode.commandmode </code></pre><p>Get/set the <strong>3ds Max</strong> command mode.</p>\n\
<p>The value of the command mode is a <code>&lt;name&gt;</code> value if the command mode is a recognized command mode, otherwise the return value is an integer value.</p>\n\
<p>The recognized command modes are:</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>Name</th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><code>#SELECT</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#MOVE</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#ROTATE</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#NUSCALE</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#USCALE</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#SQUASH</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#VIEWPORT</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#HIERARCHY</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#CREATE</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#MODIFY</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#MOTION</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#ANIMATION</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#CAMERA</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#NULL</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#DISPLAY</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#SPOTLIGHT</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#PICK</code></td>\n\
<td></td>\n\
</tr>\n\
</tbody></table>\n\
<p>When <strong>setting</strong> the <strong>3ds Max</strong> command mode, only the following command modes are valid:</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>Name</th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><code>#SELECT</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#MOVE</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#ROTATE</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#NUSCALE</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#USCALE</code></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><code>#SQUASH</code></td>\n\
<td></td>\n\
</tr>\n\
</tbody></table>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">toolmode.commandmodeID </code></pre><p>Get the <strong>3ds Max</strong> command mode as Integer ID.</p>\n\
<p>Read-only.</p>\n\
<p>Possible values are:</p>\n\
<p>1 - Move</p>\n\
<p>2 - Rotate</p>\n\
<p>3 - Non-Uniform Scale</p>\n\
<p>4 - Uniform Scale</p>\n\
<p>5 - Squash Scale</p>\n\
<p>6 - Select</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">toolmode.axisConstraints </code></pre><p>Get/set the <strong>3ds Max</strong> axis constraints.</p>\n\
<p>The axis constraints values are:</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>Name</th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><strong>#X</strong></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><strong>#Y</strong></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><strong>#Z</strong></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><strong>#XY</strong></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><strong>#YZ</strong></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td><strong>#ZX</strong></td>\n\
<td></td>\n\
</tr>\n\
</tbody></table>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">toolMode.coordSysNode </code></pre><p>A read/write variable containing a node value or undefined.</p>\n\
<p>This variable reflects which node, if any, is the current reference coordinate system node.</p>\n\
<p>Assignment to this variable must be a node value.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">manipulateMode </code></pre><p>Get/set the <strong>3ds Max</strong> manipulate mode. When <code>true</code> , manipulate mode is active.</p>\n\
<p>The following method affects all toolbars.</p>\n\
<pre class=\"pre codeblock prettyprint\"><code class=\"language-maxscript prettyprint\">updateToolbarButtons() </code></pre><p>Forces an update of all toolbar button states.</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../Main-Toolbar.html\">Main Toolbar</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">Related pages</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Language-Reference/Reserved-Keywords-Symbols/3ds-Max-System-Globals.html\">3ds Max System Globals</a></li>\n\
          <li><a class=\"link\" href=\"../Filters/Selection-Filter.html\">Selection Filter</a></li>\n\
          <li><a class=\"link\" href=\"../Command-Panels/Command-Panels-1.html\">Command Panels</a></li>\n\
          <li><a class=\"link\" href=\"../Command-Panels/Create-Panel.html\">Create Panel</a></li>\n\
          <li><a class=\"link\" href=\"../Command-Panels/Modify-Panel.html\">Modify Panel</a></li>\n\
          <li><a class=\"link\" href=\"../Status-Bar/Status-Bar-1.html\">Status Bar</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";