var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>	\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-D42EB461-C7DD-410B-89B3-7D477B030D40\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2022/ENU/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>What Was New in MAXScript in 3ds Max 2021 and Updates</h1></div><p>This topic will give you a quick overview of the MAXScript language changes and improvements in <strong>3ds Max 2021</strong> and updates. For details on each feature, please follow the links to the respective documentation pages.</p>\n\
<h2 id=\"-img-src-images-guid-756a4dd2-b53e-4716-9098-4bd1f8feee66-low-png-alt-new-in-maxscript-in-3ds-max-2021-3-update\"><img src=\"./images/GUID-756A4DD2-B53E-4716-9098-4BD1F8FEEE66-low.png\" alt=\"\">New in MAXScript in 3ds Max 2021.3 Update</h2><table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><strong>Startup Script Loading</strong></td>\n\
<td>The way <a href=\"MAXScript-Introduction/General-MAXScript-Topics/Startup-Scripts.html\">Startup Scripts</a> are loaded has changed.  Scripts that have the hidden or system file attribute set, or are in a hidden or system folder (other than %LocalAppData% and %ProgramData%) are no longer loaded on startup.</td>\n\
</tr>\n\
<tr>\n\
<td><strong>MAXScript Heap Size</strong></td>\n\
<td>The initial MAXScript heap size allocation is increased from 15 MB to 100 MB, which can improve performance when the Ribbon is open. See <a href=\"./../../MAXScript-Language-Reference/Variables-Assignment-and-Scope/Memory-Allocation-and-Garbage.html\"\">Memory Allocation and Garbage Collection</a> for more information.</td>\n\
</tr>\n\
<tr>\n\
<td><strong>Viewport Bloom Settings</strong></td>\n\
<td>Bloom settings are now exposed and documented in the <a href=\"3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interface-Documentation/N-O/Interface-NitrousGraphicsManager.html\"><code>ViewportViewSettingImpl</code></a> interface.</td>\n\
</tr>\n\
<tr>\n\
<td><strong>Quicksilver Renderer</strong></td>\n\
<td>New exposure for Reflection and Bloom settings are covered under <a href=\"./../../3ds-Max-Objects-and-Interfaces/RendererClass/Quicksilver_Hardware_Renderer.html\"\">Quicksilver_Hardware_Renderer</a>.</td>\n\
</tr>\n\
<tr>\n\
<td><strong>Subdivide Modifiers</strong></td>\n\
<td>The Subdivide modifier has three new remeshing algorithms, and this functionality is now exposed in the <a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Subdivision-Surfaces/Subdivide-Modifier.html\"\">Subdivide:Modifier</a> and <a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Other-SpacewarpModifiers/SubdivideSpacewarpModifier.html\"\">subdivideSpacewarpModifier</a> classes.</td>\n\
</tr>\n\
<tr>\n\
<td><strong>PBR Importer</strong></td>\n\
<td>New <a href=\"./../../3ds-Max-Objects-and-Interfaces/UtilityPlugin-Classes/PBRImporter-UtilityPlugin.html\"\">PBRImporter</a> interface exposes some of the functionality of the PBR Importer feature.</td>\n\
</tr>\n\
<tr>\n\
<td><strong>Callback information</strong></td>\n\
<td>The <a href=\"./../../MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/General-Event-Callback-Mechanism.html\"#inspecting-callbacks\"><code>callbacks.show()</code></a> function now indicates when a callback definition is loaded from a scene file with `SceneFileEmebedded:true</td>\n\
</tr>\n\
</tbody></table>\n\
<h2 id=\"-img-src-images-guid-756a4dd2-b53e-4716-9098-4bd1f8feee66-low-png-alt-new-in-maxscript-in-3ds-max-2021-2-update\"><img src=\"./images/GUID-756A4DD2-B53E-4716-9098-4BD1F8FEEE66-low.png\" alt=\"\">New in MAXScript in 3ds Max 2021.2 Update</h2><table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><strong>Spline Chamfer Modifier</strong></td>\n\
<td>The <a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Patch-and-Spline-Editing/Spline_Chamfer-Modifier.html\"\">Spline_Chamfer : Modifier</a> exposes the properties of the new spline chamfer modifier feature.</td>\n\
</tr>\n\
<tr>\n\
<td><strong>Script execution function</strong></td>\n\
<td>The <a href=\"./../../MAXScript-Introduction/Accessing-MAXScript/Running-Scripts.html\"#executescriptfile\">executeScriptFile()</a> function provides a way to execute a script file and return any error messages it might generate</td>\n\
</tr>\n\
<tr>\n\
<td><strong>Previously Undocumented Items</strong></td>\n\
<td>&bull; <code>autosave.BailoutEnabled()</code> and <code>autosave.autoBackupNow()</code> are now documented in <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-autosave.html\"\">Interface: autosave</a>. <br> &bull; Several missing properties, including <code>ShadedRenderMode</code>, are now documented under <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-NitrousGraphicsManager.html\"\">Interface: NitrousGraphicsManager</a>.  The topic has also been reorganized to reflect the updated UI.</td>\n\
</tr>\n\
</tbody></table>\n\
<h2 id=\"-img-src-images-guid-756a4dd2-b53e-4716-9098-4bd1f8feee66-low-png-alt-new-in-maxscript-in-3ds-max-2021-1-update\"><img src=\"./images/GUID-756A4DD2-B53E-4716-9098-4BD1F8FEEE66-low.png\" alt=\"\">New in MAXScript in 3ds Max 2021.1 Update</h2><table cellpadding=\"0\" cellspacing=\"0\" class=\"not-ruled\"><colgroup><col> <col> </colgroup><tbody><tr class=\"not-ruled-odd-row\"><td class=\"table-body\"><p class=\"table-body\"><em class=\"strong\">Callback Management</em></p></td><td class=\"table-body\"><p class=\"table-body\">New functions allow you to enable or disable some callback types:<a name=\"UL_9F8F58AB09B14026AC8F7278F752D1A4\"></a></p><ul><li><span class=\"char_link\"><a href=\"./../MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/Time-Change-Callback-Mechanism.html\">Time change callbacks</a></span>: <span class=\"code\">timeCallbacksEnabled()</span>, <span class=\"code\">enableTimeCallbacks()</span>, <span class=\"code\">disableTimeCallbacks()</span></li><li><span class=\"char_link\"><a href=\"./../MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/Viewport-Redraw-Callback.html\">Viewport redraw callbacks</a></span>: <span class=\"code\">redrawViewsCallbacksEnabled()</span>, <span class=\"code\">enableRedrawViewsCallbacks()</span>, <span class=\"code\">disableRedrawViewsCallbacks()</span></li><li><span class=\"char_link\"><a href=\"./../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Filters/Adding-Selection-and-Display.html\">Selection filter callbacks</a></span>: <span class=\"code\">selectFilterCallbacksEnabled()</span>, <span class=\"code\">enableSelectFilterCallbacks()</span>, <span class=\"code\">disableSelectFilterCallbacks()</span></li><li><span class=\"char_link\"><a href=\"./../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Filters/Adding-Selection-and-Display.html\">Display filter callbacks:</a></span><span class=\"code\">displayFilterCallbacksEnabled()</span>, <span class=\"code\">enableDisplayFilterCallbacks()</span>, <span class=\"code\">disableDisplayFilterCallbacks()</span></li></ul><p></p></td></tr><tr class=\"not-ruled-even-row\"><td class=\"table-body\"><p class=\"table-body\"><em class=\"strong\">Bake To Texture</em></p></td><td class=\"table-body\"><p class=\"table-body\">The <span class=\"char_link\"><a href=\"./../3ds-Max-Objects-and-Interfaces/UtilityPlugin-Classes/BakeToTexture-UtilityPlugin.html\">BakeToTexture : UtilityPlugin</a></span> interface has new members to support additional features:</p><a name=\"UL_C12F8C5AD65043FA96BB32BB6CD4FD3C\"></a><ul><li><span class=\"code\">alwaysSkipExistingFiles</span></li><li><span class=\"code\">getOutputTo()</span>/ <span class=\"code\">setOutputTo()</span></li><li><span class=\"code\">getNewMaterial()</span></li><li><span class=\"code\">getTargetMaterialSlots()</span></li><li><span class=\"code\">clearShellKeepBaked()</span> / <span class=\"code\">clearShellKeepOriginal()</span></li></ul><p class=\"table-body\">The <span class=\"char_link\"><a href=\"./../3ds-Max-Objects-and-Interfaces/UtilityPlugin-Classes/BakeToTexture-UtilityPlugin.html\">BakeToTextureMap</a></span> interface has new members:</p><a name=\"UL_A69F8DDCD21243FABD4B0873769CF0D6\"></a><ul><li><span class=\"code\">UDIMEnabled</span></li><li><span class=\"code\">UDIMFilePattern</span></li><li><span class=\"code\">getTargetMapSlot()</span></li><li><span class=\"code\">setTargetMapSlot()</span></li></ul><p class=\"table-body\">The callback that can be registered with <span class=\"char_link\"><a href=\"./../3ds-Max-Objects-and-Interfaces/UtilityPlugin-Classes/BakeToTexture-UtilityPlugin.html\">BakeToTexture.bake()</a></span> is now called after every successful baked file is saved, now that the Bake To Texture feature supports formats with multiple files (such as animated maps or UDIM tiles).</p></td></tr><tr class=\"not-ruled-odd-row\"><td class=\"table-body\"><p class=\"table-body\"><em class=\"strong\">Default Parameter Management</em></p></td><td class=\"table-body\"><p class=\"table-body\">A new interface allows you to define defaults for parameters: <span class=\"char_link\"><a href=\"./../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-DefaultParamInterface.html\">DefaultParamInterface</a></span>.</p></td></tr><tr class=\"not-ruled-even-row\"><td class=\"table-body\"><p class=\"table-body\"><em class=\"strong\">Controlling UI Focus and Foreground</em></p></td><td class=\"table-body\"><p class=\"table-body\">The <span class=\"char_link\"><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Setting-Focus-on-User-Interface.html\">setFocus()</a></span> function can now take a rollout's HWND property.</p><p class=\"table-body\">A new <span class=\"char_link\"><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Setting-Focus-on-User-Interface.html\">setForegroundWindow()</a></span> function is similar to <span class=\"code\">setFocus()</span>, but also brings the specified UI component to the foreground.</p></td></tr><tr class=\"not-ruled-odd-row\"><td class=\"table-body\"><p class=\"table-body\"><em class=\"strong\">New Assert Functions</em></p></td><td class=\"table-body\"><p class=\"table-body\">New <span class=\"char_link\"><a href=\"./../MAXScript-Introduction/The-MAXScript-Debugger/Assert-Functions.html\">assert functions</a></span> are provided for debugging: <span class=\"code\">assert_array_equal()</span>, <span class=\"code\">assert_matchpattern()</span>, and <span class=\"code\">assert_bitarray_equal()</span>. The new <span class=\"code\">assert_float_equal()</span> is identical to <span class=\"code\">assert_float()</span>, but has a more meaningful name.</p></td></tr><tr class=\"not-ruled-even-row\"><td class=\"table-body\"><p class=\"table-body\"><em class=\"strong\">New createPreview() option</em></p></td><td class=\"table-body\"><p class=\"table-body\">The <span class=\"char_link\"><a href=\"./../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/createPreview-Method.html\">createPreview()</a></span> function has a new <em class=\"strong\">useMPCamEffect</em> option that enables the display of multipass camera effects in the animation preview.</p></td></tr><tr class=\"not-ruled-odd-row\"><td class=\"table-body\"><p class=\"table-body\"><em class=\"strong\">New FBX Importer option</em></p></td><td class=\"table-body\"><p class=\"table-body\">The new \"PostSamplingKeyReducer\" option for the <span class=\"char_link\"><a href=\"./../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/FBX-Import-and-Export-Dialog/FBX-Import-Dialog-Access.html\">FBX Importer</a></span> controls whether animation keys are reduced post-conversion.</p></td></tr><tr class=\"not-ruled-even-row\"><td class=\"table-body\"><p class=\"table-body\"><em class=\"strong\">BigMatrix row values</em></p></td><td class=\"table-body\"><p class=\"table-body\">The value of a BigMatrix row can now be set directly to an array of float values.</p></td></tr><tr class=\"not-ruled-odd-row\"><td class=\"table-body\"><p class=\"table-body\"><em class=\"strong\">Previously Undocumented Items</em></p></td><td class=\"table-body\"><p class=\"table-body\">The <span class=\"code\">registerDisplayFilterCallback()</span> function is now documented under <span class=\"char_link\"><a href=\"./../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Filters/Adding-Selection-and-Display.html\">Adding Selection and Display Filters</a></span></p><p class=\"table-body\">These functions for displaying registered callbacks are now documented:<a name=\"UL_EDB6B43D81294319863708A0A159C382\"></a></p><ul><li><span class=\"code\">showregisteredTimeCallbacks()</span></li><li><span class=\"code\">showregisteredSelectFilterCallbacks()</span></li><li><span class=\"code\">showregisteredDisplayFilterCallbacks()</span></li><li><span class=\"code\">showregisteredRedrawViewsCallbacks()</span></li></ul><p></p><p class=\"table-body\">The dspSpaceWarps option for the <span class=\"char_link\"><a href=\"./../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/createPreview-Method.html\">createPreview()</a></span> function is now documented.</p></td></tr></tbody></table>\n\
\n\
<h2 id=\"-img-src-images-guid-756a4dd2-b53e-4716-9098-4bd1f8feee66-low-png-alt-new-in-maxscript-in-3ds-max-2021\"><img src=\"./images/GUID-756A4DD2-B53E-4716-9098-4BD1F8FEEE66-low.png\" alt=\"\">New in MAXScript in 3ds Max 2021</h2><table cellpadding=\"0\" cellspacing=\"0\" class=\"not-ruled\"><colgroup><col> <col> </colgroup><tbody><tr class=\"not-ruled-odd-row\"><td class=\"table-body\"><p class=\"table-body\"><em class=\"strong\">Bake to Texture Support</em></p></td><td class=\"table-body\">The <span class=\"char_link\"><a href=\"\">BakeToTexture : UtilityClass</a></span> exposes the functionality of the new Bake to Texture feature.</td></tr><tr class=\"not-ruled-even-row\"><td class=\"table-body\"><p class=\"table-body\"><em class=\"strong\">MAXScript Editor Python Support</em></p></td><td class=\"table-body\"><p class=\"table-body\">When in Python language mode, the MAXScript Editor now inserts four spaces instead of a tab character when you type Tab. This complies with <a href=\"https://www.python.org/dev/peps/pep-0008/#indentation\" target=\"_blank\">PEP-0008</a></p></td></tr><tr class=\"not-ruled-odd-row\"><td class=\"table-body\"><p class=\"table-body\"><em class=\"strong\">Plugin Package Manager Additions</em></p></td><td class=\"table-body\"><p class=\"table-body\">The <span class=\"char_link\"><a href=\"./../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/P-Q/Interface-PluginPackageManager.html\">PluginPackageManager</a></span> interface has new methods to return information about Scene Converter, OSL, and AMG paths:</p><a name=\"UL_EABC2EF9C756476790DA8AA08785CD36\"></a><ul><li><span class=\"code\">GetSceneConverterFoldersCount()</span></li><li><span class=\"code\">GetSceneConverterFolderFullPath()</span></li><li><span class=\"code\">GetOSLFoldersCount()</span></li><li><span class=\"code\">GetOSLFolderFullPath()</span></li><li><span class=\"code\">GetAMGFoldersCount()</span></li><li><span class=\"code\">GetAMGFolderFullPath()</span></li></ul></td></tr><tr class=\"not-ruled-even-row\"><td class=\"table-body\"><p class=\"table-body\"><em class=\"strong\">Callbacks Changes</em></p></td><td class=\"table-body\"><p class=\"table-body\">The <span class=\"char_link\"><a href=\"./../MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/General-Event-Callback-Mechanism.html\">callbacks.addScript()</a></span> method can now take a function as the second parameter. Previously this had to be a String, StringStream, or filename.</p></td></tr><tr class=\"not-ruled-odd-row\"><td class=\"table-body\"><p class=\"table-body\"><em class=\"strong\">Weighted Normals Modifier</em></p></td><td class=\"table-body\"><p class=\"table-body\">The new Weighted Normals modifier is exposed in the <span class=\"char_link\"><a href=\"./../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Surface-Modifiers/Weighted_Normals-Modifier.html\">Weighted_Normals : Modifier</a></span> class.</p></td></tr><tr class=\"not-ruled-even-row\"><td class=\"table-body\"><p class=\"table-body\"><em class=\"strong\">ATF-based Importers</em></p></td><td class=\"table-body\"><p class=\"table-body\">Autodesk Translation Framework (ATF) based importer plug-ins have some extra features exposed to MAXScript, <span class=\"code\">.ImportHiddenObjects</span> and <span class=\"code\">.PreserveLayers</span>. This applies to:</p><a name=\"UL_886F19B8A5BF4291A8CDE765471D3E23\"></a><ul><li><span class=\"char_link\"><a href=\"./../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/ATF_Alias_importer.html\">ATF_Alias_importer</a></span></li><li><span class=\"char_link\"><a href=\"./../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/ATF_CATIA_V4_importer.html\">ATF_CATIA_V4_importer</a></span></li><li><span class=\"char_link\"><a href=\"./../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/ATF_CATIA_V5_importer.html\">ATF_CATIA_V5_importer</a></span></li><li><span class=\"char_link\"><a href=\"./../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/ATF_IGES_importer-ImporterPlugin.html\">ATF_IGES_importer</a></span></li><li><span class=\"char_link\"><a href=\"./../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/ATF_JT_importer-ImporterPlugin.html\">ATF_JT_importer</a></span></li><li><span class=\"char_link\"><a href=\"./../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/ATF_ProE_importer-ImporterPlugin.html\">ATF_ProE_importer</a></span></li><li><span class=\"char_link\"><a href=\"./../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/ATF_SKETCHUP_Import.html\">ATF_SKETCHUP_Import</a></span></li><li><span class=\"char_link\"><a href=\"./../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/ATF_Solidworks_importer.html\">ATF_Solidworks_importer</a></span></li><li><span class=\"char_link\"><a href=\"./../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/ATF_STEP_importer-ImporterPlugin.html\">ATF_STEP_importer</a></span></li><li><span class=\"char_link\"><a href=\"./../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/ATF_UG_NX_importer.html\">ATF_UG_NX_importer</a></span></li></ul><p class=\"table-body\"></p></td></tr><tr class=\"not-ruled-odd-row\"><td class=\"table-body\"><p class=\"table-body\"><em class=\"strong\">Scripted Plug-ins</em></p></td><td class=\"table-body\"><p class=\"table-body\"><span class=\"char_link\"><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Plug-in-Clauses.html\">Scripted plug-in parameters</a></span> can now take an optional <span class=\"code\">localizedName</span> string, which is used (instead of the parameter name) when the parameter is displayed on a UI.</p></td></tr><tr class=\"not-ruled-even-row\"><td class=\"table-body\"><p class=\"table-body\"><em class=\"strong\">Rollout Visibility</em></p></td><td class=\"table-body\"><p class=\"table-body\"><span class=\"char_link\"><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Utility-and-Rollout-Properties.html\">Rollouts</a></span> have a new <span class=\"code\">visible</span> property that controls whether they are visible when displayed in a dialog.</p><p class=\"table-body\"><span class=\"char_link\"><a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Plug-in-Methods.html\"#parameter-type-convenience-functions\">Two new utility functions</a></span> allow you to convert parameter type name values to their corresponding enum integer representation from the C++ SDK, and vice versa: <span class=\"code\">ParamTypeToTypeName()</span> and <span class=\"code\">TypeNameToParamType()</span>.</p></td></tr><tr class=\"not-ruled-odd-row\"><td class=\"table-body\"><p class=\"table-body\"><em class=\"strong\">For Loop Index Variables</em></p></td><td class=\"table-body\"><p class=\"table-body\">The <span class=\"char_link\"><a href=\"./../MAXScript-Language-Reference/Controlling-Program-Flow/For-Loop.html\">for loop</a></span> now can take optional index arguments to handle filtered and unfiltered list operation.</p></td></tr><tr class=\"not-ruled-even-row\"><td class=\"table-body\"><p class=\"table-body\"><em class=\"strong\">SME Material Library Methods</em></p></td><td class=\"table-body\"><p class=\"table-body\">Several new methods have been added to the <span class=\"char_link\"><a href=\"./../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SME.html\">SME interface</a></span> to expose functionality for working with material libraries:</p><a name=\"UL_E41BF1FD9BEB4B98AF1082C9470F493D\"></a><ul><li><span class=\"code\">OpenMtlLib()</span></li><li><span class=\"code\">HasMtlLib()</span></li><li><span class=\"code\">IsMtlLibModified()</span></li><li><span class=\"code\">SaveMtlLib()</span></li><li><span class=\"code\">SaveMtlLibAs()</span></li><li><span class=\"code\">CloseMtlLib()</span></li></ul></td></tr><tr class=\"not-ruled-odd-row\"><td class=\"table-body\"><p class=\"table-body\"><em class=\"strong\">edit_poly Modifier Chamfer Enhancements</em></p></td><td class=\"table-body\"><p class=\"table-body\">Chamfer improvements to the <span class=\"char_link\"><a href=\"./../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Mesh-Editing/Edit_Poly-Modifier.html\">edit_poly modfier</a></span> are exposed in new properties:</p><a name=\"UL_3E20B71EF4AD43BA9CAFB6ED2AB7BFCE\"></a><ul><li><span class=\"code\">edgeChamferMiteringType</span> (which replaces the now obsolete <span class=\"code\">edgeChamferType</span> and <span class=\"code\">edgeChamferQuadIntersections</span>)</li><li><span class=\"code\">chamferVertexDepth</span></li><li><span class=\"code\">chamferVertexSegments</span></li><li><span class=\"code\">chamferVertexSmooth</span></li><li><span class=\"code\">chamferVertexSmoothThreshold</span></li><li><span class=\"code\">chamferVertexSmoothType</span></li><li><span class=\"code\">edgeChamferDepth</span></li><li><span class=\"code\">edgeChamferEndBias</span></li><li><span class=\"code\">edgeChamferMiteringType</span></li><li><span class=\"code\">edgeChamferRadialBias</span></li></ul></td></tr><tr class=\"not-ruled-even-row\"><td class=\"table-body\"><p class=\"table-body\"><em class=\"strong\">Max Memory Heap Usage</em></p></td><td class=\"table-body\"><p class=\"table-body\">The new <span class=\"char_link\"><a href=\"./../../Interaction-With-The-Operating/System-Information.html\"#memory-usage-and-max-process-info-\">sysinfo.getMAXHeapUsed()</a></span> function returns the amount of heap memory 3ds Max is using.</p></td></tr><tr class=\"not-ruled-odd-row\"><td class=\"table-body\"><p class=\"table-body\"><em class=\"strong\">Scripted Custom Attribute Loading Callbacks</em></p></td><td class=\"table-body\"><p class=\"table-body\">New functions have been added to the <span class=\"char_link\"><a href=\"./../../3ds-Max-Objects-and-Interfaces/Custom-Attributes/Custom-Attribute-Management.html\"#scene-loading-callbacks-for-custom-attributes\">custAttributes</a></span> struct to help manage callbacks that can now be registered to alter definitions as they are loaded from a scene file:</p><a name=\"UL_194EC334B73F4A39A50D3488118D9011\"></a><ul><li><span class=\"code\">custAttributes.registerDefLoadCallback()</span></li><li><span class=\"code\">custAttributes.unRegisterDefLoadCallback()</span></li><li><span class=\"code\">custAttributes.unRegisterAllDefLoadCallbacks()</span></li><li><span class=\"code\">custAttributes.showregisteredDefLoadCallbacks()</span></li></ul></td></tr><tr class=\"not-ruled-even-row\"><td class=\"table-body\"><p class=\"table-body\"><em class=\"strong\">Documentation Changes</em></p></td><td class=\"table-body\"><p class=\"table-body\">The active segment normalized time literal format has not been supported for several releases, and has been removed from the <span class=\"char_link\"><a href=\"./../MAXScript-Language-Reference/Values/Time-Data-Values/Time-Values.html\">Time Values</a></span> and <span class=\"char_link\"><a href=\"./../MAXScript-Language-Reference/Names-Literal-Constants-and/Literal-Constants/Time-Literals.html\">Time Literals</a></span> topics.</p></td></tr><tr class=\"not-ruled-odd-row\"><td class=\"table-body\"><p class=\"table-body\"><em class=\"strong\">Deprecated and Removed Items</em></p></td><td class=\"table-body\"><p class=\"table-body\">The <span class=\"code\">&lt;ViewportViewSettingImpl&gt;.DefaultLightsFollowCamera</span> property is removed from the <span class=\"char_link\"><a href=\"./../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-NitrousGraphicsManager.html\">NitrousGraphicsManager interface</a></span>.</p></td></tr><tr class=\"not-ruled-even-row\"><td class=\"table-body\"><p class=\"table-body\"><em class=\"strong\">Previously Undocumented Items</em></p></td><td class=\"table-body\"><p class=\"table-body\">Functions in the custAttributes struct used to manage how scripted custom attribute definitions are managed when there is a conflict with a loaded or merged scene are now documented under <span class=\"char_link\"><a href=\"./../../3ds-Max-Objects-and-Interfaces/Custom-Attributes/Custom-Attribute-Management.html\"#handling-scripted-custom-attribute-definition-conflicts\">Handling Scripted Custom Attribute Definition Conflicts</a></span></p><p class=\"table-body\">The <span class=\"code\">dspFrameNums</span> keyword argument has been added to the <span class=\"char_link\"><a href=\"./../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/createPreview-Method.html\">createPreview() method</a></span>.</p></td></tr></tbody></table>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>Parent page:</strong> <a class=\"link\" href=\"../What-was-New-in-MAXScript-in.html\">What was New in MAXScript in Previous Versions</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";